diff --git a/.github/ISSUE_TEMPLATE.md b/.github/ISSUE_TEMPLATE.md
index 50ed8a2b8f13..0f73c4f67efd 100644
--- a/.github/ISSUE_TEMPLATE.md
+++ b/.github/ISSUE_TEMPLATE.md
@@ -20,7 +20,7 @@
 
 
 
-**Which versions of Angular, and which browser / OS are affected by this issue? Did this work in previous versions of Angular? Please also test with the latest stable and snapshot (https://code.angularjs.org/snapshot/) versions.**
+**Which versions of AngularJS, and which browser / OS are affected by this issue? Did this work in previous versions of AngularJS? Please also test with the latest stable and snapshot (https://code.angularjs.org/snapshot/) versions.**
 
 
 
diff --git a/CONTRIBUTING.md b/CONTRIBUTING.md
index 83def1e87ae7..22849d948da2 100644
--- a/CONTRIBUTING.md
+++ b/CONTRIBUTING.md
@@ -15,7 +15,7 @@ today! Here are the guidelines we'd like you to follow:
 
 ## <a name="coc"></a> Code of Conduct
 
-Help us keep Angular open and inclusive. Please read and follow our [Code of Conduct][coc].
+Help us keep AngularJS open and inclusive. Please read and follow our [Code of Conduct][coc].
 
 ## <a name="question"></a> Got a Question or Problem?
 
@@ -29,7 +29,7 @@ If you find a bug in the source code or a mistake in the documentation, you can
 submitting an issue to our [GitHub Repository][github]. Even better you can submit a Pull Request
 with a fix.
 
-**Localization Issues:** Angular.js uses the [Google Closure I18N library] to generate
+**Localization Issues:** AngularJS uses the [Google Closure I18N library] to generate
 its own I18N files (the ngLocale module). This means that any changes to these files would be lost
 the next time that we import the library.
 Since the Closure library i18n data is itself auto-generated from the data of the
@@ -81,7 +81,7 @@ quickly:
 
 * **Overview of the Issue** - if an error is being thrown a non-minified stack trace helps
 * **Motivation for or Use Case** - explain why this is a bug for you
-* **Angular Version(s)** - is it a regression?
+* **AngularJS Version(s)** - is it a regression?
 * **Browsers and Operating System** - is this a problem with all browsers or only specific ones?
 * **Reproduce the Error** - provide a live example (using [Plunker][plunker] or
   [JSFiddle][jsfiddle]) or an unambiguous set of steps.
@@ -108,7 +108,7 @@ Before you submit your pull request consider the following guidelines:
 
 * Create your patch, **including appropriate test cases**.
 * Follow our [Coding Rules](#rules).
-* Run the full Angular test suite, as described in the [developer documentation][dev-doc],
+* Run the full AngularJS test suite, as described in the [developer documentation][dev-doc],
   and ensure that all tests pass.
 * Commit your changes using a descriptive commit message that follows our
   [commit message conventions](#commit) and passes our commit message presubmit hook
@@ -132,11 +132,11 @@ Before you submit your pull request consider the following guidelines:
     git push origin my-fix-branch
     ```
 
-In GitHub, send a pull request to `angular:master`.
+In GitHub, send a pull request to `angular.js:master`.
 If we suggest changes, then:
 
 * Make the required updates.
-* Re-run the Angular test suite to ensure tests are still passing.
+* Re-run the AngularJS test suite to ensure tests are still passing.
 * Commit your changes to your branch (e.g. `my-fix-branch`).
 * Push the changes to your GitHub repository (this will update your Pull Request).
 
@@ -189,10 +189,10 @@ To ensure consistency throughout the source code, keep these rules in mind as yo
 * All features or bug fixes **must be tested** by one or more [specs][unit-testing].
 * All public API methods **must be documented** with ngdoc, an extended version of jsdoc (we added
   support for markdown and templating via @ngdoc tag). To see how we document our APIs, please check
-  out the existing ngdocs and see [this wiki page][ngDocs].
+  out the existing source code and see [this wiki page][ngDocs].
 * With the exceptions listed below, we follow the rules contained in
   [Google's JavaScript Style Guide][js-style-guide]:
-    * **Do not use namespaces**: Instead,  wrap the entire angular code base in an anonymous closure and
+    * **Do not use namespaces**: Instead,  wrap the entire AngularJS code base in an anonymous closure and
       export our API explicitly rather than implicitly.
     * Wrap all code at **100 characters**.
     * Instead of complex inheritance hierarchies, we **prefer simple objects**. We use prototypal
diff --git a/README.closure.md b/README.closure.md
index aa237ef5a508..21ef84770da0 100644
--- a/README.closure.md
+++ b/README.closure.md
@@ -7,7 +7,7 @@ in its `contrib/externs` directory.
 The definitions contain externs for use with the Closure compiler (aka
 JSCompiler). Passing these files to the --externs parameter of a compiler
 pass allows using type annotations for AngularJS objects. For example,
-Angular's $scope objects can be annotated as:
+AngularJS's $scope objects can be annotated as:
 ```js
 /** @type {angular.Scope} */
 var scope = $scope;
diff --git a/README.md b/README.md
index bc3b9554a61c..c6a8dd5c369c 100644
--- a/README.md
+++ b/README.md
@@ -19,7 +19,7 @@ piece of cake. Best of all? It makes development fun!
 * Contribution guidelines: [CONTRIBUTING.md](https://github.com/angular/angular.js/blob/master/CONTRIBUTING.md)
 * Dashboard: https://dashboard.angularjs.org
 
-##### Looking for Angular 2? Go here: https://github.com/angular/angular
+##### Looking for the new Angular? Go here: https://github.com/angular/angular
 
 Building AngularJS
 ---------
@@ -80,7 +80,7 @@ HTML is also used to determine the wiring of the app. Special attributes in the
 to load the app, which components or controllers to use for each element, etc. We specify "what"
 gets loaded, but not "how". This declarative approach greatly simplifies app development in a sort
 of WYSIWYG way. Rather than spending time on how the program flows and orchestrating the various
-moving parts, we simply define what we want and Angular will take care of the dependencies.
+moving parts, we simply define what we want and AngularJS will take care of the dependencies.
 
 #### Data Handling made simple
 Data and Data Models in AngularJS are plain JavaScript objects and one can add and change properties
diff --git a/TRIAGING.md b/TRIAGING.md
index 99621915b8e4..0dc6ee357232 100644
--- a/TRIAGING.md
+++ b/TRIAGING.md
@@ -1,6 +1,6 @@
 # Triage new issues/PRs on github
 
-This document shows the steps the Angular team is using to triage issues.
+This document shows the steps the AngularJS team is using to triage issues.
 The labels are used later on for [planning releases](#assigning-work).
 
 
@@ -45,12 +45,12 @@ This process based on the idea of minimizing user pain
 1. Label `frequency: *` – How often does this issue come up? How many developers does this affect? Chose just one of the following:
     * low - obscure issue affecting a handful of developers
     * moderate - impacts a common usage pattern
-    * high - impacts most or all Angular apps
+    * high - impacts most or all AngularJS apps
 1. Label `severity: *` - How bad is the issue? Chose just one of the following:
     * security issue
     * regression
     * memory leak
-    * broken expected use - it's hard or impossible for a developer using Angular to accomplish something that Angular should be able to do
+    * broken expected use - it's hard or impossible for a developer using AngularJS to accomplish something that AngularJS should be able to do
     * confusing - unexpected or inconsistent behavior; hard-to-debug
     * inconvenience - causes ugly/boilerplate code in apps
 1. Label `component: *`
diff --git a/docs/config/templates/app/indexPage.template.html b/docs/config/templates/app/indexPage.template.html
index 602df1619a65..75abb7190280 100644
--- a/docs/config/templates/app/indexPage.template.html
+++ b/docs/config/templates/app/indexPage.template.html
@@ -76,7 +76,7 @@
           <div class="row">
             <div class="col-md-9 header-branding">
               <a class="brand navbar-brand" href="http://angularjs.org">
-                <img width="117" height="30" class="logo" alt="Link to Angular JS Homepage" ng-src="img/angularjs-for-header-only.svg">
+                <img width="117" height="30" class="logo" alt="Link to AngularJS Homepage" ng-src="img/angularjs-for-header-only.svg">
               </a>
               <ul class="nav navbar-nav">
                 <li class="divider-vertical"></li>
@@ -217,7 +217,7 @@ <h4 class="search-results-group-heading">{{ key }}</h4>
           Super-powered by Google ©2010-2017
           (<a id="version"
                ng-href="https://github.com/angular/angular.js/blob/master/CHANGELOG.md#{{versionNumber}}"
-               ng-bind-template="v{{version}}" title="Changelog of this version of Angular JS">
+               ng-bind-template="v{{version}}" title="Changelog of this version of AngularJS">
            </a>)
         </p>
         <p>
diff --git a/docs/content/api/index.ngdoc b/docs/content/api/index.ngdoc
index f824f6a4ef73..8b954a86bd05 100644
--- a/docs/content/api/index.ngdoc
+++ b/docs/content/api/index.ngdoc
@@ -11,14 +11,14 @@ These components are {@link guide/directive directives}, {@link guide/services s
 There is also a {@link guide/index guide} with articles on various topics, and a list of external resources.
 
 <div class="alert alert-info">
-**Angular Prefixes `$` and `$$`**:
+**AngularJS Prefixes `$` and `$$`**:
 
 To prevent accidental name collisions with your code,
-Angular prefixes names of public objects with `$` and names of private objects with `$$`.
+AngularJS prefixes names of public objects with `$` and names of private objects with `$$`.
 Please do not use the `$` or `$$` prefix in your code.
 </div>
 
-## Angular Modules
+## AngularJS Modules
 
 
 ## {@link ng ng (core module)}
@@ -83,7 +83,7 @@ This module is provided by default and contains the core components of AngularJS
     </td>
     <td>
       <p>
-        The core global API functions are attached to the angular object. These core functions are useful for low level JavaScript operations within your application.
+        The core global API functions are attached to the `angular` object. These core functions are useful for low level JavaScript operations within your application.
       </p>
       <p>
         Some examples include:
@@ -130,7 +130,7 @@ Use ngRoute to enable URL routing to your application. The ngRoute module suppor
 
 ## {@link ngAnimate ngAnimate}
 
-Use ngAnimate to enable animation features within your application. Various core ng directives will provide
+Use ngAnimate to enable animation features within your application. Various core AngularJS directives will provide
 animation hooks into your application when ngAnimate is included. Animations are defined by using CSS transitions/animations
 or JavaScript callbacks.
 
diff --git a/docs/content/error/$animate/nocb.ngdoc b/docs/content/error/$animate/nocb.ngdoc
index ac5bd360602d..e0e2e95e0304 100644
--- a/docs/content/error/$animate/nocb.ngdoc
+++ b/docs/content/error/$animate/nocb.ngdoc
@@ -3,7 +3,7 @@
 @fullName Do not pass a callback to animate methods
 @description
 
-Since Angular 1.3, the methods of {@link ng.$animate} do not accept a callback as the last parameter.
+Since AngularJS 1.3, the methods of {@link ng.$animate} do not accept a callback as the last parameter.
 Instead, they return a promise to which you can attach `then` handlers to be run when the animation completes.
 
 If you are getting this error then you need to update your code to use the promise-based API.
diff --git a/docs/content/error/$compile/infchng.ngdoc b/docs/content/error/$compile/infchng.ngdoc
index 00d97061fe45..463840ee933e 100644
--- a/docs/content/error/$compile/infchng.ngdoc
+++ b/docs/content/error/$compile/infchng.ngdoc
@@ -5,7 +5,7 @@
 
 This error occurs when the application's model becomes unstable because some `$onChanges` hooks are causing updates which then trigger
 further calls to `$onChanges` that can never complete.
-Angular detects this situation and prevents an infinite loop from causing the browser to become unresponsive.
+AngularJS detects this situation and prevents an infinite loop from causing the browser to become unresponsive.
 
 For example, the situation can occur by setting up a `$onChanges()` hook which triggers an event on the component, which subsequently
 triggers the component's bound inputs to be updated:
diff --git a/docs/content/error/$http/badjsonp.ngdoc b/docs/content/error/$http/badjsonp.ngdoc
index 18201550bb52..ab42b46c7fdf 100644
--- a/docs/content/error/$http/badjsonp.ngdoc
+++ b/docs/content/error/$http/badjsonp.ngdoc
@@ -11,7 +11,7 @@ value is `JSON_CALLBACK`.
 parameter is specified in the configuration object (or in the defaults) via the `jsonpCallbackParam`
 property. You must not provide your own parameter with this name in the configuratio of the request.
 
-In previous versions of Angular, you specified where to add the callback parameter value via the
+In previous versions of AngularJS, you specified where to add the callback parameter value via the
 `JSON_CALLBACK` placeholder. This is no longer allowed.
 
 To resolve this error, remove any parameters that have the same name as the `jsonpCallbackParam`;
diff --git a/docs/content/error/$injector/modulerr.ngdoc b/docs/content/error/$injector/modulerr.ngdoc
index 4746bf66209f..aae351078435 100644
--- a/docs/content/error/$injector/modulerr.ngdoc
+++ b/docs/content/error/$injector/modulerr.ngdoc
@@ -15,7 +15,7 @@ In AngularJS `1.2.0` and later, `ngRoute` has been moved to its own module.
 If you are getting this error after upgrading to `1.2.x` or later, be sure that you've
 installed {@link ngRoute `ngRoute`}.
 
-### Monkey-patching Angular's `ng` module
+### Monkey-patching AngularJS's `ng` module
 
 This error can also occur if you have tried to add your own components to the `ng` module.
 This has never been supported and from `1.3.0` it will actually trigger this error.
diff --git a/docs/content/error/$interpolate/badexpr.ngdoc b/docs/content/error/$interpolate/badexpr.ngdoc
index 346907c21be2..8ef977231fd5 100644
--- a/docs/content/error/$interpolate/badexpr.ngdoc
+++ b/docs/content/error/$interpolate/badexpr.ngdoc
@@ -3,4 +3,4 @@
 @fullName Expecting end operator
 @description
 
-The Angular expression is missing the corresponding closing operator.
+The AngularJS expression is missing the corresponding closing operator.
diff --git a/docs/content/error/$interpolate/dupvalue.ngdoc b/docs/content/error/$interpolate/dupvalue.ngdoc
index 3d72f28e1210..c9cd39014a3a 100644
--- a/docs/content/error/$interpolate/dupvalue.ngdoc
+++ b/docs/content/error/$interpolate/dupvalue.ngdoc
@@ -8,4 +8,4 @@ extension in your interpolation expression.  The different choices have to be un
 
 For more information about the MessageFormat syntax in interpolation
 expressions, please refer to MessageFormat extensions section at
-{@link guide/i18n#MessageFormat Angular i18n MessageFormat}
+{@link guide/i18n#MessageFormat AngularJS i18n MessageFormat}
diff --git a/docs/content/error/$interpolate/logicbug.ngdoc b/docs/content/error/$interpolate/logicbug.ngdoc
index c660d8d39706..9753424d9942 100644
--- a/docs/content/error/$interpolate/logicbug.ngdoc
+++ b/docs/content/error/$interpolate/logicbug.ngdoc
@@ -9,4 +9,4 @@ bug mentioning the exact version of AngularJS used and we will fix it!
 
 For more information about the MessageFormat syntax in interpolation
 expressions, please refer to MessageFormat extensions section at
-{@link guide/i18n#MessageFormat Angular i18n MessageFormat}
+{@link guide/i18n#MessageFormat AngularJS i18n MessageFormat}
diff --git a/docs/content/error/$interpolate/nochgmustache.ngdoc b/docs/content/error/$interpolate/nochgmustache.ngdoc
index 01652dafef02..af7981992086 100644
--- a/docs/content/error/$interpolate/nochgmustache.ngdoc
+++ b/docs/content/error/$interpolate/nochgmustache.ngdoc
@@ -14,4 +14,4 @@ future commit and the github issue will help gauge urgency.
 
 For more information about the MessageFormat syntax in interpolation
 expressions, please refer to MessageFormat extensions section at
-{@link guide/i18n#MessageFormat Angular i18n MessageFormat}
+{@link guide/i18n#MessageFormat AngularJS i18n MessageFormat}
diff --git a/docs/content/error/$interpolate/reqarg.ngdoc b/docs/content/error/$interpolate/reqarg.ngdoc
index ee6ff2c8ca92..89f27fdc4c0d 100644
--- a/docs/content/error/$interpolate/reqarg.ngdoc
+++ b/docs/content/error/$interpolate/reqarg.ngdoc
@@ -4,9 +4,9 @@
 @description
 
 You must specify the MessageFormat function that you're using right after the
-comma following the Angular expression.  Currently, the supported functions are
+comma following the AngularJS expression.  Currently, the supported functions are
 "plural" and "select" (for gender selections.)
 
 For more information about the MessageFormat syntax in interpolation
 expressions, please refer to MessageFormat extensions section at
-{@link guide/i18n#MessageFormat Angular i18n MessageFormat}
+{@link guide/i18n#MessageFormat AngularJS i18n MessageFormat}
diff --git a/docs/content/error/$interpolate/reqcomma.ngdoc b/docs/content/error/$interpolate/reqcomma.ngdoc
index 13b137ecc5cd..fccfe95c4ed7 100644
--- a/docs/content/error/$interpolate/reqcomma.ngdoc
+++ b/docs/content/error/$interpolate/reqcomma.ngdoc
@@ -8,4 +8,4 @@ extension keyword in the extended interpolation syntax.
 
 For more information about the MessageFormat syntax in interpolation
 expressions, please refer to MessageFormat extensions section at
-{@link guide/i18n#MessageFormat Angular i18n MessageFormat}
+{@link guide/i18n#MessageFormat AngularJS i18n MessageFormat}
diff --git a/docs/content/error/$interpolate/reqendbrace.ngdoc b/docs/content/error/$interpolate/reqendbrace.ngdoc
index a3e765dd698b..b7d75ce19797 100644
--- a/docs/content/error/$interpolate/reqendbrace.ngdoc
+++ b/docs/content/error/$interpolate/reqendbrace.ngdoc
@@ -8,4 +8,4 @@ brace to mark the end of the message.
 
 For more information about the MessageFormat syntax in interpolation
 expressions, please refer to MessageFormat extensions section at
-{@link guide/i18n#MessageFormat Angular i18n MessageFormat}
+{@link guide/i18n#MessageFormat AngularJS i18n MessageFormat}
diff --git a/docs/content/error/$interpolate/reqopenbrace.ngdoc b/docs/content/error/$interpolate/reqopenbrace.ngdoc
index 6ea091702044..3e0041e9912b 100644
--- a/docs/content/error/$interpolate/reqopenbrace.ngdoc
+++ b/docs/content/error/$interpolate/reqopenbrace.ngdoc
@@ -9,4 +9,4 @@ braces.
 
 For more information about the MessageFormat syntax in interpolation
 expressions, please refer to MessageFormat extensions section at
-{@link guide/i18n#MessageFormat Angular i18n MessageFormat}
+{@link guide/i18n#MessageFormat AngularJS i18n MessageFormat}
diff --git a/docs/content/error/$interpolate/reqother.ngdoc b/docs/content/error/$interpolate/reqother.ngdoc
index 3ed329f893a7..cdfeb5f03d1c 100644
--- a/docs/content/error/$interpolate/reqother.ngdoc
+++ b/docs/content/error/$interpolate/reqother.ngdoc
@@ -10,4 +10,4 @@ extensions require that you provide a message for the selection "other".
 
 For more information about the MessageFormat syntax in interpolation
 expressions, please refer to MessageFormat extensions section at
-{@link guide/i18n#MessageFormat Angular i18n MessageFormat}
+{@link guide/i18n#MessageFormat AngularJS i18n MessageFormat}
diff --git a/docs/content/error/$interpolate/unknarg.ngdoc b/docs/content/error/$interpolate/unknarg.ngdoc
index 313fec6b32db..779594141181 100644
--- a/docs/content/error/$interpolate/unknarg.ngdoc
+++ b/docs/content/error/$interpolate/unknarg.ngdoc
@@ -9,4 +9,4 @@ unsupported or invalid.
 
 For more information about the MessageFormat syntax in interpolation
 expressions, please refer to MessageFormat extensions section at
-{@link guide/i18n#MessageFormat Angular i18n MessageFormat}
+{@link guide/i18n#MessageFormat AngularJS i18n MessageFormat}
diff --git a/docs/content/error/$interpolate/unsafe.ngdoc b/docs/content/error/$interpolate/unsafe.ngdoc
index bec99dc6a743..91cc7d915d20 100644
--- a/docs/content/error/$interpolate/unsafe.ngdoc
+++ b/docs/content/error/$interpolate/unsafe.ngdoc
@@ -7,4 +7,4 @@ You have attempted to use a MessageFormat extension in your interpolation expres
 
 Read more about secure contexts at {@link ng.$sce Strict Contextual Escaping
 (SCE)} and about the MessageFormat extensions at {@link
-guide/i18n#MessageFormat Angular i18n MessageFormat}.
+guide/i18n#MessageFormat AngularJS i18n MessageFormat}.
diff --git a/docs/content/error/$interpolate/untermstr.ngdoc b/docs/content/error/$interpolate/untermstr.ngdoc
index 4800f46276af..c3575e1cc05d 100644
--- a/docs/content/error/$interpolate/untermstr.ngdoc
+++ b/docs/content/error/$interpolate/untermstr.ngdoc
@@ -3,4 +3,4 @@
 @fullName Unterminated string literal
 @description
 
-The string literal was not terminated in your Angular expression.
+The string literal was not terminated in your AngularJS expression.
diff --git a/docs/content/error/$location/nobase.ngdoc b/docs/content/error/$location/nobase.ngdoc
index a92f50d23f6f..baa14dc090d8 100644
--- a/docs/content/error/$location/nobase.ngdoc
+++ b/docs/content/error/$location/nobase.ngdoc
@@ -40,7 +40,7 @@ URL of the subcontext:
 </head>
 ```
 
-Before Angular 1.3 we didn't have this hard requirement and it was easy to write apps that worked
+Before AngularJS 1.3 we didn't have this hard requirement and it was easy to write apps that worked
 when deployed in the root context but were broken when moved to a sub-context because in the
 sub-context all absolute urls would resolve to the root context of the app. To prevent this,
 use relative URLs throughout your app:
diff --git a/docs/content/error/$parse/lexerr.ngdoc b/docs/content/error/$parse/lexerr.ngdoc
index 2a40d9399fb0..b5a95d829a5f 100644
--- a/docs/content/error/$parse/lexerr.ngdoc
+++ b/docs/content/error/$parse/lexerr.ngdoc
@@ -7,4 +7,4 @@ Occurs when an expression has a lexical error, for example a malformed number (0
 
 The error message contains a more precise error.
 
-To resolve, learn more about {@link guide/expression Angular expressions}, identify the error and fix the expression's syntax.
+To resolve, learn more about {@link guide/expression AngularJS expressions}, identify the error and fix the expression's syntax.
diff --git a/docs/content/error/$parse/syntax.ngdoc b/docs/content/error/$parse/syntax.ngdoc
index 1af212f18288..33d6bc0d317c 100644
--- a/docs/content/error/$parse/syntax.ngdoc
+++ b/docs/content/error/$parse/syntax.ngdoc
@@ -6,4 +6,4 @@
 Occurs when there is a syntax error in an expression.  These errors are thrown while compiling the expression.
 The error message contains a more precise description of the error, including the location (column) in the expression where the error occurred.
 
-To resolve, learn more about {@link guide/expression Angular expressions}, identify the error and fix the expression's syntax.
+To resolve, learn more about {@link guide/expression AngularJS expressions}, identify the error and fix the expression's syntax.
diff --git a/docs/content/error/$parse/ueoe.ngdoc b/docs/content/error/$parse/ueoe.ngdoc
index e96df0322377..6fca05b4cce8 100644
--- a/docs/content/error/$parse/ueoe.ngdoc
+++ b/docs/content/error/$parse/ueoe.ngdoc
@@ -8,5 +8,5 @@ Occurs when an expression is missing tokens at the end of the expression.
 For example, forgetting to close a bracket or failing to properly escape quotes in an expression
 will trigger this error.
 
-To resolve, learn more about {@link guide/expression Angular expressions}, identify the error and 
+To resolve, learn more about {@link guide/expression AngularJS expressions}, identify the error and
 fix the expression's syntax.
diff --git a/docs/content/error/$rootScope/infdig.ngdoc b/docs/content/error/$rootScope/infdig.ngdoc
index a0922742c153..7eae81ec7197 100644
--- a/docs/content/error/$rootScope/infdig.ngdoc
+++ b/docs/content/error/$rootScope/infdig.ngdoc
@@ -4,7 +4,7 @@
 @description
 
 This error occurs when the application's model becomes unstable and each `$digest` cycle triggers a state change and subsequent `$digest` cycle.
-Angular detects this situation and prevents an infinite loop from causing the browser to become unresponsive.
+AngularJS detects this situation and prevents an infinite loop from causing the browser to become unresponsive.
 
 For example, the situation can occur by setting up a watch on a path and subsequently updating the same path when the value changes.
 
@@ -26,7 +26,7 @@ $scope.getUsers = function() {
 };
 ```
 
-Since `getUsers()` returns a new array, Angular determines that the model is different on each `$digest`
+Since `getUsers()` returns a new array, AngularJS determines that the model is different on each `$digest`
 cycle, resulting in the error.  The solution is to return the same array object if the elements have
 not changed:
 
diff --git a/docs/content/error/$rootScope/inprog.ngdoc b/docs/content/error/$rootScope/inprog.ngdoc
index fab262072880..6a4549c0e001 100644
--- a/docs/content/error/$rootScope/inprog.ngdoc
+++ b/docs/content/error/$rootScope/inprog.ngdoc
@@ -10,17 +10,17 @@ the error.
 
 ## Background
 
-Angular uses a dirty-checking digest mechanism to monitor and update values of the scope during
+AngularJS uses a dirty-checking digest mechanism to monitor and update values of the scope during
 the processing of your application.  The digest works by checking all the values that are being
 watched against their previous value and running any watch handlers that have been defined for those
 values that have changed.
 
 This digest mechanism is triggered by calling `$digest` on a scope object.  Normally you do not need
 to trigger a digest manually, because every external action that can trigger changes in your
-application, such as mouse events, timeouts or server responses, wrap the Angular application code
+application, such as mouse events, timeouts or server responses, wrap the AngularJS application code
 in a block of code that will run `$digest` when the code completes.
 
-You wrap Angular code in a block that will be followed by a `$digest` by calling `$apply` on a scope
+You wrap AngularJS code in a block that will be followed by a `$digest` by calling `$apply` on a scope
 object.  So, in pseudo-code, the process looks like this:
 
 ```
@@ -45,20 +45,20 @@ $apply = function(fn) {
 
 ## Digest Phases
 
-Angular keeps track of what phase of processing we are in, the relevant ones being `$apply` and
+AngularJS keeps track of what phase of processing we are in, the relevant ones being `$apply` and
 `$digest`.  Trying to reenter a `$digest` or `$apply` while one of them is already in progress is
-typically a sign of programming error that needs to be fixed. So Angular will throw this error when
+typically a sign of programming error that needs to be fixed. So AngularJS will throw this error when
 that occurs.
 
 In most situations it should be well defined whether a piece of code will be run inside an `$apply`,
 in which case you should not be calling `$apply` or `$digest`, or it will be run outside, in which
-case you should wrap any code that will be interacting with Angular scope or services, in a call to
+case you should wrap any code that will be interacting with AngularJS scope or services, in a call to
 `$apply`.
 
-As an example, all Controller code should expect to be run within Angular, so it should have no need
+As an example, all Controller code should expect to be run within AngularJS, so it should have no need
 to call `$apply` or `$digest`.  Conversely, code that is being trigger directly as a call back to
 some external event, from the DOM or 3rd party library, should expect that it is never called from
-within Angular, and so any Angular application code that it calls should first be wrapped in a call
+within AngularJS, and so any AngularJS application code that it calls should first be wrapped in a call
 to $apply.
 
 ## Common Causes
@@ -84,8 +84,8 @@ function MyController($scope, thirdPartyComponent) {
 }
 ```
 
-We expect that our callback will be called asynchronously, and so from outside Angular. Therefore, we
-correctly wrap our application code that interacts with Angular in a call to `$apply`.
+We expect that our callback will be called asynchronously, and so from outside AngularJS. Therefore, we
+correctly wrap our application code that interacts with AngularJS in a call to `$apply`.
 
 The problem comes if `getData()` decides to call the callback handler synchronously; perhaps it has
 the data already cached in memory and so it immediately calls the callback to return the data,
@@ -116,7 +116,7 @@ that the code will be called in a single `$apply` block.
 ### Triggering Events Programmatically
 
 The other situation that often leads to this error is when you trigger code (such as a DOM event)
-programmatically (from within Angular), which is normally called by an external trigger.
+programmatically (from within AngularJS), which is normally called by an external trigger.
 
 For example, consider a directive that will set focus on an input control when a value in the scope
 is true:
@@ -161,7 +161,7 @@ In this second scenario, we are already inside a `$digest` when the ngFocus dire
 call to `$apply()`, causing this error to be thrown.
 
 It is possible to workaround this problem by moving the call to set the focus outside of the digest,
-by using `$timeout(fn, 0, false)`, where the `false` value tells Angular not to wrap this `fn` in an
+by using `$timeout(fn, 0, false)`, where the `false` value tells AngularJS not to wrap this `fn` in an
 `$apply` block:
 
 ```
@@ -203,7 +203,7 @@ Once you have identified this call you work your way up the stack to see what th
 called from within an `$apply`/`$digest`.  It may be a simple oversight or maybe it fits with the
 sync/async scenario described earlier.
 
-* If the second call was made inside an Angular directive then it is likely that it matches the second
+* If the second call was made inside an AngularJS directive then it is likely that it matches the second
 programmatic event trigger scenario described earlier.  In this case you may need to look further up
 the tree to what triggered the event in the first place.
 
@@ -259,11 +259,11 @@ $get.g.$apply angular.js:12742                   <--- $apply
 q angular.js:320
 ```
 
-We can see (even though the Angular code is minified) that there were two calls to `$apply`, first
+We can see (even though the AngularJS code is minified) that there were two calls to `$apply`, first
 on line `19833`, then on line `12738` of `angular.js`.
 
 It is this second call that caused the error.  If we look at the angular.js code, we can see that
-this call is made by an Angular directive.
+this call is made by an AngularJS directive.
 
 ```
 var ngEventDirectives = {};
@@ -308,5 +308,5 @@ We can now see that the second `$apply` was caused by us programmatically trigge
 `$timeout` as described above.
 
 ## Further Reading
-To learn more about Angular processing model please check out the
+To learn more about AngularJS processing model please check out the
 {@link guide/concepts concepts doc} as well as the {@link ng.$rootScope.Scope api} doc.
diff --git a/docs/content/error/$sanitize/noinert.ngdoc b/docs/content/error/$sanitize/noinert.ngdoc
index 0562016bede1..3eb5944eb3c5 100644
--- a/docs/content/error/$sanitize/noinert.ngdoc
+++ b/docs/content/error/$sanitize/noinert.ngdoc
@@ -7,4 +7,4 @@ This error occurs when `$sanitize` sanitizer determines that `document.implement
 
 This api is necessary for safe parsing of HTML strings into DOM trees and without it the sanitizer can't sanitize the input.
 
-The api is present in all supported browsers including IE 9.0, so the presence of this error usually indicates that Angular's `$sanitize` is being used on an unsupported platform.
+The api is present in all supported browsers including IE 9.0, so the presence of this error usually indicates that AngularJS's `$sanitize` is being used on an unsupported platform.
diff --git a/docs/content/error/$sce/insecurl.ngdoc b/docs/content/error/$sce/insecurl.ngdoc
index acd1248dfea9..fde7e22fb7c2 100644
--- a/docs/content/error/$sce/insecurl.ngdoc
+++ b/docs/content/error/$sce/insecurl.ngdoc
@@ -5,10 +5,10 @@
 
 AngularJS' {@link ng.$sce Strict Contextual Escaping (SCE)} mode (enabled by default) has blocked loading a resource from an insecure URL.
 
-Typically, this would occur if you're attempting to load an Angular template from an untrusted source.
+Typically, this would occur if you're attempting to load an AngularJS template from an untrusted source.
 It's also possible that a custom directive threw this error for a similar reason.
 
-Angular only loads templates from trusted URLs (by calling {@link ng.$sce#getTrustedResourceUrl $sce.getTrustedResourceUrl} on the template URL).
+AngularJS only loads templates from trusted URLs (by calling {@link ng.$sce#getTrustedResourceUrl $sce.getTrustedResourceUrl} on the template URL).
 
 By default, only URLs that belong to the same origin are trusted. These are urls with the same domain, protocol and port as the application document.
 
diff --git a/docs/content/error/$sce/unsafe.ngdoc b/docs/content/error/$sce/unsafe.ngdoc
index 0f24bf7bf4c8..5b6420a1581f 100644
--- a/docs/content/error/$sce/unsafe.ngdoc
+++ b/docs/content/error/$sce/unsafe.ngdoc
@@ -5,10 +5,10 @@
 
 The value provided for use in a specific context was not found to be safe/trusted for use.
 
-Angular's {@link ng.$sce Strict Contextual Escaping (SCE)} mode
+AngularJS's {@link ng.$sce Strict Contextual Escaping (SCE)} mode
 (enabled by default), requires bindings in certain
 contexts to result in a value that is trusted as safe for use in such a context.  (e.g. loading an
-Angular template from a URL requires that the URL is one considered safe for loading resources.)
+AngularJS template from a URL requires that the URL is one considered safe for loading resources.)
 
 This helps prevent XSS and other security issues.  Read more at
 {@link ng.$sce Strict Contextual Escaping (SCE)}
diff --git a/docs/content/error/jqLite/nosel.ngdoc b/docs/content/error/jqLite/nosel.ngdoc
index a70e05bbf47e..fa0a1cf7dbdb 100644
--- a/docs/content/error/jqLite/nosel.ngdoc
+++ b/docs/content/error/jqLite/nosel.ngdoc
@@ -3,9 +3,9 @@
 @fullName Unsupported Selector Lookup
 @description
 
-In order to keep Angular small, Angular implements only a subset of the selectors in {@link angular.element#angular-s-jqlite jqLite}.
+In order to keep AngularJS small, AngularJS implements only a subset of the selectors in {@link angular.element#angular-s-jqlite jqLite}.
 This error occurs when a jqLite instance is invoked with a selector other than this subset.
 
 In order to resolve this error, rewrite your code to only use tag name selectors and manually traverse the DOM using the APIs provided by jqLite.
 
-Alternatively, you can include a full version of jQuery, which Angular will automatically use and that will make all selectors available.
+Alternatively, you can include a full version of jQuery, which AngularJS will automatically use and that will make all selectors available.
diff --git a/docs/content/error/ng/test.ngdoc b/docs/content/error/ng/test.ngdoc
index 42f83ae67977..7088f5c8ee43 100644
--- a/docs/content/error/ng/test.ngdoc
+++ b/docs/content/error/ng/test.ngdoc
@@ -3,7 +3,7 @@
 @fullName Testability Not Found
 @description
 
-Angular's testability helper, getTestability, requires a root element to be
-passed in. This helps differentiate between different Angular apps on the same
+AngularJS's testability helper, getTestability, requires a root element to be
+passed in. This helps differentiate between different AngularJS apps on the same
 page. This error is thrown when no injector is found for root element. It is
 often because the root element is outside of the ng-app.
diff --git a/docs/content/error/ngModel/datefmt.ngdoc b/docs/content/error/ngModel/datefmt.ngdoc
index 57c2fce1d649..0e174251ad08 100644
--- a/docs/content/error/ngModel/datefmt.ngdoc
+++ b/docs/content/error/ngModel/datefmt.ngdoc
@@ -5,7 +5,7 @@
 
 All date-related inputs like `<input type="date">` require the model to be a `Date` object.
 If the model is something else, this error will be thrown.
-Angular does not set validation errors on the `<input>` in this case
+AngularJS does not set validation errors on the `<input>` in this case
 as those errors are shown to the user, but the erroneous state was
 caused by incorrect application logic and not by the user.
 
diff --git a/docs/content/error/ngModel/numfmt.ngdoc b/docs/content/error/ngModel/numfmt.ngdoc
index 7d32fc595b3c..5eee0c34337c 100644
--- a/docs/content/error/ngModel/numfmt.ngdoc
+++ b/docs/content/error/ngModel/numfmt.ngdoc
@@ -7,7 +7,7 @@ The `input[number]` and `input[range]` directives require the model to be a `num
 
 If the model is something else, this error will be thrown.
 
-Angular does not set validation errors on the `<input>` in this case
+AngularJS does not set validation errors on the `<input>` in this case
 as this error is caused by incorrect application logic and not by bad input from the user.
 
 If your model does not contain actual numbers then it is up to the application developer
diff --git a/docs/content/guide/$location.ngdoc b/docs/content/guide/$location.ngdoc
index a857d1de3530..bff9722f6ee5 100644
--- a/docs/content/guide/$location.ngdoc
+++ b/docs/content/guide/$location.ngdoc
@@ -48,7 +48,7 @@ changes to `$location` are reflected into the browser address bar.
   </tr>
 
   <tr>
-    <td class="head">integration with angular application life-cycle</td>
+    <td class="head">integration with AngularJS application life-cycle</td>
     <td>none</td>
     <td>knows about all internal life-cycle phases, integrates with {@link ng.$rootScope.Scope#$watch $watch}, ...</td>
   </tr>
@@ -224,7 +224,7 @@ facilitate the browser URL change and history management.
 ## Hashbang mode (default mode)
 
 In this mode, `$location` uses Hashbang URLs in all browsers.
-Angular also does not intercept and rewrite links in this mode. I.e. links work
+AngularJS also does not intercept and rewrite links in this mode. I.e. links work
 as expected and also perform full page reloads when other parts of the url
 than the hash fragment was changed.
 
@@ -267,7 +267,7 @@ having to worry about whether the browser displaying your app supports the histo
 - Opening a regular URL in a legacy browser -> redirects to a hashbang URL
 - Opening hashbang URL in a modern browser -> rewrites to a regular URL
 
-Note that in this mode, Angular intercepts all links (subject to the "Html link rewriting" rules below)
+Note that in this mode, AngularJS intercepts all links (subject to the "Html link rewriting" rules below)
 and updates the url in a way that never performs a full page reload.
 
 
@@ -353,7 +353,7 @@ Note that [attribute name normalization](guide/directive#normalization) does not
 
 ### Relative links
 
-Be sure to check all relative links, images, scripts etc. Angular requires you to specify the url
+Be sure to check all relative links, images, scripts etc. AngularJS requires you to specify the url
 base in the head of your main html file (`<base href="/my-base/index.html">`) unless `html5Mode.requireBase`
 is set to `false` in the html5Mode definition object passed to `$locationProvider.html5Mode()`. With
 that, relative urls will always be resolved to this base url, even if the initial url of the
@@ -368,7 +368,7 @@ to anchors on the same page without needing to know on which page the user curre
 
 Using this mode requires URL rewriting on server side, basically you have to rewrite all your links
 to entry point of your application (e.g. index.html). Requiring a `<base>` tag is also important for
-this case, as it allows Angular to differentiate between the part of the url that is the application
+this case, as it allows AngularJS to differentiate between the part of the url that is the application
 base and the path that should be handled by the application.
 
 ### Base href constraints
@@ -718,14 +718,14 @@ use a lower level API, {@link ng.$window $window.location.href}.
 
 ## Using $location outside of the scope life-cycle
 
-`$location` knows about Angular's {@link ng.$rootScope.Scope scope} life-cycle. When a URL changes in
+`$location` knows about AngularJS's {@link ng.$rootScope.Scope scope} life-cycle. When a URL changes in
 the browser it updates the `$location` and calls `$apply` so that all
 {@link ng.$rootScope.Scope#$watch $watchers} /
 {@link ng.$compile.directive.Attributes#$observe $observers} are notified.
 When you change the `$location` inside the `$digest` phase everything is ok; `$location` will
 propagate this change into browser and will notify all the {@link ng.$rootScope.Scope#$watch $watchers} /
 {@link ng.$compile.directive.Attributes#$observe $observers}.
-When you want to change the `$location` from outside Angular (for example, through a DOM Event or
+When you want to change the `$location` from outside AngularJS (for example, through a DOM Event or
 during testing) - you must call `$apply` to propagate the changes.
 
 ## $location.path() and ! or / prefixes
@@ -777,7 +777,7 @@ describe('serviceUnderTest', function() {
 
 # Migrating from earlier AngularJS releases
 
-In earlier releases of Angular, `$location` used `hashPath` or `hashSearch` to process path and
+In earlier releases of AngularJS, `$location` used `hashPath` or `hashSearch` to process path and
 search methods. With this release, the `$location` service processes path and search methods and
 then uses the information it obtains to compose hashbang URLs (such as
 `http://server.com/#!/path?search=a`), when necessary.
diff --git a/docs/content/guide/accessibility.ngdoc b/docs/content/guide/accessibility.ngdoc
index 33b8f72f43cf..c97aa51ae875 100644
--- a/docs/content/guide/accessibility.ngdoc
+++ b/docs/content/guide/accessibility.ngdoc
@@ -6,7 +6,7 @@
 
 # Accessibility with ngAria
 
-The goal of ngAria is to improve Angular's default accessibility by enabling common
+The goal of ngAria is to improve AngularJS's default accessibility by enabling common
 [ARIA](http://www.w3.org/TR/wai-aria/) attributes that convey state or semantic information for
 assistive technologies used by persons with disabilities.
 
@@ -109,11 +109,11 @@ attributes (if they have not been explicitly specified by the developer):
           function isEmpty(value) {
             return !value;
           }
-          
+
           function render() {
             elem[ctrl.$viewValue ? 'addClass' : 'removeClass']('checked');
           }
-     
+
           function toggleCheckbox() {
             ctrl.$setViewValue(!ctrl.$viewValue);
             ctrl.$render();
@@ -420,7 +420,7 @@ tell ngAria to ignore the attribute globally.
 
 ## Common Accessibility Patterns
 
-Accessibility best practices that apply to web apps in general also apply to Angular.
+Accessibility best practices that apply to web apps in general also apply to AngularJS.
 
  * **Text alternatives**: Add alternate text content to make visual information accessible using
  [these W3C guidelines](http://www.w3.org/TR/html-alt-techniques/). The appropriate technique
diff --git a/docs/content/guide/animations.ngdoc b/docs/content/guide/animations.ngdoc
index cb59791e0a58..2f9d165e8cac 100644
--- a/docs/content/guide/animations.ngdoc
+++ b/docs/content/guide/animations.ngdoc
@@ -255,7 +255,7 @@ myModule.directive('my-directive', ['$animate', function($animate) {
 
 ## Animations on app bootstrap / page load
 
-By default, animations are disabled when the Angular app {@link guide/bootstrap bootstraps}. If you are using the {@link ngApp} directive,
+By default, animations are disabled when the AngularJS app {@link guide/bootstrap bootstraps}. If you are using the {@link ngApp} directive,
 this happens in the `DOMContentLoaded` event, so immediately after the page has been loaded.
 Animations are disabled, so that UI and content are instantly visible. Otherwise, with many animations on
 the page, the loading process may become too visually overwhelming, and the performance may suffer.
@@ -421,7 +421,7 @@ than any styles that are independent from ngAnimate.
 You can also use one of the two other {@link guide/animations#how-to-selectively-enable-disable-and-skip-animations strategies to disable animations}.
 
 
-### Enable animations for elements outside of the Angular application DOM tree: {@link ng.$animate#pin $animate.pin()}
+### Enable animations for elements outside of the AngularJS application DOM tree: {@link ng.$animate#pin $animate.pin()}
 
 Before animating, `ngAnimate` checks to see if the element being animated is inside the application DOM tree,
 and if it is not, no animation is run. Usually, this is not a problem as most apps use the `ngApp`
diff --git a/docs/content/guide/bootstrap.ngdoc b/docs/content/guide/bootstrap.ngdoc
index 15d4ae9a13af..bd13ec1b1d8e 100644
--- a/docs/content/guide/bootstrap.ngdoc
+++ b/docs/content/guide/bootstrap.ngdoc
@@ -5,13 +5,13 @@
 
 # Bootstrap
 
-This page explains the Angular initialization process and how you can manually initialize Angular
+This page explains the AngularJS initialization process and how you can manually initialize AngularJS
 if necessary.
 
 
-## Angular `<script>` Tag
+## AngularJS `<script>` Tag
 
-This example shows the recommended path for integrating Angular with what we call automatic
+This example shows the recommended path for integrating AngularJS with what we call automatic
 initialization.
 
 
@@ -35,7 +35,7 @@ initialization.
     * Choose: `angular-[version].min.js` for a compressed and obfuscated file, suitable for use in
       production.
   2. Place `ng-app` to the root of your application, typically on the `<html>` tag if you want
-    angular to auto-bootstrap your application.
+    AngularJS to auto-bootstrap your application.
 
         <html ng-app>
 
@@ -51,16 +51,16 @@ initialization.
 
 <img class="pull-right" style="padding-left: 3em;" src="img/guide/concepts-startup.png">
 
-Angular initializes automatically upon `DOMContentLoaded` event or when the `angular.js` script is
-evaluated if at that time `document.readyState` is set to `'complete'`. At this point Angular looks
+AngularJS initializes automatically upon `DOMContentLoaded` event or when the `angular.js` script is
+evaluated if at that time `document.readyState` is set to `'complete'`. At this point AngularJS looks
 for the {@link ng.directive:ngApp `ngApp`} directive which designates your application root.
-If the {@link ng.directive:ngApp `ngApp`} directive is found then Angular will:
+If the {@link ng.directive:ngApp `ngApp`} directive is found then AngularJS will:
 
   * load the {@link guide/module module} associated with the directive.
   * create the application {@link auto.$injector injector}
   * compile the DOM treating the {@link ng.directive:ngApp
     `ngApp`} directive as the root of the compilation. This allows you to tell it to treat only a
-    portion of the DOM as an Angular application.
+    portion of the DOM as an AngularJS application.
 
 
 ```html
@@ -96,9 +96,9 @@ for more.
 
 If you need to have more control over the initialization process, you can use a manual
 bootstrapping method instead. Examples of when you'd need to do this include using script loaders
-or the need to perform an operation before Angular compiles a page.
+or the need to perform an operation before AngularJS compiles a page.
 
-Here is an example of manually initializing Angular:
+Here is an example of manually initializing AngularJS:
 
 ```html
 <!doctype html>
diff --git a/docs/content/guide/compiler.ngdoc b/docs/content/guide/compiler.ngdoc
index 28a4eb0ff400..b49e497ee5c5 100644
--- a/docs/content/guide/compiler.ngdoc
+++ b/docs/content/guide/compiler.ngdoc
@@ -10,15 +10,15 @@
 
 If you're just getting started, we recommend the {@link tutorial/ tutorial} first.
 If you just want to create custom directives, we recommend the {@link guide/directive directives guide}.
-If you want a deeper look into Angular's compilation process, you're in the right place.
+If you want a deeper look into AngularJS's compilation process, you're in the right place.
 </div>
 
 
 ## Overview
 
-Angular's {@link ng.$compile HTML compiler} allows the developer to teach the
+AngularJS's {@link ng.$compile HTML compiler} allows the developer to teach the
 browser new HTML syntax. The compiler allows you to attach behavior to any HTML element or attribute
-and even create new HTML elements or attributes with custom behavior. Angular calls these behavior
+and even create new HTML elements or attributes with custom behavior. AngularJS calls these behavior
 extensions {@link ng.$compileProvider#directive directives}.
 
 HTML has a lot of constructs for formatting the HTML for static documents in a declarative fashion.
@@ -31,7 +31,7 @@ However, the declarative language is also limited, as it does not allow you to t
 syntax. For example, there is no easy way to get the browser to align the text at 1/3 the position
 instead of 1/2. What is needed is a way to teach the browser new HTML syntax.
 
-Angular comes pre-bundled with common directives which are useful for building any app. We also
+AngularJS comes pre-bundled with common directives which are useful for building any app. We also
 expect that you will create directives that are specific to your app. These extensions become a
 Domain Specific Language for building your application.
 
@@ -41,7 +41,7 @@ involved.
 
 ## Compiler
 
-Compiler is an Angular service which traverses the DOM looking for attributes. The compilation
+Compiler is an AngularJS service which traverses the DOM looking for attributes. The compilation
 process happens in two phases.
 
   1. **Compile:** traverse the DOM and collect all of the directives. The result is a linking
@@ -142,16 +142,16 @@ This means that any changes to the data need to be re-merged with the template a
 3. managing the whole update process
 4. lack of behavior expressiveness
 
-Angular is different. The Angular compiler consumes the DOM, not string templates.
+AngularJS is different. The AngularJS compiler consumes the DOM, not string templates.
 The result is a linking function, which when combined with a scope model results in a live view. The
 view and scope model bindings are transparent. The developer does not need to make any special calls to update
 the view. And because `innerHTML` is not used, you won't accidentally clobber user input.
-Furthermore, Angular directives can contain not just text bindings, but behavioral constructs as
+Furthermore, AngularJS directives can contain not just text bindings, but behavioral constructs as
 well.
 
 <img src="img/Two_Way_Data_Binding.png">
 
-The Angular approach produces a stable DOM. The DOM element instance bound to a model
+The AngularJS approach produces a stable DOM. The DOM element instance bound to a model
 item instance does not change for the lifetime of the binding. This means that the code can get
 hold of the elements and register event handlers and know that the reference will not be destroyed
 by template data merge.
@@ -160,7 +160,7 @@ by template data merge.
 
 ## How directives are compiled
 
-It's important to note that Angular operates on DOM nodes rather than strings. Usually, you don't
+It's important to note that AngularJS operates on DOM nodes rather than strings. Usually, you don't
 notice this restriction because when a page loads, the web browser parses HTML into the DOM automatically.
 
 HTML compilation happens in three phases:
@@ -186,7 +186,7 @@ The result of this is a live binding between the scope and the DOM. So at this p
 a model on the compiled scope will be reflected in the DOM.
 
 Below is the corresponding code using the `$compile` service.
-This should help give you an idea of what Angular does internally.
+This should help give you an idea of what AngularJS does internally.
 
 ```js
   var $compile = ...; // injected into your code
diff --git a/docs/content/guide/component-router.ngdoc b/docs/content/guide/component-router.ngdoc
index 70e8e7bb9672..06a16cf4a57f 100644
--- a/docs/content/guide/component-router.ngdoc
+++ b/docs/content/guide/component-router.ngdoc
@@ -6,18 +6,17 @@
 # Component Router
 
 <div class="alert alert-info">
-**Deprecation Notice:** In an effort to keep synchronized with router changes in Angular 2, this implementation of the Component Router (ngComponentRouter module) has been deprecated and will not receive further updates.
-We are investigating backporting the Angular 2 Router to Angular 1, but alternatively, use the {@link ngRoute} module or community developed projects (e.g. [ui-router](https://github.com/angular-ui/ui-router)).
+**Deprecation Notice:** In an effort to keep synchronized with router changes in the new Angular, this implementation of the Component Router (ngComponentRouter module) has been deprecated and will not receive further updates.
+We are investigating backporting the new Angular Router to AngularJS, but alternatively, use the {@link ngRoute} module or community developed projects (e.g. [ui-router](https://github.com/angular-ui/ui-router)).
 </div>
 
-This guide describes the new Component Router for AngularJS 1.5.
+This guide describes the Component Router for AngularJS.
 
 <div class="alert alert-info">
-  If you are looking for information about the old router for AngularJS 1.4 and
-  earlier have a look at the {@link ngRoute} module.
+  If you are looking for information about the old router for AngularJS have a look at the {@link ngRoute} module.
 
-  If you are looking for information about the Component Router for Angular 2 then
-  check out the [Angular 2 Router Guide](https://angular.io/docs/ts/latest/guide/router.html).
+  If you are looking for information about the Component Router for the new Angular then
+  check out the [Angular Router Guide](https://angular.io/docs/ts/latest/guide/router.html).
 </div>
 
 ## Overview
@@ -29,7 +28,7 @@ Here is a table of the main concepts used in the Component Router.
 | Router                | Displays the Routing Components for the active Route. Manages navigation from one component to the next. |
 | RootRouter            | The top level Router that interacts with the current URL location |
 | RouteConfig           | Configures a Router with RouteDefinitions, each mapping a URL path to a component. |
-| Routing Component     | An Angular component with a RouteConfig and an associated Router. |
+| Routing Component     | An AngularJS component with a RouteConfig and an associated Router. |
 | RouteDefinition       | Defines how the router should navigate to a component based on a URL pattern. |
 | ngOutlet              | The directive (`<ng-outlet>`) that marks where the router should display a view. |
 | ngLink                | The directive (`ng-link="..."`) for binding a clickable HTML element to a route, via a Link Parameters Array. |
@@ -478,7 +477,7 @@ yarn add angular@1.5.x @angular/router@0.2.0
 
 ## Load the scripts
 
-Just like any Angular application, we load the JavaScript files into our `index.html`:
+Just like any AngularJS application, we load the JavaScript files into our `index.html`:
 
 ```html
   <script src="/node_modules/angular/angular.js"></script>
@@ -529,7 +528,7 @@ Configure the top level routed `App` Component.
 
 Create a very simple App Component to test that the application is working.
 
-We are using the Angular 1.5 {@link $compileProvider#component `.component()`} helper method to create
+We are using the AngularJS {@link $compileProvider#component `.component()`} helper method to create
 all the **Components** in our application. It is perfectly suited to this task.
 
 ```js
@@ -550,7 +549,7 @@ must have a base URL.
 
 ## Bootstrap AngularJS
 
-Bootstrap the Angular application and add the top level App Component.
+Bootstrap the AngularJS application and add the top level App Component.
 
 ```html
 <body ng-app="app">
@@ -626,7 +625,7 @@ directive and a **Route Config** that defines a set of child **Routes** which de
 
 ## HeroesComponent
 
-Create a new file `heroes.js`, which defines a new Angular module for the **Components** of this feature
+Create a new file `heroes.js`, which defines a new AngularJS module for the **Components** of this feature
 and registers the Heroes **Component**.
 
 ```js
@@ -816,7 +815,7 @@ This hero is then attached to the **Component** so that it can be accessed in th
 
 **How do I get hold of the current router for my component?**
 
-Each component has its own Router. Unlike in Angular 2, we cannot use the dependency injector to get hold of a component's Router.
+Each component has its own Router. Unlike in the new Angular, we cannot use the dependency injector to get hold of a component's Router.
 We can only inject the `$rootRouter`. Instead we use the fact that the `ng-outlet` directive binds the current router to a `$router`
 attribute on our component.
 
diff --git a/docs/content/guide/component.ngdoc b/docs/content/guide/component.ngdoc
index afc5273640b6..341505ed7dfd 100644
--- a/docs/content/guide/component.ngdoc
+++ b/docs/content/guide/component.ngdoc
@@ -5,17 +5,17 @@
 
 # Understanding Components
 
-In Angular, a Component is a special kind of {@link guide/directive directive} that uses a simpler
+In AngularJS, a Component is a special kind of {@link guide/directive directive} that uses a simpler
 configuration which is suitable for a component-based application structure.
 
-This makes it easier to write an app in a way that's similar to using Web Components or using Angular
-2's style of application architecture.
+This makes it easier to write an app in a way that's similar to using Web Components or using the new Angular's
+style of application architecture.
 
 Advantages of Components:
 - simpler configuration than plain directives
 - promote sane defaults and best practices
 - optimized for component-based architecture
-- writing component directives will make it easier to upgrade to Angular 2
+- writing component directives will make it easier to upgrade to Angular
 
 When not to use Components:
 
@@ -25,7 +25,7 @@ When not to use Components:
 
 ## Creating and configuring a Component
 
-Components can be registered using the `.component()` method of an Angular module (returned by {@link module `angular.module()`}). The method takes two arguments:
+Components can be registered using the `.component()` method of an AngularJS module (returned by {@link module `angular.module()`}). The method takes two arguments:
 
   * The name of the Component (as string).
   * The Component config object. (Note that, unlike the `.directive()` method, this method does **not** take a factory function.)
@@ -95,14 +95,14 @@ a component-based architecture. But what makes a component beyond the options th
 the component helper has?
 
 - **Components only control their own View and Data:**
-Components should never modify any data or DOM that is out of their own scope. Normally, in Angular
+Components should never modify any data or DOM that is out of their own scope. Normally, in AngularJS
 it is possible to modify data anywhere in the application through scope inheritance and watches. This
 is practical, but can also lead to problems when it is not clear which part of the application is
 responsible for modifying the data. That is why component directives use an isolate scope, so a whole
 class of scope manipulation is not possible.
 
 - **Components have a well-defined public API - Inputs and Outputs:**
-However, scope isolation only goes so far, because Angular uses two-way binding. So if you pass
+However, scope isolation only goes so far, because AngularJS uses two-way binding. So if you pass
 an object to a component like this - `bindings: {item: '='}`, and modify one of its properties, the
 change will be reflected in the parent component. For components however, only the component that owns
 the data should modify it, to make it easy to reason about what data is changed, and when. For that reason,
@@ -163,7 +163,7 @@ of the component. The following hook methods can be implemented:
     changes. Any actions that you wish to take in response to the changes that you detect must be
     invoked from this hook; implementing this has no effect on when `$onChanges` is called. For example, this hook
     could be useful if you wish to perform a deep equality check, or to check a Date object, changes to which would not
-    be detected by Angular's change detector and thus not trigger `$onChanges`. This hook is invoked with no arguments;
+    be detected by AngularJS's change detector and thus not trigger `$onChanges`. This hook is invoked with no arguments;
     if detecting changes, you must store the previous value(s) for comparison to the current values.
   * `$onDestroy()` - Called on a controller when its containing scope is destroyed. Use this hook for releasing
     external resources, watches and event handlers.
@@ -172,8 +172,8 @@ of the component. The following hook methods can be implemented:
     Note that child elements that contain `templateUrl` directives will not have been compiled and linked since
     they are waiting for their template to load asynchronously and their own compilation and linking has been
     suspended until that occurs.
-    This hook can be considered analogous to the `ngAfterViewInit` and `ngAfterContentInit` hooks in Angular 2.
-    Since the compilation process is rather different in Angular 1 there is no direct mapping and care should
+    This hook can be considered analogous to the `ngAfterViewInit` and `ngAfterContentInit` hooks in Angular.
+    Since the compilation process is rather different in AngularJS there is no direct mapping and care should
     be taken when upgrading.
 
 By implementing these methods, your component can hook into its lifecycle.
diff --git a/docs/content/guide/concepts.ngdoc b/docs/content/guide/concepts.ngdoc
index d3ef180047e0..cc64ddb92e0e 100644
--- a/docs/content/guide/concepts.ngdoc
+++ b/docs/content/guide/concepts.ngdoc
@@ -54,20 +54,20 @@ Try out the Live Preview above, and then let's walk through the example and desc
 
 <img class="pull-right" style="padding-left: 3em; padding-bottom: 1em;" src="img/guide/concepts-databinding1.png">
 
-This looks like normal HTML, with some new markup. In Angular, a file like this is called a
-<a name="template">{@link templates template}</a>. When Angular starts your application, it parses and
+This looks like normal HTML, with some new markup. In AngularJS, a file like this is called a
+<a name="template">{@link templates template}</a>. When AngularJS starts your application, it parses and
 processes this new markup from the template using the <a name="compiler">{@link compiler compiler}</a>.
 The loaded, transformed and rendered DOM is then called the <a name="view"></a>*view*.
 
 The first kind of new markup are the <a name="directive">{@link directive directives}</a>.
 They apply special behavior to attributes or elements in the HTML. In the example above we use the
 {@link ng.directive:ngApp `ng-app`} attribute, which is linked to a directive that automatically
-initializes our application. Angular also defines a directive for the {@link ng.directive:input `input`}
+initializes our application. AngularJS also defines a directive for the {@link ng.directive:input `input`}
 element that adds extra behavior to the element. The {@link ng.directive:ngModel `ng-model`} directive
 stores/updates the value of the input field into/from a variable.
 
 <div class="alert alert-info">
-**Custom directives to access the DOM**: In Angular, the only place where an application should access the DOM is
+**Custom directives to access the DOM**: In AngularJS, the only place where an application should access the DOM is
  within directives. This is important because artifacts that access the DOM are hard to test.
  If you need to access the DOM directly you should write a custom directive for this. The
  {@link directive directives guide} explains how to do this.
@@ -76,12 +76,12 @@ stores/updates the value of the input field into/from a variable.
 The second kind of new markup are the double curly braces `{{ expression | filter }}`:
 When the compiler encounters this markup, it will replace it with the evaluated value of the markup.
 An <a name="expression">{@link expression expression}</a> in a template is a JavaScript-like code snippet that allows
-Angular to read and write variables. Note that those variables are not global variables.
+AngularJS to read and write variables. Note that those variables are not global variables.
 Just like variables in a JavaScript function live in a scope,
-Angular provides a <a name="scope">{@link scope scope}</a> for the variables accessible to expressions.
+AngularJS provides a <a name="scope">{@link scope scope}</a> for the variables accessible to expressions.
 The values that are stored in variables on the scope are referred to as the <a name="model"></a>*model*
 in the rest of the documentation.
-Applied to the example above, the markup directs Angular to "take the data we got from the input widgets
+Applied to the example above, the markup directs AngularJS to "take the data we got from the input widgets
 and multiply them together".
 
 The example above also contains a <a name="filter">{@link guide/filter filter}</a>.
@@ -89,7 +89,7 @@ A filter formats the value of an expression for display to the user.
 In the example above, the filter {@link ng.filter:currency `currency`} formats a number
 into an output that looks like money.
 
-The important thing in the example is that Angular provides _live_ bindings:
+The important thing in the example is that AngularJS provides _live_ bindings:
 Whenever the input values change, the value of the expressions are automatically
 recalculated and the DOM is updated with their values.
 The concept behind this is <a name="databinding">{@link databinding two-way data binding}</a>.
@@ -157,9 +157,9 @@ expressions and directives.
 
 Besides the new file that contains the controller code, we also added an
 {@link ng.directive:ngController `ng-controller`} directive to the HTML.
-This directive tells Angular that the new `InvoiceController` is responsible for the element with the directive
+This directive tells AngularJS that the new `InvoiceController` is responsible for the element with the directive
 and all of the element's children.
-The syntax `InvoiceController as invoice` tells Angular to instantiate the controller
+The syntax `InvoiceController as invoice` tells AngularJS to instantiate the controller
 and save it in the variable `invoice` in the current scope.
 
 We also changed all expressions in the page to read and write variables within that
@@ -260,22 +260,22 @@ get a hold of the now separated function?
 This is where <a name="di">{@link di Dependency Injection}</a> comes into play.
 Dependency Injection (DI) is a software design pattern that
 deals with how objects and functions get created and how they get a hold of their dependencies.
-Everything within Angular (directives, filters, controllers,
-services, ...) is created and wired using dependency injection. Within Angular,
+Everything within AngularJS (directives, filters, controllers,
+services, ...) is created and wired using dependency injection. Within AngularJS,
 the DI container is called the <a name="injector">{@link di injector}</a>.
 
 To use DI, there needs to be a place where all the things that should work together are registered.
-In Angular, this is the purpose of the <a name="module">{@link module modules}</a>.
-When Angular starts, it will use the configuration of the module with the name defined by the `ng-app` directive,
+In AngularJS, this is the purpose of the <a name="module">{@link module modules}</a>.
+When AngularJS starts, it will use the configuration of the module with the name defined by the `ng-app` directive,
 including the configuration of all modules that this module depends on.
 
 In the example above:
-The template contains the directive `ng-app="invoice2"`. This tells Angular
+The template contains the directive `ng-app="invoice2"`. This tells AngularJS
 to use the `invoice2` module as the main module for the application.
 The code snippet `angular.module('invoice2', ['finance2'])`  specifies that the `invoice2` module depends on the
-`finance2` module. By this, Angular uses the `InvoiceController` as well as the `currencyConverter` service.
+`finance2` module. By this, AngularJS uses the `InvoiceController` as well as the `currencyConverter` service.
 
-Now that Angular knows of all the parts of the application, it needs to create them.
+Now that AngularJS knows of all the parts of the application, it needs to create them.
 In the previous section we saw that controllers are created using a constructor function.
 For services, there are multiple ways to specify how they are created
 (see the {@link services service guide}).
@@ -284,24 +284,24 @@ In the example above, we are using an anonymous function as the factory function
 This function should return the `currencyConverter` service instance.
 
 Back to the initial question: How does the `InvoiceController` get a reference to the `currencyConverter` function?
-In Angular, this is done by simply defining arguments on the constructor function. With this, the injector
+In AngularJS, this is done by simply defining arguments on the constructor function. With this, the injector
 is able to create the objects in the right order and pass the previously created objects into the
 factories of the objects that depend on them.
-In our example, the `InvoiceController` has an argument named `currencyConverter`. By this, Angular knows about the
+In our example, the `InvoiceController` has an argument named `currencyConverter`. By this, AngularJS knows about the
 dependency between the controller and the service and calls the controller with the service instance as argument.
 
 The last thing that changed in the example between the previous section and this section is that we
 now pass an array to the `module.controller` function, instead of a plain function. The array first
 contains the names of the service dependencies that the controller needs. The last entry
 in the array is the controller constructor function.
-Angular uses this array syntax to define the dependencies so that the DI also works after minifying
+AngularJS uses this array syntax to define the dependencies so that the DI also works after minifying
 the code, which will most probably rename the argument name of the controller constructor function
 to something shorter like `a`.
 
 ## Accessing the backend
 
 Let's finish our example by fetching the exchange rates from the Yahoo Finance API.
-The following example shows how this is done with Angular:
+The following example shows how this is done with AngularJS:
 
 <example name="guide-concepts-3" ng-app-included="true">
   <file name="invoice3.js">
@@ -380,7 +380,7 @@ The following example shows how this is done with Angular:
 
 What changed?
 Our `currencyConverter` service of the `finance` module now uses the {@link ng.$http `$http`}, a
-built-in service provided by Angular for accessing a server backend. `$http` is a wrapper around
+built-in service provided by AngularJS for accessing a server backend. `$http` is a wrapper around
 [`XMLHttpRequest`](https://developer.mozilla.org/en-US/docs/Web/API/XMLHttpRequest)
 and [JSONP](http://en.wikipedia.org/wiki/JSONP) transports.
 
diff --git a/docs/content/guide/controller.ngdoc b/docs/content/guide/controller.ngdoc
index 748de9b4c2aa..79bb77e0c378 100644
--- a/docs/content/guide/controller.ngdoc
+++ b/docs/content/guide/controller.ngdoc
@@ -5,11 +5,11 @@
 
 # Understanding Controllers
 
-In Angular, a Controller is defined by a JavaScript **constructor function** that is used to augment the
-{@link scope Angular Scope}.
+In AngularJS, a Controller is defined by a JavaScript **constructor function** that is used to augment the
+{@link scope AngularJS Scope}.
 
 When a Controller is attached to the DOM via the {@link ng.directive:ngController ng-controller}
-directive, Angular will instantiate a new Controller object, using the specified Controller's
+directive, AngularJS will instantiate a new Controller object, using the specified Controller's
 **constructor function**. A new **child scope** will be created and made available as an injectable
 parameter to the Controller's constructor function as `$scope`.
 
@@ -24,18 +24,18 @@ Use controllers to:
 Do not use controllers to:
 
 - Manipulate DOM — Controllers should contain only business logic.
-  Putting any presentation logic into Controllers significantly affects its testability. Angular
+  Putting any presentation logic into Controllers significantly affects its testability. AngularJS
   has {@link databinding databinding} for most cases and {@link guide/directive directives} to
   encapsulate manual DOM manipulation.
-- Format input — Use {@link forms angular form controls} instead.
-- Filter output — Use {@link guide/filter angular filters} instead.
-- Share code or state across controllers — Use {@link services angular
+- Format input — Use {@link forms AngularJS form controls} instead.
+- Filter output — Use {@link guide/filter AngularJS filters} instead.
+- Share code or state across controllers — Use {@link services AngularJS
 services} instead.
 - Manage the life-cycle of other components (for example, to create service instances).
 
 ## Setting up the initial state of a `$scope` object
 
-Typically, when you create an application you need to set up the initial state for the Angular
+Typically, when you create an application you need to set up the initial state for the AngularJS
 `$scope`. You set up the initial state of a scope by attaching properties to the `$scope` object.
 The properties contain the **view model** (the model that will be presented by the view).  All the
 `$scope` properties will be available to the {@link templates template} at the point in the DOM where the Controller
@@ -52,13 +52,13 @@ myApp.controller('GreetingController', ['$scope', function($scope) {
 }]);
 ```
 
-We create an {@link module Angular Module}, `myApp`, for our application. Then we add the controller's
+We create an {@link module AngularJS Module}, `myApp`, for our application. Then we add the controller's
 constructor function to the module using the `.controller()` method. This keeps the controller's
 constructor function out of the global scope.
 
 <div class="alert alert-info">
 We have used an **inline injection annotation** to explicitly specify the dependency
-of the Controller on the `$scope` service provided by Angular. See the guide on
+of the Controller on the `$scope` service provided by AngularJS. See the guide on
 {@link guide/di Dependency Injection} for more information.
 </div>
 
@@ -88,7 +88,7 @@ myApp.controller('DoubleController', ['$scope', function($scope) {
 }]);
 ```
 
-Once the Controller has been attached to the DOM, the `double` method can be invoked in an Angular
+Once the Controller has been attached to the DOM, the `double` method can be invoked in an AngularJS
 expression in the template:
 
 ```js
@@ -99,7 +99,7 @@ expression in the template:
 
 As discussed in the {@link concepts Concepts} section of this guide, any
 objects (or primitives) assigned to the scope become model properties. Any methods assigned to
-the scope are available in the template/view, and can be invoked via angular expressions
+the scope are available in the template/view, and can be invoked via AngularJS expressions
 and `ng` event handler directives (e.g. {@link ng.directive:ngClick ngClick}).
 
 ## Using Controllers Correctly
@@ -113,7 +113,7 @@ This is discussed in the {@link di Dependency Injection}  and  {@link services
 Services} sections of this guide.
 
 
-# Associating Controllers with Angular Scope Objects
+# Associating Controllers with AngularJS Scope Objects
 
 You can associate Controllers with scope objects implicitly via the {@link ng.directive:ngController ngController
 directive} or {@link ngRoute.$route $route service}.
@@ -121,7 +121,7 @@ directive} or {@link ngRoute.$route $route service}.
 
 ## Simple Spicy Controller Example
 
-To illustrate further how Controller components work in Angular, let's create a little app with the
+To illustrate further how Controller components work in AngularJS, let's create a little app with the
 following components:
 
 - A {@link templates template} with two buttons and a simple message
diff --git a/docs/content/guide/css-styling.ngdoc b/docs/content/guide/css-styling.ngdoc
index 1f1bfc178bf0..2bf2a0508aa9 100644
--- a/docs/content/guide/css-styling.ngdoc
+++ b/docs/content/guide/css-styling.ngdoc
@@ -4,38 +4,38 @@
 @description
 
 
-Angular sets these CSS classes. It is up to your application to provide useful styling.
+AngularJS sets these CSS classes. It is up to your application to provide useful styling.
 
-# CSS classes used by angular
+# CSS classes used by AngularJS
 
 * `ng-scope`
-  - **Usage:** angular applies this class to any element for which a new {@link $rootScope scope}
+  - **Usage:** AngularJS applies this class to any element for which a new {@link $rootScope scope}
     is defined. (see {@link guide/scope scope} guide for more information about scopes)
 
 * `ng-isolate-scope`
-  - **Usage:** angular applies this class to any element for which a new
+  - **Usage:** AngularJS applies this class to any element for which a new
     {@link guide/directive#isolating-the-scope-of-a-directive isolate scope} is defined.
 
 * `ng-binding`
-  - **Usage:** angular applies this class to any element that is attached to a data binding, via `ng-bind` or
+  - **Usage:** AngularJS applies this class to any element that is attached to a data binding, via `ng-bind` or
     `{{}}` curly braces, for example. (see {@link guide/databinding databinding} guide)
 
 * `ng-invalid`, `ng-valid`
-  - **Usage:** angular applies this class to a form control widget element if that element's input does
+  - **Usage:** AngularJS applies this class to a form control widget element if that element's input does
     not pass validation. (see {@link ng.directive:input input} directive)
 
 * `ng-pristine`, `ng-dirty`
-  - **Usage:** angular {@link ng.directive:ngModel ngModel} directive applies `ng-pristine` class
+  - **Usage:** AngularJS {@link ng.directive:ngModel ngModel} directive applies `ng-pristine` class
     to a new form control widget which did not have user interaction. Once the user interacts with
     the form control, the class is changed to `ng-dirty`.
 
 * `ng-touched`, `ng-untouched`
-  - **Usage:** angular {@link ng.directive:ngModel ngModel} directive applies `ng-untouched` class
+  - **Usage:** AngularJS {@link ng.directive:ngModel ngModel} directive applies `ng-untouched` class
     to a new form control widget which has not been blurred. Once the user blurs the form control,
     the class is changed to `ng-touched`.
 
 
 ## Related Topics
 
-* {@link guide/templates Angular Templates}
-* {@link guide/forms Angular Forms}
+* {@link guide/templates AngularJS Templates}
+* {@link guide/forms AngularJS Forms}
diff --git a/docs/content/guide/databinding.ngdoc b/docs/content/guide/databinding.ngdoc
index f435c1b3cd02..a9ca961e526e 100644
--- a/docs/content/guide/databinding.ngdoc
+++ b/docs/content/guide/databinding.ngdoc
@@ -5,8 +5,8 @@
 
 # Data Binding
 
-Data-binding in Angular apps is the automatic synchronization of data between the model and view
-components.  The way that Angular implements data-binding lets you treat the model as the
+Data-binding in AngularJS apps is the automatic synchronization of data between the model and view
+components.  The way that AngularJS implements data-binding lets you treat the model as the
 single-source-of-truth in your application.  The view is a projection of the model at all times.
 When the model changes, the view reflects the change, and vice versa.
 
@@ -19,10 +19,10 @@ or related sections of the view are NOT automatically reflected in the view. Wor
 that the user makes to the view are not reflected in the model. This means that the developer has
 to write code that constantly syncs the view with the model and the model with the view.
 
-## Data Binding in Angular Templates
+## Data Binding in AngularJS Templates
 
 <img class="right" src="img/Two_Way_Data_Binding.png"/><br />
-Angular templates work differently. First the template (which is the uncompiled HTML along with
+AngularJS templates work differently. First the template (which is the uncompiled HTML along with
 any additional markup or directives) is compiled on the browser. The compilation step produces a
 live view. Any changes to the view are immediately reflected in the model, and any changes in
 the model are propagated to the view. The model is the single-source-of-truth for the application
@@ -36,5 +36,5 @@ isolation without the view and the related DOM/browser dependency.
 
 ## Related Topics
 
-* {@link scope Angular Scopes}
-* {@link templates Angular Templates}
+* {@link scope AngularJS Scopes}
+* {@link templates AngularJS Templates}
diff --git a/docs/content/guide/decorators.ngdoc b/docs/content/guide/decorators.ngdoc
index d143ac4b287a..2e8bc0e2a528 100644
--- a/docs/content/guide/decorators.ngdoc
+++ b/docs/content/guide/decorators.ngdoc
@@ -13,7 +13,7 @@
 ## What are decorators?
 
 Decorators are a design pattern that is used to separate modification or *decoration* of a class without modifying the
-original source code. In Angular, decorators are functions that allow a service, directive or filter to be modified
+original source code. In AngularJS, decorators are functions that allow a service, directive or filter to be modified
 prior to its usage.
 
 ## How to use decorators
diff --git a/docs/content/guide/di.ngdoc b/docs/content/guide/di.ngdoc
index 0701ef6d1fc8..1b7a0cbbdfc2 100644
--- a/docs/content/guide/di.ngdoc
+++ b/docs/content/guide/di.ngdoc
@@ -8,13 +8,13 @@
 Dependency Injection (DI) is a software design pattern that deals with how components get hold of
 their dependencies.
 
-The Angular injector subsystem is in charge of creating components, resolving their dependencies,
+The AngularJS injector subsystem is in charge of creating components, resolving their dependencies,
 and providing them to other components as requested.
 
 
 ## Using Dependency Injection
 
-DI is pervasive throughout Angular. You can use it when defining components or when providing `run`
+DI is pervasive throughout AngularJS. You can use it when defining components or when providing `run`
 and `config` blocks for a module.
 
 - Components such as services, directives, filters, and animations are defined by an injectable
@@ -100,7 +100,7 @@ Moreover, additional dependencies are made available to Controllers:
 
 ## Dependency Annotation
 
-Angular invokes certain functions (like service factories and controllers) via the injector.
+AngularJS invokes certain functions (like service factories and controllers) via the injector.
 You need to annotate these functions so that the injector knows what services to inject into
 the function. There are three ways of annotating your code with service name information:
 
@@ -204,11 +204,11 @@ angular.module('myApp', [])
     // $rootScope is implicitly injected
   })
   .run(['willBreak', function(willBreak) {
-    // Angular will throw when this runs
+    // AngularJS will throw when this runs
   }]);
 ```
 
-When the `willBreak` service is instantiated, Angular will throw an error because of strict mode.
+When the `willBreak` service is instantiated, AngularJS will throw an error because of strict mode.
 This is useful when using a tool like [ng-annotate](https://github.com/olov/ng-annotate) to
 ensure that all of your application components have annotations.
 
@@ -225,7 +225,7 @@ angular.bootstrap(document, ['myApp'], {
 
 ## Why Dependency Injection?
 
-This section motivates and explains Angular's use of DI. For how to use DI, see above.
+This section motivates and explains AngularJS's use of DI. For how to use DI, see above.
 
 For in-depth discussion about DI, see
 [Dependency Injection](http://en.wikipedia.org/wiki/Dependency_injection) at Wikipedia,
@@ -264,7 +264,7 @@ code that constructs `SomeClass`.
 
 <img class="pull-right" style="padding-left: 3em; padding-bottom: 1em;" src="img/guide/concepts-module-injector.png">
 
-To manage the responsibility of dependency creation, each Angular application has an {@link
+To manage the responsibility of dependency creation, each AngularJS application has an {@link
 angular.injector injector}. The injector is a
 [service locator](http://en.wikipedia.org/wiki/Service_locator_pattern) that is responsible for
 construction and lookup of dependencies.
@@ -290,7 +290,7 @@ myModule.factory('greeter', function($window) {
 ```
 
 Create a new injector that can provide components defined in our `myModule` module and request our
-`greeter` service from the injector. (This is usually done automatically by angular bootstrap).
+`greeter` service from the injector. (This is usually done automatically by AngularJS bootstrap).
 
 ```js
 var injector = angular.injector(['ng', 'myModule']);
@@ -317,7 +317,7 @@ function MyController($scope, greeter) {
 }
 ```
 
-When Angular compiles the HTML, it processes the `ng-controller` directive, which in turn
+When AngularJS compiles the HTML, it processes the `ng-controller` directive, which in turn
 asks the injector to create an instance of the controller and its dependencies.
 
 ```js
@@ -332,6 +332,6 @@ This is the best outcome. The application code simply declares the dependencies
 having to deal with the injector. This setup does not break the Law of Demeter.
 
 <div class="alert alert-info">
-**Note:** Angular uses
+**Note:** AngularJS uses
 [**constructor injection**](http://misko.hevery.com/2009/02/19/constructor-injection-vs-setter-injection/).
 </div>
diff --git a/docs/content/guide/directive.ngdoc b/docs/content/guide/directive.ngdoc
index adf4f41f0404..b573b847d167 100644
--- a/docs/content/guide/directive.ngdoc
+++ b/docs/content/guide/directive.ngdoc
@@ -24,9 +24,9 @@ name, comment or CSS class) that tell AngularJS's **HTML compiler** ({@link ng.$
 to attach a specified behavior to that DOM element (e.g. via event listeners), or even to transform
 the DOM element and its children.
 
-Angular comes with a set of these directives built-in, like `ngBind`, `ngModel`, and `ngClass`.
-Much like you create controllers and services, you can create your own directives for Angular to use.
-When Angular {@link guide/bootstrap bootstraps} your application, the
+AngularJS comes with a set of these directives built-in, like `ngBind`, `ngModel`, and `ngClass`.
+Much like you create controllers and services, you can create your own directives for AngularJS to use.
+When AngularJS {@link guide/bootstrap bootstraps} your application, the
 {@link guide/compiler HTML compiler} traverses the DOM matching directives against the DOM elements.
 
 <div class="alert alert-info">
@@ -41,7 +41,7 @@ mirrors the process of compiling source code in
 
 ## Matching Directives
 
-Before we can write a directive, we need to know how Angular's {@link guide/compiler HTML compiler}
+Before we can write a directive, we need to know how AngularJS's {@link guide/compiler HTML compiler}
 determines when to use a given directive.
 
 Similar to the terminology used when an [element **matches** a selector](https://developer.mozilla.org/en-US/docs/Web/API/Element.matches), we say an element **matches** a
@@ -67,7 +67,7 @@ And the following `<person>` element **matches** the `person` directive:
 
 ### Normalization
 
-Angular **normalizes** an element's tag and attribute name to determine which elements match which
+AngularJS **normalizes** an element's tag and attribute name to determine which elements match which
 directives. We typically refer to directives by their case-sensitive
 [camelCase](http://en.wikipedia.org/wiki/CamelCase) **normalized** name (e.g. `ngModel`).
 However, since HTML is case-insensitive, we refer to directives in the DOM by lower-case
@@ -122,7 +122,7 @@ The other forms shown above are accepted for legacy reasons but we advise you to
 
 `$compile` can match directives based on element names, attributes, class names, as well as comments.
 
-All of the Angular-provided directives match attribute name, tag name, comments, or class name.
+All of the AngularJS-provided directives match attribute name, tag name, comments, or class name.
 The following demonstrates the various ways a directive (`myDir` in this case) can be referenced
 from within a template:
 
@@ -172,7 +172,7 @@ and compilation process.
 directive names. For instance, if you created a `<carousel>` directive, it would be problematic if HTML7
 introduced the same element. A two or three letter prefix (e.g. `btfCarousel`) works well. Similarly, do
 not prefix your own directives with `ng` or they might conflict with directives included in a future
-version of Angular.
+version of AngularJS.
 </div>
 
 For the following examples, we'll use the prefix `my` (e.g. `myCustomer`).
@@ -251,7 +251,7 @@ using `templateUrl` instead:
 </example>
 
 `templateUrl` can also be a function which returns the URL of an HTML template to be loaded and
-used for the directive. Angular will call the `templateUrl` function with two parameters: the
+used for the directive. AngularJS will call the `templateUrl` function with two parameters: the
 element that the directive was called on, and an `attr` object associated with that element.
 
 <div class="alert alert-warning">
@@ -538,7 +538,7 @@ directive logic will be put.
  `link` takes a function with the following signature,
 `function link(scope, element, attrs, controller, transcludeFn) { ... }`, where:
 
-* `scope` is an Angular scope object.
+* `scope` is an AngularJS scope object.
 * `element` is the jqLite-wrapped element that this directive matches.
 * `attrs` is a hash object with key-value pairs of normalized attribute names and their
   corresponding attribute values.
@@ -608,7 +608,7 @@ function.
 We register an event `element.on('$destroy', ...)`. What fires this `$destroy` event?
 
 There are a few special events that AngularJS emits. When a DOM node that has been compiled
-with Angular's compiler is destroyed, it emits a `$destroy` event. Similarly, when an AngularJS
+with AngularJS's compiler is destroyed, it emits a `$destroy` event. Similarly, when an AngularJS
 scope is destroyed, it broadcasts a `$destroy` event to listening scopes.
 
 By listening to this event, you can remove event listeners that might cause memory leaks.
diff --git a/docs/content/guide/e2e-testing.ngdoc b/docs/content/guide/e2e-testing.ngdoc
index 6953d47da81c..4593d10716d3 100644
--- a/docs/content/guide/e2e-testing.ngdoc
+++ b/docs/content/guide/e2e-testing.ngdoc
@@ -7,7 +7,7 @@
 
 <div class="alert alert-danger">
 **Note:** In the past, end-to-end testing could be done with a deprecated tool called
-[Angular Scenario Runner](http://code.angularjs.org/1.2.16/docs/guide/e2e-testing). That tool
+[AngularJS Scenario Runner](http://code.angularjs.org/1.2.16/docs/guide/e2e-testing). That tool
 is now in maintenance mode.
 </div>
 
@@ -19,7 +19,7 @@ these problems.
 
 We have built [Protractor](https://github.com/angular/protractor), an end
 to end test runner which simulates user interactions that will help you verify the health of your
-Angular application.
+AngularJS application.
 
 ## Using Protractor
 
@@ -76,7 +76,7 @@ filter the list of items.
 
 ## Example
 See the [angular-seed](https://github.com/angular/angular-seed) project for more examples, or look
-at the embedded examples in the Angular documentation (For example, {@link $http $http}
+at the embedded examples in the AngularJS documentation (For example, {@link $http $http}
 has an end-to-end test in the example under the `protractor.js` tag).
 
 ## Caveats
diff --git a/docs/content/guide/expression.ngdoc b/docs/content/guide/expression.ngdoc
index 24326b6abae1..9d795349ee92 100644
--- a/docs/content/guide/expression.ngdoc
+++ b/docs/content/guide/expression.ngdoc
@@ -3,13 +3,13 @@
 @sortOrder 270
 @description
 
-# Angular Expressions
+# AngularJS Expressions
 
-Angular expressions are JavaScript-like code snippets that are mainly placed in
+AngularJS expressions are JavaScript-like code snippets that are mainly placed in
 interpolation bindings such as `<span title="{{ attrBinding }}">{{ textBinding }}</span>`,
 but also used directly in directive attributes such as `ng-click="functionExpression()"`.
 
-For example, these are valid expressions in Angular:
+For example, these are valid expressions in AngularJS:
 
   * `1+2`
   * `a+b`
@@ -17,37 +17,37 @@ For example, these are valid expressions in Angular:
   * `items[index]`
 
 
-## Angular Expressions vs. JavaScript Expressions
+## AngularJS Expressions vs. JavaScript Expressions
 
-Angular expressions are like JavaScript expressions with the following differences:
+AngularJS expressions are like JavaScript expressions with the following differences:
 
   * **Context:** JavaScript expressions are evaluated against the global `window`.
-    In Angular, expressions are evaluated against a {@link ng.$rootScope.Scope `scope`} object.
+    In AngularJS, expressions are evaluated against a {@link ng.$rootScope.Scope `scope`} object.
 
   * **Forgiving:** In JavaScript, trying to evaluate undefined properties generates `ReferenceError`
-    or `TypeError`. In Angular, expression evaluation is forgiving to `undefined` and `null`.
+    or `TypeError`. In AngularJS, expression evaluation is forgiving to `undefined` and `null`.
 
   * **Filters:** You can use {@link guide/filter filters} within expressions to format data before
     displaying it.
 
-  * **No Control Flow Statements:** You cannot use the following in an Angular expression:
+  * **No Control Flow Statements:** You cannot use the following in an AngularJS expression:
     conditionals, loops, or exceptions.
 
-  * **No Function Declarations:** You cannot declare functions in an Angular expression,
+  * **No Function Declarations:** You cannot declare functions in an AngularJS expression,
     even inside `ng-init` directive.
 
   * **No RegExp Creation With Literal Notation:** You cannot create regular expressions
-    in an Angular expression.
+    in an AngularJS expression.
 
-  * **No Object Creation With New Operator:** You cannot use `new` operator in an Angular expression.
+  * **No Object Creation With New Operator:** You cannot use `new` operator in an AngularJS expression.
 
   * **No Bitwise, Comma, And Void Operators:** You cannot use
   [Bitwise](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Operators/Bitwise_Operators),
-  `,` or `void` operators in an Angular expression.
+  `,` or `void` operators in an AngularJS expression.
 
 
 If you want to run more complex JavaScript code, you should make it a controller method and call
-the method from your view. If you want to `eval()` an Angular expression yourself, use the
+the method from your view. If you want to `eval()` an AngularJS expression yourself, use the
 {@link ng.$rootScope.Scope#$eval `$eval()`} method.
 
 ## Example
@@ -110,10 +110,10 @@ You can try evaluating different expressions here:
 
 ## Context
 
-Angular does not use JavaScript's `eval()` to evaluate expressions. Instead Angular's
+AngularJS does not use JavaScript's `eval()` to evaluate expressions. Instead AngularJS's
 {@link ng.$parse $parse} service processes these expressions.
 
-Angular expressions do not have direct access to global variables like `window`, `document` or `location`.
+AngularJS expressions do not have direct access to global variables like `window`, `document` or `location`.
 This restriction is intentional. It prevents accidental access to the global state – a common source of subtle bugs.
 
 Instead use services like `$window` and `$location` in functions on controllers, which are then called from expressions.
@@ -180,7 +180,7 @@ Similarly, invoking a function `a.b.c()` on `undefined` or `null` simply returns
 ## No Control Flow Statements
 
 Apart from the ternary operator (`a ? b : c`), you cannot write a control flow statement in an
-expression. The reason behind this is core to the Angular philosophy that application logic should
+expression. The reason behind this is core to the AngularJS philosophy that application logic should
 be in controllers, not the views. If you need a real conditional, loop, or to throw from a view
 expression, delegate to a JavaScript method instead.
 
diff --git a/docs/content/guide/external-resources.ngdoc b/docs/content/guide/external-resources.ngdoc
index bc2063187f52..072d7d7f4abb 100644
--- a/docs/content/guide/external-resources.ngdoc
+++ b/docs/content/guide/external-resources.ngdoc
@@ -3,9 +3,9 @@
 @sortOrder 150
 @description
 
-# External Angular 1 Resources
+# External AngularJS Resources
 
-This is a collection of external, 3rd party resources for learning and developing Angular.
+This is a collection of external, 3rd party resources for learning and developing AngularJS.
 
 ## Articles, Videos, and Projects
 
@@ -21,7 +21,7 @@ This is a collection of external, 3rd party resources for learning and developin
 
 #### Application Structure & Style Guides
 
-* [Angular Styleguide](https://github.com/johnpapa/angular-styleguide/blob/master/a1/README.md)
+* [AngularJS Styleguide](https://github.com/johnpapa/angular-styleguide/blob/master/a1/README.md)
 * [Architecture, file structure, components, one-way dataflow and best practices](https://github.com/toddmotto/angular-styleguide)
 * [When to use directives, controllers or services](http://kirkbushell.me/when-to-use-directives-controllers-or-services-in-angular/)
 * [Service vs Factory](http://blog.thoughtram.io/angular/2015/07/07/service-vs-factory-once-and-for-all.html)
@@ -32,8 +32,8 @@ This is a collection of external, 3rd party resources for learning and developin
 
 #### Mobile
 
-* [Angular on Mobile Guide](http://www.ng-newsletter.com/posts/angular-on-mobile.html)
-* [Angular and Cordova](http://devgirl.org/2013/06/10/quick-start-guide-phonegap-and-angularjs/)
+* [AngularJS on Mobile Guide](http://www.ng-newsletter.com/posts/angular-on-mobile.html)
+* [AngularJS and Cordova](http://devgirl.org/2013/06/10/quick-start-guide-phonegap-and-angularjs/)
 * [Ionic Framework](http://ionicframework.com/)
 
 #### Deployment
@@ -75,12 +75,12 @@ This is a collection of external, 3rd party resources for learning and developin
 * **Getting Started:** [Comparison of the options for starting a new project](http://www.dancancro.com/comparison-of-angularjs-application-starters/)
 * **Debugging:** [Batarang](https://chrome.google.com/webstore/detail/angularjs-batarang/ighdmehidhipcmcojjgiloacoafjmpfk?hl=en)
 * **Editor support:** [Webstorm](http://plugins.jetbrains.com/plugin/6971) (and [video](http://www.youtube.com/watch?v=LJOyrSh1kDU)), [Sublime Text](https://github.com/angular-ui/AngularJS-sublime-package), [Visual Studio](http://madskristensen.net/post/angularjs-intellisense-in-visual-studio-2012), [Atom](https://github.com/angular-ui/AngularJS-Atom), [Vim](https://github.com/burnettk/vim-angular)
-* **Workflow:** [Yeoman.io](https://github.com/yeoman/generator-angular) and [Angular Yeoman Tutorial](http://www.sitepoint.com/kickstart-your-angularjs-development-with-yeoman-grunt-and-bower/)
+* **Workflow:** [Yeoman.io](https://github.com/yeoman/generator-angular) and [AngularJS Yeoman Tutorial](http://www.sitepoint.com/kickstart-your-angularjs-development-with-yeoman-grunt-and-bower/)
 
 ## Complementary Libraries
 
-This is a list of libraries that enhance Angular, add common UI components or integrate with other libraries.
-You can find a larger list of Angular external libraries at [ngmodules.org](http://ngmodules.org/).
+This is a list of libraries that enhance AngularJS, add common UI components or integrate with other libraries.
+You can find a larger list of AngularJS external libraries at [ngmodules.org](http://ngmodules.org/).
 
 * **Advanced Routing:** [UI-Router](https://github.com/angular-ui/ui-router)
 * **Authentication:** [Http Auth Interceptor](https://github.com/witoldsz/angular-http-auth)
@@ -98,21 +98,21 @@ You can find a larger list of Angular external libraries at [ngmodules.org](http
   - Data Modeling [JS-Data-Angular](https://github.com/js-data/js-data-angular)
 * **Fileupload:**
   - [ng-file-upload](https://github.com/danialfarid/ng-file-upload)
-  - [blueimp-fileupload for Angular](https://blueimp.github.io/jQuery-File-Upload/angularjs.html)
+  - [blueimp-fileupload for AngularJS](https://blueimp.github.io/jQuery-File-Upload/angularjs.html)
 * **General UI Libraries:**
-  - [Angular Material](https://material.angularjs.org/latest/)
-  - [Angular UI Bootstrap](http://angular-ui.github.io/)
+  - [AngularJS Material](https://material.angularjs.org/latest/)
+  - [AngularJS UI Bootstrap](http://angular-ui.github.io/)
   - [AngularStrap for Bootstrap 3](http://mgcrea.github.io/angular-strap/)
   - [KendoUI](http://kendo-labs.github.io/angular-kendo/#/)
   - [Wijmo](http://wijmo.com/tag/angularjs-2/)
 * **Specific UI Elements:**
   - [ngInfiniteScroll](https://sroze.github.io/ngInfiniteScroll/)
   - [ngTable](https://github.com/esvit/ng-table)
-  - [Angular UI Grid](http://angular-ui.github.io/grid)
+  - [AngularJS UI Grid](http://angular-ui.github.io/grid)
   - [Toaster Notifications](https://github.com/jirikavi/AngularJS-Toaster)
   - [textAngular Rich Text Editor / contenteditable](http://textangular.com/) (Rich Text Editor /
     binding to contenteditable)
-  - [Angular UI Map (Google Maps)](https://github.com/angular-ui/ui-map)
+  - [AngularJS UI Map (Google Maps)](https://github.com/angular-ui/ui-map)
 
 ## General Learning Resources
 
diff --git a/docs/content/guide/filter.ngdoc b/docs/content/guide/filter.ngdoc
index dc462c80b496..202dd8098d93 100644
--- a/docs/content/guide/filter.ngdoc
+++ b/docs/content/guide/filter.ngdoc
@@ -6,7 +6,7 @@
 # Filters
 
 Filters format the value of an expression for display to the user. They can be used in view
-templates, controllers or services. Angular comes with a collection of
+templates, controllers or services. AngularJS comes with a collection of
 [built-in filters](api/ng/filter), but it is easy to define your own as well.
 
 The underlying API is the {@link ng.$filterProvider}.
@@ -44,7 +44,7 @@ as inputs. Filters that receive [Objects](https://developer.mozilla.org/en-US/do
 as input are executed on each `$digest`, as it would be too costly to track if the inputs have changed.
 
 2. Filters that are marked as `$stateful` are also executed on each $digest.
-See {@link guide/filter#stateful-filters Stateful filters} for more information. Note that no Angular
+See {@link guide/filter#stateful-filters Stateful filters} for more information. Note that no AngularJS
 core filters are $stateful.
 
 
@@ -110,12 +110,12 @@ function.
 
 The filter function should be a [pure function](http://en.wikipedia.org/wiki/Pure_function), which
 means that it should always return the same result given the same input arguments and should not affect
-external state, for example, other Angular services. Angular relies on this contract and will by default
+external state, for example, other AngularJS services. AngularJS relies on this contract and will by default
 execute a filter only when the inputs to the function change.
 {@link guide/filter#stateful-filters Stateful filters} are possible, but less performant.
 
 <div class="alert alert-warning">
-**Note:** Filter names must be valid angular {@link expression} identifiers, such as `uppercase` or `orderBy`.
+**Note:** Filter names must be valid AngularJS {@link expression} identifiers, such as `uppercase` or `orderBy`.
 Names with special characters, such as hyphens and dots, are not allowed.  If you wish to namespace
 your filters, then you can use capitalization (`myappSubsectionFilterx`) or underscores
 (`myapp_subsection_filterx`).
@@ -162,7 +162,7 @@ text upper-case.
 ### Stateful filters
 
 It is strongly discouraged to write filters that are stateful, because the execution of those can't
-be optimized by Angular, which often leads to performance issues. Many stateful filters can be
+be optimized by AngularJS, which often leads to performance issues. Many stateful filters can be
 converted into stateless filters just by exposing the hidden state as a model and turning it into an
 argument for the filter.
 
diff --git a/docs/content/guide/forms.ngdoc b/docs/content/guide/forms.ngdoc
index 1fbd60dbe13f..4379b3573515 100644
--- a/docs/content/guide/forms.ngdoc
+++ b/docs/content/guide/forms.ngdoc
@@ -303,7 +303,7 @@ after last change.
 
 ## Custom Validation
 
-Angular provides basic implementation for most common HTML5 {@link ng.directive:input input}
+AngularJS provides basic implementation for most common HTML5 {@link ng.directive:input input}
 types: ({@link input[text] text}, {@link input[number] number}, {@link input[url] url},
 {@link input[email] email}, {@link input[date] date}, {@link input[radio] radio}, {@link input[checkbox] checkbox}),
 as well as some directives for validation (`required`, `pattern`, `minlength`, `maxlength`,
@@ -314,7 +314,7 @@ the {@link ngModel.NgModelController `ngModelController`}. To get a hold of the
 you require it in the directive as shown in the example below.
 
 Each function in the `$validators` object receives the `modelValue` and the `viewValue`
-as parameters. Angular will then call `$setValidity` internally with the function's return value
+as parameters. AngularJS will then call `$setValidity` internally with the function's return value
 (`true`: valid, `false`: invalid). The validation functions are executed every time an input
 is changed (`$setViewValue` is called) or whenever the bound `model` changes.
 Validation happens after successfully running `$parsers` and `$formatters`, respectively.
@@ -422,7 +422,7 @@ In the following example we create two directives:
 
 ## Modifying built-in validators
 
-Since Angular itself uses `$validators`, you can easily replace or remove built-in validators,
+Since AngularJS itself uses `$validators`, you can easily replace or remove built-in validators,
 should you find it necessary. The following example shows you how to overwrite the email validator
 in `input[email]` from a custom directive so that it requires a specific top-level domain,
 `example.com` to be present.
@@ -451,10 +451,10 @@ Note that you can alternatively use `ng-pattern` to further restrict the validat
       return {
         require: '?ngModel',
         link: function(scope, elm, attrs, ctrl) {
-          // only apply the validator if ngModel is present and Angular has added the email validator
+          // only apply the validator if ngModel is present and AngularJS has added the email validator
           if (ctrl && ctrl.$validators.email) {
 
-            // this will overwrite the default Angular email validator
+            // this will overwrite the default AngularJS email validator
             ctrl.$validators.email = function(modelValue) {
               return ctrl.$isEmpty(modelValue) || EMAIL_REGEXP.test(modelValue);
             };
@@ -467,7 +467,7 @@ Note that you can alternatively use `ng-pattern` to further restrict the validat
 
 
 ## Implementing custom form controls (using `ngModel`)
-Angular implements all of the basic HTML form controls ({@link ng.directive:input input},
+AngularJS implements all of the basic HTML form controls ({@link ng.directive:input input},
 {@link ng.directive:select select}, {@link ng.directive:textarea textarea}),
 which should be sufficient for most cases. However, if you need more flexibility,
 you can write your own form control as a directive.
diff --git a/docs/content/guide/i18n.ngdoc b/docs/content/guide/i18n.ngdoc
index 8bb9f47c4b04..ebe28c2b57fc 100644
--- a/docs/content/guide/i18n.ngdoc
+++ b/docs/content/guide/i18n.ngdoc
@@ -13,9 +13,9 @@ other locale-specific bits (such as date or currency formats) out of the applica
 application means providing translations and localized formats for the abstracted bits.
 
 
-## How does Angular support i18n/l10n?
+## How does AngularJS support i18n/l10n?
 
-Angular supports i18n/l10n for {@link ng.filter:date date}, {@link ng.filter:number number} and
+AngularJS supports i18n/l10n for {@link ng.filter:date date}, {@link ng.filter:number number} and
 {@link ng.filter:currency currency} filters.
 
 Localizable pluralization is supported via the {@link ng.directive:ngPluralize `ngPluralize`
@@ -23,11 +23,11 @@ directive}.  Additionally, you can use {@link guide/i18n#messageformat-extension
 `$interpolate` for localizable pluralization and gender support in all interpolations via the
 `ngMessageFormat` module.
 
-All localizable Angular components depend on locale-specific rule sets managed by the {@link
+All localizable AngularJS components depend on locale-specific rule sets managed by the {@link
 ng.$locale `$locale` service}.
 
-There are a few examples that showcase how to use Angular filters with various locale rule sets in the
-[`i18n/e2e` directory](https://github.com/angular/angular.js/tree/master/i18n/e2e) of the Angular
+There are a few examples that showcase how to use AngularJS filters with various locale rule sets in the
+[`i18n/e2e` directory](https://github.com/angular/angular.js/tree/master/i18n/e2e) of the AngularJS
 source code.
 
 
@@ -41,20 +41,20 @@ also valid. See the [ICU](http://userguide.icu-project.org/locale) website for m
 about using locale IDs.
 
 
-## Supported locales in Angular
+## Supported locales in AngularJS
 
-Angular separates number and datetime format rule sets into different files, each file for a
+AngularJS separates number and datetime format rule sets into different files, each file for a
 particular locale. You can find a list of currently supported locales
 [here](https://github.com/angular/angular.js/tree/master/src/ngLocale)
 
 
-## Providing locale rules to Angular
+## Providing locale rules to AngularJS
 
-There are two approaches to providing locale rules to Angular:
+There are two approaches to providing locale rules to AngularJS:
 
 ### 1. Pre-bundled rule sets
 
-You can pre-bundle the desired locale file with Angular by concatenating the content of the
+You can pre-bundle the desired locale file with AngularJS by concatenating the content of the
 locale-specific file to the end of `angular.js` or `angular.min.js` file.
 
 For example on *nix, to create an angular.js file that contains localization rules for german
@@ -63,7 +63,7 @@ locale, you can do the following:
 `cat angular.js i18n/angular-locale_de-de.js > angular_de-de.js`
 
 When the application containing `angular_de-de.js` script instead of the generic angular.js script
-starts, Angular is automatically pre-configured with localization rules for the german locale.
+starts, AngularJS is automatically pre-configured with localization rules for the german locale.
 
 ### 2. Including a locale script in `index.html`
 
@@ -93,12 +93,12 @@ an extra script needs to be loaded.
 
 ## Caveats
 
-Although Angular makes i18n convenient, there are several things you need to be conscious of as you
+Although AngularJS makes i18n convenient, there are several things you need to be conscious of as you
 develop your app.
 
 ### Currency symbol
 
-Angular's {@link ng.filter:currency currency filter} allows you to use the default currency symbol
+AngularJS's {@link ng.filter:currency currency filter} allows you to use the default currency symbol
 from the {@link ng.$locale locale service}, or you can provide the filter with a custom currency
 symbol.
 
@@ -122,7 +122,7 @@ This is problematic because $1000 is not the same as ¥1000.
 In this case, you need to override the default currency symbol by providing the
 {@link ng.filter:currency} currency filter with a currency symbol as a parameter.
 
-If we change the above to `{{ 1000 | currency:"USD$"}}`, Angular will always show a balance of
+If we change the above to `{{ 1000 | currency:"USD$"}}`, AngularJS will always show a balance of
 `USD$1000` regardless of locale.
 
 ### Translation length
@@ -135,16 +135,16 @@ as expected even when their contents vary greatly in content size.
 
 ### Timezones
 
-The Angular datetime filter uses the time zone settings of the browser. The same
+The AngularJS datetime filter uses the time zone settings of the browser. The same
 application will show different time information depending on the time zone settings of the
-computer that the application is running on. Neither JavaScript nor Angular currently supports
+computer that the application is running on. Neither JavaScript nor AngularJS currently supports
 displaying the date with a timezone specified by the developer.
 
 
 <a name="MessageFormat"></a>
 ## MessageFormat extensions
 
-You can write localizable plural and gender based messages in Angular interpolation expressions and
+You can write localizable plural and gender based messages in AngularJS interpolation expressions and
 `$interpolate` calls.
 
 This syntax extension is provided by way of the `ngMessageFormat` module that your application can
@@ -271,7 +271,7 @@ actual message text that occurs in curly braces.  Whitespace is generally used t
 Here, `NUMERIC_EXPRESSION` is an expression that evaluates to a numeric value based on which the
 displayed message should change based on pluralization rules.
 
-Following the Angular expression, you would denote the plural extension syntax by the `, plural,`
+Following the AngularJS expression, you would denote the plural extension syntax by the `, plural,`
 syntax element.  The spaces there are optional.
 
 This is followed by a list of selection keyword and corresponding message pairs.  The "other"
@@ -303,7 +303,7 @@ later.)
 #### Messages
 
 Messages immediately follow a selection keyword and are optionally preceded by whitespace.  They are
-written in single curly braces (`{}`).  They may contain Angular interpolation syntax inside them.
+written in single curly braces (`{}`).  They may contain AngularJS interpolation syntax inside them.
 In addition, the `#` symbol is a placeholder for the actual numeric value of the expression.
 
 ### Simple plural example
@@ -316,7 +316,7 @@ In addition, the `#` symbol is a placeholder for the actual numeric value of the
 }}
 ```
 
-Because these messages can themselves contain Angular expressions, you could also write this as
+Because these messages can themselves contain AngularJS expressions, you could also write this as
 follows:
 
 ```text
@@ -342,7 +342,7 @@ explain this with an example.
 }}
 ```
 
-When an `offset` is specified, the matching works as follows.  First, the exact value of the Angular
+When an `offset` is specified, the matching works as follows.  First, the exact value of the AngularJS
 expression is matched against the exact matches (i.e. `=N` selectors) to find a match.  If there is
 one, that message is used.  If there was no match, then the offset value is subtracted from the
 value of the expression and locale specific pluralization rules are applied to this new value to
@@ -379,10 +379,10 @@ The syntax for gender based message selection looks like the following:
 Please note that whitespace (including newline) is generally insignificant except as part of the
 actual message text that occurs in curly braces.  Whitespace is generally used to aid readability.
 
-Here, `EXPRESSION` is an Angular expression that evaluates to the gender of the person that
+Here, `EXPRESSION` is an AngularJS expression that evaluates to the gender of the person that
 is used to select the message that should be displayed.
 
-The Angular expression is followed by `, select,` where the spaces are optional.
+The AngularJS expression is followed by `, select,` where the spaces are optional.
 
 This is followed by a list of selection keyword and corresponding message pairs.  The "other"
 keyword and corresponding message are **required** but you may have as few or as many of the other
@@ -392,13 +392,13 @@ matching is **case-sensitive**.
 #### Selection Keywords
 
 Selection keywords are simple words like "male" and "female".  The keyword, "other", and its
-corresponding message are required while others are optional.  It is used when the Angular
+corresponding message are required while others are optional.  It is used when the AngularJS
 expression does not match (case-insensitively) any of the other keywords specified.
 
 #### Messages
 
 Messages immediately follow a selection keyword and are optionally preceded by whitespace.  They are
-written in single curly braces (`{}`).  They may contain Angular interpolation syntax inside them.
+written in single curly braces (`{}`).  They may contain AngularJS interpolation syntax inside them.
 
 ### Simple gender example
 
@@ -412,8 +412,8 @@ written in single curly braces (`{}`).  They may contain Angular interpolation s
 
 ### Nesting
 
-As mentioned in the syntax for plural and select, the embedded messages can contain Angular
-interpolation syntax.  Since you can use MessageFormat extensions in Angular interpolation, this
+As mentioned in the syntax for plural and select, the embedded messages can contain AngularJS
+interpolation syntax.  Since you can use MessageFormat extensions in AngularJS interpolation, this
 allows you to nest plural and gender expressions in any order.
 
 Please note that if these are intended to reach a translator and be translated, it is recommended
@@ -450,7 +450,7 @@ This syntax extension, while based on MessageFormat, has been designed to be bac
 with existing AngularJS interpolation expressions.  The key rule is simply this: **All
 interpolations are done inside double curlies.** The top level comma operator after an expression
 inside the double curlies causes MessageFormat extensions to be recognized.  Such a top level comma
-is otherwise illegal in an Angular expression and is used by MessageFormat to specify the function
+is otherwise illegal in an AngularJS expression and is used by MessageFormat to specify the function
 (such as plural/select) and it's related syntax.
 
 To understand the extension, take a look at the ICU MessageFormat syntax as specified by the ICU
diff --git a/docs/content/guide/ie.ngdoc b/docs/content/guide/ie.ngdoc
index afe35b7ee4d0..8cc554e8ec01 100644
--- a/docs/content/guide/ie.ngdoc
+++ b/docs/content/guide/ie.ngdoc
@@ -13,7 +13,7 @@ addressing issues specific to IE8 or earlier.
 </div>
 
 This document describes the Internet Explorer (IE) idiosyncrasies when dealing with custom HTML
-attributes and tags. Read this document if you are planning on deploying your Angular application
+attributes and tags. Read this document if you are planning on deploying your AngularJS application
 on IE.
 
 The project currently supports and will attempt to fix bugs for IE9 and above. The continuous
@@ -25,16 +25,16 @@ We do not run tests on IE8 and below. A subset of the AngularJS functionality ma
 browsers, but it is up to you to test and decide whether it works for your particular app.
 
 
-To ensure your Angular application works on IE please consider:
+To ensure your AngularJS application works on IE please consider:
 
 1. Use `ng-style` tags instead of `style="{{ someCss }}"`. The latter works in Chrome and Firefox
    but does not work in Internet Explorer <= 11 (the most recent version at time of writing).
 2. For the `type` attribute of buttons, use `ng-attr-type` tags instead of
    `type="{{ someExpression }}"`. If using the latter, Internet Explorer overwrites the expression
-   with `type="submit"` before Angular has a chance to interpolate it.
+   with `type="submit"` before AngularJS has a chance to interpolate it.
 3. For the `value` attribute of progress, use `ng-attr-value` tags instead of
    `value="{{ someExpression}}"`. If using the latter, Internet Explorer overwrites the expression
-   with `value="0"` before Angular has a chance to interpolate it.
+   with `value="0"` before AngularJS has a chance to interpolate it.
 4. For the `placeholder` attribute of textarea, use `ng-attr-placeholder` tags instead
    of `placeholder="{{ someExpression }}"`. If using the latter, Internet Explorer will error
    on accessing the `nodeValue` on a parentless `TextNode` in Internet Explorer 10 & 11
diff --git a/docs/content/guide/index.ngdoc b/docs/content/guide/index.ngdoc
index 0edf4056aca8..b3cc1e5385d3 100644
--- a/docs/content/guide/index.ngdoc
+++ b/docs/content/guide/index.ngdoc
@@ -2,26 +2,26 @@
 @name Developer Guide
 @description
 
-# Guide to Angular 1 Documentation
+# Guide to AngularJS Documentation
 
-On this page, you will find a list of official Angular resources on various topics.
+On this page, you will find a list of official AngularJS resources on various topics.
 
-Just starting out with Angular 1? Try working through our step by step tutorial or try
+Just starting out with AngularJS? Try working through our step by step tutorial or try
 building on our seed project.
 
-* {@link tutorial/index Official Angular 1 Tutorial}
-* [Angular Seed](https://github.com/angular/angular-seed)
+* {@link tutorial/index Official AngularJS Tutorial}
+* [AngularJS Seed](https://github.com/angular/angular-seed)
 
-Ready to find out more about Angular 1?
+Ready to find out more about AngularJS?
 
-* {@link guide/introduction What is Angular 1?}
+* {@link guide/introduction What is AngularJS?}
 * {@link guide/concepts Conceptual Overview}
 
 ## Core Concepts
 
 ### Templates
 
-In Angular applications, you move the job of filling page templates with data from the server to the client.  The result is a system better structured for dynamic page updates.  Below are the core features you'll use.
+In AngularJS applications, you move the job of filling page templates with data from the server to the client.  The result is a system better structured for dynamic page updates.  Below are the core features you'll use.
 
 * {@link guide/databinding Data binding}
 * {@link guide/expression Expressions}
@@ -43,7 +43,7 @@ In Angular applications, you move the job of filling page templates with data fr
 
 * **Animation:** {@link guide/animations Core concepts}, {@link ngAnimate ngAnimate API}
 * **Security:** {@link guide/security Security Docs}, {@link ng.$sce Strict Contextual Escaping}, {@link ng.directive:ngCsp Content Security Policy}, {@link ngSanitize.$sanitize $sanitize}, [video](https://www.youtube.com/watch?v=18ifoT-Id54)
-* **Internationalization and Localization:** {@link guide/i18n Angular Guide to i18n and l10n}, {@link ng.filter:date date filter}, {@link ng.filter:currency currency filter}, [Creating multilingual support](http://www.novanet.no/blog/hallstein-brotan/dates/2013/10/creating-multilingual-support-using-angularjs/)
+* **Internationalization and Localization:** {@link guide/i18n AngularJS Guide to i18n and l10n}, {@link ng.filter:date date filter}, {@link ng.filter:currency currency filter}, [Creating multilingual support](http://www.novanet.no/blog/hallstein-brotan/dates/2013/10/creating-multilingual-support-using-angularjs/)
 * **Touch events:** {@link ngTouch Touch events}
 * **Accessibility:** {@link guide/accessibility ngAria}
 
@@ -58,7 +58,7 @@ In Angular applications, you move the job of filling page templates with data fr
 We have set up a guide to many resources provided by the community, where you can find lots
 of additional information and material on these topics, a list of complimentary libraries, and much more.
 
-* {@link guide/external-resources External Angular 1 resources}
+* {@link guide/external-resources External AngularJS resources}
 
 
 ## Getting Help
@@ -66,27 +66,27 @@ of additional information and material on these topics, a list of complimentary
 The recipe for getting help on your unique issue is to create an example that could work (even if it doesn't) in a shareable example on [Plunker](http://plnkr.co/), [JSFiddle](http://jsfiddle.net/), or similar site and then post to one of the following:
 
 * [Stackoverflow.com](http://stackoverflow.com/search?q=angularjs)
-* [Angular 1 mailing list](https://groups.google.com/forum/#!forum/angular)
-* [Angular 1 IRC channel](http://webchat.freenode.net/?channels=angularjs&uio=d4)
+* [AngularJS mailing list](https://groups.google.com/forum/#!forum/angular)
+* [AngularJS IRC channel](http://webchat.freenode.net/?channels=angularjs&uio=d4)
 
 ## Official Communications
 
 Official announcements, news and releases are posted to our blog, G+ and Twitter:
 
-* [Angular Blog](http://blog.angularjs.org/)
+* [AngularJS Blog](http://blog.angularjs.org/)
 * [Google+](https://plus.google.com/u/0/+AngularJS)
 * [Twitter](https://twitter.com/angularjs)
-* [Angular on YouTube](http://youtube.com/angularjs)
+* [AngularJS on YouTube](http://youtube.com/angularjs)
 
-## Contributing to Angular 1
+## Contributing to AngularJS
 
-Though we have a core group of core contributors at Google, Angular is an open source project with hundreds of contributors.
-We'd love you to be one of them.  When you're ready, please read the {@link misc/contribute Guide for contributing to Angular}.
+Though we have a core group of core contributors at Google, AngularJS is an open source project with hundreds of contributors.
+We'd love you to be one of them.  When you're ready, please read the {@link misc/contribute Guide for contributing to AngularJS}.
 
 ## Something Missing?
 
-Didn't find what you're looking for here? Check out the {@link guide/external-resources External Angular 1 resources guide}.
+Didn't find what you're looking for here? Check out the {@link guide/external-resources External AngularJS resources guide}.
 
-If you have awesome Angular 1 resources that belong on that page, please tell us about them on
+If you have awesome AngularJS resources that belong on that page, please tell us about them on
 [Google+](https://plus.google.com/u/0/+AngularJS) or [Twitter](https://twitter.com/angularjs).
 
diff --git a/docs/content/guide/interpolation.ngdoc b/docs/content/guide/interpolation.ngdoc
index 0053740a75c2..0cf11370b431 100644
--- a/docs/content/guide/interpolation.ngdoc
+++ b/docs/content/guide/interpolation.ngdoc
@@ -5,7 +5,7 @@
 
 # Interpolation and data-binding
 
-Interpolation markup with embedded {@link guide/expression expressions} is used by Angular to
+Interpolation markup with embedded {@link guide/expression expressions} is used by AngularJS to
 provide data-binding to text nodes and attribute values.
 
 An example of interpolation is shown below:
@@ -40,7 +40,7 @@ a custom `toString()` function on the object, and uses that. Custom means that
 Attributes such as `disabled` are called `boolean` attributes, because their presence means `true` and
 their absence means `false`. We cannot use normal attribute bindings with them, because the HTML
 specification does not require browsers to preserve the values of boolean attributes. This means that
-if we put an Angular interpolation expression into such an attribute then the binding information
+if we put an AngularJS interpolation expression into such an attribute then the binding information
 would be lost, because the browser ignores the attribute value.
 
 In the following example, the interpolation information would be ignored and the browser would simply
@@ -51,7 +51,7 @@ interpret the attribute as present, meaning that the button would always be disa
   <button disabled="{{isDisabled}}">Disabled</button>
 ```
 
-For this reason, Angular provides special `ng`-prefixed directives for the following boolean attributes:
+For this reason, AngularJS provides special `ng`-prefixed directives for the following boolean attributes:
 {@link ngDisabled `disabled`}, {@link ngRequired `required`}, {@link ngSelected `selected`},
 {@link ngChecked `checked`}, {@link ngReadonly `readOnly`} , and {@link ngOpen `open`}.
 
@@ -75,7 +75,7 @@ For example, considering this template:
 </svg>
 ```
 
-We would expect Angular to be able to bind to this, but when we check the console we see
+We would expect AngularJS to be able to bind to this, but when we check the console we see
 something like `Error: Invalid value for attribute cx="{{cx}}"`. Because of the SVG DOM API's
 restrictions, you cannot simply write `cx="{{cx}}"`.
 
@@ -131,7 +131,7 @@ directive that changes the content of that attribute, such as `ngStyle`.
 ### Embedding interpolation markup inside expressions
 
 <div class="alert alert-danger">
-**Note:** Angular directive attributes take either expressions *or* interpolation markup with embedded expressions.
+**Note:** AngularJS directive attributes take either expressions *or* interpolation markup with embedded expressions.
 It is considered **bad practice** to embed interpolation markup inside an expression:
 </div>
 
@@ -165,4 +165,4 @@ If another directive accesses attribute data before interpolation has run, it wi
 interpolation markup and not data.
 - It impacts performance, as interpolation adds another watcher to the scope.
 - Since this is not recommended usage, we do not test for this, and changes to
-Angular core may break your code.
+AngularJS core may break your code.
diff --git a/docs/content/guide/introduction.ngdoc b/docs/content/guide/introduction.ngdoc
index 0772ef851916..05704e5302f6 100644
--- a/docs/content/guide/introduction.ngdoc
+++ b/docs/content/guide/introduction.ngdoc
@@ -4,15 +4,15 @@
 @description
 
 
-# What Is Angular?
+# What Is AngularJS?
 
 AngularJS is a structural framework for dynamic web apps. It lets you use HTML as your template
 language and lets you extend HTML's syntax to express your application's components clearly and
-succinctly. Angular's data binding and dependency injection eliminate much of the code you
+succinctly. AngularJS's data binding and dependency injection eliminate much of the code you
 would otherwise have to write. And it all happens within the browser, making it
 an ideal partner with any server technology.
 
-Angular is what HTML would have been, had it been designed for applications. HTML is a great
+AngularJS is what HTML would have been, had it been designed for applications. HTML is a great
 declarative language for static documents. It does not contain much in the way of creating
 applications, and as a result building web applications is an exercise in *what do I have to do
 to trick the browser into doing what I want?*
@@ -26,8 +26,8 @@ The impedance mismatch between dynamic applications and static documents is ofte
     app specific. E.g., `durandal`, `ember`, etc.
 
 
-Angular takes another approach. It attempts to minimize the impedance mismatch between document
-centric HTML and what an application needs by creating new HTML constructs. Angular teaches the
+AngularJS takes another approach. It attempts to minimize the impedance mismatch between document
+centric HTML and what an application needs by creating new HTML constructs. AngularJS teaches the
 browser new syntax through a construct we call *directives*. Examples include:
 
   * Data binding, as in `{{}}`.
@@ -40,11 +40,11 @@ browser new syntax through a construct we call *directives*. Examples include:
 
 ## A complete client-side solution
 
-Angular is not a single piece in the overall puzzle of building the client-side of a web
+AngularJS is not a single piece in the overall puzzle of building the client-side of a web
 application. It handles all of the DOM and AJAX glue code you once wrote by hand and puts it in a
-well-defined structure. This makes Angular opinionated about how a CRUD (Create, Read, Update, Delete)
-application should be built. But while it is opinionated, it also tries to make sure that its opinion 
-is just a starting point you can easily change. Angular comes with the following out-of-the-box:
+well-defined structure. This makes AngularJS opinionated about how a CRUD (Create, Read, Update, Delete)
+application should be built. But while it is opinionated, it also tries to make sure that its opinion
+is just a starting point you can easily change. AngularJS comes with the following out-of-the-box:
 
   * Everything you need to build a CRUD app in a cohesive set: Data-binding, basic templating
     directives, form validation, routing, deep-linking, reusable components and dependency injection.
@@ -52,21 +52,21 @@ is just a starting point you can easily change. Angular comes with the following
   * Seed application with directory layout and test scripts as a starting point.
 
 
-## Angular's sweet spot
+## AngularJS's sweet spot
 
-Angular simplifies application development by presenting a higher level of abstraction to the
+AngularJS simplifies application development by presenting a higher level of abstraction to the
 developer. Like any abstraction, it comes at a cost of flexibility. In other words, not every app
-is a good fit for Angular. Angular was built with the CRUD application in mind. Luckily CRUD
-applications represent the majority of web applications. To understand what Angular is
-good at, though, it helps to understand when an app is not a good fit for Angular.
+is a good fit for AngularJS. AngularJS was built with the CRUD application in mind. Luckily CRUD
+applications represent the majority of web applications. To understand what AngularJS is
+good at, though, it helps to understand when an app is not a good fit for AngularJS.
 
 Games and GUI editors are examples of applications with intensive and tricky DOM manipulation.
-These kinds of apps are different from CRUD apps, and as a result are probably not a good fit for Angular.
+These kinds of apps are different from CRUD apps, and as a result are probably not a good fit for AngularJS.
 In these cases it may be better to use a library with a lower level of abstraction, such as `jQuery`.
 
-# The Zen of Angular
+# The Zen of AngularJS
 
-Angular is built around the belief that declarative code is better than imperative when it comes
+AngularJS is built around the belief that declarative code is better than imperative when it comes
 to building UIs and wiring software components together, while imperative code is excellent for
 expressing business logic.
 
@@ -83,7 +83,7 @@ expressing business logic.
 
 
 
-Angular frees you from the following pains:
+AngularJS frees you from the following pains:
 
   * **Registering callbacks:** Registering callbacks clutters your code, making it hard to see the
     forest for the trees. Removing common boilerplate code such as callbacks is a good thing. It
@@ -92,16 +92,16 @@ Angular frees you from the following pains:
   * **Manipulating HTML DOM programmatically:** Manipulating HTML DOM is a cornerstone of AJAX
     applications, but it's cumbersome and error-prone. By declaratively describing how the UI
     should change as your application state changes, you are freed from low-level DOM manipulation
-    tasks. Most applications written with Angular never have to programmatically manipulate the
+    tasks. Most applications written with AngularJS never have to programmatically manipulate the
     DOM, although you can if you want to.
   * **Marshaling data to and from the UI:** CRUD operations make up the majority of AJAX
     applications' tasks. The flow of marshaling data from the server to an internal object to an HTML
     form, allowing users to modify the form, validating the form, displaying validation errors,
     returning to an internal model, and then back to the server, creates a lot of boilerplate
-    code. Angular eliminates almost all of this boilerplate, leaving code that describes the
+    code. AngularJS eliminates almost all of this boilerplate, leaving code that describes the
     overall flow of the application rather than all of the implementation details.
   * **Writing tons of initialization code just to get started:** Typically you need to write a lot
-    of plumbing just to get a basic "Hello World" AJAX app working. With Angular you can bootstrap
+    of plumbing just to get a basic "Hello World" AJAX app working. With AngularJS you can bootstrap
     your app easily using services, which are auto-injected into your application in a
     [Guice](https://github.com/google/guice)-like dependency-injection style. This allows you
     to get started developing features quickly. As a bonus, you get full control over the
diff --git a/docs/content/guide/migration.ngdoc b/docs/content/guide/migration.ngdoc
index faec2dedf32a..69f164bfaf70 100644
--- a/docs/content/guide/migration.ngdoc
+++ b/docs/content/guide/migration.ngdoc
@@ -33,7 +33,7 @@ which drives many of these changes.
 
 ## Migrating from 1.5 to 1.6
 
-Angular 1.6 fixes numerous bugs and adds new features, both in core and in external modules.
+AngularJS 1.6 fixes numerous bugs and adds new features, both in core and in external modules.
 In addition, it includes several security and performance improvements in commonly used services,
 such as `$compile`, `$injector`, `$parse`, `$animate`, and directives, such as `input`, `ngModel`
 and `select`.
@@ -611,7 +611,7 @@ HTTP requests now update the outstanding request count synchronously. Previously
 would not have been updated until the request to the server was actually in flight. Now the request
 count is updated before any async interceptor is called.
 
-The new behavior will also allow end-2-end tests to more correctly detect when Angular is stable,
+The new behavior will also allow end-2-end tests to more correctly detect when AngularJS is stable,
 but there is a chance it may change the observed behaviour in cases where an async request
 interceptor is being used.
 
@@ -824,11 +824,11 @@ elem.data('foo-bar'); // 2
 <major />
 **Due to [73050c](https://github.com/angular/angular.js/commit/73050cdda04675bfa6705dc841ddbbb6919eb048)**,
 the way jqLite camelCases keys passed to `.css()` is aligned with jQuery. Previously, when using
-Angular without jQuery, `.css()` would camelCase keys more aggressively. Now, only a single hyphen
+AngularJS without jQuery, `.css()` would camelCase keys more aggressively. Now, only a single hyphen
 followed by a lowercase letter is getting transformed. This change also affects other APIs that rely
 on the `.css()` method, such as `ngStyle`.
 
-If you are using Angular with jQuery, your application is not affected by this change. If you are
+If you are using AngularJS with jQuery, your application is not affected by this change. If you are
 not using jQuery, then you need to update your code as shown in the following examples:
 
 Before:
@@ -888,7 +888,7 @@ var bgColor = elem.css('backgroundColor');
 getting/setting boolean attributes will no longer take the corresponding properties into account.
 Previously, all boolean attributes were reflected into the corresponding property when calling a
 setter and from the corresponding property when calling a getter, even on elements that don't treat
-those attributes in a special way. Now Angular doesn't do it by itself, but relies on browsers to
+those attributes in a special way. Now AngularJS doesn't do it by itself, but relies on browsers to
 know when to reflect the property. Note that this browser-level conversion differs between browsers;
 if you need to dynamically change the state of an element, you should modify the property, not the
 attribute. See https://jquery.com/upgrade-guide/1.9/#attr-versus-prop- for a more detailed
@@ -1237,10 +1237,10 @@ the `$route` service will no longer instantiate controllers nor call `resolve` o
 
 ## Migrating from 1.4 to 1.5
 
-Angular 1.5 takes a big step towards preparing developers for a smoother transition to Angular 2 in
+AngularJS 1.5 takes a big step towards preparing developers for a smoother transition to Angular in
 the future. Architecting your applications using components, multi-slot transclusion, one-way
 bindings in isolate scopes, using lifecycle hooks in directive controllers and relying on native ES6
-features (such as classes and arrow functions) are now all possible with Angular 1.5.
+features (such as classes and arrow functions) are now all possible with AngularJS 1.5.
 
 
 This release includes numerous bug and security fixes, as well as performance improvements to core
@@ -1252,7 +1252,7 @@ New features have been added to more than a dozen services, directives and filte
 Among them, a few stand out:
 
 * `angular.component()`: Introducing "components", a special sort of directive that are easy to
-  configure and promote best practices (plus can bring Angular 1 applications closer to Angular 2's
+  configure and promote best practices (plus can bring AngularJS applications closer to Angular's
   style of architecture).
 * Multi-slot transclusion: Enabling the design of more powerful and complex UI elements with a much
   simpler configuration and reduced boilerplate.
@@ -1430,7 +1430,7 @@ angular.module('myApp').config(function($touchProvider) {
 ```
 
 Going forward, we recommend using [FastClick](https://github.com/ftlabs/fastclick) or perhaps one of
-the [Angular 3rd party touch-related modules](http://ngmodules.org/tags/touch) that provide similar
+the [AngularJS 3rd party touch-related modules](http://ngmodules.org/tags/touch) that provide similar
 functionality.
 
 Also note that modern browsers already remove the 300ms delay under some circumstances:
@@ -1454,7 +1454,7 @@ For more info on the topic, you can take a look at this
 
 ## Migrating from 1.3 to 1.4
 
-Angular 1.4 fixes major animation issues and introduces a new API for `ngCookies`. Further, there
+AngularJS 1.4 fixes major animation issues and introduces a new API for `ngCookies`. Further, there
 are changes to `ngMessages`, `$compile`, `ngRepeat`, `ngOptions `and some fixes to core filters:
 `limitTo` and `filter`.
 
@@ -1490,7 +1490,7 @@ possibilities, can be achieved by injecting `$animateCss` into a
 JavaScript-defined animation and creating custom CSS-based animations
 from there.
 
-By using `$animateCss` inside of a JavaScript animation in Angular 1.4, we can trigger custom CSS-based animations
+By using `$animateCss` inside of a JavaScript animation in AngularJS 1.4, we can trigger custom CSS-based animations
 directly from our JavaScript code.
 
 ```js
@@ -1659,7 +1659,7 @@ the `select` directive will now use strict comparison of the `ngModel` scope val
 values to determine which option is selected. This means non-string scope values (such as `Number` or `Boolean`)
 will not be matched against equivalent option strings (such as the strings `"123"`, `"true"` or `"false"`).
 
-In Angular 1.3.x, setting `scope.x = 200` would select the option with the value 200 in the following `select`:
+In AngularJS 1.3.x, setting `scope.x = 200` would select the option with the value 200 in the following `select`:
 
 ```
 <select ng-model="x">
@@ -1668,7 +1668,7 @@ In Angular 1.3.x, setting `scope.x = 200` would select the option with the value
 </select>
 ```
 
-In Angular 1.4.x, the 'unknown option' will be selected.
+In AngularJS 1.4.x, the 'unknown option' will be selected.
 
 To remedy this, you can initialize the model as a string: `scope.x = '200'`, or if you want to
 keep the model as a `Number`, you can do the conversion via `$formatters` and `$parsers` on `ngModel`:
@@ -1688,11 +1688,11 @@ ngModelCtrl.$formatters.push(function(value) {
 
 Due to [94533e57](https://github.com/angular/angular.js/commit/94533e570673e6b2eb92073955541fa289aabe02),
 the `name` attribute of `form` elements can now only contain characters that can be evaluated as part
-of an Angular expression. This is because Angular uses the value of `name` as an assignable expression
+of an AngularJS expression. This is because AngularJS uses the value of `name` as an assignable expression
 to set the form on the `$scope`. For example, `name="myForm"` assigns the form to `$scope.myForm` and
 `name="myObj.myForm"` assigns it to `$scope.myObj.myForm`.
 
-Previously, it was possible to also use names such `name="my:name"`, because Angular used a special setter
+Previously, it was possible to also use names such `name="my:name"`, because AngularJS used a special setter
 function for the form name. Now the general, more robust `$parse` setter is used.
 
 The easiest way to migrate your code is therefore to remove all special characters from the `name` attribute.
@@ -1920,30 +1920,30 @@ angular.module('myModule').config(['$controllerProvider', function($controllerPr
 }]);
 ```
 
-### Angular Expression Parsing (`$parse` + `$interpolate`)
+### AngularJS Expression Parsing (`$parse` + `$interpolate`)
 
 - due to [77ada4c8](https://github.com/angular/angular.js/commit/77ada4c82d6b8fc6d977c26f3cdb48c2f5fbe5a5),
 
-You can no longer invoke .bind, .call or .apply on a function in angular expressions.
+You can no longer invoke .bind, .call or .apply on a function in AngularJS expressions.
 This is to disallow changing the behaviour of existing functions
 in an unforeseen fashion.
 
   - due to [6081f207](https://github.com/angular/angular.js/commit/6081f20769e64a800ee8075c168412b21f026d99),
 
-The (deprecated) __proto__ property does not work inside angular expressions
+The (deprecated) __proto__ property does not work inside AngularJS expressions
 anymore.
 
 
 - due to [48fa3aad](https://github.com/angular/angular.js/commit/48fa3aadd546036c7e69f71046f659ab1de244c6),
 
-This prevents the use of __{define,lookup}{Getter,Setter}__ inside angular
+This prevents the use of __{define,lookup}{Getter,Setter}__ inside AngularJS
 expressions. If you really need them for some reason, please wrap/bind them to make them
 less dangerous, then make them available through the scope object.
 
 
 - due to [528be29d](https://github.com/angular/angular.js/commit/528be29d1662122a34e204dd607e1c0bd9c16bbc),
 
-This prevents the use of `Object` inside angular expressions.
+This prevents the use of `Object` inside AngularJS expressions.
 If you need Object.keys, make it accessible in the scope.
 
 
@@ -1978,7 +1978,7 @@ expression parser; there are six of them: false, null, undefined, NaN, 0 and "".
 
 
 
-### Miscellaneous Angular helpers
+### Miscellaneous AngularJS helpers
 
 - **Angular.copy:** due to [b59b04f9](https://github.com/angular/angular.js/commit/b59b04f98a0b59eead53f6a53391ce1bbcbe9b57),
 
@@ -2026,13 +2026,13 @@ jQuery. We don't expect that app code actually depends on this accidental featur
 
 - **jqLite:** due to [d71dbb1a](https://github.com/angular/angular.js/commit/d71dbb1ae50f174680533492ce4c7db3ff74df00),
   the jQuery `detach()` method does not trigger the `$destroy` event.
-  If you want to destroy Angular data attached to the element, use `remove()`.
+  If you want to destroy AngularJS data attached to the element, use `remove()`.
 
 
 
 
 
-### Angular HTML Compiler (`$compile`)
+### AngularJS HTML Compiler (`$compile`)
 
 
 - due to [2ee29c5d](https://github.com/angular/angular.js/commit/2ee29c5da81ffacdc1cabb438f5d125d5e116cb9),
@@ -2060,7 +2060,7 @@ to request both an isolate and a non-isolate scope and fix your code.
 
 
 - due to [eec6394a](https://github.com/angular/angular.js/commit/eec6394a342fb92fba5270eee11c83f1d895e9fb), The `replace` flag for defining directives that
-  replace the element that they are on will be removed in the next major angular version.
+  replace the element that they are on will be removed in the next major AngularJS version.
   This feature has difficult semantics (e.g. how attributes are merged) and leads to more
   problems compared to what it solves. Also, with Web Components it is normal to have
   custom elements in the DOM.
@@ -2283,7 +2283,7 @@ More details on the new interceptors API (which has been around as of v1.1.4) ca
 
 
 - **$httpBackend:** due to [6680b7b9](https://github.com/angular/angular.js/commit/6680b7b97c0326a80bdccaf0a35031e4af641e0e), the JSONP behavior for erroneous and empty responses changed:
-    Previously, a JSONP response was regarded as erroneous if it was empty. Now Angular is listening to the
+    Previously, a JSONP response was regarded as erroneous if it was empty. Now AngularJS is listening to the
     correct events to detect errors, i.e. even empty responses can be successful.
 
 
@@ -2577,7 +2577,7 @@ See [04cebcc1](https://github.com/angular/angular.js/commit/04cebcc133c8b433a3ac
 With the exception of `<a>` and `<img>` elements, you cannot bind more than one expression to the
 `src` or `action` attribute of elements.
 
-This is one of several improvements to security introduces by Angular 1.2.
+This is one of several improvements to security introduces by AngularJS 1.2.
 
 Concatenating expressions makes it hard to understand whether some combination of concatenated
 values are unsafe to use and potentially subject to XSS vulnerabilities. To simplify the task of
@@ -2652,7 +2652,7 @@ See [38deedd6](https://github.com/angular/angular.js/commit/38deedd6e3d806eb8262
 DOM event handlers execute arbitrary JavaScript code. Using an interpolation for such handlers
 means that the interpolated value is a JS string that is evaluated. Storing or generating such
 strings is error prone and leads to XSS vulnerabilities. On the other hand, `ngClick` and other
-Angular specific event handlers evaluate Angular expressions in non-window (Scope) context which
+AngularJS specific event handlers evaluate AngularJS expressions in non-window (Scope) context which
 makes them much safer.
 
 To migrate the code follow the example below:
@@ -2979,7 +2979,7 @@ See [1adf29af](https://github.com/angular/angular.js/commit/1adf29af13890d612868
 ### Isolate scope only exposed to directives with `scope` property
 
 If you declare a scope option on a directive, that directive will have an
-[isolate scope](https://github.com/angular/angular.js/wiki/Understanding-Scopes). In Angular 1.0, if a
+[isolate scope](https://github.com/angular/angular.js/wiki/Understanding-Scopes). In AngularJS 1.0, if a
 directive with an isolate scope is used on an element, all directives on that same element have access
 to the same isolate scope. For example, say we have the following directives:
 
@@ -3010,12 +3010,12 @@ Now what happens if we use both directives on the same element?
 <div isolate-scope non-isolate-scope></div>
 ```
 
-In Angular 1.0, the nonIsolateScope directive will have access to the isolateScope directive’s scope. The
-log statements will print the same id, because the scope is the same. But in Angular 1.2, the nonIsolateScope
+In AngularJS 1.0, the nonIsolateScope directive will have access to the isolateScope directive’s scope. The
+log statements will print the same id, because the scope is the same. But in AngularJS 1.2, the nonIsolateScope
 will not use the same scope as isolateScope. Instead, it will inherit the parent scope. The log statements
 will print different id’s.
 
-If your code depends on the Angular 1.0 behavior (non-isolate directive needs to access state
+If your code depends on the AngularJS 1.0 behavior (non-isolate directive needs to access state
 from within the isolate scope), change the isolate directive to use scope locals to pass these explicitly:
 
 **Before**
@@ -3070,13 +3070,13 @@ See [79223eae](https://github.com/angular/angular.js/commit/79223eae502283889334
 
 This change introduces the notion of "private" properties (properties
 whose names begin and/or end with an underscore) on the scope chain.
-These properties will not be available to Angular expressions (i.e. {{
+These properties will not be available to AngularJS expressions (i.e. {{
 }} interpolation in templates and strings passed to `$parse`)  They are
 freely available to JavaScript code (as before).
 
 **Motivation**
 
-Angular expressions execute in a limited context. They do not have
+AngularJS expressions execute in a limited context. They do not have
 direct access to the global scope, `window`, `document` or the Function
 constructor. However, they have direct access to names/properties on
 the scope chain. It has been a long standing best practice to keep
@@ -3085,17 +3085,17 @@ controller.) That's easier said than done for two reasons:
 
 1. JavaScript does not have a notion of private properties so if you need
 someone on the scope chain for JavaScript use, you also expose it to
-Angular expressions
+AngularJS expressions
 2. The new `controller as` syntax that's now in increased usage exposes the
 entire controller on the scope chain greatly increasing the exposed surface.
 
-Though Angular expressions are written and controlled by the developer, they:
+Though AngularJS expressions are written and controlled by the developer, they:
 
 1. Typically deal with user input
 2. Don't get the kind of test coverage that JavaScript code would
 
 This commit provides a way, via a naming convention, to allow restricting properties from
-controllers/scopes. This means Angular expressions can access only those properties that
+controllers/scopes. This means AngularJS expressions can access only those properties that
 are actually needed by the expressions.
 
 See [3d6a89e8](https://github.com/angular/angular.js/commit/3d6a89e8888b14ae5cb5640464e12b7811853c7e).
@@ -3114,7 +3114,7 @@ See [d87fa004](https://github.com/angular/angular.js/commit/d87fa0042375b025b98c
 ### Uncommon region-specific local files were removed from i18n
 
 AngularJS uses the Google Closure library's locale files. The following locales were removed from
-Closure, so Angular is not able to continue to support them:
+Closure, so AngularJS is not able to continue to support them:
 
 `chr`, `cy`, `el-polyton`, `en-zz`, `fr-rw`, `fr-sn`, `fr-td`, `fr-tg`, `haw`, `it-ch`, `ln-cg`,
 `mo`, `ms-bn`, `nl-aw`, `nl-be`, `pt-ao`, `pt-gw`, `pt-mz`, `pt-st`, `ro-md`, `ru-md`, `ru-ua`,
diff --git a/docs/content/guide/module.ngdoc b/docs/content/guide/module.ngdoc
index 62ab1c51f73f..359dd19cca8a 100644
--- a/docs/content/guide/module.ngdoc
+++ b/docs/content/guide/module.ngdoc
@@ -13,7 +13,7 @@ services, filters, directives, etc.
 Most applications have a main method that instantiates and wires together the different parts of
 the application.
 
-Angular apps don't have a main method. Instead modules declaratively specify how an application
+AngularJS apps don't have a main method. Instead modules declaratively specify how an application
 should be bootstrapped. There are several advantages to this approach:
 
   * The declarative process is easier to understand.
@@ -189,13 +189,13 @@ angular.module('myModule', []).
 ```
 
 <div class="alert alert-info">
-When bootstrapping, first Angular applies all constant definitions.
-Then Angular applies configuration blocks in the same order they were registered.
+When bootstrapping, first AngularJS applies all constant definitions.
+Then AngularJS applies configuration blocks in the same order they were registered.
 </div>
 
 ## Run Blocks
 
-Run blocks are the closest thing in Angular to the main method. A run block is the code which
+Run blocks are the closest thing in AngularJS to the main method. A run block is the code which
 needs to run to kickstart the application. It is executed after all of the services have been
 configured and the injector has been created. Run blocks typically contain code which is hard
 to unit-test, and for this reason should be declared in isolated modules, so that they can be
@@ -213,7 +213,7 @@ modules require it.
 
 Modules are a way of managing $injector configuration, and have nothing to do with loading of
 scripts into a VM. There are existing projects which deal with script loading, which may be used
-with Angular. Because modules do nothing at load time they can be loaded into the VM in any order
+with AngularJS. Because modules do nothing at load time they can be loaded into the VM in any order
 and thus script loaders can take advantage of this property and parallelize the loading process.
 
 ## Creation versus Retrieval
@@ -242,7 +242,7 @@ Small, structured modules help keep unit tests concise and focused.
 
 <div class="did you know...">
 Each module can only be loaded once per injector.
-Usually an Angular app has only one injector and modules are only loaded once.
+Usually an AngularJS app has only one injector and modules are only loaded once.
 Each test has its own injector and modules are loaded multiple times.
 </div>
 
diff --git a/docs/content/guide/production.ngdoc b/docs/content/guide/production.ngdoc
index 7b09d97e59cd..10621884bf39 100644
--- a/docs/content/guide/production.ngdoc
+++ b/docs/content/guide/production.ngdoc
@@ -78,13 +78,13 @@ For more information, see the
 ## Disable comment and css class directives
 
 By default AngularJS compiles and executes all directives inside comments and element classes.
-In order to perform this task, angular compiler must look for directives by:
+In order to perform this task, the AngularJS compiler must look for directives by:
 
 - Parse all your application element classes.
 
 - Parse all your application html comments.
 
-Nowadays most of the Angular projects are using only element and attribute directives,
+Nowadays most of the AngularJS projects are using only element and attribute directives,
 and in such projects there is no need to compile comments and classes.
 
 If you are sure that your project only uses element and attribute directives,
diff --git a/docs/content/guide/providers.ngdoc b/docs/content/guide/providers.ngdoc
index 4e36ac266d21..e8c80025cff6 100644
--- a/docs/content/guide/providers.ngdoc
+++ b/docs/content/guide/providers.ngdoc
@@ -6,7 +6,7 @@
 # Providers
 
 Each web application you build is composed of objects that collaborate to get stuff done. These
-objects need to be instantiated and wired together for the app to work. In Angular apps most of
+objects need to be instantiated and wired together for the app to work. In AngularJS apps most of
 these objects are instantiated and wired together automatically by the {@link auto.$injector
 injector service}.
 
@@ -14,7 +14,7 @@ The injector creates two types of objects, **services** and **specialized object
 
 Services are objects whose API is defined by the developer writing the service.
 
-Specialized objects conform to a specific Angular framework API. These objects are one of
+Specialized objects conform to a specific AngularJS framework API. These objects are one of
 controllers, directives, filters or animations.
 
 The injector needs to know how to create these objects. You tell it by registering a "recipe" for
@@ -35,11 +35,11 @@ In order for the injector to know how to create and wire together all of these o
 a registry of "recipes". Each recipe has an identifier of the object and the description of how to
 create this object.
 
-Each recipe belongs to an {@link angular.Module Angular module}. An Angular module is a bag
+Each recipe belongs to an {@link angular.Module AngularJS module}. An AngularJS module is a bag
 that holds one or more recipes. And since manually keeping track of module dependencies is no fun,
 a module can contain information about dependencies on other modules as well.
 
-When an Angular application starts with a given application module, Angular creates a new instance
+When an AngularJS application starts with a given application module, AngularJS creates a new instance
 of injector, which in turn creates a registry of recipes as a union of all recipes defined in the
 core "ng" module, application module and its dependencies. The injector then consults the recipe
 registry when it needs to create an object for your application.
@@ -55,10 +55,10 @@ var myApp = angular.module('myApp', []);
 myApp.value('clientId', 'a12345654321x');
 ```
 
-Notice how we created an Angular module called `myApp`, and specified that this module definition
+Notice how we created an AngularJS module called `myApp`, and specified that this module definition
 contains a "recipe" for constructing the `clientId` service, which is a simple string in this case.
 
-And this is how you would display it via Angular's data-binding:
+And this is how you would display it via AngularJS's data-binding:
 
 
 ```javascript
@@ -95,7 +95,7 @@ The Factory recipe constructs a new service using a function with zero or more a
 are dependencies on other services). The return value of this function is the service instance
 created by this recipe.
 
-Note: All services in Angular are singletons. That means that the injector uses each recipe at most
+Note: All services in AngularJS are singletons. That means that the injector uses each recipe at most
 once to create the object. The injector then caches the reference for all future needs.
 
 Since a Factory is a more powerful version of the Value recipe, the same service can be constructed with it.
@@ -246,7 +246,7 @@ Notice that the unicorn provider is injected into the config function. This inje
 provider injector which is different from the regular instance injector, in that it instantiates
 and wires (injects) all provider instances only.
 
-During application bootstrap, before Angular goes off creating all services, it configures and
+During application bootstrap, before AngularJS goes off creating all services, it configures and
 instantiates all providers. We call this the configuration phase of the application life-cycle.
 During this phase, services aren't accessible because they haven't been created yet.
 
@@ -256,7 +256,7 @@ creating services starts. We call this part of the application life-cycle the ru
 
 ## Constant Recipe
 
-We've just learned how Angular splits the life-cycle into configuration phase and run phase and how
+We've just learned how AngularJS splits the life-cycle into configuration phase and run phase and how
 you can provide configuration to your application via the config function. Since the config
 function runs in the configuration phase when no services are available, it doesn't have access
 even to simple value objects created via the Value recipe.
@@ -308,7 +308,7 @@ myApp.controller('DemoController', ["clientId", "planetName", function DemoContr
 
 Earlier we mentioned that we also have special purpose objects that are different from services.
 These objects extend the framework as plugins and therefore must implement interfaces specified by
-Angular. These interfaces are Controller, Directive, Filter and Animation.
+AngularJS. These interfaces are Controller, Directive, Filter and Animation.
 
 The instructions for the injector to create these special objects (with the exception of the
 Controller objects) use the Factory recipe behind the scenes.
@@ -340,7 +340,7 @@ We can then use the component like this:
 </html>
 ```
 
-Using Factory recipes, you can also define Angular's filters and animations, but the controllers
+Using Factory recipes, you can also define AngularJS's filters and animations, but the controllers
 are a bit special. You create a controller as a custom type that declares its dependencies as
 arguments for its constructor function. This constructor is then registered with a module. Let's
 take a look at the `DemoController`, created in one of the early examples:
diff --git a/docs/content/guide/scope.ngdoc b/docs/content/guide/scope.ngdoc
index 6c1606f85f28..3a4c2089275f 100644
--- a/docs/content/guide/scope.ngdoc
+++ b/docs/content/guide/scope.ngdoc
@@ -16,8 +16,8 @@ watch {@link guide/expression expressions} and propagate events.
     model mutations.
 
   - Scopes provide APIs ({@link ng.$rootScope.Scope#$apply $apply}) to
-    propagate any model changes through the system into the view from outside of the "Angular
-    realm" (controllers, services, Angular event handlers).
+    propagate any model changes through the system into the view from outside of the "AngularJS
+    realm" (controllers, services, AngularJS event handlers).
 
   - Scopes can be nested to limit access to the properties of application components while providing
     access to shared model properties. Nested scopes are either "child scopes" or "isolate scopes".
@@ -108,7 +108,7 @@ to test the behavior without being distracted by the rendering details.
 
 ## Scope Hierarchies
 
-Each Angular application has exactly one {@link ng.$rootScope root scope}, but
+Each AngularJS application has exactly one {@link ng.$rootScope root scope}, but
 may have several child scopes.
 
 The application can have multiple scopes, because some {@link guide/directive directives} create
@@ -116,7 +116,7 @@ new child scopes (refer to directive documentation to see which directives creat
 When new scopes are created, they are added as children of their parent scope. This creates a tree
 structure which parallels the DOM where they're attached.
 
-When Angular evaluates `{{name}}`, it first looks at the scope associated with the given
+When AngularJS evaluates `{{name}}`, it first looks at the scope associated with the given
 element for the `name` property. If no such property is found, it searches the parent scope
 and so on until the root scope is reached. In JavaScript this behavior is known as prototypical
 inheritance, and child scopes prototypically inherit from their parents.
@@ -141,7 +141,7 @@ a diagram depicting the scope boundaries.
     angular.module('scopeExample', [])
       .controller('GreetController', ['$scope', '$rootScope', function($scope, $rootScope) {
         $scope.name = 'World';
-        $rootScope.department = 'Angular';
+        $rootScope.department = 'AngularJS';
       }])
       .controller('ListController', ['$scope', function($scope) {
         $scope.names = ['Igor', 'Misko', 'Vojta'];
@@ -158,7 +158,7 @@ a diagram depicting the scope boundaries.
 
 <img class="center" src="img/guide/concepts-scope.png">
 
-Notice that Angular automatically places `ng-scope` class on elements where scopes are
+Notice that AngularJS automatically places `ng-scope` class on elements where scopes are
 attached. The `<style>` definition in this example highlights in red the new scope locations. The
 child scopes are necessary because the repeater evaluates `{{name}}` expression, but
 depending on which scope the expression is evaluated it produces different result. Similarly the
@@ -173,7 +173,7 @@ purposes. (It is unlikely that one would need to retrieve scopes in this way ins
 application.) The location where the root scope is attached to the DOM is defined by the location
 of {@link ng.directive:ngApp `ng-app`} directive. Typically
 `ng-app` is placed on the `<html>` element, but it can be placed on other elements as well, if,
-for example, only a portion of the view needs to be controlled by Angular.
+for example, only a portion of the view needs to be controlled by AngularJS.
 
 To examine the scope in the debugger:
 
@@ -230,11 +230,11 @@ The normal flow of a browser receiving an event is that it executes a correspond
 callback. Once the callback completes the browser re-renders the DOM and returns to waiting for
 more events.
 
-When the browser calls into JavaScript the code executes outside the Angular execution context,
-which means that Angular is unaware of model modifications. To properly process model
-modifications the execution has to enter the Angular execution context using the {@link
+When the browser calls into JavaScript the code executes outside the AngularJS execution context,
+which means that AngularJS is unaware of model modifications. To properly process model
+modifications the execution has to enter the AngularJS execution context using the {@link
 ng.$rootScope.Scope#$apply `$apply`} method. Only model modifications which
-execute inside the `$apply` method will be properly accounted for by Angular. For example if a
+execute inside the `$apply` method will be properly accounted for by AngularJS. For example if a
 directive listens on DOM events, such as {@link
 ng.directive:ngClick `ng-click`} it must evaluate the
 expression inside the `$apply` method.
@@ -264,14 +264,14 @@ the `$digest` phase. This delay is desirable, since it coalesces multiple model
   3. **Model mutation**
 
      For mutations to be properly observed, you should make them only within the {@link
-     ng.$rootScope.Scope#$apply scope.$apply()}. Angular APIs do this
+     ng.$rootScope.Scope#$apply scope.$apply()}. AngularJS APIs do this
      implicitly, so no extra `$apply` call is needed when doing synchronous work in controllers,
      or asynchronous work with {@link ng.$http $http}, {@link ng.$timeout $timeout}
      or {@link ng.$interval $interval} services.
 
   4. **Mutation observation**
 
-     At the end of `$apply`, Angular performs a {@link ng.$rootScope.Scope#$digest
+     At the end of `$apply`, AngularJS performs a {@link ng.$rootScope.Scope#$digest
      $digest} cycle on the root scope, which then propagates throughout all child scopes. During
      the `$digest` cycle, all `$watch`ed expressions or functions are checked for model mutation
      and if a mutation is detected, the `$watch` listener is called.
@@ -334,7 +334,7 @@ information.
 
 ### Scope `$watch` Performance Considerations
 
-Dirty checking the scope for property changes is a common operation in Angular and for this reason
+Dirty checking the scope for property changes is a common operation in AngularJS and for this reason
 the dirty checking function must be efficient. Care should be taken that the dirty checking
 function does not do any DOM access, as DOM access is orders of magnitude slower than property
 access on JavaScript object.
@@ -354,7 +354,7 @@ Dirty checking can be done with three strategies: By reference, by collection co
 ## Integration with the browser event loop
 <img class="pull-right" style="padding-left: 3em; padding-bottom: 1em;" src="img/guide/concepts-runtime.png">
 
-The diagram and the example below describe how Angular interacts with the browser's event loop.
+The diagram and the example below describe how AngularJS interacts with the browser's event loop.
 
   1. The browser's event-loop waits for an event to arrive. An event is a user interaction, timer event,
      or network event (response from a server).
@@ -363,19 +363,19 @@ The diagram and the example below describe how Angular interacts with the browse
   3. Once the callback executes, the browser leaves the JavaScript context and
      re-renders the view based on DOM changes.
 
-Angular modifies the normal JavaScript flow by providing its own event processing loop. This
-splits the JavaScript into classical and Angular execution context. Only operations which are
-applied in the Angular execution context will benefit from Angular data-binding, exception handling,
-property watching, etc... You can also use $apply() to enter the Angular execution context from JavaScript. Keep in
+AngularJS modifies the normal JavaScript flow by providing its own event processing loop. This
+splits the JavaScript into classical and AngularJS execution context. Only operations which are
+applied in the AngularJS execution context will benefit from AngularJS data-binding, exception handling,
+property watching, etc... You can also use $apply() to enter the AngularJS execution context from JavaScript. Keep in
 mind that in most places (controllers, services) $apply has already been called for you by the
 directive which is handling the event. An explicit call to $apply is needed only when
 implementing custom event callbacks, or when working with third-party library callbacks.
 
-  1. Enter the Angular execution context by calling {@link guide/scope scope}`.`{@link
+  1. Enter the AngularJS execution context by calling {@link guide/scope scope}`.`{@link
      ng.$rootScope.Scope#$apply $apply}`(stimulusFn)`, where `stimulusFn` is
-     the work you wish to do in the Angular execution context.
-  2. Angular executes the `stimulusFn()`, which typically modifies application state.
-  3. Angular enters the {@link ng.$rootScope.Scope#$digest $digest} loop. The
+     the work you wish to do in the AngularJS execution context.
+  2. AngularJS executes the `stimulusFn()`, which typically modifies application state.
+  3. AngularJS enters the {@link ng.$rootScope.Scope#$digest $digest} loop. The
      loop is made up of two smaller loops which process {@link
      ng.$rootScope.Scope#$evalAsync $evalAsync} queue and the {@link
      ng.$rootScope.Scope#$watch $watch} list. The {@link
@@ -391,8 +391,8 @@ implementing custom event callbacks, or when working with third-party library ca
   5. The {@link ng.$rootScope.Scope#$watch $watch} list is a set of expressions
      which may have changed since last iteration. If a change is detected then the `$watch`
      function is called which typically updates the DOM with the new value.
-  6. Once the Angular {@link ng.$rootScope.Scope#$digest $digest} loop finishes,
-     the execution leaves the Angular and JavaScript context. This is followed by the browser
+  6. Once the AngularJS {@link ng.$rootScope.Scope#$digest $digest} loop finishes,
+     the execution leaves the AngularJS and JavaScript context. This is followed by the browser
      re-rendering the DOM to reflect any changes.
 
 
@@ -411,12 +411,12 @@ user enters text into the text field.
      2. The {@link ng.directive:input input} directive
         captures the change to the input's value and calls {@link
         ng.$rootScope.Scope#$apply $apply}`("name = 'X';")` to update the
-        application model inside the Angular execution context.
-     3. Angular applies the `name = 'X';` to the model.
+        application model inside the AngularJS execution context.
+     3. AngularJS applies the `name = 'X';` to the model.
      4. The {@link ng.$rootScope.Scope#$digest $digest} loop begins
      5. The {@link ng.$rootScope.Scope#$watch $watch} list detects a change
         on the `name` property and notifies the {@link ng.$interpolate interpolation},
         which in turn updates the DOM.
-     6. Angular exits the execution context, which in turn exits the `keydown` event and with it
+     6. AngularJS exits the execution context, which in turn exits the `keydown` event and with it
         the JavaScript execution context.
      7. The browser re-renders the view with the updated text.
diff --git a/docs/content/guide/security.ngdoc b/docs/content/guide/security.ngdoc
index 9fcf0e7c6078..e4236de03d07 100644
--- a/docs/content/guide/security.ngdoc
+++ b/docs/content/guide/security.ngdoc
@@ -14,7 +14,7 @@ keep in mind as you build your application.
 Email us at [security@angularjs.org](mailto:security@angularjs.org) to report any potential
 security issues in AngularJS.
 
-Please keep in mind the points below about Angular's expression language.
+Please keep in mind the points below about AngularJS's expression language.
 
 
 ## Use the latest AngularJS possible
@@ -25,19 +25,19 @@ of upcoming security patches and other updates.
 
 Be ready to update rapidly when new security-centric patches are available.
 
-Those that stray from Angular standards (such as modifying Angular's core) may have difficulty updating,
+Those that stray from AngularJS standards (such as modifying AngularJS's core) may have difficulty updating,
 so keeping to AngularJS standards is not just a functionality issue, it's also critical in order to
 facilitate rapid security updates.
 
 
-## Angular Templates and Expressions
+## AngularJS Templates and Expressions
 
-**If an attacker has access to control Angular templates or expressions, they can exploit an Angular application
+**If an attacker has access to control AngularJS templates or expressions, they can exploit an AngularJS application
 via an XSS attack, regardless of the version.**
 
 There are a number of ways that templates and expressions can be controlled:
 
-* **Generating Angular templates on the server containing user-provided content**. This is the most common pitfall
+* **Generating AngularJS templates on the server containing user-provided content**. This is the most common pitfall
   where you are generating HTML via some server-side engine such as PHP, Java or ASP.NET.
 * **Passing an expression generated from user-provided content in calls to the following methods on a {@link scope scope}**:
   * `$watch(userContent, ...)`
@@ -55,14 +55,14 @@ There are a number of ways that templates and expressions can be controlled:
   `{{ value | orderBy : userContent }}`
 
 ### Sandbox removal
-Each version of Angular 1 up to, but not including 1.6, contained an expression sandbox, which reduced the surface area of
-the vulnerability but never removed it. **In Angular 1.6 we removed this sandbox as developers kept relying upon it as a security
-feature even though it was always possible to access arbitrary JavaScript code if one could control the Angular templates
+Each version of AngularJS 1 up to, but not including 1.6, contained an expression sandbox, which reduced the surface area of
+the vulnerability but never removed it. **In AngularJS 1.6 we removed this sandbox as developers kept relying upon it as a security
+feature even though it was always possible to access arbitrary JavaScript code if one could control the AngularJS templates
 or expressions of applications.**
 
-Control of the Angular templates makes applications vulnerable even if there was a completely secure sandbox:
+Control of the AngularJS templates makes applications vulnerable even if there was a completely secure sandbox:
 * https://ryhanson.com/stealing-session-tokens-on-plunker-with-an-angular-expression-injection/ in this blog post the author shows
-  a (now closed) vulnerability in the Plunker application due to server-side rendering inside an Angular template.
+  a (now closed) vulnerability in the Plunker application due to server-side rendering inside an AngularJS template.
 * https://ryhanson.com/angular-expression-injection-walkthrough/ in this blog post the author describes an attack, which does not
   rely upon an expression sandbox bypass, that can be made because the sample application is rendering a template on the server that
   contains user entered content.
@@ -75,9 +75,9 @@ Control of the Angular templates makes applications vulnerable even if there was
 * Consider using {@link ng.directive:ngCsp CSP} (but don't rely only on CSP)
 
 **You can use suitably sanitized server-side templating to dynamically generate CSS, URLs, etc, but not for generating templates that are
-bootstrapped/compiled by Angular.**
+bootstrapped/compiled by AngularJS.**
 
-**If you must continue to allow user-provided content in an Angular template then the safest option is to ensure that it is only
+**If you must continue to allow user-provided content in an AngularJS template then the safest option is to ensure that it is only
 present in the part of the template that is made inert via the {@link ngNonBindable} directive.**
 
 
@@ -85,7 +85,7 @@ present in the part of the template that is made inert via the {@link ngNonBinda
 
 Whenever your application makes requests to a server there are potential security issues that need
 to be blocked. Both server and the client must cooperate in order to eliminate these threats.
-Angular comes pre-configured with strategies that address these issues, but for this to work backend
+AngularJS comes pre-configured with strategies that address these issues, but for this to work backend
 server cooperation is required.
 
 
@@ -97,7 +97,7 @@ For more information please visit {@link $http#cross-site-request-forgery-xsrf-p
 ### JSON Hijacking Protection
 
 Protection from JSON Hijacking is provided if the server prefixes all JSON requests with following string `")]}',\n"`.
-Angular will automatically strip the prefix before processing it as JSON.
+AngularJS will automatically strip the prefix before processing it as JSON.
 For more information please visit {@link $http#json-vulnerability-protection JSON Hijacking Protection}.
 
 Bear in mind that calling `$http.jsonp`, like in [our Yahoo! finance example](https://docs.angularjs.org/guide/concepts#accessing-the-backend),
@@ -124,7 +124,7 @@ For more information please visit {@link $sce} and {@link ngSanitize.$sanitize}.
 
 ## Using Local Caches
 
-There are various places that the browser can store (or cache) data. Within Angular there are objects created by
+There are various places that the browser can store (or cache) data. Within AngularJS there are objects created by
 the {@link $cacheFactory}. These objects, such as {@link $templateCache} are used to store and retrieve data,
 primarily used by {@link $http} and the {@link script} directive to cache templates and other data.
 
diff --git a/docs/content/guide/services.ngdoc b/docs/content/guide/services.ngdoc
index 3659f6612279..767678308366 100644
--- a/docs/content/guide/services.ngdoc
+++ b/docs/content/guide/services.ngdoc
@@ -5,29 +5,29 @@
 
 # Services
 
-Angular services are substitutable objects that are wired together using {@link di dependency
+AngularJS services are substitutable objects that are wired together using {@link di dependency
 injection (DI)}. You can use services to organize and share code across your app.
 
-Angular services are:
+AngularJS services are:
 
-* Lazily instantiated – Angular only instantiates a service when an application component depends
+* Lazily instantiated – AngularJS only instantiates a service when an application component depends
   on it.
 * Singletons – Each component dependent on a service gets a reference to the single instance
   generated by the service factory.
 
-Angular offers several useful services (like {@link ng.$http `$http`}), but for most applications
+AngularJS offers several useful services (like {@link ng.$http `$http`}), but for most applications
 you'll also want to {@link services#creating-services create your own}.
 
 <div class="alert alert-info">
-**Note:** Like other core Angular identifiers, built-in services always start with `$`
+**Note:** Like other core AngularJS identifiers, built-in services always start with `$`
 (e.g. `$http`).
 </div>
 
 
 ## Using a Service
 
-To use an Angular service, you add it as a dependency for the component (controller, service,
-filter or directive) that depends on the service. Angular's {@link di dependency injection}
+To use an AngularJS service, you add it as a dependency for the component (controller, service,
+filter or directive) that depends on the service. AngularJS's {@link di dependency injection}
 subsystem takes care of the rest.
 
 <example module="myServiceModule" name="services-usage">
@@ -72,7 +72,7 @@ subsystem takes care of the rest.
 ## Creating Services
 
 Application developers are free to define their own services by registering the service's name and
-**service factory function**, with an Angular module.
+**service factory function**, with an AngularJS module.
 
 The **service factory function** generates the single object or function that represents the
 service to the rest of the application. The object or function returned by the service is
@@ -180,7 +180,7 @@ This technique is often used in unit tests to mock out a service's dependencies.
 ## Unit Testing
 
 The following is a unit test for the `notify` service from the {@link services#creating-services
-Creating Angular Services} example above. The unit test example uses a Jasmine spy (mock) instead
+Creating AngularJS Services} example above. The unit test example uses a Jasmine spy (mock) instead
 of a real browser alert.
 
 ```js
@@ -233,5 +233,5 @@ it('should clear messages after alert', function() {
 
 ## Related API
 
-* {@link ./api/ng/service Angular Service API}
+* {@link ./api/ng/service AngularJS Service API}
 * {@link angular.injector Injector API}
diff --git a/docs/content/guide/templates.ngdoc b/docs/content/guide/templates.ngdoc
index d5a408d71c4a..e583f3c1da96 100644
--- a/docs/content/guide/templates.ngdoc
+++ b/docs/content/guide/templates.ngdoc
@@ -5,16 +5,16 @@
 
 # Templates
 
-In Angular, templates are written with HTML that contains Angular-specific elements and attributes.
-Angular combines the template with information from the model and controller to render the dynamic
+In AngularJS, templates are written with HTML that contains AngularJS-specific elements and attributes.
+AngularJS combines the template with information from the model and controller to render the dynamic
 view that a user sees in the browser.
 
-These are the types of Angular elements and attributes you can use:
+These are the types of AngularJS elements and attributes you can use:
 
 * {@link guide/directive Directive} — An attribute or element that
   augments an existing DOM element or represents a reusable DOM component.
 * {@link ng.$interpolate Markup} — The double curly brace notation `{{ }}` to bind expressions
-  to elements is built-in Angular markup.
+  to elements is built-in AngularJS markup.
 * {@link guide/filter Filter} — Formats data for display.
 * {@link forms Form controls} — Validates user input.
 
@@ -35,13 +35,13 @@ curly-brace {@link expression expression} bindings:
 </html>
 ```
 
-In a simple app, the template consists of HTML, CSS, and Angular directives contained
+In a simple app, the template consists of HTML, CSS, and AngularJS directives contained
 in just one HTML file (usually `index.html`).
 
 In a more complex app, you can display multiple views within one main page using "partials" –
 segments of template located in separate HTML files. You can use the
 {@link ngRoute.directive:ngView ngView} directive to load partials based on configuration passed
-to the {@link ngRoute.$route $route} service. The {@link tutorial/ angular tutorial} shows this
+to the {@link ngRoute.$route $route} service. The {@link tutorial/ AngularJS tutorial} shows this
 technique in steps seven and eight.
 
 
diff --git a/docs/content/guide/unit-testing.ngdoc b/docs/content/guide/unit-testing.ngdoc
index 82815f5e92a5..63f1b8667da4 100644
--- a/docs/content/guide/unit-testing.ngdoc
+++ b/docs/content/guide/unit-testing.ngdoc
@@ -8,7 +8,7 @@
 JavaScript is a dynamically typed language which comes with great power of expression, but it also
 comes with almost no help from the compiler. For this reason we feel very strongly that any code
 written in JavaScript needs to come with a strong set of tests. We have built many features into
-Angular which make testing your Angular applications easy. With Angular, there is no excuse for not testing.
+AngularJS which make testing your AngularJS applications easy. With AngularJS, there is no excuse for not testing.
 
 ## Separation of Concerns
 
@@ -25,7 +25,7 @@ typical project. The reason is that the developers often mix concerns resulting
 piece of code which does everything. It makes an XHR request, it sorts the response data, and then it
 manipulates the DOM.
 
-With Angular, we try to make it easy for you to do the right thing. For your XHR requests, we
+With AngularJS, we try to make it easy for you to do the right thing. For your XHR requests, we
 provide dependency injection, so your requests can be simulated. For the DOM, we abstract it, so you can
 test your model without having to manipulate the DOM directly. Your tests can then
 assert that the data has been sorted without having to create or look at the state of the DOM or to
@@ -33,22 +33,22 @@ wait for any XHR requests to return data. The individual sort function can be te
 
 ## With great power comes great responsibility
 
-Angular is written with testability in mind, but it still requires that you do the right thing.
+AngularJS is written with testability in mind, but it still requires that you do the right thing.
 We tried to make the right thing easy, but if you ignore these guidelines you may end up with an
 untestable application.
 
 ## Dependency Injection
 
-Angular comes with {@link di dependency injection} built-in, which makes testing components much
+AngularJS comes with {@link di dependency injection} built-in, which makes testing components much
 easier, because you can pass in a component's dependencies and stub or mock them as you wish.
 
 Components that have their dependencies injected allow them to be easily mocked on a test by
 test basis, without having to mess with any global variables that could inadvertently affect
 another test.
 
-## Additional tools for testing Angular applications
+## Additional tools for testing AngularJS applications
 
-For testing Angular applications there are certain tools that you should use that will make testing much
+For testing AngularJS applications there are certain tools that you should use that will make testing much
 easier to set up and run.
 
 ### Karma
@@ -65,7 +65,7 @@ are available on [the Karma website](http://karma-runner.github.io/0.12/intro/in
 ### Jasmine
 
 [Jasmine](http://jasmine.github.io/1.3/introduction.html) is a behavior driven development framework for
-JavaScript that has become the most popular choice for testing Angular applications. Jasmine
+JavaScript that has become the most popular choice for testing AngularJS applications. Jasmine
 provides functions to help with structuring your tests and also making assertions. As your tests
 grow, keeping them well structured and documented is vital, and Jasmine helps achieve this.
 
@@ -109,15 +109,15 @@ what they are. To use Jasmine with Karma, we use the
 
 ### angular-mocks
 
-Angular also provides the {@link ngMock} module, which provides mocking for your tests. This is used
-to inject and mock Angular services within unit tests. In addition, it is able to extend other
+AngularJS also provides the {@link ngMock} module, which provides mocking for your tests. This is used
+to inject and mock AngularJS services within unit tests. In addition, it is able to extend other
 modules so they are synchronous. Having tests synchronous keeps them much cleaner and easier to work
 with. One of the most useful parts of ngMock is {@link ngMock.$httpBackend}, which lets us mock XHR
 requests in tests, and return sample data instead.
 
 ## Testing a Controller
 
-Because Angular separates logic from the view layer, it keeps controllers easy to test. Let's take a
+Because AngularJS separates logic from the view layer, it keeps controllers easy to test. Let's take a
 look at how we might test the controller below, which provides `$scope.grade`, which sets a property
 on the scope based on the length of the password.
 
@@ -282,13 +282,13 @@ describe('length filter', function() {
 ```
 
 ## Testing Directives
-Directives in angular are responsible for encapsulating complex functionality within custom HTML tags,
+Directives in AngularJS are responsible for encapsulating complex functionality within custom HTML tags,
 attributes, classes or comments. Unit tests are very important for directives because the components
 you create with directives may be used throughout your application and in many different contexts.
 
 ### Simple HTML Element Directive
 
-Let's start with an angular app with no dependencies.
+Let's start with an AngularJS app with no dependencies.
 
 ```js
 var app = angular.module('myApp', []);
diff --git a/docs/content/misc/contribute.ngdoc b/docs/content/misc/contribute.ngdoc
index 565cef21a5c7..b0e6336ffcf5 100644
--- a/docs/content/misc/contribute.ngdoc
+++ b/docs/content/misc/contribute.ngdoc
@@ -12,7 +12,7 @@ for how to contribute your own code to AngularJS.
 
 
 1. {@link misc/contribute#installing-dependencies Installing Dependencies}
-2. {@link misc/contribute#forking-angular-on-github Forking Angular on Github}
+2. {@link misc/contribute#forking-angular-on-github Forking AngularJS on Github}
 3. {@link misc/contribute#building-angularjs Building AngularJS}
 4. {@link misc/contribute#running-a-local-development-web-server Running a Local Development Web Server}
 5. {@link misc/contribute#running-the-unit-test-suite Running the Unit Test Suite}
@@ -47,7 +47,7 @@ machine:
   yarn global add grunt-cli
   ```
 
-## Forking Angular on Github
+## Forking AngularJS on Github
 
 To create a Github account, follow the instructions [here](https://github.com/signup/free).
 Afterwards, go ahead and [fork](http://help.github.com/forking) the [main AngularJS repository](https://github.com/angular/angular.js).
@@ -97,11 +97,11 @@ directories:
 * `angular-<version>.zip` — The complete zip file, containing all of the release build
 artifacts.
 
-* `angular.js` — The non-minified `angular` script.
+* `angular.js` — The non-minified AngularJS script.
 
-* `angular.min.js` —  The minified `angular` script.
+* `angular.min.js` —  The minified AngularJS script.
 
-* `angular-scenario.js` — The `angular` End2End test runner.
+* `angular-scenario.js` — The AngularJS End2End test runner.
 
 * `docs/` — A directory that contains all of the files needed to run `docs.angularjs.org`.
 
@@ -176,7 +176,7 @@ grunt --help
 
 ## Running the End-to-end Test Suite
 
-Angular's end to end tests are run with Protractor. Simply run:
+AngularJS's end to end tests are run with Protractor. Simply run:
 
 ```shell
 grunt test:e2e
diff --git a/docs/content/misc/downloading.ngdoc b/docs/content/misc/downloading.ngdoc
index 097645a2e574..83806b34f835 100644
--- a/docs/content/misc/downloading.ngdoc
+++ b/docs/content/misc/downloading.ngdoc
@@ -2,26 +2,26 @@
 @name Downloading
 @description
 
-# Including Angular scripts from the Google CDN
+# Including AngularJS scripts from the Google CDN
 The quickest way to get started is to point your html `<script>` tag to a
 [Google CDN](https://developers.google.com/speed/libraries/#angularjs) URL.
 This way, you don't have to download anything or maintain a local copy.
 
-There are two types of Angular script URLs you can point to, one for development and one for
+There are two types of AngularJS script URLs you can point to, one for development and one for
 production:
 
 * __angular.js__ — This is the human-readable, non-minified version, suitable for web development.
 * __angular.min.js__ — This is the minified version, which we strongly suggest you use in
   production.
 
-To point your code to an angular script on the Google CDN server, use the following template. This 
+To point your code to an AngularJS script on the Google CDN server, use the following template. This
 example points to the minified version 1.5.6:
 
 ```html
   <!doctype html>
   <html ng-app>
     <head>
-      <title>My Angular App</title>
+      <title>My AngularJS App</title>
       <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.5.6/angular.min.js"></script>
     </head>
     <body>
@@ -32,22 +32,22 @@ example points to the minified version 1.5.6:
 <div class="alert alert-info">
   Note that only versions 1.0.1 and above are available on the CDN. If you need an earlier version
   (which you shouldn't) you can use the https://code.angularjs.org/ URL, which was the previous
-  recommended location for hosted code source. If you're still using the Angular server you should 
+  recommended location for hosted code source. If you're still using the AngularJS server you should
   switch to the CDN version for even faster loading times.
 </div>
 
 <br />
-# Downloading and hosting angular files locally
-This option is for those who want to work with Angular offline, or those who want to host the
-Angular files on their own servers.
+# Downloading and hosting AngularJS files locally
+This option is for those who want to work with AngularJS offline, or those who want to host the
+AngularJS files on their own servers.
 
 If you navigate to https://code.angularjs.org/, you'll see a directory listing with all of the
-Angular versions since we started releasing versioned build artifacts. Each directory contains all
+AngularJS versions since we started releasing versioned build artifacts. Each directory contains all
 artifacts that we released for a particular version. Download the version you want and have fun.
 
 <div class="alert alert-warning">
   You can ignore directories starting with `2.` (e.g. `2.0.0-beta.17`) — they are not related to
-  AngularJS. They contain build artifacts from [Angular 2](https://angular.io) versions.
+  AngularJS. They contain build artifacts from [Angular](https://angular.io) versions.
 </div>
 
 <br />
@@ -72,10 +72,10 @@ development) come in two flavors — one suitable for development, the other for
 <br />
 The set of files included in each version directory are:
 
-* __`angular.zip`__ — This is a zip archive that contains all of the files released for this Angular
+* __`angular.zip`__ — This is a zip archive that contains all of the files released for this AngularJS
   version. Use this file to get everything in a single download.
 
-* __`angular.js`__ — The core Angular framework. This is all you need to get your Angular app
+* __`angular.js`__ — The core AngularJS framework. This is all you need to get your AngularJS app
   running.
 
 * __`angular-csp.css`__ — You only need this file if you are using
@@ -86,14 +86,14 @@ The set of files included in each version directory are:
   apps even easier. Your unit/integration test harness should load this file after `angular.js` is
   loaded.
 
-* __`angular-loader.js`__ — Module loader for Angular modules. If you are loading multiple 
-  script files containing Angular modules, you can load them asynchronously and in any order as long
+* __`angular-loader.js`__ — Module loader for AngularJS modules. If you are loading multiple
+  script files containing AngularJS modules, you can load them asynchronously and in any order as long
   as you load this file first. Often the contents of this file are copy&pasted into the `index.html`
   to avoid even the initial request to `angular-loader[.min].js`.
   See [angular-seed](https://github.com/angular/angular-seed/blob/master/app/index-async.html) for
   an example of usage.
 
-* __Additional Angular modules:__ Optional modules with additional functionality. These files
+* __Additional AngularJS modules:__ Optional modules with additional functionality. These files
   should be loaded after the core `angular[.min].js` file:
   * __`angular-animate.js`__ — Enable animation support. ({@link module:ngAnimate API docs})
   * __`angular-aria.js`__ — Make your apps [accessible](http://www.w3.org/TR/wai-aria/) to users of
@@ -104,11 +104,11 @@ The set of files included in each version directory are:
       messages in interpolated text. ({@link module:ngMessageFormat API docs})
   * __`angular-messages.js`__ — Enhanced support for displaying validation messages.
       ({@link module:ngMessages API docs})
-  * __`angular-parse-ext.js`__ — Allow Unicode characters in identifiers inside Angular expressions.
+  * __`angular-parse-ext.js`__ — Allow Unicode characters in identifiers inside AngularJS expressions.
       ({@link module:ngParseExt API docs})
   * __`angular-resource.js`__ — Easy interaction with RESTful services.
       ({@link module:ngResource API docs})
-  * __`angular-route.js`__ — Routing and deep-linking services and directives for Angular apps.
+  * __`angular-route.js`__ — Routing and deep-linking services and directives for AngularJS apps.
       ({@link module:ngRoute API docs})
   * __`angular-sanitize.js`__ — Functionality to sanitize HTML. ({@link module:ngSanitize API docs})
   * __`angular-touch.js`__ — Touch events and other helpers for touch-enabled devices.
@@ -120,4 +120,4 @@ The set of files included in each version directory are:
   importantly, view the docs offline.
 
 * __`i18n/`__ - This directory contains [locale specific](https://docs.angularjs.org/guide/i18n)
-  `ngLocale` Angular modules to override the defaults defined in the main `ng` module.
+  `ngLocale` AngularJS modules to override the defaults defined in the main `ng` module.
diff --git a/docs/content/misc/faq.ngdoc b/docs/content/misc/faq.ngdoc
index 0f5960eda147..ece83a335028 100644
--- a/docs/content/misc/faq.ngdoc
+++ b/docs/content/misc/faq.ngdoc
@@ -8,7 +8,7 @@
 
 ### Why is this project called "AngularJS"? Why is the namespace called "ng"?
 
-Because HTML has Angular brackets and "ng" sounds like "Angular".
+Because HTML has AngularJS brackets and "ng" sounds like "AngularJS".
 
 
 ### Is AngularJS a library, framework, plugin or a browser extension?
@@ -22,22 +22,22 @@ So it's definitely not a plugin or some other native browser extension.
 
 ### What is the AngularJS versioning strategy?
 
-In Angular 1 we do not allow intentional breaking changes to appear in versions where only the "patch"
+In AngularJS we do not allow intentional breaking changes to appear in versions where only the "patch"
 number changes. For example between 1.3.12 and 1.3.13 there can be no breaking changes. We do allow
 breaking changes happen between "minor" number changes. For example between 1.3.15 and 1.4.0 there
-will be a number of breaking changes. We also allow breaking changes between beta releases of Angular.
+will be a number of breaking changes. We also allow breaking changes between beta releases of AngularJS.
 For example between 1.4.0-beta.4 and 1.4.0-beta.5 there may be breaking changes. We try hard to minimize
 these kinds of change only to those where there is a strong use case such as a strongly requested feature
 improvement, a considerable simplification of the code or a measurable performance improvement.
 
-When adding new code to branches of Angular, have a very stringent commit policy:
+When adding new code to branches of AngularJS, have a very stringent commit policy:
 
 - Every commit must contain tests and documentation updates alongside the code changes and that all the
 tests must pass;
 - Commit messages must be written in a specific manner that allows us to parse them and extract the changes
 for release notes.
 
-The Angular code base has a very large set of unit tests (over 4000) and end to end tests, which are pretty
+The AngularJS code base has a very large set of unit tests (over 4000) and end to end tests, which are pretty
 comprehensive. This means that a breaking change will require one or more tests to be changed to allow the
 tests to pass. So when a commit includes tests that are being removed or modified, this is a flag that the
 code might include a breaking change. When reviewing the commit we can then decide whether there really is
@@ -53,13 +53,13 @@ Lastly, when we are making a release we generate updates to the changelog direct
 generated update contains a highlighted section that contains all the breaking changes that have been
 extracted from the commits. We can quickly see in the new changelog exactly what commits contain breaking
 changes and so can application developers when they are deciding whether to update to a new version of
-Angular.
+AngularJS.
 
 
 ### Is AngularJS a templating system?
 
-At the highest level, Angular does look like just another templating system. But there is one
-important reason why the Angular templating system is different, that makes it very good fit for
+At the highest level, AngularJS does look like just another templating system. But there is one
+important reason why the AngularJS templating system is different, that makes it very good fit for
 application development: bidirectional data binding. The template is compiled in the browser and
 the compilation step produces a live view. This means you, the developers, don't need to write
 code to constantly sync the view with the model and the model with the view as in other
@@ -68,7 +68,7 @@ templating systems.
 
 ### Do I need to worry about security holes in AngularJS?
 
-Like any other technology, AngularJS is not impervious to attack. Angular does, however, provide
+Like any other technology, AngularJS is not impervious to attack. AngularJS does, however, provide
 built-in protection from basic security holes, including cross-site scripting and HTML injection
 attacks. AngularJS does round-trip escaping on all strings for you and even offers XSRF protection
 for server-side communication.
@@ -77,7 +77,7 @@ AngularJS was designed to be compatible with other security measures like Conten
 (CSP), HTTPS (SSL/TLS) and server-side authentication and authorization that greatly reduce the
 possible attack vectors and we highly recommend their use.
 
-Please read {@link security} for more detailed information about securing Angular apps.
+Please read {@link security} for more detailed information about securing AngularJS apps.
 
 
 ### Can I download the source, build, and host the AngularJS environment locally?
@@ -86,7 +86,7 @@ Yes. See instructions in {@link downloading}.
 
 
 
-### What browsers does Angular work with?
+### What browsers does AngularJS work with?
 
 We run our extensive test suite against the following browsers: the latest versions of Chrome,
 Firefox, Safari, and Safari for iOs, as well as Internet Explorer versions 9-11. See {@link guide/ie
@@ -99,7 +99,7 @@ a large part of their codebase with a browser we test, such as Opera > version 1
 (uses the Blink engine), or the various Firefox derivatives.
 
 
-### What's Angular's performance like?
+### What's AngularJS's performance like?
 
 The startup time heavily depends on your network connection, state of the cache, browser used and
 available hardware, but typically we measure bootstrap time in tens or hundreds of milliseconds.
@@ -114,40 +114,40 @@ illustration, we typically build snappy apps with hundreds or thousands of activ
 The size of the file is ~50KB compressed and minified.
 
 
-### Can I use the open-source Closure Library with Angular?
+### Can I use the open-source Closure Library with AngularJS?
 
 Yes, you can use widgets from the [Closure Library](https://developers.google.com/closure/library/)
-in Angular.
+in AngularJS.
 
 
-### Does Angular use the jQuery library?
+### Does AngularJS use the jQuery library?
 
-Yes, Angular can use [jQuery](http://jquery.com/) if it's present in your app when the
-application is being bootstrapped. If jQuery is not present in your script path, Angular falls back
+Yes, AngularJS can use [jQuery](http://jquery.com/) if it's present in your app when the
+application is being bootstrapped. If jQuery is not present in your script path, AngularJS falls back
 to its own implementation of the subset of jQuery that we call {@link angular.element  jQLite}.
 
-Angular 1.3 only supports jQuery 2.1 or above. jQuery 1.7 and newer might work correctly with Angular
+AngularJS 1.3 only supports jQuery 2.1 or above. jQuery 1.7 and newer might work correctly with AngularJS
 but we don't guarantee that.
 
 
-### What is testability like in Angular?
+### What is testability like in AngularJS?
 
 Very testable and designed this way from the ground up. It has an integrated dependency injection
 framework, provides mocks for many heavy dependencies (server-side communication). See
 {@link ngMock} for details.
 
 
-### How can I learn more about Angular?
+### How can I learn more about AngularJS?
 
 Watch the July 17, 2012 talk
 "[AngularJS Intro + Dependency Injection](http://www.youtube.com/watch?v=1CpiB3Wk25U)".
 
 
-### How is Angular licensed?
+### How is AngularJS licensed?
 
 The [MIT License](https://github.com/angular/angular.js/blob/master/LICENSE).
 
-### Can I download and use the Angular logo artwork?
+### Can I download and use the AngularJS logo artwork?
 
 Yes! You can find design files in our github repository, under "[angular.js/images/logo](https://github.com/angular/angular.js/tree/master/images/logo)"
 The logo design is licensed under a "[Creative Commons Attribution-ShareAlike 3.0 Unported License](http://creativecommons.org/licenses/by-sa/3.0/)". If you have some other use in mind, contact us.
@@ -168,7 +168,7 @@ For a smaller order, or for other countries, we suggest downloading the logo art
 
 ## Common Pitfalls
 
-The Angular support channel (#angularjs on Freenode) sees a number of recurring pitfalls that new users of Angular fall into.
+The AngularJS support channel (#angularjs on Freenode) sees a number of recurring pitfalls that new users of AngularJS fall into.
 This document aims to point them out before you discover them the hard way.
 
 ### DOM Manipulation
@@ -179,13 +179,13 @@ Use built-in directives, or write your own where necessary, to do your DOM manip
 See below about duplicating functionality.
 
 If you're struggling to break the habit, consider removing jQuery from your app.
-Really. Angular has the $http service and powerful directives that make it almost always unnecessary.
-Angular's bundled jQLite has a handful of the features most commonly used in writing Angular directives, especially binding to events.
+Really. AngularJS has the $http service and powerful directives that make it almost always unnecessary.
+AngularJS's bundled jQLite has a handful of the features most commonly used in writing AngularJS directives, especially binding to events.
 
 ### Trying to duplicate functionality that already exists
 
 There's a good chance that your app isn't the first to require certain functionality.
-There are a few pieces of Angular that are particularly likely to be reimplemented out of old habits.
+There are a few pieces of AngularJS that are particularly likely to be reimplemented out of old habits.
 
 **ng-repeat**
 
@@ -198,7 +198,7 @@ Store the data from the server in an array on your `$scope`, and bind it to the
 **ng-show**
 
 `ng-show` gets this frequently too.
-Conditionally showing and hiding things using jQuery is a common pattern in other apps, but Angular has a better way.
+Conditionally showing and hiding things using jQuery is a common pattern in other apps, but AngularJS has a better way.
 `ng-show` (and `ng-hide`) conditionally show and hide elements based on boolean expressions.
 Describe the conditions for showing and hiding an element in terms of `$scope` variables:
 
@@ -211,7 +211,7 @@ Note especially the powerful `ng-switch` that should be used instead of several
 
 `ng-class` is the last of the big three.
 Conditionally applying classes to elements is another thing commonly done manually using jQuery.
-Angular, of course, has a better way.
+AngularJS, of course, has a better way.
 You can give `ng-class` a whitespace-separated set of class names, and then it's identical to ordinary `class`.
 That's not very exciting, so there's a second syntax:
 
@@ -225,22 +225,22 @@ Note also the handy `ng-class-even` and `ng-class-odd`, and the related though s
 
 ### `$watch` and `$apply`
 
-Angular's two-way data binding is the root of all awesome in Angular.
+AngularJS's two-way data binding is the root of all awesome in AngularJS.
 However, it's not magic, and there are some situations where you need to give it a nudge in the right direction.
 
-When you bind a value to an element in Angular using `ng-model`, `ng-repeat`, etc., Angular creates a `$watch` on that value.
+When you bind a value to an element in AngularJS using `ng-model`, `ng-repeat`, etc., AngularJS creates a `$watch` on that value.
 Then whenever a value on a scope changes, all `$watch`es observing that element are executed, and everything updates.
 
 Sometimes, usually when you're writing a custom directive, you will have to define your own `$watch` on a scope value to make the directive react to changes.
 
 On the flip side, sometimes you change a scope value in some code, but the app doesn't react to it.
-Angular checks for scope variable changes after pieces of your code have finished running; for example, when `ng-click` calls a function on your scope, Angular will check for changes and react.
-However, some code is outside of Angular and you'll have to call `scope.$apply()` yourself to trigger the update.
+AngularJS checks for scope variable changes after pieces of your code have finished running; for example, when `ng-click` calls a function on your scope, AngularJS will check for changes and react.
+However, some code is outside of AngularJS and you'll have to call `scope.$apply()` yourself to trigger the update.
 This is most commonly seen in event handlers in custom directives.
 
 ### Combining `ng-repeat` with other directives
 
-`ng-repeat` is extremely useful, one of the most powerful directives in Angular.
+`ng-repeat` is extremely useful, one of the most powerful directives in AngularJS.
 However the transformation it applies to the DOM is substantial.
 Therefore applying other directives (such as `ng-show`, `ng-controller` and others) to the same element as `ng-repeat` generally leads to problems.
 
@@ -249,7 +249,7 @@ If you want to apply a directive to each inner piece of the repeat, put it on a
 
 ### `$rootScope` exists, but it can be used for evil
 
-Scopes in Angular form a hierarchy, prototypically inheriting from a root scope at the top of the tree.
+Scopes in AngularJS form a hierarchy, prototypically inheriting from a root scope at the top of the tree.
 Usually this can be ignored, since most views have a controller, and therefore a scope, of their own.
 
 Occasionally there are pieces of data that you want to make global to the whole app.
diff --git a/docs/content/misc/started.ngdoc b/docs/content/misc/started.ngdoc
index 8d7a917910da..5f2e07292078 100644
--- a/docs/content/misc/started.ngdoc
+++ b/docs/content/misc/started.ngdoc
@@ -4,10 +4,10 @@
 
 # Getting Started
 
-We want you to have an easy time while starting to use Angular.  We've put together the following steps on your path to
-becoming an Angular expert.
+We want you to have an easy time while starting to use AngularJS.  We've put together the following steps on your path to
+becoming an AngularJS expert.
 
-1. Read the {@link guide/concepts conceptual overview}.<br/>Understand Angular's vocabulary and how all the Angular
+1. Read the {@link guide/concepts conceptual overview}.<br/>Understand AngularJS's vocabulary and how all the AngularJS
    components work together.
 1. Do the {@link tutorial/ AngularJS Tutorial}.<br/>Walk end-to-end through building an application complete with tests
    on top of a node.js web server.  Covers every major AngularJS feature and shows you how to set up your development
diff --git a/docs/content/tutorial/index.ngdoc b/docs/content/tutorial/index.ngdoc
index 1dc745f21b75..823f91d7634d 100644
--- a/docs/content/tutorial/index.ngdoc
+++ b/docs/content/tutorial/index.ngdoc
@@ -6,19 +6,19 @@
 # PhoneCat Tutorial App
 
 A great way to get introduced to AngularJS is to work through this tutorial, which walks you through
-the construction of an Angular web app. The app you will build is a catalog that displays a list
+the construction of an AngularJS web app. The app you will build is a catalog that displays a list
 of Android devices, lets you filter the list to see only devices that interest you, and then view
 details for any device.
 
 <img class="diagram" src="img/tutorial/catalog_screen.png" width="488" height="413"
     alt="demo application running in the browser">
 
-Follow the tutorial to see how Angular makes browsers smarter — without the use of native
+Follow the tutorial to see how AngularJS makes browsers smarter — without the use of native
 extensions or plug-ins:
 
 * See examples of how to use client-side data binding to build dynamic views of data that change
   immediately in response to user actions.
-* See how Angular keeps your views in sync with your data without the need for DOM manipulation.
+* See how AngularJS keeps your views in sync with your data without the need for DOM manipulation.
 * Learn a better, easier way to test your web apps, with Karma and Protractor.
 * Learn how to use dependency injection and services to make common web tasks, such as getting data
   into your app, easier.
@@ -30,9 +30,9 @@ When you finish the tutorial you will be able to:
 * Create and run unit tests, with Karma.
 * Create and run end-to-end tests, with Protractor.
 * Move application logic out of the template and into components and controllers.
-* Get data from a server using Angular services.
+* Get data from a server using AngularJS services.
 * Apply animations to your application, using the `ngAnimate` module.
-* Structure your Angular applications in a modular way that scales well for larger projects.
+* Structure your AngularJS applications in a modular way that scales well for larger projects.
 * Identify resources for learning more about AngularJS.
 
 The tutorial guides you through the entire process of building a simple application, including
@@ -54,7 +54,7 @@ If you just want to _read_ the tutorial, you can go straight to the first step:
 ## Working with the Code
 
 You can follow along with this tutorial and hack on the code in the comfort of your own computer.
-This way, you can get hands-on practice of really writing Angular code and also on using the
+This way, you can get hands-on practice of really writing AngularJS code and also on using the
 recommended testing tools.
 
 The tutorial relies on the use of the [Git][git] versioning system for source code management.
@@ -182,7 +182,7 @@ bower install
 
 ### Running the Development Web Server
 
-While Angular applications are purely client-side code, and it is possible to open them in a web
+While AngularJS applications are purely client-side code, and it is possible to open them in a web
 browser directly from the file system, it is better to serve them from an HTTP web server. In
 particular, for security reasons, most modern browsers will not allow JavaScript to make server
 requests if the page is loaded directly from the file system.
@@ -199,7 +199,7 @@ You can now browse to the application at http://localhost:8000/index.html.
 
 <div class="alert alert-info">
   To serve the web app on a different IP address or port, edit the "start" script within
-  `package.json`. You can use `-a` to set the address and `-p` to set the port. You also need to 
+  `package.json`. You can use `-a` to set the address and `-p` to set the port. You also need to
   update the `baseUrl` configuration property in `e2e-test/protractor.conf.js`.
 </div>
 
@@ -284,9 +284,9 @@ a new commit of changes to a remote repository.
 <br />
 **Firewall / Proxy issues**
 
-Git and other tools, often use the `git:` protocol for accessing files in remote repositories. 
-Some firewall configurations are blocking `git://` URLs, which leads to errors when trying to clone 
-repositories or download dependencies. (For example corporate firewalls are "notorious" for blocking 
+Git and other tools, often use the `git:` protocol for accessing files in remote repositories.
+Some firewall configurations are blocking `git://` URLs, which leads to errors when trying to clone
+repositories or download dependencies. (For example corporate firewalls are "notorious" for blocking
 `git:`.)
 
 If you run into this issue, you can force the use of `https:` instead, by running the following
@@ -304,8 +304,8 @@ In that case, you can delete the `node_modules/` directory and run `npm install`
 <br />
 **Protractor dependencies**
 
-Under the hood, Protractor uses the [Selenium Standalone Server][selenium], which in turn requires 
-the [Java Development Kit (JDK)][jdk] to be installed on your local machine. Check this by running 
+Under the hood, Protractor uses the [Selenium Standalone Server][selenium], which in turn requires
+the [Java Development Kit (JDK)][jdk] to be installed on your local machine. Check this by running
 `java -version` from the command line.
 
 If JDK is not already installed, you can download it [here][jdk-download].
@@ -313,8 +313,8 @@ If JDK is not already installed, you can download it [here][jdk-download].
 <br />
 **Error running the web server**
 
-The web server is configured to use port 8000. If the port is already in use (for example by another 
-instance of a running web server) you will get an `EADDRINUSE` error. Make sure the port is 
+The web server is configured to use port 8000. If the port is already in use (for example by another
+instance of a running web server) you will get an `EADDRINUSE` error. Make sure the port is
 available, before running `npm start`.
 
 <hr />
diff --git a/docs/content/tutorial/step_00.ngdoc b/docs/content/tutorial/step_00.ngdoc
index 91d8bad361f7..36afe8862cf6 100644
--- a/docs/content/tutorial/step_00.ngdoc
+++ b/docs/content/tutorial/step_00.ngdoc
@@ -42,7 +42,7 @@ the page.
 You can now see the page in your browser. It's not very exciting, but that's OK.
 
 The HTML page that displays "Nothing here yet!" was constructed with the HTML code shown below.
-The code contains some key Angular elements that we will need as we progress.
+The code contains some key AngularJS elements that we will need as we progress.
 
 **`app/index.html`:**
 
@@ -73,10 +73,10 @@ The code contains some key Angular elements that we will need as we progress.
 <html ng-app>
 ```
 
-The `ng-app` attribute represents an Angular directive, named `ngApp` (Angular uses `kebab-case` for
+The `ng-app` attribute represents an AngularJS directive, named `ngApp` (AngularJS uses `kebab-case` for
 its custom attributes and `camelCase` for the corresponding directives which implement them). This
-directive is used to flag the HTML element that Angular should consider to be the root element of
-our application. This gives application developers the freedom to tell Angular if the entire HTML
+directive is used to flag the HTML element that AngularJS should consider to be the root element of
+our application. This gives application developers the freedom to tell AngularJS if the entire HTML
 page or only a portion of it should be treated as the AngularJS application.
 
 For more info on `ngApp`, check out the {@link ngApp API Reference}.
@@ -89,8 +89,8 @@ For more info on `ngApp`, check out the {@link ngApp API Reference}.
 ```
 
 This code downloads the `angular.js` script which registers a callback that will be executed by the
-browser when the containing HTML page is fully downloaded. When the callback is executed, Angular
-looks for the {@link ngApp ngApp} directive. If Angular finds the directive, it will bootstrap the
+browser when the containing HTML page is fully downloaded. When the callback is executed, AngularJS
+looks for the {@link ngApp ngApp} directive. If AngularJS finds the directive, it will bootstrap the
 application with the root of the application DOM being the element on which the `ngApp` directive
 was defined.
 
@@ -104,29 +104,29 @@ Developer Guide.
 Nothing here {{'yet' + '!'}}
 ```
 
-This line demonstrates two core features of Angular's templating capabilities:
+This line demonstrates two core features of AngularJS's templating capabilities:
 
 * A binding, denoted by double-curlies: `{{ }}`
 * A simple expression used in this binding: `'yet' + '!'`
 
-The binding tells Angular that it should evaluate an expression and insert the result into the DOM
+The binding tells AngularJS that it should evaluate an expression and insert the result into the DOM
 in place of the binding. As we will see in the next steps, rather than a one-time insert, a binding
 will result in efficient continuous updates whenever the result of the expression evaluation
 changes.
 
-{@link guide/expression Angular expressions} are JavaScript-like code snippets that are evaluated by
-Angular in the context of the current model scope, rather than within the scope of the global
+{@link guide/expression AngularJS expressions} are JavaScript-like code snippets that are evaluated by
+AngularJS in the context of the current model scope, rather than within the scope of the global
 context (`window`).
 
-As expected, once this template is processed by Angular, the HTML page contains the text:
+As expected, once this template is processed by AngularJS, the HTML page contains the text:
 
 ```
 Nothing here yet!
 ```
 
-## Bootstrapping Angular Applications
+## Bootstrapping AngularJS Applications
 
-Bootstrapping Angular applications automatically using the `ngApp` directive is very easy and
+Bootstrapping AngularJS applications automatically using the `ngApp` directive is very easy and
 suitable for most cases. In advanced cases, such as when using script loaders, you can use the
 {@link guide/bootstrap#manual-initialization imperative/manual way} to bootstrap the application.
 
@@ -137,12 +137,12 @@ There are 3 important things that happen during the bootstrap phase:
 2. The injector will then create the {@link ng.$rootScope root scope} that will become the context
    for the model of our application.
 
-3. Angular will then "compile" the DOM starting at the `ngApp` root element, processing any
+3. AngularJS will then "compile" the DOM starting at the `ngApp` root element, processing any
    directives and bindings found along the way.
 
 Once an application is bootstrapped, it will then wait for incoming browser events (such as mouse
 clicks, key presses or incoming HTTP responses) that might change the model. Once such an event
-occurs, Angular detects if it caused any model changes and if changes are found, Angular will
+occurs, AngularJS detects if it caused any model changes and if changes are found, AngularJS will
 reflect them in the view by updating all of the affected bindings.
 
 The structure of our application is currently very simple. The template contains just one directive
diff --git a/docs/content/tutorial/step_01.ngdoc b/docs/content/tutorial/step_01.ngdoc
index a944a554dd80..e5f104701fac 100644
--- a/docs/content/tutorial/step_01.ngdoc
+++ b/docs/content/tutorial/step_01.ngdoc
@@ -6,8 +6,8 @@
 <ul doc-tutorial-nav="1"></ul>
 
 
-In order to illustrate how Angular enhances standard HTML, you will create a purely *static* HTML
-page and then examine how we can turn this HTML code into a template that Angular will use to
+In order to illustrate how AngularJS enhances standard HTML, you will create a purely *static* HTML
+page and then examine how we can turn this HTML code into a template that AngularJS will use to
 dynamically display the same result with any set of data.
 
 In this step you will add some basic information about two cell phones to an HTML page.
@@ -51,7 +51,7 @@ In this step you will add some basic information about two cell phones to an HTM
 # Summary
 
 This addition to your app uses static HTML to display the list. Now, let's go to
-{@link step_02 step 2} to learn how to use Angular to dynamically generate the same list.
+{@link step_02 step 2} to learn how to use AngularJS to dynamically generate the same list.
 
 
 <ul doc-tutorial-nav="1"></ul>
diff --git a/docs/content/tutorial/step_02.ngdoc b/docs/content/tutorial/step_02.ngdoc
index 7f15c25a811c..a9bcc5e22836 100644
--- a/docs/content/tutorial/step_02.ngdoc
+++ b/docs/content/tutorial/step_02.ngdoc
@@ -1,5 +1,5 @@
 @ngdoc tutorial
-@name 2 - Angular Templates
+@name 2 - AngularJS Templates
 @step 2
 @description
 
@@ -9,9 +9,9 @@
 Now, it's time to make the web page dynamic — with AngularJS. We will also add a test that verifies
 the code for the controller we are going to add.
 
-There are many ways to structure the code for an application. For Angular applications, we encourage
+There are many ways to structure the code for an application. For AngularJS applications, we encourage
 the use of the [Model-View-Controller (MVC) design pattern][mvc-pattern] to decouple the code and
-separate concerns. With that in mind, let's use a little Angular and JavaScript to add models,
+separate concerns. With that in mind, let's use a little AngularJS and JavaScript to add models,
 views, and controllers to our app.
 
 * The list of three phones is now generated dynamically from data
@@ -21,11 +21,11 @@ views, and controllers to our app.
 
 ## View and Template
 
-In Angular, the **view** is a projection of the model through the HTML **template**. This means that
-whenever the model changes, Angular refreshes the appropriate binding points, which updates the
+In AngularJS, the **view** is a projection of the model through the HTML **template**. This means that
+whenever the model changes, AngularJS refreshes the appropriate binding points, which updates the
 view.
 
-The view is constructed by Angular from this template.
+The view is constructed by AngularJS from this template.
 
 <br />
 **`app/index.html`:**
@@ -51,10 +51,10 @@ The view is constructed by Angular from this template.
 ```
 
 We replaced the hard-coded phone list with the {@link ngRepeat ngRepeat} directive and two
-{@link guide/expression Angular expressions}:
+{@link guide/expression AngularJS expressions}:
 
-* The `ng-repeat="phone in phones"` attribute on the `<li>` tag is an Angular repeater directive.
-  The repeater tells Angular to create a `<li>` element for each phone in the list, using the `<li>`
+* The `ng-repeat="phone in phones"` attribute on the `<li>` tag is an AngularJS repeater directive.
+  The repeater tells AngularJS to create a `<li>` element for each phone in the list, using the `<li>`
   tag as the template.
 * The expressions wrapped in curly braces (`{{phone.name}}` and `{{phone.snippet}}`) will be
   replaced by the values of the expressions.
@@ -67,7 +67,7 @@ We have also added a new directive, called {@link ngController ngController}, wh
   are referring to our application model, which is set up in our `PhoneListController` controller.
 
 <div class="alert alert-info">
-  Note: We have specified an {@link angular.Module Angular Module} to load using
+  Note: We have specified an {@link angular.Module AngularJS Module} to load using
   `ng-app="phonecatApp"`, where `phonecatApp` is the name of our module. This module will contain
   the `PhoneListController`.
 </div>
@@ -104,7 +104,7 @@ phonecatApp.controller('PhoneListController', function PhoneListController($scop
 
 ```
 
-Here we declared a controller called `PhoneListController` and registered it in an Angular module,
+Here we declared a controller called `PhoneListController` and registered it in an AngularJS module,
 `phonecatApp`. Notice that our `ngApp` directive (on the `<html>` tag) now specifies the
 `phonecatApp` module name as the module to load when bootstrapping the application.
 
@@ -123,19 +123,19 @@ view. We connected the dots between the presentation, data, and logic components
 
 ### Scope
 
-The concept of a scope in Angular is crucial. A scope can be seen as the glue which allows the
-template, model, and controller to work together. Angular uses scopes, along with the information
+The concept of a scope in AngularJS is crucial. A scope can be seen as the glue which allows the
+template, model, and controller to work together. AngularJS uses scopes, along with the information
 contained in the template, data model, and controller, to keep models and views separate, but in
 sync. Any changes made to the model are reflected in the view; any changes that occur in the view
 are reflected in the model.
 
-To learn more about Angular scopes, see the {@link ng.$rootScope.Scope angular scope documentation}.
+To learn more about AngularJS scopes, see the {@link ng.$rootScope.Scope AngularJS scope documentation}.
 
 <img class="diagram" src="img/tutorial/tutorial_02.png">
 
 <div class="alert alert-warning">
   <p>
-    Angular scopes prototypically inherit from their parent scope, all the way up to the *root scope*
+    AngularJS scopes prototypically inherit from their parent scope, all the way up to the *root scope*
     of the application. As a result, assigning values directly on the scope makes it easy to share
     data across different parts of the page and create interactive applications.
     While this approach works for prototypes and smaller applications, it quickly leads to tight
@@ -150,7 +150,7 @@ To learn more about Angular scopes, see the {@link ng.$rootScope.Scope angular s
 
 # Testing
 
-The "Angular way" of separating controller from the view, makes it easy to test code as it is being
+The "AngularJS way" of separating controller from the view, makes it easy to test code as it is being
 developed. If our controller were available on the global namespace, we could simply instantiate it
 with a mock scope object:
 
@@ -170,8 +170,8 @@ describe('PhoneListController', function() {
 
 The test instantiates `PhoneListController` and verifies that the phones array property on the
 scope contains three records. This example demonstrates how easy it is to create a unit test for
-code in Angular. Since testing is such a critical part of software development, we make it easy to
-create tests in Angular so that developers are encouraged to write them.
+code in AngularJS. Since testing is such a critical part of software development, we make it easy to
+create tests in AngularJS so that developers are encouraged to write them.
 
 
 ## Testing non-global Controllers
@@ -179,7 +179,7 @@ create tests in Angular so that developers are encouraged to write them.
 In practice, you will not want to have your controller functions in the global namespace. Instead,
 you can see that we have registered it via a constructor function on the `phonecatApp` module.
 
-In this case Angular provides a service, `$controller`, which will retrieve your controller by name.
+In this case AngularJS provides a service, `$controller`, which will retrieve your controller by name.
 Here is the same test using `$controller`:
 
 <br />
@@ -200,8 +200,8 @@ describe('PhoneListController', function() {
 });
 ```
 
-* Before each test we tell Angular to load the `phonecatApp` module.
-* We ask Angular to `inject` the `$controller` service into our test function.
+* Before each test we tell AngularJS to load the `phonecatApp` module.
+* We ask AngularJS to `inject` the `$controller` service into our test function.
 * We use `$controller` to create an instance of the `PhoneListController`.
 * With this instance, we verify that the phones array property on the scope contains three records.
 
@@ -224,9 +224,9 @@ describe('PhoneListController', function() {
 
 ## Writing and Running Tests
 
-Many Angular developers prefer the syntax of
+Many AngularJS developers prefer the syntax of
 [Jasmine's Behavior-Driven Development (BDD) framework][jasmine-home], when writing tests. Although
-Angular does not require you to use Jasmine, we wrote all of the tests in this tutorial in Jasmine
+AngularJS does not require you to use Jasmine, we wrote all of the tests in this tutorial in Jasmine
 v2.4. You can learn about Jasmine on the [Jasmine home page][jasmine-home] and at the
 [Jasmine docs][jasmine-docs].
 
diff --git a/docs/content/tutorial/step_03.ngdoc b/docs/content/tutorial/step_03.ngdoc
index 3486a18e039c..92b8d990f587 100644
--- a/docs/content/tutorial/step_03.ngdoc
+++ b/docs/content/tutorial/step_03.ngdoc
@@ -8,14 +8,14 @@
 
 In the previous step, we saw how a controller and a template worked together to convert a static
 HTML page into a dynamic view. This is a very common pattern in Single-Page Applications in general
-(and Angular applications in particular):
+(and AngularJS applications in particular):
 
 * Instead of creating a static HTML page on the server, the client-side code "takes over" and
   interacts dynamically with the view, updating it instantly to reflect changes in model data or
   state, usually as a result of user interaction (we'll see an example shortly in
   {@link step_05 step 5}).
 
-The **template** (the part of the view containing the bindings and presentation logic) acts as a 
+The **template** (the part of the view containing the bindings and presentation logic) acts as a
 blueprint for how our data should be organized and presented to the user.
 The **controller** provides the context in which the bindings are evaluated and applies behavior
 and logic to our template.
@@ -39,22 +39,22 @@ There are still a couple of areas we can do better:
 
 ## Components to the rescue!
 
-Since this combination (template + controller) is such a common and recurring pattern, Angular
+Since this combination (template + controller) is such a common and recurring pattern, AngularJS
 provides an easy and concise way to combine them together into reusable and isolated entities,
 known as _components_.
-Additionally, Angular will create a so called _isolate scope_ for each instance of our component,
+Additionally, AngularJS will create a so called _isolate scope_ for each instance of our component,
 which means no prototypal inheritance and no risk of our component affecting other parts of the
 application or vice versa.
 
 <div class="alert alert-info">
   <p>
     Since this is an introductory tutorial, we are not going to dive deep into all features provided
-    by Angular **components**. You can read more about components and their usage patterns in the
+    by AngularJS **components**. You can read more about components and their usage patterns in the
     [Components](guide/component) section of the Developer Guide.
   </p>
   <p>
     In fact, one could think of components as an opinionated and stripped-down version of their more
-    complex and verbose (but powerful) siblings, **directives**, which are Angular's way of teaching
+    complex and verbose (but powerful) siblings, **directives**, which are AngularJS's way of teaching
     HTML new tricks. You can read all about them in the [Directives](guide/directive) section of the
     Developer Guide.
   </p>
@@ -65,7 +65,7 @@ application or vice versa.
 </div>
 
 To create a component, we use the {@link angular.Module#component .component()} method of an
-{@link module Angular module}. We must provide the name of the component and the Component
+{@link module AngularJS module}. We must provide the name of the component and the Component
 Definition Object (CDO for short).
 
 Remember that (since components are also directives) the name of the component is in `camelCase`
@@ -73,7 +73,7 @@ Remember that (since components are also directives) the name of the component i
 referring to it in our HTML. (See [here][case-styles] for a description of different case styles.)
 
 In its simplest form, the CDO will just contain a template and a controller. (We can actually omit
-the controller and Angular will create a dummy controller for us. This is useful for simple
+the controller and AngularJS will create a dummy controller for us. This is useful for simple
 "presentational" components, that don't attach any behavior to the template.)
 
 Let's see an example:
@@ -89,7 +89,7 @@ Let's see an example:
     });
 ```
 
-Now, every time we include `<greet-user></greet-user>` in our view, Angular will expand it into a
+Now, every time we include `<greet-user></greet-user>` in our view, AngularJS will expand it into a
 DOM sub-tree constructed using the provided `template` and managed by an instance of the specified
 controller.
 
@@ -191,7 +191,7 @@ Voilà! The resulting output should look the same, but let's see what we have ga
   <p>**A note on file naming:**</p>
   <p>
     It is a good practice to distinguish different types of entities by suffix. In this tutorial, we
-    are using the `.component` suffix for components, so the definition of a `someComponent` 
+    are using the `.component` suffix for components, so the definition of a `someComponent`
     component would be in a file named `some-component.component.js`.
   </p>
 </div>
@@ -202,7 +202,7 @@ Voilà! The resulting output should look the same, but let's see what we have ga
 Although we have combined our controller with a template into a component, we still can (and should)
 unit test the controller separately, since this is where our application logic and data reside.
 
-In order to retrieve and instantiate a component's controller, Angular provides the
+In order to retrieve and instantiate a component's controller, AngularJS provides the
 {@link ngMock.$componentController $componentController} service.
 
 <div class="alert alert-info">
diff --git a/docs/content/tutorial/step_04.ngdoc b/docs/content/tutorial/step_04.ngdoc
index db3d87520fd6..2b96e876398b 100644
--- a/docs/content/tutorial/step_04.ngdoc
+++ b/docs/content/tutorial/step_04.ngdoc
@@ -23,8 +23,8 @@ To that end, we will explain why and how we:
 
 <div class="alert alert-info">
   We will keep it short, not going into great detail on every good practice and convention. These
-  principles are explained in great detail in the [Angular Style Guide][styleguide], which also
-  contains many more techniques for effectively organizing Angular codebases.
+  principles are explained in great detail in the [AngularJS Style Guide][styleguide], which also
+  contains many more techniques for effectively organizing AngularJS codebases.
 </div>
 
 
@@ -166,7 +166,7 @@ angular.module('phonecatApp', [
 ]);
 ```
 
-By passing `phoneList` inside the dependencies array when defining the `phonecatApp` module, Angular
+By passing `phoneList` inside the dependencies array when defining the `phonecatApp` module, AngularJS
 will make all entities registered on `phoneList` available on `phonecatApp` as well.
 
 <div class="alert alert-info">
@@ -182,7 +182,7 @@ will make all entities registered on `phoneList` available on `phonecatApp` as w
 
 <div class="alert alert-warning">
   Note that files defining a module (i.e. `.module.js`) need to be included before other files that
-  add features (e.g. components, controllers, services, filters) to that module. 
+  add features (e.g. components, controllers, services, filters) to that module.
 </div>
 
 
@@ -219,7 +219,7 @@ angular.
   });
 ```
 
-At runtime, when Angular needs to create an instance of the `phoneList` component, it will make an
+At runtime, when AngularJS needs to create an instance of the `phoneList` component, it will make an
 HTTP request to get the template from `app/phone-list/phone-list.template.html`.
 
 <div class="alert alert-info">
@@ -231,7 +231,7 @@ HTTP request to get the template from `app/phone-list/phone-list.template.html`.
 <div class="alert alert-warning">
   <p>
     Using an external template like this, will result in more HTTP requests to the server (one for
-    each external template). Although Angular takes care not to make extraneous requests (e.g.
+    each external template). Although AngularJS takes care not to make extraneous requests (e.g.
     fetching the templates lazily, caching the results, etc), additional requests do have a cost
     (especially on mobile devices and data-plan connections).
   </p>
@@ -239,7 +239,7 @@ HTTP request to get the template from `app/phone-list/phone-list.template.html`.
     Luckily, there are ways to avoid the extra costs (while still keeping your templates external).
     A detailed discussion of the subject is outside the scope of this tutorial, but you can take a
     look at the {@link ng.$templateRequest $templateRequest} and
-    {@link ng.$templateCache $templateCache} services for more info on how Angular manages external
+    {@link ng.$templateCache $templateCache} services for more info on how AngularJS manages external
     templates.
   </p>
 </div>
diff --git a/docs/content/tutorial/step_05.ngdoc b/docs/content/tutorial/step_05.ngdoc
index e38e68e4e3f7..adba95906fbb 100644
--- a/docs/content/tutorial/step_05.ngdoc
+++ b/docs/content/tutorial/step_05.ngdoc
@@ -52,14 +52,14 @@ We made no changes to the component's controller.
   </div>
 ```
 
-We added a standard HTML `<input>` tag and used Angular's {@link ng.filter:filter filter} function
+We added a standard HTML `<input>` tag and used AngularJS's {@link ng.filter:filter filter} function
 to process the input for the {@link ngRepeat ngRepeat} directive.
 
 By virtue of the {@link ngModel ngModel} directive, this lets a user enter search criteria and
 immediately see the effects of their search on the phone list. This new code demonstrates the
 following:
 
-* Data-binding: This is one of the core features in Angular. When the page loads, Angular binds the
+* Data-binding: This is one of the core features in AngularJS. When the page loads, AngularJS binds the
   value of the input box to the data model variable specified with `ngModel` and keeps the two in
   sync.
 
@@ -120,7 +120,7 @@ describe('PhoneCat Application', function() {
 ```
 
 This test verifies that the search box and the repeater are correctly wired together. Notice how
-easy it is to write E2E tests in Angular. Although this example is for a simple test, it really is
+easy it is to write E2E tests in AngularJS. Although this example is for a simple test, it really is
 that easy to set up any functional, readable, E2E test.
 
 
diff --git a/docs/content/tutorial/step_06.ngdoc b/docs/content/tutorial/step_06.ngdoc
index 3e598967c816..7a19d2600444 100644
--- a/docs/content/tutorial/step_06.ngdoc
+++ b/docs/content/tutorial/step_06.ngdoc
@@ -68,12 +68,12 @@ We made the following changes to the `phone-list.template.html` template:
   input for the repeater. `orderBy` is a filter that takes an input array, copies it and reorders
   the copy which is then returned.
 
-  Angular creates a two way data-binding between the select element and the `$ctrl.orderProp` model.
+  AngularJS creates a two way data-binding between the select element and the `$ctrl.orderProp` model.
   `$ctrl.orderProp` is then used as the input for the `orderBy` filter.
 
 As we discussed in the section about data-binding and the repeater in {@link step_05 step 5},
 whenever the model changes (for example because a user changes the order with the select drop-down
-menu), Angular's data-binding will cause the view to automatically update. No bloated DOM
+menu), AngularJS's data-binding will cause the view to automatically update. No bloated DOM
 manipulation code is necessary!
 
 
@@ -222,7 +222,7 @@ You can now rerun `npm run protractor` to see the tests run.
 <div></div>
 
 * In the `phoneList` component's controller, remove the statement that sets the `orderProp` value
-  and you'll see that Angular will temporarily add a new blank ("unknown") option to the drop-down
+  and you'll see that AngularJS will temporarily add a new blank ("unknown") option to the drop-down
   list and the ordering will default to unordered/natural order.
 
 * Add a `{{$ctrl.orderProp}}` binding into the `phone-list.template.html` template to display its
@@ -235,7 +235,7 @@ You can now rerun `npm run protractor` to see the tests run.
 # Summary
 
 Now that you have added list sorting and tested the application, go to {@link step_07 step 7} to
-learn about Angular services and how Angular uses dependency injection.
+learn about AngularJS services and how AngularJS uses dependency injection.
 
 
 <ul doc-tutorial-nav="6"></ul>
diff --git a/docs/content/tutorial/step_07.ngdoc b/docs/content/tutorial/step_07.ngdoc
index 0fb439bb2768..7e801ffa822d 100644
--- a/docs/content/tutorial/step_07.ngdoc
+++ b/docs/content/tutorial/step_07.ngdoc
@@ -7,8 +7,8 @@
 
 
 Enough of building an app with three phones in a hard-coded dataset! Let's fetch a larger dataset
-from our server using one of Angular's built-in {@link guide/services services} called
-{@link ng.$http $http}. We will use Angular's {@link guide/di dependency injection (DI)} to provide
+from our server using one of AngularJS's built-in {@link guide/services services} called
+{@link ng.$http $http}. We will use AngularJS's {@link guide/di dependency injection (DI)} to provide
 the service to the `phoneList` component's controller.
 
 * There is now a list of 20 phones, loaded from the server.
@@ -40,12 +40,12 @@ Following is a sample of the file:
 
 ## Component Controller
 
-We will use Angular's {@link ng.$http $http} service in our controller for making an HTTP request to
+We will use AngularJS's {@link ng.$http $http} service in our controller for making an HTTP request to
 our web server to fetch the data in the `app/phones/phones.json` file. `$http` is just one of
-several built-in {@link guide/services Angular services} that handle common operations in web
-applications. Angular injects these services for you, right where you need them.
+several built-in {@link guide/services AngularJS services} that handle common operations in web
+applications. AngularJS injects these services for you, right where you need them.
 
-Services are managed by Angular's {@link guide/di DI subsystem}. Dependency injection helps to make
+Services are managed by AngularJS's {@link guide/di DI subsystem}. Dependency injection helps to make
 your web applications both well-structured (e.g. separate entities for presentation, data, and
 control) and loosely coupled (dependencies between entities are not resolved by the entities
 themselves, but by the DI subsystem). As a result, applications are easier to test as well.
@@ -77,21 +77,21 @@ in this tutorial.)
 
 The `$http` service returns a {@link ng.$q promise object}, which has a `then()` method. We call
 this method to handle the asynchronous response and assign the phone data to the controller, as a
-property called `phones`. Notice that Angular detected the JSON response and parsed it for us into 
+property called `phones`. Notice that AngularJS detected the JSON response and parsed it for us into
 the `data` property of the `response` object passed to our callback!
 
 Since we are making the assignment of the `phones` property in a callback function, where the `this`
 value is not defined, we also introduce a local variable called `self` that points back to the
 controller instance.
 
-To use a service in Angular, you simply declare the names of the dependencies you need as arguments
+To use a service in AngularJS, you simply declare the names of the dependencies you need as arguments
 to the controller's constructor function, as follows:
 
 ```js
 function PhoneListController($http) {...}
 ```
 
-Angular's dependency injector provides services to your controller, when the controller is being
+AngularJS's dependency injector provides services to your controller, when the controller is being
 constructed. The dependency injector also takes care of creating any transitive dependencies the
 service may have (services often depend upon other services).
 
@@ -104,10 +104,10 @@ dependencies.
 ### `$`-prefix Naming Convention
 
 You can create your own services, and in fact we will do exactly that a few steps down the road. As
-a naming convention, Angular's built-in services, Scope methods and a few other Angular APIs have a
+a naming convention, AngularJS's built-in services, Scope methods and a few other AngularJS APIs have a
 `$` prefix in front of the name.
 
-The `$` prefix is there to namespace Angular-provided services. To prevent collisions it's best to
+The `$` prefix is there to namespace AngularJS-provided services. To prevent collisions it's best to
 avoid naming your services and models anything that begins with a `$`.
 
 If you inspect a Scope, you may also notice some properties that begin with `$$`. These properties
@@ -116,7 +116,7 @@ are considered private, and should not be accessed or modified.
 
 ### A Note on Minification
 
-Since Angular infers the controller's dependencies from the names of arguments to the controller's
+Since AngularJS infers the controller's dependencies from the names of arguments to the controller's
 constructor function, if you were to [minify][minification] the JavaScript code for the
 `PhoneListController` controller, all of its function arguments would be minified as well, and the
 dependency injector would not be able to identify services correctly.
@@ -145,7 +145,7 @@ as strings, which will not get minified. There are two ways to provide these inj
       .component('phoneList', {..., controller: ['$http', PhoneListController]});
   ```
 
-Both of these methods work with any function that can be injected by Angular, so it's up to your
+Both of these methods work with any function that can be injected by AngularJS, so it's up to your
 project's style guide to decide which one you use.
 
 When using the second method, it is common to provide the constructor function inline, when
@@ -184,7 +184,7 @@ let's add the annotations to our `PhoneListController`:
 
 Because we started using dependency injection and our controller has dependencies, constructing the
 controller in our tests is a bit more complicated. We could use the `new` operator and provide the
-constructor with some kind of fake `$http` implementation. However, Angular provides a mock `$http`
+constructor with some kind of fake `$http` implementation. However, AngularJS provides a mock `$http`
 service that we can use in unit tests.  We configure "fake" responses to server requests by calling
 methods on a service called `$httpBackend`:
 
@@ -249,7 +249,7 @@ request from the controller. To do this we:
   incoming HTTP request and tell it what to respond with. Note that the responses are not returned
   until we call the `$httpBackend.flush()` method.
 
-Now we will make assertions to verify that the `phones` property doesn't exist on the controller 
+Now we will make assertions to verify that the `phones` property doesn't exist on the controller
 before the response is received:
 
 ```js
@@ -301,7 +301,7 @@ Chrome 49.0: Executed 2 of 2 SUCCESS (0.133 secs / 0.097 secs)
 
 # Summary
 
-Now that you have learned how easy it is to use Angular services (thanks to Angular's dependency
+Now that you have learned how easy it is to use AngularJS services (thanks to AngularJS's dependency
 injection), go to {@link step_08 step 8}, where you will add some thumbnail images of phones and
 some links.
 
diff --git a/docs/content/tutorial/step_08.ngdoc b/docs/content/tutorial/step_08.ngdoc
index 5f7a98efafea..a55461d0cc21 100644
--- a/docs/content/tutorial/step_08.ngdoc
+++ b/docs/content/tutorial/step_08.ngdoc
@@ -63,7 +63,7 @@ now-familiar double-curly brace binding in the `href` attribute values. In step
 the element attribute.
 
 We also added phone images next to each record using an image tag with the {@link ngSrc ngSrc}
-directive. That directive prevents the browser from treating the Angular `{{ expression }}` markup
+directive. That directive prevents the browser from treating the AngularJS `{{ expression }}` markup
 literally, and initiating a request to an invalid URL (`http://localhost:8000/{{phone.imageUrl}}`),
 which it would have done if we had only specified an attribute binding in a regular `src` attribute
 (`<img src="{{phone.imageUrl}}">`). Using the `ngSrc` directive, prevents the browser from making an
@@ -104,14 +104,14 @@ You can now rerun `npm run protractor` to see the tests run.
   making an extraneous request to `%7B%7Bphone.imageUrl%7D%7D` (or `{{phone.imageUrl}}`).
 
   The issue here is that the browser will fire a request for that invalid image address as soon as
-  it hits the `<img>` tag, which is before Angular has a chance to evaluate the expression and
+  it hits the `<img>` tag, which is before AngularJS has a chance to evaluate the expression and
   inject the valid address.
 
 
 # Summary
 
-Now that you have added phone images and links, go to {@link step_09 step 9} to learn about Angular
-layout templates and how Angular makes it easy to create applications that have multiple views.
+Now that you have added phone images and links, go to {@link step_09 step 9} to learn about AngularJS
+layout templates and how AngularJS makes it easy to create applications that have multiple views.
 
 
 <ul doc-tutorial-nav="8"></ul>
diff --git a/docs/content/tutorial/step_09.ngdoc b/docs/content/tutorial/step_09.ngdoc
index 12743491df10..c5162a229558 100644
--- a/docs/content/tutorial/step_09.ngdoc
+++ b/docs/content/tutorial/step_09.ngdoc
@@ -7,7 +7,7 @@
 
 
 In this step, you will learn how to create a layout template and how to build an application that
-has multiple views by adding routing, using an Angular module called {@link ngRoute ngRoute}.
+has multiple views by adding routing, using an AngularJS module called {@link ngRoute ngRoute}.
 
 * When you now navigate to `/index.html`, you are redirected to `/index.html#!/phones` and the phone
   list appears in the browser.
@@ -20,8 +20,8 @@ has multiple views by adding routing, using an Angular module called {@link ngRo
 
 ## Dependencies
 
-The routing functionality added in this step is provided by Angular in the `ngRoute` module, which
-is distributed separately from the core Angular framework.
+The routing functionality added in this step is provided by AngularJS in the `ngRoute` module, which
+is distributed separately from the core AngularJS framework.
 
 Since we are using [Bower][bower] to install client-side dependencies, this step updates the
 `bower.json` configuration file to include the new dependency:
@@ -47,7 +47,7 @@ Since we are using [Bower][bower] to install client-side dependencies, this step
 ```
 
 The new dependency `"angular-route": "1.5.x"` tells bower to install a version of the angular-route
-module that is compatible with version 1.5.x of Angular. We must tell bower to download and install
+module that is compatible with version 1.5.x of AngularJS. We must tell bower to download and install
 this dependency.
 
 ```
@@ -60,7 +60,7 @@ npm install
 </div>
 
 <div class="alert alert-warning">
-  **Warning:** If a new version of Angular has been released since you last ran `npm install`, then
+  **Warning:** If a new version of AngularJS has been released since you last ran `npm install`, then
   you may have a problem with the `bower install` due to a conflict between the versions of
   angular.js that need to be installed. If you run into this issue, simply delete your
   `app/bower_components` directory and then run `npm install`.
@@ -79,7 +79,7 @@ This is a template that is common for all views in our application. Other "parti
 then included into this layout template depending on the current "route" — the view that is
 currently displayed to the user.
 
-Application routes in Angular are declared via the {@link ngRoute.$routeProvider $routeProvider},
+Application routes in AngularJS are declared via the {@link ngRoute.$routeProvider $routeProvider},
 which is the provider of the {@link ngRoute.$route $route} service. This service makes it easy to
 wire together controllers, view templates, and the current URL location in the browser. Using this
 feature, we can implement [deep linking][deep-linking], which lets us utilize the browser's history
@@ -105,7 +105,7 @@ feature, we can implement [deep linking][deep-linking], which lets us utilize th
 As you {@link step_07 noticed}, {@link guide/di dependency injection} (DI) is at the core of
 AngularJS, so it's important for you to understand a thing or two about how it works.
 
-When the application bootstraps, Angular creates an injector that will be used to find and inject
+When the application bootstraps, AngularJS creates an injector that will be used to find and inject
 all of the services that are required by your application. The injector itself doesn't know anything
 about what the `$http` or `$route` services do. In fact, the injector doesn't even know about the
 existence of these services, unless it is configured with proper module definitions.
@@ -126,12 +126,12 @@ service, the `$routeProvider` exposes APIs that allow you to define routes for y
   `$routeProvider` into `PhoneListController` at runtime.
 </div>
 
-Angular modules solve the problem of removing global variables from the application and provide a
-way of configuring the injector. As opposed to AMD or require.js modules, Angular modules don't try
+AngularJS modules solve the problem of removing global variables from the application and provide a
+way of configuring the injector. As opposed to AMD or require.js modules, AngularJS modules don't try
 to solve the problem of script load ordering or lazy script fetching. These goals are totally
 independent and both module systems can live side-by-side and fulfill their goals.
 
-To deepen your understanding on Angular's DI, see [Understanding Dependency Injection][wiki-di].
+To deepen your understanding on AngularJS's DI, see [Understanding Dependency Injection][wiki-di].
 
 
 ## Template
@@ -164,7 +164,7 @@ into the layout template. This makes it a perfect fit for our `index.html` templ
 We have added four new `<script>` tags in our `index.html` file to load some extra JavaScript files
 into our application:
 
-* `angular-route.js`: Defines the Angular `ngRoute` module, which provides us with routing.
+* `angular-route.js`: Defines the AngularJS `ngRoute` module, which provides us with routing.
 * `app.config.js`: Configures the providers available to our main module (see
   [below](tutorial/step_09#configuring-a-module)).
 * `phone-detail.module.js`: Defines a new module containing a `phoneDetail` component.
@@ -241,7 +241,7 @@ application routes.
 Our routes are defined as follows:
 
 * `when('/phones')`: Determines the view that will be shown, when the URL hash fragment is
-  `/phones`. According to the specified template, Angular will create an instance of the `phoneList`
+  `/phones`. According to the specified template, AngularJS will create an instance of the `phoneList`
   component to manage the view. Note that this is the same markup that we used to have in the
   `index.html` file.
 
@@ -328,7 +328,7 @@ The takeaway here is:
   from a parent module (because that parent module might not be there some day).
 
 <div class="alert alert-success">
-  Declaring the same dependency in multiple modules does not incur extra "cost", because Angular
+  Declaring the same dependency in multiple modules does not incur extra "cost", because AngularJS
   will still load each dependency once. For more info on modules and their dependencies take a look
   at the [Modules](guide/module) section of the Developer Guide.
 </div>
diff --git a/docs/content/tutorial/step_10.ngdoc b/docs/content/tutorial/step_10.ngdoc
index 0305c80f80be..537f3ded49bf 100644
--- a/docs/content/tutorial/step_10.ngdoc
+++ b/docs/content/tutorial/step_10.ngdoc
@@ -84,7 +84,7 @@ the current route by the `$route` service.
 ## Component Template
 
 The inline, TBD placeholder template has been replaced with a full blown external template,
-including lists and bindings that comprise the phone details. Note how we use the Angular
+including lists and bindings that comprise the phone details. Note how we use the AngularJS
 `{{expression}}` markup and `ngRepeat` to project phone data from our model into the view.
 
 <br />
diff --git a/docs/content/tutorial/step_11.ngdoc b/docs/content/tutorial/step_11.ngdoc
index d22809cb658a..d9ab2565d23e 100644
--- a/docs/content/tutorial/step_11.ngdoc
+++ b/docs/content/tutorial/step_11.ngdoc
@@ -81,7 +81,7 @@ include them in our layout template.
     ...
 ```
 
-The syntax for using filters in Angular templates is as follows:
+The syntax for using filters in AngularJS templates is as follows:
 
 ```
 {{expression | filter}}
@@ -150,7 +150,7 @@ Chrome 49.0: Executed 4 of 4 SUCCESS (0.091 secs / 0.075 secs)
 
 <div></div>
 
-* Let's experiment with some of the {@link api/ng/filter built-in Angular filters}.
+* Let's experiment with some of the {@link api/ng/filter built-in AngularJS filters}.
   Add the following bindings to `index.html`:
 
   * `{{'lower cap string' | uppercase}}`
@@ -170,7 +170,7 @@ Chrome 49.0: Executed 4 of 4 SUCCESS (0.091 secs / 0.075 secs)
 # Summary
 
 Now that we have learned how to write and test a custom filter, let's go to {@link step_12 step 12}
-to learn how we can use Angular to enhance the phone details page further.
+to learn how we can use AngularJS to enhance the phone details page further.
 
 
 <ul doc-tutorial-nav="11"></ul>
diff --git a/docs/content/tutorial/step_12.ngdoc b/docs/content/tutorial/step_12.ngdoc
index 7902e14684f1..e16bdaa5bb2d 100644
--- a/docs/content/tutorial/step_12.ngdoc
+++ b/docs/content/tutorial/step_12.ngdoc
@@ -10,7 +10,7 @@ In this step, you will add a clickable phone image swapper to the phone details
 
 * The phone details view displays one large image of the current phone and several smaller thumbnail
   images. It would be great if we could replace the large image with any of the thumbnails just by
-  clicking on the desired thumbnail image. Let's have a look at how we can do this with Angular.
+  clicking on the desired thumbnail image. Let's have a look at how we can do this with AngularJS.
 
 
 <div doc-tutorial-reset="12"></div>
@@ -155,7 +155,7 @@ Our unit tests should now be passing again.
 
 <div></div>
 
-* Similar to the `ngClick` directive, which binds an Angular expression to the `click` event, there
+* Similar to the `ngClick` directive, which binds an AngularJS expression to the `click` event, there
   are built-in directives for all native events, such as `dblclick`, `focus`/`blur`, mouse and key
   events, etc.
 
diff --git a/docs/content/tutorial/step_13.ngdoc b/docs/content/tutorial/step_13.ngdoc
index 0f2c4b6433ba..f96ccd5c1913 100644
--- a/docs/content/tutorial/step_13.ngdoc
+++ b/docs/content/tutorial/step_13.ngdoc
@@ -18,8 +18,8 @@ In this step, we will change the way our application fetches data.
 
 ## Dependencies
 
-The RESTful functionality is provided by Angular in the {@link ngResource ngResource} module, which
-is distributed separately from the core Angular framework.
+The RESTful functionality is provided by AngularJS in the {@link ngResource ngResource} module, which
+is distributed separately from the core AngularJS framework.
 
 Since we are using [Bower][bower] to install client-side dependencies, this step updates the
 `bower.json` configuration file to include the new dependency:
@@ -46,7 +46,7 @@ Since we are using [Bower][bower] to install client-side dependencies, this step
 ```
 
 The new dependency `"angular-resource": "1.5.x"` tells bower to install a version of the
-angular-resource module that is compatible with version 1.5.x of Angular. We must tell bower to
+angular-resource module that is compatible with version 1.5.x of AngularJS. We must tell bower to
 download and install this dependency.
 
 ```
@@ -59,7 +59,7 @@ npm install
 </div>
 
 <div class="alert alert-warning">
-  **Warning:** If a new version of Angular has been released since you last ran `npm install`, then
+  **Warning:** If a new version of AngularJS has been released since you last ran `npm install`, then
   you may have a problem with the `bower install` due to a conflict between the versions of
   angular.js that need to be installed. If you run into this issue, simply delete your
   `app/bower_components` directory and then run `npm install`.
@@ -141,7 +141,7 @@ need to load the `angular-resource.js` file, which contains the `ngResource` mod
 ## Component Controllers
 
 We can now simplify our component controllers (`PhoneListController` and `PhoneDetailController`) by
-factoring out the lower-level `$http` service, replacing it with the new `Phone` service. Angular's
+factoring out the lower-level `$http` service, replacing it with the new `Phone` service. AngularJS's
 `$resource` service is easier to use than `$http` for interacting with data sources exposed as
 RESTful resources. It is also easier now to understand what the code in our controllers is doing.
 
@@ -222,7 +222,7 @@ An important thing to notice in the code above is that we don't pass any callbac
 invoking methods of our `Phone` service. Although it looks as if the results were returned
 synchronously, that is not the case at all. What is returned synchronously is a "future" — an
 object, which will be filled with data, when the XHR response is received. Because of the
-data-binding in Angular, we can use this future and bind it to our template. Then, when the data
+data-binding in AngularJS, we can use this future and bind it to our template. Then, when the data
 arrives, the view will be updated automatically.
 
 Sometimes, relying on the future object and data-binding alone is not sufficient to do everything
@@ -251,13 +251,13 @@ expected "future" objects/arrays.
 
 The {@link ngResource.$resource $resource} service augments the response object with extra methods
 &mdash; e.g. for updating and deleting the resource &mdash; and properties (some of which are only
-meant to be accessed by Angular). If we were to use Jasmine's standard `.toEqual()` matcher, our
+meant to be accessed by AngularJS). If we were to use Jasmine's standard `.toEqual()` matcher, our
 tests would fail, because the test values would not match the responses exactly.
 
 To solve the  problem, we instruct Jasmine to use a [custom equality tester][jasmine-equality] for
 comparing objects. We specify {@link angular.equals angular.equals} as our equality tester, which
 ignores functions and `$`-prefixed properties, such as those added by the `$resource` service.<br />
-(Remember that Angular uses the `$` prefix for its proprietary API.)
+(Remember that AngularJS uses the `$` prefix for its proprietary API.)
 
 <br />
 **`app/core/phone/phone.service.spec.js`:**
diff --git a/docs/content/tutorial/step_14.ngdoc b/docs/content/tutorial/step_14.ngdoc
index 378b6f0ffbfe..db07adb8b7cc 100644
--- a/docs/content/tutorial/step_14.ngdoc
+++ b/docs/content/tutorial/step_14.ngdoc
@@ -21,8 +21,8 @@ the template code we created earlier.
 
 ## Dependencies
 
-The animation functionality is provided by Angular in the `ngAnimate` module, which is distributed
-separately from the core Angular framework. In addition we will use [jQuery][jquery] in this project
+The animation functionality is provided by AngularJS in the `ngAnimate` module, which is distributed
+separately from the core AngularJS framework. In addition we will use [jQuery][jquery] in this project
 to do extra JavaScript animations.
 
 Since we are using [Bower][bower] to install client-side dependencies, this step updates the
@@ -52,9 +52,9 @@ Since we are using [Bower][bower] to install client-side dependencies, this step
 ```
 
 * `"angular-animate": "1.5.x"` tells bower to install a version of the angular-animate module that
-  is compatible with version 1.5.x of Angular.
+  is compatible with version 1.5.x of AngularJS.
 * `"jquery": "2.2.x"` tells bower to install the latest patch release of the 2.2 version of jQuery.
-  Note that this is not an Angular library; it is the standard jQuery library. We can use bower to
+  Note that this is not an AngularJS library; it is the standard jQuery library. We can use bower to
   install a wide range of 3rd party libraries.
 
 Now, we must tell bower to download and install these dependencies.
@@ -69,7 +69,7 @@ npm install
 </div>
 
 <div class="alert alert-warning">
-  **Warning:** If a new version of Angular has been released since you last ran `npm install`, then
+  **Warning:** If a new version of AngularJS has been released since you last ran `npm install`, then
   you may have a problem with the `bower install` due to a conflict between the versions of
   angular.js that need to be installed. If you run into this issue, simply delete your
   `app/bower_components` directory and then run `npm install`.
@@ -115,9 +115,9 @@ code necessary to make your application "animation aware".
 ```
 
 <div class="alert alert-error">
-  **Important:** Be sure to use jQuery version 2.1 or newer, when using Angular 1.5; jQuery 1.x is
+  **Important:** Be sure to use jQuery version 2.1 or newer, when using AngularJS 1.5 or newer; jQuery 1.x is
   not officially supported.
-  In order for Angular to detect jQuery and take advantage of it, make sure to include `jquery.js`
+  In order for AngularJS to detect jQuery and take advantage of it, make sure to include `jquery.js`
   before `angular.js`.
 </div>
 
@@ -481,7 +481,7 @@ In this case, we are interested in a class getting added to/removed from a `.pho
 specify callbacks for the `addClass` and `removeClass` events. When the `selected` class is added to
 an element (via the `ngClass` directive), the `addClass` JavaScript callback will be executed with
 `element` passed in as a parameter. The last parameter passed in is the `done` callback function. We
-call `done()` to let Angular know that our custom JavaScript animation has ended. The `removeClass`
+call `done()` to let AngularJS know that our custom JavaScript animation has ended. The `removeClass`
 callback works the same way, but instead gets executed when a class is removed.
 
 Note that we are using [jQuery][jquery]'s `animate()` helper to implement the animation. jQuery
@@ -494,7 +494,7 @@ this is achieved using `element.css()` and `element.animate()`. As a result the
 positioned with an offset of **500px** and then both elements &mdash; the previous and the new
 &mdash; are animated together by shifting each one up by **500px**. The outcome is a conveyor-belt
 like animation. After the `animate()` function has completed the animation, it calls `done` to
-notify Angular.
+notify AngularJS.
 
 You may have noticed that each animation callback returns a function. This is an **optional**
 function, which (if provided) will be called when the animation ends, either because it ran to
diff --git a/docs/content/tutorial/the_end.ngdoc b/docs/content/tutorial/the_end.ngdoc
index e555f5f9d63e..84dc09246c8a 100644
--- a/docs/content/tutorial/the_end.ngdoc
+++ b/docs/content/tutorial/the_end.ngdoc
@@ -6,14 +6,14 @@
 Our application is now complete. Feel free to experiment with the code further, and jump back to
 previous steps using the `git checkout` command.
 
-For more details and examples of the Angular concepts we touched on in this tutorial, see the
+For more details and examples of the AngularJS concepts we touched on in this tutorial, see the
 {@link guide/ Developer Guide}.
 
 When you are ready to start developing a project using AngularJS, we recommend that you bootstrap
 your development with the [angular-seed project][angular-seed].
 
 We hope this tutorial was useful to you and that you learned enough about AngularJS to make you want
-to learn more. We especially hope you are inspired to go out and develop Angular web applications of
+to learn more. We especially hope you are inspired to go out and develop AngularJS web applications of
 your own, and that you might be interested in {@link misc/contribute contributing} to AngularJS.
 
 If you have questions or feedback or just want to say "hi", please post a message to the
diff --git a/i18n/e2e/runner.html b/i18n/e2e/runner.html
index ea41238c8bf8..4f8f9dd8b377 100644
--- a/i18n/e2e/runner.html
+++ b/i18n/e2e/runner.html
@@ -3,7 +3,7 @@
 <head>
   <meta charset="utf-8">
   <meta http-equiv="expires" content="0">
-  <title>&lt;angular/&gt; Docs Scenario Runner</title>
+  <title>&lt;AngularJS/&gt; Docs Scenario Runner</title>
   <script type="text/javascript" src="../../build/angular-scenario.js" ng:autotest></script>
   <script type="text/javascript" src="i18n-e2e.js"></script>
 </head>
diff --git a/i18n/src/closureSlurper.js b/i18n/src/closureSlurper.js
index c5226bf323b6..2482f10fc48c 100755
--- a/i18n/src/closureSlurper.js
+++ b/i18n/src/closureSlurper.js
@@ -45,7 +45,7 @@ function extractPlurals() {
 }
 
 function writeLocaleFiles() {
-  console.log('Final stage: Writing angular locale files to directory: %j', NG_LOCALE_DIR);
+  console.log('Final stage: Writing AngularJS locale files to directory: %j', NG_LOCALE_DIR);
   var result = Q.defer();
   var localeIds = Object.keys(localeInfo);
   var num_files = 0;
diff --git a/images/docs/Diagrams.vdx b/images/docs/Diagrams.vdx
index 439d55831410..3a204190a727 100644
--- a/images/docs/Diagrams.vdx
+++ b/images/docs/Diagrams.vdx
@@ -153,7 +153,7 @@
       </Shapes>
       <Connects/>
     </Page>
-    <Page ID="1" NameU="&amp;lt;angular/&amp;gt; parts">
+    <Page ID="1" NameU="&amp;lt;AngularJS/&amp;gt; parts">
       <PageSheet>
         <RulerGrid>
           <XGridSpacing>0.111111</XGridSpacing>
@@ -2015,13 +2015,13 @@
           <Text><cp IX="0"/><pp IX="0"/>Scope
 <cp IX="1"/>* $get / $set
 * $eval / $tryEval
-* $watch 
+* $watch
 * $become</Text>
         </Shape>
       </Shapes>
       <Connects/>
     </Page>
-    <Page ID="2" NameU="&amp;lt;angular/&amp;gt; usage">
+    <Page ID="2" NameU="&amp;lt;AngularJS/&amp;gt; usage">
       <PageSheet>
         <RulerGrid>
           <XGridSpacing>0.111111</XGridSpacing>
diff --git a/images/docs/guide/about_controller.graffle b/images/docs/guide/about_controller.graffle
index a2b56ccaed71..10bcb7fa8a27 100644
--- a/images/docs/guide/about_controller.graffle
+++ b/images/docs/guide/about_controller.graffle
@@ -416,7 +416,7 @@
 {\colortbl;\red255\green255\blue255;}
 \pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural\pardirnatural
 
-\f0\fs24 \cf0 Angular Scope}</string>
+\f0\fs24 \cf0 AngularJS Scope}</string>
 								<key>VerticalPad</key>
 								<integer>0</integer>
 							</dict>
@@ -563,7 +563,7 @@
 {\colortbl;\red255\green255\blue255;}
 \pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural\pardirnatural
 
-\f0\b\fs20 \cf0 Angular 
+\f0\b\fs20 \cf0 AngularJS
 \f1\i applies
 \f0\i0  controller function to scope object.}</string>
 			</dict>
@@ -1050,7 +1050,7 @@
 {\colortbl;\red255\green255\blue255;}
 \pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural\pardirnatural
 
-\f0\b\fs20 \cf0 Angular creates model as property on scope object.}</string>
+\f0\b\fs20 \cf0 AngularJS creates model as property on scope object.}</string>
 			</dict>
 		</dict>
 		<dict>
diff --git a/images/docs/guide/about_controller.svg b/images/docs/guide/about_controller.svg
index 3aec52d05f9d..6b31d847d344 100644
--- a/images/docs/guide/about_controller.svg
+++ b/images/docs/guide/about_controller.svg
@@ -1,3 +1,3 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
 <!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
-<svg xmlns="http://www.w3.org/2000/svg" xmlns:xl="http://www.w3.org/1999/xlink" version="1.1" viewBox="0 0 756 553" width="63pc" height="553pt" xmlns:dc="http://purl.org/dc/elements/1.1/"><metadata> Produced by OmniGraffle 6.5.2 <dc:date>2011-05-12 20:34:05 +0000</dc:date></metadata><defs><filter id="Shadow" filterUnits="userSpaceOnUse"><feGaussianBlur in="SourceAlpha" result="blur" stdDeviation="1.308"/><feOffset in="blur" result="offset" dx="0" dy="2"/><feFlood flood-color="black" flood-opacity=".5" result="flood"/><feComposite in="flood" in2="offset" operator="in"/></filter><linearGradient x1="0" x2="1" id="Gradient" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="white"/><stop offset=".5" stop-color="#91ea96"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient" xl:href="#Gradient" gradientTransform="translate(343.5 94) rotate(90) scale(91)"/><font-face font-family="Helvetica" font-size="12" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="522.94922" cap-height="717.28516" ascent="770.01953" descent="-229.98047" font-weight="500"><font-face-src><font-face-name name="Helvetica"/></font-face-src></font-face><font-face font-family="Helvetica" font-size="14" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="522.94922" cap-height="717.28516" ascent="770.01953" descent="-229.98047" font-weight="500"><font-face-src><font-face-name name="Helvetica"/></font-face-src></font-face><linearGradient x1="0" x2="1" id="Gradient_2" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#fff92f"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient_2" xl:href="#Gradient_2" gradientTransform="translate(45 26) rotate(90) scale(25)"/><font-face font-family="Courier New" font-size="10" panose-1="2 7 6 9 2 2 5 2 4 4" units-per-em="1000" underline-position="-232.91016" underline-thickness="100.097656" slope="0" x-height="443.35938" cap-height="591.79688" ascent="832.51953" descent="-300.29297" font-weight="bold"><font-face-src><font-face-name name="CourierNewPS-BoldMT"/></font-face-src></font-face><linearGradient id="Obj_Gradient_3" xl:href="#Gradient" gradientTransform="translate(343.5 11) rotate(90) scale(55.999)"/><marker orient="auto" overflow="visible" markerUnits="strokeWidth" id="FilledArrow_Marker" viewBox="-1 -4 10 8" markerWidth="10" markerHeight="8" color="black"><g><path d="M 8 0 L 0 -3 L 0 3 Z" fill="currentColor" stroke="currentColor" stroke-width="1"/></g></marker><linearGradient x1="0" x2="1" id="Gradient_3" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#f5ff35"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient_4" xl:href="#Gradient_3" gradientTransform="translate(78 173.751) rotate(90) scale(55.999)"/><linearGradient id="Obj_Gradient_5" xl:href="#Gradient_2" gradientTransform="translate(76 340.5) rotate(90) scale(18)"/><linearGradient id="Obj_Gradient_6" xl:href="#Gradient_2" gradientTransform="translate(47.5 281) rotate(90) scale(25)"/><linearGradient id="Obj_Gradient_7" xl:href="#Gradient_3" gradientTransform="translate(82.5 117.999) rotate(90) scale(43.001)"/><marker orient="auto" overflow="visible" markerUnits="strokeWidth" id="FilledArrow_Marker_2" viewBox="-1 -4 10 8" markerWidth="10" markerHeight="8" color="#65ff5a"><g><path d="M 8 0 L 0 -3 L 0 3 Z" fill="currentColor" stroke="currentColor" stroke-width="1"/></g></marker><linearGradient id="Obj_Gradient_8" xl:href="#Gradient_3" gradientTransform="translate(56.5 241) rotate(90) scale(25)"/><marker orient="auto" overflow="visible" markerUnits="strokeWidth" id="Arrow_Marker" viewBox="-1 -4 10 8" markerWidth="10" markerHeight="8" color="black"><g><path d="M 8 0 L 0 -3 L 0 3 Z" fill="none" stroke="currentColor" stroke-width="1"/></g></marker><font-face font-family="Courier New" font-size="10" panose-1="2 7 6 9 2 2 5 9 4 4" units-per-em="1000" underline-position="-232.91016" underline-thickness="100.097656" slope="-1200" x-height="443.35938" cap-height="591.79688" ascent="832.51953" descent="-300.29297" font-style="italic" font-weight="bold"><font-face-src><font-face-name name="CourierNewPS-BoldItalicMT"/></font-face-src></font-face><font-face font-family="Helvetica" font-size="12" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="532.22656" cap-height="719.72656" ascent="770.01953" descent="-229.98047" font-weight="bold"><font-face-src><font-face-name name="Helvetica-Bold"/></font-face-src></font-face><linearGradient id="Obj_Gradient_9" xl:href="#Gradient" gradientTransform="translate(200 419) rotate(90) scale(20)"/><linearGradient id="Obj_Gradient_a" xl:href="#Gradient_2" gradientTransform="translate(200 386) rotate(90) scale(20)"/></defs><g stroke="none" stroke-opacity="1" stroke-dasharray="none" fill="none" fill-opacity="1"><title>Canvas 1</title><rect fill="white" width="756" height="553"/><g><title>Layer 1</title><g><xl:use xl:href="#id612_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id105_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id4_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id6_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id55_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id67_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id107_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id108_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id607_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id609_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id611_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id423_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id615_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id616_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id626_Graphic" filter="url(#Shadow)"/></g><g id="id612_Graphic"><ellipse cx="343.5" cy="139.5" rx="70.500113" ry="45.500073" fill="url(#Obj_Gradient)"/><ellipse cx="343.5" cy="139.5" rx="70.500113" ry="45.500073" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(292.1 112.65)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="17.392188" y="11" textLength="71.34961">MyController </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="34.387305" y="25" textLength="34.02539">Scope</tspan></text></g><g id="id105_Graphic"><rect x="318" y="340.5" width="64" height="18" fill="#fefffc"/><rect x="318" y="340.5" width="64" height="18" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(323 341)" fill="black"><tspan font-family="Helvetica" font-size="14" font-weight="500" x="7.9345703" y="14" textLength="38.13086">Model</tspan></text></g><g id="id4_Graphic"><rect x="20" y="26" width="50" height="25" fill="url(#Obj_Gradient_2)"/><rect x="20" y="26" width="50" height="25" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(25 33)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="1.9970703" y="8" textLength="36.00586">&lt;html&gt;</tspan></text></g><g id="id6_Graphic"><ellipse cx="343.5" cy="38.9995" rx="68.00011" ry="27.999545" fill="url(#Obj_Gradient_3)"/><ellipse cx="343.5" cy="38.9995" rx="68.00011" ry="27.999545" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(294.1 24.39985)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="18.046484" y="11" textLength="62.70703">Root Scope</tspan></text></g><line x1="70.5" y1="38.542672" x2="265.10054" y2="38.868318" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><g id="id55_Graphic"><rect x="29" y="173.751" width="98" height="55.999" fill="url(#Obj_Gradient_4)"/><rect x="29" y="173.751" width="98" height="55.999" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(34 178.751)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="8" textLength="42.006836">&lt;input </tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="19" textLength="78.012695">  name=&quot;foo&quot; </tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="30" textLength="6.0009766">&gt;</tspan></text></g><g id="id67_Graphic"><path d="M 315.75 148 L 375.25 148 C 382.288 148 388 152.48 388 158 C 388 163.52 382.288 168 375.25 168 L 315.75 168 C 308.712 168 303 163.52 303 158 C 303 152.48 308.712 148 315.75 148" fill="white"/><path d="M 315.75 148 L 375.25 148 C 382.288 148 388 152.48 388 158 C 388 163.52 382.288 168 375.25 168 L 315.75 168 C 308.712 168 303 163.52 303 158 C 303 152.48 308.712 148 315.75 148" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(316.5 151)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="4.3935547" y="11" textLength="49.21289">foo: &quot;bar&quot;</tspan></text></g><line x1="21" y1="367.75" x2="684" y2="367" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"/><g id="id107_Graphic"><rect x="38" y="340.5" width="76" height="18" fill="url(#Obj_Gradient_5)"/><rect x="38" y="340.5" width="76" height="18" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(43 341)" fill="black"><tspan font-family="Helvetica" font-size="14" font-weight="500" x="4.5966797" y="14" textLength="8.551758">T</tspan><tspan font-family="Helvetica" font-size="14" font-weight="500" x="11.59668" y="14" textLength="49.80664">emplate</tspan></text></g><g id="id108_Graphic"><text transform="translate(117 27)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="1.9946289" y="8" textLength="66.010742">ng:autobind</tspan></text></g><g id="id607_Graphic"><rect x="20" y="281" width="55" height="25" fill="url(#Obj_Gradient_6)"/><rect x="20" y="281" width="55" height="25" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(25 288)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="1.496582" y="8" textLength="42.006836">&lt;/html&gt;</tspan></text></g><line x1="127.49344" y1="193.65563" x2="295.7531" y2="166.13603" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><g id="id609_Graphic"><text transform="translate(140 191.249)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="8" textLength="150.02441">Angular creates model as </tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="19" textLength="150.02441">property on scope object.</tspan></text></g><g id="id611_Graphic"><rect x="531" y="340.5" width="80" height="18" fill="#fefffc"/><rect x="531" y="340.5" width="80" height="18" stroke="#ff3535" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(536 341)" fill="black"><tspan font-family="Helvetica" font-size="14" font-weight="500" x="4.6552734" y="14" textLength="60.689453">Controller</tspan></text></g><rect x="489" y="20" width="161" height="76" fill="white"/><rect x="489" y="20" width="161" height="76" stroke="#ff0c1b" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(495.5 25.5)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="8" textLength="144.02344">function MyController(){</tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="19" textLength="114.018555">  this.foo = &apos;bar&apos;;</tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="30" textLength="150.02441">  this.save = function(){</tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="41" textLength="138.02246">    //do something nice</tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="52" textLength="18.00293">  }</tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="63" textLength="6.0009766">}</tspan></text><g id="id423_Graphic"><rect x="29" y="117.999" width="107" height="43.001" fill="url(#Obj_Gradient_7)"/><rect x="29" y="117.999" width="107" height="43.001" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(34 122.9995)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="8" textLength="36.00586">&lt;body </tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="19" textLength="90.01465"> ng:controller=</tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="30" textLength="96.015625"> &quot;MyController&quot;&gt;</tspan></text></g><line x1="136.5" y1="139.49961" x2="262.59996" y2="139.49986" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><line x1="343.4697" y1="93.49998" x2="343.45908" y2="77.399005" marker-end="url(#FilledArrow_Marker_2)" stroke="#65ff5a" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><g id="id615_Graphic"><rect x="29" y="241" width="55" height="25" fill="url(#Obj_Gradient_8)"/><rect x="29" y="241" width="55" height="25" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(34 248)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="8" textLength="42.006836">&lt;/body&gt;</tspan></text></g><g id="id616_Graphic"><text transform="translate(162 127.499)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="1.9936523" y="8" textLength="78.012695">ng:controller</tspan></text></g><line x1="574" y1="58.5" x2="569.5" y2="58" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><line x1="488.5298" y1="87.274336" x2="414.93987" y2="113.88037" marker-end="url(#Arrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="1,4"/><g id="id626_Graphic"><text transform="translate(432 112.249)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="8" textLength="48.007812">Angular </tspan><tspan font-family="Courier New" font-size="10" font-style="italic" font-weight="bold" x="48.007812" y="8" textLength="42.006836">applies</tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="90.01465" y="8" textLength="72.01172"> controller </tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="19" textLength="150.02441">function to scope object.</tspan></text></g><rect x="126" y="380" width="448" height="101" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(126 386)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="bold" x="9.495117" y="11" textLength="26.009766">Key:</tspan></text><ellipse cx="200" cy="429" rx="20.000032" ry="10.000016" fill="url(#Obj_Gradient_9)"/><ellipse cx="200" cy="429" rx="20.000032" ry="10.000016" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(240 422)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="78.720703">Angular Scope</tspan></text><rect x="180" y="386" width="40" height="20" fill="url(#Obj_Gradient_a)"/><rect x="180" y="386" width="40" height="20" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(185 389)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="2.991211" y="11" textLength="24.017578">&lt;...&gt;</tspan></text><text transform="translate(240 389)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="60.017578">DOM Node</tspan></text><text transform="translate(240 455)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="82.710938">Scope Property</tspan></text><path d="M 182.8 452 L 219.2 452 C 223.5056 452 227 456.48 227 462 C 227 467.52 223.5056 472 219.2 472 L 182.8 472 C 178.4944 472 175 467.52 175 462 C 175 456.48 178.4944 452 182.8 452" fill="white"/><path d="M 182.8 452 L 219.2 452 C 223.5056 452 227 456.48 227 462 C 227 467.52 223.5056 472 219.2 472 L 182.8 472 C 178.4944 472 175 467.52 175 462 C 175 456.48 178.4944 452 182.8 452" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><line x1="364" y1="429.5" x2="400.064" y2="429.5" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><text transform="translate(421.624 422.12685)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="142.06055"> Implicit Scope Declaration</tspan></text><text transform="translate(429 389)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="97.38281">Controller function</tspan></text><rect x="364" y="386" width="52" height="20" fill="white"/><rect x="364" y="386" width="52" height="20" stroke="#ff1c22" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/></g></g></svg>
+<svg xmlns="http://www.w3.org/2000/svg" xmlns:xl="http://www.w3.org/1999/xlink" version="1.1" viewBox="0 0 756 553" width="63pc" height="553pt" xmlns:dc="http://purl.org/dc/elements/1.1/"><metadata> Produced by OmniGraffle 6.5.2 <dc:date>2011-05-12 20:34:05 +0000</dc:date></metadata><defs><filter id="Shadow" filterUnits="userSpaceOnUse"><feGaussianBlur in="SourceAlpha" result="blur" stdDeviation="1.308"/><feOffset in="blur" result="offset" dx="0" dy="2"/><feFlood flood-color="black" flood-opacity=".5" result="flood"/><feComposite in="flood" in2="offset" operator="in"/></filter><linearGradient x1="0" x2="1" id="Gradient" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="white"/><stop offset=".5" stop-color="#91ea96"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient" xl:href="#Gradient" gradientTransform="translate(343.5 94) rotate(90) scale(91)"/><font-face font-family="Helvetica" font-size="12" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="522.94922" cap-height="717.28516" ascent="770.01953" descent="-229.98047" font-weight="500"><font-face-src><font-face-name name="Helvetica"/></font-face-src></font-face><font-face font-family="Helvetica" font-size="14" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="522.94922" cap-height="717.28516" ascent="770.01953" descent="-229.98047" font-weight="500"><font-face-src><font-face-name name="Helvetica"/></font-face-src></font-face><linearGradient x1="0" x2="1" id="Gradient_2" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#fff92f"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient_2" xl:href="#Gradient_2" gradientTransform="translate(45 26) rotate(90) scale(25)"/><font-face font-family="Courier New" font-size="10" panose-1="2 7 6 9 2 2 5 2 4 4" units-per-em="1000" underline-position="-232.91016" underline-thickness="100.097656" slope="0" x-height="443.35938" cap-height="591.79688" ascent="832.51953" descent="-300.29297" font-weight="bold"><font-face-src><font-face-name name="CourierNewPS-BoldMT"/></font-face-src></font-face><linearGradient id="Obj_Gradient_3" xl:href="#Gradient" gradientTransform="translate(343.5 11) rotate(90) scale(55.999)"/><marker orient="auto" overflow="visible" markerUnits="strokeWidth" id="FilledArrow_Marker" viewBox="-1 -4 10 8" markerWidth="10" markerHeight="8" color="black"><g><path d="M 8 0 L 0 -3 L 0 3 Z" fill="currentColor" stroke="currentColor" stroke-width="1"/></g></marker><linearGradient x1="0" x2="1" id="Gradient_3" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#f5ff35"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient_4" xl:href="#Gradient_3" gradientTransform="translate(78 173.751) rotate(90) scale(55.999)"/><linearGradient id="Obj_Gradient_5" xl:href="#Gradient_2" gradientTransform="translate(76 340.5) rotate(90) scale(18)"/><linearGradient id="Obj_Gradient_6" xl:href="#Gradient_2" gradientTransform="translate(47.5 281) rotate(90) scale(25)"/><linearGradient id="Obj_Gradient_7" xl:href="#Gradient_3" gradientTransform="translate(82.5 117.999) rotate(90) scale(43.001)"/><marker orient="auto" overflow="visible" markerUnits="strokeWidth" id="FilledArrow_Marker_2" viewBox="-1 -4 10 8" markerWidth="10" markerHeight="8" color="#65ff5a"><g><path d="M 8 0 L 0 -3 L 0 3 Z" fill="currentColor" stroke="currentColor" stroke-width="1"/></g></marker><linearGradient id="Obj_Gradient_8" xl:href="#Gradient_3" gradientTransform="translate(56.5 241) rotate(90) scale(25)"/><marker orient="auto" overflow="visible" markerUnits="strokeWidth" id="Arrow_Marker" viewBox="-1 -4 10 8" markerWidth="10" markerHeight="8" color="black"><g><path d="M 8 0 L 0 -3 L 0 3 Z" fill="none" stroke="currentColor" stroke-width="1"/></g></marker><font-face font-family="Courier New" font-size="10" panose-1="2 7 6 9 2 2 5 9 4 4" units-per-em="1000" underline-position="-232.91016" underline-thickness="100.097656" slope="-1200" x-height="443.35938" cap-height="591.79688" ascent="832.51953" descent="-300.29297" font-style="italic" font-weight="bold"><font-face-src><font-face-name name="CourierNewPS-BoldItalicMT"/></font-face-src></font-face><font-face font-family="Helvetica" font-size="12" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="532.22656" cap-height="719.72656" ascent="770.01953" descent="-229.98047" font-weight="bold"><font-face-src><font-face-name name="Helvetica-Bold"/></font-face-src></font-face><linearGradient id="Obj_Gradient_9" xl:href="#Gradient" gradientTransform="translate(200 419) rotate(90) scale(20)"/><linearGradient id="Obj_Gradient_a" xl:href="#Gradient_2" gradientTransform="translate(200 386) rotate(90) scale(20)"/></defs><g stroke="none" stroke-opacity="1" stroke-dasharray="none" fill="none" fill-opacity="1"><title>Canvas 1</title><rect fill="white" width="756" height="553"/><g><title>Layer 1</title><g><xl:use xl:href="#id612_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id105_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id4_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id6_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id55_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id67_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id107_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id108_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id607_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id609_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id611_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id423_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id615_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id616_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id626_Graphic" filter="url(#Shadow)"/></g><g id="id612_Graphic"><ellipse cx="343.5" cy="139.5" rx="70.500113" ry="45.500073" fill="url(#Obj_Gradient)"/><ellipse cx="343.5" cy="139.5" rx="70.500113" ry="45.500073" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(292.1 112.65)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="17.392188" y="11" textLength="71.34961">MyController </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="34.387305" y="25" textLength="34.02539">Scope</tspan></text></g><g id="id105_Graphic"><rect x="318" y="340.5" width="64" height="18" fill="#fefffc"/><rect x="318" y="340.5" width="64" height="18" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(323 341)" fill="black"><tspan font-family="Helvetica" font-size="14" font-weight="500" x="7.9345703" y="14" textLength="38.13086">Model</tspan></text></g><g id="id4_Graphic"><rect x="20" y="26" width="50" height="25" fill="url(#Obj_Gradient_2)"/><rect x="20" y="26" width="50" height="25" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(25 33)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="1.9970703" y="8" textLength="36.00586">&lt;html&gt;</tspan></text></g><g id="id6_Graphic"><ellipse cx="343.5" cy="38.9995" rx="68.00011" ry="27.999545" fill="url(#Obj_Gradient_3)"/><ellipse cx="343.5" cy="38.9995" rx="68.00011" ry="27.999545" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(294.1 24.39985)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="18.046484" y="11" textLength="62.70703">Root Scope</tspan></text></g><line x1="70.5" y1="38.542672" x2="265.10054" y2="38.868318" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><g id="id55_Graphic"><rect x="29" y="173.751" width="98" height="55.999" fill="url(#Obj_Gradient_4)"/><rect x="29" y="173.751" width="98" height="55.999" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(34 178.751)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="8" textLength="42.006836">&lt;input </tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="19" textLength="78.012695">  name=&quot;foo&quot; </tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="30" textLength="6.0009766">&gt;</tspan></text></g><g id="id67_Graphic"><path d="M 315.75 148 L 375.25 148 C 382.288 148 388 152.48 388 158 C 388 163.52 382.288 168 375.25 168 L 315.75 168 C 308.712 168 303 163.52 303 158 C 303 152.48 308.712 148 315.75 148" fill="white"/><path d="M 315.75 148 L 375.25 148 C 382.288 148 388 152.48 388 158 C 388 163.52 382.288 168 375.25 168 L 315.75 168 C 308.712 168 303 163.52 303 158 C 303 152.48 308.712 148 315.75 148" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(316.5 151)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="4.3935547" y="11" textLength="49.21289">foo: &quot;bar&quot;</tspan></text></g><line x1="21" y1="367.75" x2="684" y2="367" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"/><g id="id107_Graphic"><rect x="38" y="340.5" width="76" height="18" fill="url(#Obj_Gradient_5)"/><rect x="38" y="340.5" width="76" height="18" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(43 341)" fill="black"><tspan font-family="Helvetica" font-size="14" font-weight="500" x="4.5966797" y="14" textLength="8.551758">T</tspan><tspan font-family="Helvetica" font-size="14" font-weight="500" x="11.59668" y="14" textLength="49.80664">emplate</tspan></text></g><g id="id108_Graphic"><text transform="translate(117 27)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="1.9946289" y="8" textLength="66.010742">ng:autobind</tspan></text></g><g id="id607_Graphic"><rect x="20" y="281" width="55" height="25" fill="url(#Obj_Gradient_6)"/><rect x="20" y="281" width="55" height="25" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(25 288)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="1.496582" y="8" textLength="42.006836">&lt;/html&gt;</tspan></text></g><line x1="127.49344" y1="193.65563" x2="295.7531" y2="166.13603" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><g id="id609_Graphic"><text transform="translate(140 191.249)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="8" textLength="150.02441">AngularJS creates model as </tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="19" textLength="150.02441">property on scope object.</tspan></text></g><g id="id611_Graphic"><rect x="531" y="340.5" width="80" height="18" fill="#fefffc"/><rect x="531" y="340.5" width="80" height="18" stroke="#ff3535" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(536 341)" fill="black"><tspan font-family="Helvetica" font-size="14" font-weight="500" x="4.6552734" y="14" textLength="60.689453">Controller</tspan></text></g><rect x="489" y="20" width="161" height="76" fill="white"/><rect x="489" y="20" width="161" height="76" stroke="#ff0c1b" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(495.5 25.5)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="8" textLength="144.02344">function MyController(){</tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="19" textLength="114.018555">  this.foo = &apos;bar&apos;;</tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="30" textLength="150.02441">  this.save = function(){</tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="41" textLength="138.02246">    //do something nice</tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="52" textLength="18.00293">  }</tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="63" textLength="6.0009766">}</tspan></text><g id="id423_Graphic"><rect x="29" y="117.999" width="107" height="43.001" fill="url(#Obj_Gradient_7)"/><rect x="29" y="117.999" width="107" height="43.001" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(34 122.9995)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="8" textLength="36.00586">&lt;body </tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="19" textLength="90.01465"> ng:controller=</tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="30" textLength="96.015625"> &quot;MyController&quot;&gt;</tspan></text></g><line x1="136.5" y1="139.49961" x2="262.59996" y2="139.49986" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><line x1="343.4697" y1="93.49998" x2="343.45908" y2="77.399005" marker-end="url(#FilledArrow_Marker_2)" stroke="#65ff5a" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><g id="id615_Graphic"><rect x="29" y="241" width="55" height="25" fill="url(#Obj_Gradient_8)"/><rect x="29" y="241" width="55" height="25" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(34 248)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="8" textLength="42.006836">&lt;/body&gt;</tspan></text></g><g id="id616_Graphic"><text transform="translate(162 127.499)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="1.9936523" y="8" textLength="78.012695">ng:controller</tspan></text></g><line x1="574" y1="58.5" x2="569.5" y2="58" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><line x1="488.5298" y1="87.274336" x2="414.93987" y2="113.88037" marker-end="url(#Arrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="1,4"/><g id="id626_Graphic"><text transform="translate(432 112.249)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="8" textLength="48.007812">AngularJS </tspan><tspan font-family="Courier New" font-size="10" font-style="italic" font-weight="bold" x="48.007812" y="8" textLength="42.006836">applies</tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="90.01465" y="8" textLength="72.01172"> controller </tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="19" textLength="150.02441">function to scope object.</tspan></text></g><rect x="126" y="380" width="448" height="101" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(126 386)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="bold" x="9.495117" y="11" textLength="26.009766">Key:</tspan></text><ellipse cx="200" cy="429" rx="20.000032" ry="10.000016" fill="url(#Obj_Gradient_9)"/><ellipse cx="200" cy="429" rx="20.000032" ry="10.000016" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(240 422)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="78.720703">AngularJS Scope</tspan></text><rect x="180" y="386" width="40" height="20" fill="url(#Obj_Gradient_a)"/><rect x="180" y="386" width="40" height="20" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(185 389)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="2.991211" y="11" textLength="24.017578">&lt;...&gt;</tspan></text><text transform="translate(240 389)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="60.017578">DOM Node</tspan></text><text transform="translate(240 455)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="82.710938">Scope Property</tspan></text><path d="M 182.8 452 L 219.2 452 C 223.5056 452 227 456.48 227 462 C 227 467.52 223.5056 472 219.2 472 L 182.8 472 C 178.4944 472 175 467.52 175 462 C 175 456.48 178.4944 452 182.8 452" fill="white"/><path d="M 182.8 452 L 219.2 452 C 223.5056 452 227 456.48 227 462 C 227 467.52 223.5056 472 219.2 472 L 182.8 472 C 178.4944 472 175 467.52 175 462 C 175 456.48 178.4944 452 182.8 452" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><line x1="364" y1="429.5" x2="400.064" y2="429.5" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><text transform="translate(421.624 422.12685)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="142.06055"> Implicit Scope Declaration</tspan></text><text transform="translate(429 389)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="97.38281">Controller function</tspan></text><rect x="364" y="386" width="52" height="20" fill="white"/><rect x="364" y="386" width="52" height="20" stroke="#ff1c22" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/></g></g></svg>
diff --git a/images/docs/guide/about_controller.vdx b/images/docs/guide/about_controller.vdx
index e35d5adc6fd4..28d28ac431fa 100644
--- a/images/docs/guide/about_controller.vdx
+++ b/images/docs/guide/about_controller.vdx
@@ -596,8 +596,8 @@
             <SpBefore>0</SpBefore>
             <HorzAlign>0</HorzAlign>
           </Para>
-          <Text><cp IX="0"/><pp IX="0"/>&lt;input 
-  name=&quot;foo&quot; 
+          <Text><cp IX="0"/><pp IX="0"/>&lt;input
+  name=&quot;foo&quot;
 &gt;</Text>
         </Shape>
         <Shape ID="7" Type="Shape" Name="Squashed Rectangle Fill:Chalk.7">
@@ -1264,7 +1264,7 @@
             <SpBefore>0</SpBefore>
             <HorzAlign>0</HorzAlign>
           </Para>
-          <Text><cp IX="0"/><pp IX="0"/>Angular creates model as property on scope object.</Text>
+          <Text><cp IX="0"/><pp IX="0"/>AngularJS creates model as property on scope object.</Text>
         </Shape>
         <Shape ID="15" Type="Shape" Name="Rectangle Fill:Chalk.15">
           <XForm>
@@ -1628,7 +1628,7 @@
             <SpBefore>0</SpBefore>
             <HorzAlign>0</HorzAlign>
           </Para>
-          <Text><cp IX="0"/><pp IX="0"/>&lt;body 
+          <Text><cp IX="0"/><pp IX="0"/>&lt;body
  ng:controller=
  &quot;MyController&quot;&gt;</Text>
         </Shape>
@@ -2177,7 +2177,7 @@
             <SpBefore>0</SpBefore>
             <HorzAlign>0</HorzAlign>
           </Para>
-          <Text><cp IX="0"/><pp IX="0"/>Angular <cp IX="1"/>applies<cp IX="2"/> controller function to scope object.</Text>
+          <Text><cp IX="0"/><pp IX="0"/>AngularJS <cp IX="1"/>applies<cp IX="2"/> controller function to scope object.</Text>
         </Shape>
         <Shape ID="27" Type="Group" Name="Group.27">
           <XForm>
@@ -2561,7 +2561,7 @@
                     <SpBefore>0</SpBefore>
                     <HorzAlign>0</HorzAlign>
                   </Para>
-                  <Text><cp IX="0"/><pp IX="0"/>Angular Scope</Text>
+                  <Text><cp IX="0"/><pp IX="0"/>AngularJS Scope</Text>
                 </Shape>
               </Shapes>
             </Shape>
diff --git a/images/docs/guide/about_model.graffle b/images/docs/guide/about_model.graffle
index aae3ede892a0..891de2942834 100644
--- a/images/docs/guide/about_model.graffle
+++ b/images/docs/guide/about_model.graffle
@@ -88,7 +88,7 @@
 {\colortbl;\red255\green255\blue255;}
 \pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\pardirnatural
 
-\f0\b\fs20 \cf0 Angular creates model as property on scope object.}</string>
+\f0\b\fs20 \cf0 AngularJS creates model as property on scope object.}</string>
 			</dict>
 		</dict>
 		<dict>
@@ -660,7 +660,7 @@
 {\colortbl;\red255\green255\blue255;}
 \pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural\pardirnatural
 
-\f0\fs24 \cf0 Angular Scope}</string>
+\f0\fs24 \cf0 AngularJS Scope}</string>
 						<key>VerticalPad</key>
 						<integer>0</integer>
 					</dict>
@@ -837,7 +837,7 @@
 {\colortbl;\red255\green255\blue255;}
 \pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
 
-\f0\fs24 \cf0 Angular Scope Object}</string>
+\f0\fs24 \cf0 AngularJS Scope Object}</string>
 			</dict>
 			<key>TextPlacement</key>
 			<integer>0</integer>
diff --git a/images/docs/guide/about_model.svg b/images/docs/guide/about_model.svg
index cc9a71197262..57fa191603c6 100644
--- a/images/docs/guide/about_model.svg
+++ b/images/docs/guide/about_model.svg
@@ -1,3 +1,3 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
 <!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
-<svg xmlns="http://www.w3.org/2000/svg" xmlns:xl="http://www.w3.org/1999/xlink" version="1.1" viewBox="0 0 576 733" width="48pc" height="733pt" xmlns:dc="http://purl.org/dc/elements/1.1/"><metadata> Produced by OmniGraffle 6.5.2 <dc:date>2011-05-12 18:22:24 +0000</dc:date></metadata><defs><filter id="Shadow" filterUnits="userSpaceOnUse"><feGaussianBlur in="SourceAlpha" result="blur" stdDeviation="1.308"/><feOffset in="blur" result="offset" dx="0" dy="2"/><feFlood flood-color="black" flood-opacity=".5" result="flood"/><feComposite in="flood" in2="offset" operator="in"/></filter><font-face font-family="Helvetica" font-size="14" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="522.94922" cap-height="717.28516" ascent="770.01953" descent="-229.98047" font-weight="500"><font-face-src><font-face-name name="Helvetica"/></font-face-src></font-face><linearGradient x1="0" x2="1" id="Gradient" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#fff92f"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient" xl:href="#Gradient" gradientTransform="translate(46 57) rotate(90) scale(25)"/><font-face font-family="Helvetica" font-size="12" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="522.94922" cap-height="717.28516" ascent="770.01953" descent="-229.98047" font-weight="500"><font-face-src><font-face-name name="Helvetica"/></font-face-src></font-face><linearGradient x1="0" x2="1" id="Gradient_2" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="white"/><stop offset=".5" stop-color="#91ea96"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient_2" xl:href="#Gradient_2" gradientTransform="translate(416 19) rotate(90) scale(103)"/><marker orient="auto" overflow="visible" markerUnits="strokeWidth" id="FilledArrow_Marker" viewBox="-1 -4 10 8" markerWidth="10" markerHeight="8" color="black"><g><path d="M 8 0 L 0 -3 L 0 3 Z" fill="currentColor" stroke="currentColor" stroke-width="1"/></g></marker><font-face font-family="Helvetica" font-size="12" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="532.22656" cap-height="719.72656" ascent="770.01953" descent="-229.98047" font-weight="bold"><font-face-src><font-face-name name="Helvetica-Bold"/></font-face-src></font-face><linearGradient id="Obj_Gradient_3" xl:href="#Gradient_2" gradientTransform="translate(194 310.5) rotate(90) scale(20)"/><linearGradient id="Obj_Gradient_4" xl:href="#Gradient" gradientTransform="translate(194 277.5) rotate(90) scale(20)"/><linearGradient x1="0" x2="1" id="Gradient_3" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#f5ff35"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient_5" xl:href="#Gradient_3" gradientTransform="translate(79 91.001) rotate(90) scale(55.999)"/><linearGradient id="Obj_Gradient_6" xl:href="#Gradient" gradientTransform="translate(78 232.5) rotate(90) scale(18)"/><font-face font-family="Courier New" font-size="10" panose-1="2 7 6 9 2 2 5 2 4 4" units-per-em="1000" underline-position="-232.91016" underline-thickness="100.097656" slope="0" x-height="443.35938" cap-height="591.79688" ascent="832.51953" descent="-300.29297" font-weight="bold"><font-face-src><font-face-name name="CourierNewPS-BoldMT"/></font-face-src></font-face><linearGradient id="Obj_Gradient_7" xl:href="#Gradient" gradientTransform="translate(48.5 161) rotate(90) scale(25)"/></defs><g stroke="none" stroke-opacity="1" stroke-dasharray="none" fill="none" fill-opacity="1"><title>Canvas 1</title><rect fill="white" width="576" height="733"/><g><title>Layer 1</title><g><xl:use xl:href="#id105_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id4_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id6_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id37_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id55_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id67_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id107_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id108_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id607_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id609_Graphic" filter="url(#Shadow)"/></g><g id="id105_Graphic"><rect x="374" y="232.5" width="91" height="18" fill="#fefffc"/><rect x="374" y="232.5" width="91" height="18" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(379 233)" fill="black"><tspan font-family="Helvetica" font-size="14" font-weight="500" x="4.7036133" y="14" textLength="71.592773">Data Model</tspan></text></g><g id="id4_Graphic"><rect x="21" y="57" width="50" height="25" fill="url(#Obj_Gradient)"/><rect x="21" y="57" width="50" height="25" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(26 62.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="1.6572266" y="11" textLength="36.685547">&lt;html&gt;</tspan></text></g><g id="id6_Graphic"><ellipse cx="416" cy="70.5" rx="68.00011" ry="51.500082" fill="url(#Obj_Gradient_2)"/><ellipse cx="416" cy="70.5" rx="68.00011" ry="51.500082" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(366.6 39.45)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="10.0396484" y="11" textLength="82.054688">Angular Scope </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="32.05918" y="25" textLength="34.68164">Object</tspan></text></g><line x1="71.5" y1="69.5689" x2="337.60044" y2="70.287882" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><g id="id37_Graphic"><rect x="120" y="271.5" width="263" height="128.5" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/></g><text transform="translate(120 277.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="bold" x="9.495117" y="11" textLength="26.009766">Key:</tspan></text><ellipse cx="194" cy="320.5" rx="20.000032" ry="10.000016" fill="url(#Obj_Gradient_3)"/><ellipse cx="194" cy="320.5" rx="20.000032" ry="10.000016" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(234 313.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="78.720703">Angular Scope</tspan></text><rect x="174" y="277.5" width="40" height="20" fill="url(#Obj_Gradient_4)"/><rect x="174" y="277.5" width="40" height="20" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(179 280.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="2.991211" y="11" textLength="24.017578">&lt;...&gt;</tspan></text><text transform="translate(234 280.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="60.017578">DOM Node</tspan></text><g id="id55_Graphic"><rect x="30" y="91.001" width="98" height="55.999" fill="url(#Obj_Gradient_5)"/><rect x="30" y="91.001" width="98" height="55.999" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(35 96.001)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="36.363281">&lt;input </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="25" textLength="72.228516">  name=&quot;foo&quot; </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="39" textLength="78.56836">  value=&quot;bar&quot; &gt;</tspan></text></g><g id="id67_Graphic"><path d="M 393.75 85.75 L 453.25 85.75 C 460.288 85.75 466 90.23 466 95.75 C 466 101.27 460.288 105.75 453.25 105.75 L 393.75 105.75 C 386.712 105.75 381 101.27 381 95.75 C 381 90.23 386.712 85.75 393.75 85.75" fill="white"/><path d="M 393.75 85.75 L 453.25 85.75 C 460.288 85.75 466 90.23 466 95.75 C 466 101.27 460.288 105.75 453.25 105.75 L 393.75 105.75 C 386.712 105.75 381 101.27 381 95.75 C 381 90.23 386.712 85.75 393.75 85.75" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(394.5 88.75)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="4.3935547" y="11" textLength="49.21289">foo: &quot;bar&quot;</tspan></text></g><text transform="translate(234 346.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="82.710938">Scope Property</tspan></text><path d="M 176.8 343.5 L 213.2 343.5 C 217.5056 343.5 221 347.98 221 353.5 C 221 359.02 217.5056 363.5 213.2 363.5 L 176.8 363.5 C 172.4944 363.5 169 359.02 169 353.5 C 169 347.98 172.4944 343.5 176.8 343.5" fill="white"/><path d="M 176.8 343.5 L 213.2 343.5 C 217.5056 343.5 221 347.98 221 353.5 C 221 359.02 217.5056 363.5 213.2 363.5 L 176.8 363.5 C 172.4944 363.5 169 359.02 169 353.5 C 169 347.98 172.4944 343.5 176.8 343.5" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><line x1="21" y1="259.75" x2="484" y2="257" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"/><g id="id107_Graphic"><rect x="40" y="232.5" width="76" height="18" fill="url(#Obj_Gradient_6)"/><rect x="40" y="232.5" width="76" height="18" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(45 233)" fill="black"><tspan font-family="Helvetica" font-size="14" font-weight="500" x="4.5966797" y="14" textLength="8.551758">T</tspan><tspan font-family="Helvetica" font-size="14" font-weight="500" x="11.59668" y="14" textLength="49.80664">emplate</tspan></text></g><g id="id108_Graphic"><text transform="translate(117 58)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="1.9946289" y="8" textLength="66.010742">ng:autobind</tspan></text></g><line x1="173" y1="385" x2="209.064" y2="385" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><text transform="translate(230.624 377.62685)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="142.06055"> Implicit Scope Declaration</tspan></text><g id="id607_Graphic"><rect x="21" y="161" width="55" height="25" fill="url(#Obj_Gradient_7)"/><rect x="21" y="161" width="55" height="25" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(26 166.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="2.4902344" y="11" textLength="40.019531">&lt;/html&gt;</tspan></text></g><line x1="128.498865" y1="115.65971" x2="371.14307" y2="99.283115" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><g id="id609_Graphic"><text transform="translate(155 115.5)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="8" textLength="150.02441">Angular creates model as </tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="19" textLength="150.02441">property on scope object.</tspan></text></g></g></g></svg>
+<svg xmlns="http://www.w3.org/2000/svg" xmlns:xl="http://www.w3.org/1999/xlink" version="1.1" viewBox="0 0 576 733" width="48pc" height="733pt" xmlns:dc="http://purl.org/dc/elements/1.1/"><metadata> Produced by OmniGraffle 6.5.2 <dc:date>2011-05-12 18:22:24 +0000</dc:date></metadata><defs><filter id="Shadow" filterUnits="userSpaceOnUse"><feGaussianBlur in="SourceAlpha" result="blur" stdDeviation="1.308"/><feOffset in="blur" result="offset" dx="0" dy="2"/><feFlood flood-color="black" flood-opacity=".5" result="flood"/><feComposite in="flood" in2="offset" operator="in"/></filter><font-face font-family="Helvetica" font-size="14" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="522.94922" cap-height="717.28516" ascent="770.01953" descent="-229.98047" font-weight="500"><font-face-src><font-face-name name="Helvetica"/></font-face-src></font-face><linearGradient x1="0" x2="1" id="Gradient" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#fff92f"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient" xl:href="#Gradient" gradientTransform="translate(46 57) rotate(90) scale(25)"/><font-face font-family="Helvetica" font-size="12" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="522.94922" cap-height="717.28516" ascent="770.01953" descent="-229.98047" font-weight="500"><font-face-src><font-face-name name="Helvetica"/></font-face-src></font-face><linearGradient x1="0" x2="1" id="Gradient_2" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="white"/><stop offset=".5" stop-color="#91ea96"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient_2" xl:href="#Gradient_2" gradientTransform="translate(416 19) rotate(90) scale(103)"/><marker orient="auto" overflow="visible" markerUnits="strokeWidth" id="FilledArrow_Marker" viewBox="-1 -4 10 8" markerWidth="10" markerHeight="8" color="black"><g><path d="M 8 0 L 0 -3 L 0 3 Z" fill="currentColor" stroke="currentColor" stroke-width="1"/></g></marker><font-face font-family="Helvetica" font-size="12" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="532.22656" cap-height="719.72656" ascent="770.01953" descent="-229.98047" font-weight="bold"><font-face-src><font-face-name name="Helvetica-Bold"/></font-face-src></font-face><linearGradient id="Obj_Gradient_3" xl:href="#Gradient_2" gradientTransform="translate(194 310.5) rotate(90) scale(20)"/><linearGradient id="Obj_Gradient_4" xl:href="#Gradient" gradientTransform="translate(194 277.5) rotate(90) scale(20)"/><linearGradient x1="0" x2="1" id="Gradient_3" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#f5ff35"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient_5" xl:href="#Gradient_3" gradientTransform="translate(79 91.001) rotate(90) scale(55.999)"/><linearGradient id="Obj_Gradient_6" xl:href="#Gradient" gradientTransform="translate(78 232.5) rotate(90) scale(18)"/><font-face font-family="Courier New" font-size="10" panose-1="2 7 6 9 2 2 5 2 4 4" units-per-em="1000" underline-position="-232.91016" underline-thickness="100.097656" slope="0" x-height="443.35938" cap-height="591.79688" ascent="832.51953" descent="-300.29297" font-weight="bold"><font-face-src><font-face-name name="CourierNewPS-BoldMT"/></font-face-src></font-face><linearGradient id="Obj_Gradient_7" xl:href="#Gradient" gradientTransform="translate(48.5 161) rotate(90) scale(25)"/></defs><g stroke="none" stroke-opacity="1" stroke-dasharray="none" fill="none" fill-opacity="1"><title>Canvas 1</title><rect fill="white" width="576" height="733"/><g><title>Layer 1</title><g><xl:use xl:href="#id105_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id4_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id6_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id37_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id55_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id67_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id107_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id108_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id607_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id609_Graphic" filter="url(#Shadow)"/></g><g id="id105_Graphic"><rect x="374" y="232.5" width="91" height="18" fill="#fefffc"/><rect x="374" y="232.5" width="91" height="18" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(379 233)" fill="black"><tspan font-family="Helvetica" font-size="14" font-weight="500" x="4.7036133" y="14" textLength="71.592773">Data Model</tspan></text></g><g id="id4_Graphic"><rect x="21" y="57" width="50" height="25" fill="url(#Obj_Gradient)"/><rect x="21" y="57" width="50" height="25" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(26 62.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="1.6572266" y="11" textLength="36.685547">&lt;html&gt;</tspan></text></g><g id="id6_Graphic"><ellipse cx="416" cy="70.5" rx="68.00011" ry="51.500082" fill="url(#Obj_Gradient_2)"/><ellipse cx="416" cy="70.5" rx="68.00011" ry="51.500082" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(366.6 39.45)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="10.0396484" y="11" textLength="82.054688">AngularJS Scope </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="32.05918" y="25" textLength="34.68164">Object</tspan></text></g><line x1="71.5" y1="69.5689" x2="337.60044" y2="70.287882" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><g id="id37_Graphic"><rect x="120" y="271.5" width="263" height="128.5" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/></g><text transform="translate(120 277.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="bold" x="9.495117" y="11" textLength="26.009766">Key:</tspan></text><ellipse cx="194" cy="320.5" rx="20.000032" ry="10.000016" fill="url(#Obj_Gradient_3)"/><ellipse cx="194" cy="320.5" rx="20.000032" ry="10.000016" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(234 313.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="78.720703">AngularJS Scope</tspan></text><rect x="174" y="277.5" width="40" height="20" fill="url(#Obj_Gradient_4)"/><rect x="174" y="277.5" width="40" height="20" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(179 280.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="2.991211" y="11" textLength="24.017578">&lt;...&gt;</tspan></text><text transform="translate(234 280.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="60.017578">DOM Node</tspan></text><g id="id55_Graphic"><rect x="30" y="91.001" width="98" height="55.999" fill="url(#Obj_Gradient_5)"/><rect x="30" y="91.001" width="98" height="55.999" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(35 96.001)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="36.363281">&lt;input </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="25" textLength="72.228516">  name=&quot;foo&quot; </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="39" textLength="78.56836">  value=&quot;bar&quot; &gt;</tspan></text></g><g id="id67_Graphic"><path d="M 393.75 85.75 L 453.25 85.75 C 460.288 85.75 466 90.23 466 95.75 C 466 101.27 460.288 105.75 453.25 105.75 L 393.75 105.75 C 386.712 105.75 381 101.27 381 95.75 C 381 90.23 386.712 85.75 393.75 85.75" fill="white"/><path d="M 393.75 85.75 L 453.25 85.75 C 460.288 85.75 466 90.23 466 95.75 C 466 101.27 460.288 105.75 453.25 105.75 L 393.75 105.75 C 386.712 105.75 381 101.27 381 95.75 C 381 90.23 386.712 85.75 393.75 85.75" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(394.5 88.75)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="4.3935547" y="11" textLength="49.21289">foo: &quot;bar&quot;</tspan></text></g><text transform="translate(234 346.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="82.710938">Scope Property</tspan></text><path d="M 176.8 343.5 L 213.2 343.5 C 217.5056 343.5 221 347.98 221 353.5 C 221 359.02 217.5056 363.5 213.2 363.5 L 176.8 363.5 C 172.4944 363.5 169 359.02 169 353.5 C 169 347.98 172.4944 343.5 176.8 343.5" fill="white"/><path d="M 176.8 343.5 L 213.2 343.5 C 217.5056 343.5 221 347.98 221 353.5 C 221 359.02 217.5056 363.5 213.2 363.5 L 176.8 363.5 C 172.4944 363.5 169 359.02 169 353.5 C 169 347.98 172.4944 343.5 176.8 343.5" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><line x1="21" y1="259.75" x2="484" y2="257" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"/><g id="id107_Graphic"><rect x="40" y="232.5" width="76" height="18" fill="url(#Obj_Gradient_6)"/><rect x="40" y="232.5" width="76" height="18" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(45 233)" fill="black"><tspan font-family="Helvetica" font-size="14" font-weight="500" x="4.5966797" y="14" textLength="8.551758">T</tspan><tspan font-family="Helvetica" font-size="14" font-weight="500" x="11.59668" y="14" textLength="49.80664">emplate</tspan></text></g><g id="id108_Graphic"><text transform="translate(117 58)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="1.9946289" y="8" textLength="66.010742">ng:autobind</tspan></text></g><line x1="173" y1="385" x2="209.064" y2="385" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><text transform="translate(230.624 377.62685)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="142.06055"> Implicit Scope Declaration</tspan></text><g id="id607_Graphic"><rect x="21" y="161" width="55" height="25" fill="url(#Obj_Gradient_7)"/><rect x="21" y="161" width="55" height="25" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(26 166.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="2.4902344" y="11" textLength="40.019531">&lt;/html&gt;</tspan></text></g><line x1="128.498865" y1="115.65971" x2="371.14307" y2="99.283115" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><g id="id609_Graphic"><text transform="translate(155 115.5)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="8" textLength="150.02441">AngularJS creates model as </tspan><tspan font-family="Courier New" font-size="10" font-weight="bold" x="0" y="19" textLength="150.02441">property on scope object.</tspan></text></g></g></g></svg>
diff --git a/images/docs/guide/about_model.vdx b/images/docs/guide/about_model.vdx
index 10d016820210..224c3253051e 100644
--- a/images/docs/guide/about_model.vdx
+++ b/images/docs/guide/about_model.vdx
@@ -330,7 +330,7 @@
             <SpBefore>0</SpBefore>
             <HorzAlign>1</HorzAlign>
           </Para>
-          <Text><cp IX="0"/><pp IX="0"/>Angular Scope Object</Text>
+          <Text><cp IX="0"/><pp IX="0"/>AngularJS Scope Object</Text>
         </Shape>
         <Shape ID="4" Type="Shape" Name="Graphic.4">
           <XForm>
@@ -753,7 +753,7 @@
                 <SpBefore>0</SpBefore>
                 <HorzAlign>0</HorzAlign>
               </Para>
-              <Text><cp IX="0"/><pp IX="0"/>Angular Scope</Text>
+              <Text><cp IX="0"/><pp IX="0"/>AngularJS Scope</Text>
             </Shape>
           </Shapes>
         </Shape>
@@ -1051,8 +1051,8 @@
             <SpBefore>0</SpBefore>
             <HorzAlign>0</HorzAlign>
           </Para>
-          <Text><cp IX="0"/><pp IX="0"/>&lt;input 
-  name=&quot;foo&quot; 
+          <Text><cp IX="0"/><pp IX="0"/>&lt;input
+  name=&quot;foo&quot;
   value=&quot;bar&quot; &gt;</Text>
         </Shape>
         <Shape ID="14" Type="Shape" Name="Graphic.14">
@@ -2116,7 +2116,7 @@
             <SpBefore>0</SpBefore>
             <HorzAlign>0</HorzAlign>
           </Para>
-          <Text><cp IX="0"/><pp IX="0"/>Angular creates model as property on scope object.</Text>
+          <Text><cp IX="0"/><pp IX="0"/>AngularJS creates model as property on scope object.</Text>
         </Shape>
       </Shapes>
       <Connects>
diff --git a/images/docs/guide/dom_scope.graffle b/images/docs/guide/dom_scope.graffle
index 14dcfa1d2f7b..dbd09235de42 100644
--- a/images/docs/guide/dom_scope.graffle
+++ b/images/docs/guide/dom_scope.graffle
@@ -1234,7 +1234,7 @@
 {\colortbl;\red255\green255\blue255;}
 \pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural\pardirnatural
 
-\f0\fs24 \cf0 Angular Scope}</string>
+\f0\fs24 \cf0 AngularJS Scope}</string>
 				<key>VerticalPad</key>
 				<integer>0</integer>
 			</dict>
@@ -1594,7 +1594,7 @@
 {\colortbl;\red255\green255\blue255;}
 \pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
 
-\f0\fs24 \cf0 angular scope}</string>
+\f0\fs24 \cf0 AngularJS scope}</string>
 			</dict>
 		</dict>
 		<dict>
@@ -1635,7 +1635,7 @@
 {\colortbl;\red255\green255\blue255;}
 \pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
 
-\f0\fs24 \cf0 angular scope}</string>
+\f0\fs24 \cf0 AngularJS scope}</string>
 			</dict>
 		</dict>
 		<dict>
@@ -1676,7 +1676,7 @@
 {\colortbl;\red255\green255\blue255;}
 \pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
 
-\f0\fs24 \cf0 angular scope}</string>
+\f0\fs24 \cf0 AngularJS scope}</string>
 			</dict>
 		</dict>
 		<dict>
@@ -1752,7 +1752,7 @@
 {\colortbl;\red255\green255\blue255;}
 \pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
 
-\f0\fs24 \cf0 angular root scope}</string>
+\f0\fs24 \cf0 AngularJS root scope}</string>
 			</dict>
 		</dict>
 		<dict>
@@ -1865,7 +1865,7 @@
 {\colortbl;\red255\green255\blue255;}
 \pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
 
-\f0\fs28 \cf0 Angular Scopes}</string>
+\f0\fs28 \cf0 AngularJS Scopes}</string>
 			</dict>
 		</dict>
 		<dict>
diff --git a/images/docs/guide/dom_scope.svg b/images/docs/guide/dom_scope.svg
index 752634979a0f..7dac60b7342e 100644
--- a/images/docs/guide/dom_scope.svg
+++ b/images/docs/guide/dom_scope.svg
@@ -1,3 +1,3 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
 <!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
-<svg xmlns="http://www.w3.org/2000/svg" xmlns:xl="http://www.w3.org/1999/xlink" version="1.1" viewBox="0 0 576 733" width="48pc" height="733pt" xmlns:dc="http://purl.org/dc/elements/1.1/"><metadata> Produced by OmniGraffle 6.5.2 <dc:date>2011-05-11 16:27:17 +0000</dc:date></metadata><defs><filter id="Shadow" filterUnits="userSpaceOnUse"><feGaussianBlur in="SourceAlpha" result="blur" stdDeviation="1.308"/><feOffset in="blur" result="offset" dx="0" dy="2"/><feFlood flood-color="black" flood-opacity=".5" result="flood"/><feComposite in="flood" in2="offset" operator="in"/></filter><font-face font-family="Helvetica" font-size="12" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="522.94922" cap-height="717.28516" ascent="770.01953" descent="-229.98047" font-weight="500"><font-face-src><font-face-name name="Helvetica"/></font-face-src></font-face><linearGradient x1="0" x2="1" id="Gradient" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#91ff9e"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient" xl:href="#Gradient" gradientTransform="translate(305.5 366) rotate(90) scale(17)"/><font-face font-family="Helvetica" font-size="14" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="522.94922" cap-height="717.28516" ascent="770.01953" descent="-229.98047" font-weight="500"><font-face-src><font-face-name name="Helvetica"/></font-face-src></font-face><linearGradient x1="0" x2="1" id="Gradient_2" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#fff92f"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient_2" xl:href="#Gradient_2" gradientTransform="translate(55.5 57) rotate(90) scale(38)"/><linearGradient x1="0" x2="1" id="Gradient_3" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="white"/><stop offset=".5" stop-color="#91ea96"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient_3" xl:href="#Gradient_3" gradientTransform="translate(294 57) rotate(90) scale(38)"/><marker orient="auto" overflow="visible" markerUnits="strokeWidth" id="FilledArrow_Marker" viewBox="-1 -4 10 8" markerWidth="10" markerHeight="8" color="black"><g><path d="M 8 0 L 0 -3 L 0 3 Z" fill="currentColor" stroke="currentColor" stroke-width="1"/></g></marker><linearGradient id="Obj_Gradient_4" xl:href="#Gradient_3" gradientTransform="translate(288.5 220.5) rotate(90) scale(38)"/><linearGradient id="Obj_Gradient_5" xl:href="#Gradient_3" gradientTransform="translate(297.5 229.5) rotate(90) scale(38)"/><linearGradient id="Obj_Gradient_6" xl:href="#Gradient_3" gradientTransform="translate(306.5 238.5) rotate(90) scale(38)"/><linearGradient id="Obj_Gradient_7" xl:href="#Gradient_3" gradientTransform="translate(317.5 247.5) rotate(90) scale(38)"/><font-face font-family="Helvetica" font-size="12" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="532.22656" cap-height="719.72656" ascent="770.01953" descent="-229.98047" font-weight="bold"><font-face-src><font-face-name name="Helvetica-Bold"/></font-face-src></font-face><linearGradient id="Obj_Gradient_8" xl:href="#Gradient_2" gradientTransform="translate(59 432.5) rotate(90) scale(20)"/><linearGradient id="Obj_Gradient_9" xl:href="#Gradient_3" gradientTransform="translate(59 465.5) rotate(90) scale(20)"/><linearGradient x1="0" x2="1" id="Gradient_4" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#f5ff35"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient_a" xl:href="#Gradient_4" gradientTransform="translate(108.688 123.001) rotate(90) scale(57.999)"/><linearGradient x1="0" x2="1" id="Gradient_5" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#f4ff3a"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient_b" xl:href="#Gradient_5" gradientTransform="translate(91 224.5) rotate(90) scale(38)"/><linearGradient id="Obj_Gradient_c" xl:href="#Gradient_5" gradientTransform="translate(100 233.5) rotate(90) scale(38)"/><linearGradient id="Obj_Gradient_d" xl:href="#Gradient_5" gradientTransform="translate(109 242.5) rotate(90) scale(38)"/><linearGradient id="Obj_Gradient_e" xl:href="#Gradient_5" gradientTransform="translate(118 251.5) rotate(90) scale(46)"/><linearGradient id="Obj_Gradient_f" xl:href="#Gradient_2" gradientTransform="translate(106 366) rotate(90) scale(17)"/><font-face font-family="Courier New" font-size="10" panose-1="2 7 6 9 2 2 5 2 4 4" units-per-em="1000" underline-position="-232.91016" underline-thickness="100.097656" slope="0" x-height="443.35938" cap-height="591.79688" ascent="832.51953" descent="-300.29297" font-weight="bold"><font-face-src><font-face-name name="CourierNewPS-BoldMT"/></font-face-src></font-face><linearGradient id="Obj_Gradient_10" xl:href="#Gradient_2" gradientTransform="translate(55.5 312.75) rotate(90) scale(38)"/></defs><g stroke="none" stroke-opacity="1" stroke-dasharray="none" fill="none" fill-opacity="1"><title>Canvas 1</title><rect fill="white" width="576" height="733"/><g><title>Layer 1</title><g><xl:use xl:href="#id71_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id101_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id105_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id4_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id6_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id23_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id24_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id25_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id26_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id37_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id42_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id43_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id55_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id67_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id69_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id70_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id72_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id81_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id85_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id56_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id88_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id89_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id90_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id107_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id108_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id589_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id591_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id592_Graphic" filter="url(#Shadow)"/></g><g id="id71_Graphic"><path d="M 453.55 247 L 549.45 247 C 560.7936 247 570 251.48 570 257 C 570 262.52 560.7936 267 549.45 267 L 453.55 267 C 442.2064 267 433 262.52 433 257 C 433 251.48 442.2064 247 453.55 247" fill="white"/><path d="M 453.55 247 L 549.45 247 C 560.7936 247 570 251.48 570 257 C 570 262.52 560.7936 267 549.45 267 L 453.55 267 C 442.2064 267 433 262.52 433 257 C 433 251.48 442.2064 247 453.55 247" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(451.7 250)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="11.529492" y="11" textLength="76.541016">name: &quot;Misko&quot;</tspan></text></g><line x1="432.5031" y1="257.1769" x2="350.49927" y2="257.38715" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="4"/><g id="id101_Graphic"><rect x="248" y="366" width="115" height="17" fill="url(#Obj_Gradient)"/><rect x="248" y="366" width="115" height="17" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(253 366)" fill="black"><tspan font-family="Helvetica" font-size="14" font-weight="500" x="3.0795898" y="14" textLength="98.84082">Angular Scopes</tspan></text></g><g id="id105_Graphic"><rect x="459" y="365" width="91" height="18" fill="#fefffc"/><rect x="459" y="365" width="91" height="18" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(464 365.5)" fill="black"><tspan font-family="Helvetica" font-size="14" font-weight="500" x="4.7036133" y="14" textLength="71.592773">Data Model</tspan></text></g><g id="id4_Graphic"><rect x="21" y="57" width="69" height="38" fill="url(#Obj_Gradient_2)"/><rect x="21" y="57" width="69" height="38" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(26 69)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="11.1572266" y="11" textLength="36.685547">&lt;html&gt;</tspan></text></g><g id="id6_Graphic"><ellipse cx="294" cy="76" rx="71.000113" ry="19.00003" fill="url(#Obj_Gradient_3)"/><ellipse cx="294" cy="76" rx="71.000113" ry="19.00003" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(242.2 69)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="2.1007813" y="11" textLength="99.39844">angular root scope</tspan></text></g><line x1="90.5" y1="76" x2="212.59996" y2="76" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><g id="id23_Graphic"><ellipse cx="288.5" cy="239.5" rx="43.50007" ry="19.00003" fill="url(#Obj_Gradient_4)"/><ellipse cx="288.5" cy="239.5" rx="43.50007" ry="19.00003" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(258.7 225.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="9.784375" y="11" textLength="43.365234">angular </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="13.789258" y="25" textLength="32.021484">scope</tspan></text></g><g id="id24_Graphic"><ellipse cx="297.5" cy="248.5" rx="43.50007" ry="19.00003" fill="url(#Obj_Gradient_5)"/><ellipse cx="297.5" cy="248.5" rx="43.50007" ry="19.00003" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(267.7 234.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="9.784375" y="11" textLength="43.365234">angular </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="13.789258" y="25" textLength="32.021484">scope</tspan></text></g><g id="id25_Graphic"><ellipse cx="306.5" cy="257.5" rx="43.50007" ry="19.00003" fill="url(#Obj_Gradient_6)"/><ellipse cx="306.5" cy="257.5" rx="43.50007" ry="19.00003" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(276.7 243.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="9.784375" y="11" textLength="43.365234">angular </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="13.789258" y="25" textLength="32.021484">scope</tspan></text></g><g id="id26_Graphic"><ellipse cx="317.5" cy="266.5" rx="45.500073" ry="19.00003" fill="url(#Obj_Gradient_7)"/><ellipse cx="317.5" cy="266.5" rx="45.500073" ry="19.00003" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(286.1 252.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="9.052344" y="11" textLength="48.029297">repeater </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="15.389258" y="25" textLength="32.021484">scope</tspan></text></g><line x1="293.34407" y1="95.49896" x2="289.15589" y2="220.00231" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><line x1="294.39564" y1="95.49963" x2="297.10436" y2="229.00083" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><line x1="295.34267" y1="95.49562" x2="305.1577" y2="238.00971" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><line x1="296.40378" y1="95.48597" x2="315.09803" y2="247.02876" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><g id="id37_Graphic"><rect x="12" y="407.5" width="284" height="169.5" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/></g><text transform="translate(7 408.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="bold" x="9.495117" y="11" textLength="26.009766">Key:</tspan></text><g id="id42_Graphic"><rect x="39" y="432.5" width="40" height="20" fill="url(#Obj_Gradient_8)"/><rect x="39" y="432.5" width="40" height="20" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(44 435.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="2.991211" y="11" textLength="24.017578">&lt;...&gt;</tspan></text></g><g id="id43_Graphic"><ellipse cx="59" cy="475.5" rx="20.000032" ry="10.000016" fill="url(#Obj_Gradient_9)"/><ellipse cx="59" cy="475.5" rx="20.000032" ry="10.000016" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(48 468.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="4.326172" y="11" textLength="13.347656">ng</tspan></text></g><text transform="translate(99 468.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="78.720703">Angular Scope</tspan></text><text transform="translate(99 435.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="60.017578">DOM Node</tspan></text><g id="id55_Graphic"><rect x="30" y="123.001" width="157.376" height="57.999" fill="url(#Obj_Gradient_a)"/><rect x="30" y="123.001" width="157.376" height="57.999" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(35 131.0005)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="19.681641">&lt;ul </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="25" textLength="122.91211">  ng:init=&quot;name=&apos;Hank&apos;;</tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="39" textLength="146.23242">              names=[&apos;Igor&apos;,...]&quot;&gt;</tspan></text></g><g id="id67_Graphic"><path d="M 442.95 87 L 536.05 87 C 547.0624 87 556 91.48 556 97 C 556 102.52 547.0624 107 536.05 107 L 442.95 107 C 431.9376 107 423 102.52 423 97 C 423 91.48 431.9376 87 442.95 87" fill="white"/><path d="M 442.95 87 L 536.05 87 C 547.0624 87 556 91.48 556 97 C 556 102.52 547.0624 107 536.05 107 L 442.95 107 C 431.9376 107 423 102.52 423 97 C 423 91.48 431.9376 87 442.95 87" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(441.3 90)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="11.590625" y="11" textLength="73.21875">name: &quot;Hank&quot;</tspan></text></g><line x1="360.40406" y1="83.132913" x2="427.48322" y2="90.338345" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="4"/><g id="id69_Graphic"><path d="M 456.95 187 L 550.05 187 C 561.0624 187 570 191.48 570 197 C 570 202.52 561.0624 207 550.05 207 L 456.95 207 C 445.9376 207 437 202.52 437 197 C 437 191.48 445.9376 187 456.95 187" fill="white"/><path d="M 456.95 187 L 550.05 187 C 561.0624 187 570 191.48 570 197 C 570 202.52 561.0624 207 550.05 207 L 456.95 207 C 445.9376 207 437 202.52 437 197 C 437 191.48 445.9376 187 456.95 187" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(455.3 190)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="16.925586" y="11" textLength="62.548828">name: &quot;Kai&quot;</tspan></text></g><g id="id70_Graphic"><path d="M 455.55 217 L 551.45 217 C 562.7936 217 572 221.48 572 227 C 572 232.52 562.7936 237 551.45 237 L 455.55 237 C 444.2064 237 435 232.52 435 227 C 435 221.48 444.2064 217 455.55 217" fill="white"/><path d="M 455.55 217 L 551.45 217 C 562.7936 217 572 221.48 572 227 C 572 232.52 562.7936 237 551.45 237 L 455.55 237 C 444.2064 237 435 232.52 435 227 C 435 221.48 444.2064 217 455.55 217" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(453.7 220)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="16.527539" y="11" textLength="66.54492">name: &quot;Gail&quot;</tspan></text></g><g id="id72_Graphic"><path d="M 456.95 277.5 L 550.05 277.5 C 561.0624 277.5 570 281.98 570 287.5 C 570 293.02 561.0624 297.5 550.05 297.5 L 456.95 297.5 C 445.9376 297.5 437 293.02 437 287.5 C 437 281.98 445.9376 277.5 456.95 277.5" fill="white"/><path d="M 456.95 277.5 L 550.05 277.5 C 561.0624 277.5 570 281.98 570 287.5 C 570 293.02 561.0624 297.5 550.05 297.5 L 456.95 297.5 C 445.9376 297.5 437 293.02 437 287.5 C 437 281.98 445.9376 277.5 456.95 277.5" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(455.3 280.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="15.258594" y="11" textLength="65.882812">name: &quot;Igor&quot;</tspan></text></g><line x1="441.99458" y1="280.55584" x2="361.92715" y2="271.51598" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="4"/><line x1="439.64139" y1="233.66487" x2="340.3122" y2="244.03177" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="4"/><line x1="453.12554" y1="206.95774" x2="328.63162" y2="231.56701" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="4"/><g id="id81_Graphic"><path d="M 433.5 118 L 538.5 118 C 550.92 118 561 125.168 561 134 C 561 142.832 550.92 150 538.5 150 L 433.5 150 C 421.08 150 411 142.832 411 134 C 411 125.168 421.08 118 433.5 118" fill="white"/><path d="M 433.5 118 L 538.5 118 C 550.92 118 561 125.168 561 134 C 561 142.832 550.92 150 538.5 150 L 433.5 150 C 421.08 150 411 142.832 411 134 C 411 125.168 421.08 118 433.5 118" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(431 120)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="15.563477" y="11" textLength="82.20703">names: &quot;[&apos;Igor&apos;, </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="3.7978516" y="25" textLength="102.404297">&apos;Misko&apos;, &apos;Gail&apos;, Kai&apos;]&quot;</tspan></text></g><line x1="341.56009" y1="90.36713" x2="432.56627" y2="117.858626" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="4"/><text transform="translate(99 520.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="82.710938">Scope Property</tspan></text><g id="id85_Graphic"><path d="M 41.8 517.5 L 78.2 517.5 C 82.5056 517.5 86 521.98 86 527.5 C 86 533.02 82.5056 537.5 78.2 537.5 L 41.8 537.5 C 37.4944 537.5 34 533.02 34 527.5 C 34 521.98 37.4944 517.5 41.8 517.5" fill="white"/><path d="M 41.8 517.5 L 78.2 517.5 C 82.5056 517.5 86 521.98 86 527.5 C 86 533.02 82.5056 537.5 78.2 537.5 L 41.8 537.5 C 37.4944 537.5 34 533.02 34 527.5 C 34 521.98 37.4944 517.5 41.8 517.5" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(44.2 520.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="6.463086" y="11" textLength="18.673828">this</tspan></text></g><line x1="178.4996" y1="272.07394" x2="261.81542" y2="268.73293" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><line x1="169.4999" y1="260.27468" x2="252.64851" y2="258.59064" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><line x1="160.4999" y1="251.27468" x2="243.64851" y2="249.59064" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><line x1="151.4999" y1="242.27468" x2="234.64851" y2="240.59064" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><g id="id56_Graphic"><rect x="31" y="224.5" width="120" height="38" fill="url(#Obj_Gradient_b)"/><rect x="31" y="224.5" width="120" height="38" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(36 236.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="16.638672" y="11" textLength="76.722656">&lt;LI&gt; Repeater</tspan></text></g><g id="id88_Graphic"><rect x="40" y="233.5" width="120" height="38" fill="url(#Obj_Gradient_c)"/><rect x="40" y="233.5" width="120" height="38" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(45 245.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="16.638672" y="11" textLength="76.722656">&lt;LI&gt; Repeater</tspan></text></g><g id="id89_Graphic"><rect x="49" y="242.5" width="120" height="38" fill="url(#Obj_Gradient_d)"/><rect x="49" y="242.5" width="120" height="38" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(54 254.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="16.638672" y="11" textLength="76.722656">&lt;LI&gt; Repeater</tspan></text></g><g id="id90_Graphic"><rect x="58" y="251.5" width="120" height="46" fill="url(#Obj_Gradient_e)"/><rect x="58" y="251.5" width="120" height="46" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(63 253.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="73.38867">&lt;li ng:repeat=</tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="25" textLength="104.23828">  &quot;name in names&quot;&gt;</tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="39" textLength="108.4043">  Name = {{ name }}!</tspan></text></g><path d="M 12 391.75 L 561 390.75 L 540 390.75" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"/><g id="id107_Graphic"><rect x="68" y="366" width="76" height="17" fill="url(#Obj_Gradient_f)"/><rect x="68" y="366" width="76" height="17" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(73 366)" fill="black"><tspan font-family="Helvetica" font-size="14" font-weight="500" x="4.5966797" y="14" textLength="8.551758">T</tspan><tspan font-family="Helvetica" font-size="14" font-weight="500" x="11.59668" y="14" textLength="49.80664">emplate</tspan></text></g><g id="id108_Graphic"><text transform="translate(117 64)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="1.9946289" y="8" textLength="66.010742">ng:autobind</tspan></text></g><line x1="38" y1="501" x2="74.0636" y2="501" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><g id="id589_Graphic"><text transform="translate(95.6242 493.62685)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="142.06055"> Implicit Scope Declaration</tspan></text></g><g id="id591_Graphic"><text transform="translate(190 273)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="7.9956055" y="8" textLength="54.00879">ng:repeat</tspan></text></g><g id="id592_Graphic"><rect x="21" y="312.75" width="69" height="38" fill="url(#Obj_Gradient_10)"/><rect x="21" y="312.75" width="69" height="38" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(26 324.75)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="9.4902344" y="11" textLength="40.019531">&lt;/html&gt;</tspan></text></g><text transform="translate(99 553.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="172.10742">Binding Point Between Data &amp; V</tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="171.89648" y="11" textLength="18.005859">iew</tspan></text><text transform="translate(40 553.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="32.701172">{{ ... }}</tspan></text></g></g></svg>
+<svg xmlns="http://www.w3.org/2000/svg" xmlns:xl="http://www.w3.org/1999/xlink" version="1.1" viewBox="0 0 576 733" width="48pc" height="733pt" xmlns:dc="http://purl.org/dc/elements/1.1/"><metadata> Produced by OmniGraffle 6.5.2 <dc:date>2011-05-11 16:27:17 +0000</dc:date></metadata><defs><filter id="Shadow" filterUnits="userSpaceOnUse"><feGaussianBlur in="SourceAlpha" result="blur" stdDeviation="1.308"/><feOffset in="blur" result="offset" dx="0" dy="2"/><feFlood flood-color="black" flood-opacity=".5" result="flood"/><feComposite in="flood" in2="offset" operator="in"/></filter><font-face font-family="Helvetica" font-size="12" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="522.94922" cap-height="717.28516" ascent="770.01953" descent="-229.98047" font-weight="500"><font-face-src><font-face-name name="Helvetica"/></font-face-src></font-face><linearGradient x1="0" x2="1" id="Gradient" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#91ff9e"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient" xl:href="#Gradient" gradientTransform="translate(305.5 366) rotate(90) scale(17)"/><font-face font-family="Helvetica" font-size="14" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="522.94922" cap-height="717.28516" ascent="770.01953" descent="-229.98047" font-weight="500"><font-face-src><font-face-name name="Helvetica"/></font-face-src></font-face><linearGradient x1="0" x2="1" id="Gradient_2" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#fff92f"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient_2" xl:href="#Gradient_2" gradientTransform="translate(55.5 57) rotate(90) scale(38)"/><linearGradient x1="0" x2="1" id="Gradient_3" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="white"/><stop offset=".5" stop-color="#91ea96"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient_3" xl:href="#Gradient_3" gradientTransform="translate(294 57) rotate(90) scale(38)"/><marker orient="auto" overflow="visible" markerUnits="strokeWidth" id="FilledArrow_Marker" viewBox="-1 -4 10 8" markerWidth="10" markerHeight="8" color="black"><g><path d="M 8 0 L 0 -3 L 0 3 Z" fill="currentColor" stroke="currentColor" stroke-width="1"/></g></marker><linearGradient id="Obj_Gradient_4" xl:href="#Gradient_3" gradientTransform="translate(288.5 220.5) rotate(90) scale(38)"/><linearGradient id="Obj_Gradient_5" xl:href="#Gradient_3" gradientTransform="translate(297.5 229.5) rotate(90) scale(38)"/><linearGradient id="Obj_Gradient_6" xl:href="#Gradient_3" gradientTransform="translate(306.5 238.5) rotate(90) scale(38)"/><linearGradient id="Obj_Gradient_7" xl:href="#Gradient_3" gradientTransform="translate(317.5 247.5) rotate(90) scale(38)"/><font-face font-family="Helvetica" font-size="12" units-per-em="1000" underline-position="-75.683594" underline-thickness="49.316406" slope="0" x-height="532.22656" cap-height="719.72656" ascent="770.01953" descent="-229.98047" font-weight="bold"><font-face-src><font-face-name name="Helvetica-Bold"/></font-face-src></font-face><linearGradient id="Obj_Gradient_8" xl:href="#Gradient_2" gradientTransform="translate(59 432.5) rotate(90) scale(20)"/><linearGradient id="Obj_Gradient_9" xl:href="#Gradient_3" gradientTransform="translate(59 465.5) rotate(90) scale(20)"/><linearGradient x1="0" x2="1" id="Gradient_4" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#f5ff35"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient_a" xl:href="#Gradient_4" gradientTransform="translate(108.688 123.001) rotate(90) scale(57.999)"/><linearGradient x1="0" x2="1" id="Gradient_5" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#f4ff3a"/><stop offset="1" stop-color="#aaa"/></linearGradient><linearGradient id="Obj_Gradient_b" xl:href="#Gradient_5" gradientTransform="translate(91 224.5) rotate(90) scale(38)"/><linearGradient id="Obj_Gradient_c" xl:href="#Gradient_5" gradientTransform="translate(100 233.5) rotate(90) scale(38)"/><linearGradient id="Obj_Gradient_d" xl:href="#Gradient_5" gradientTransform="translate(109 242.5) rotate(90) scale(38)"/><linearGradient id="Obj_Gradient_e" xl:href="#Gradient_5" gradientTransform="translate(118 251.5) rotate(90) scale(46)"/><linearGradient id="Obj_Gradient_f" xl:href="#Gradient_2" gradientTransform="translate(106 366) rotate(90) scale(17)"/><font-face font-family="Courier New" font-size="10" panose-1="2 7 6 9 2 2 5 2 4 4" units-per-em="1000" underline-position="-232.91016" underline-thickness="100.097656" slope="0" x-height="443.35938" cap-height="591.79688" ascent="832.51953" descent="-300.29297" font-weight="bold"><font-face-src><font-face-name name="CourierNewPS-BoldMT"/></font-face-src></font-face><linearGradient id="Obj_Gradient_10" xl:href="#Gradient_2" gradientTransform="translate(55.5 312.75) rotate(90) scale(38)"/></defs><g stroke="none" stroke-opacity="1" stroke-dasharray="none" fill="none" fill-opacity="1"><title>Canvas 1</title><rect fill="white" width="576" height="733"/><g><title>Layer 1</title><g><xl:use xl:href="#id71_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id101_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id105_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id4_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id6_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id23_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id24_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id25_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id26_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id37_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id42_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id43_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id55_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id67_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id69_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id70_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id72_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id81_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id85_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id56_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id88_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id89_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id90_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id107_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id108_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id589_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id591_Graphic" filter="url(#Shadow)"/><xl:use xl:href="#id592_Graphic" filter="url(#Shadow)"/></g><g id="id71_Graphic"><path d="M 453.55 247 L 549.45 247 C 560.7936 247 570 251.48 570 257 C 570 262.52 560.7936 267 549.45 267 L 453.55 267 C 442.2064 267 433 262.52 433 257 C 433 251.48 442.2064 247 453.55 247" fill="white"/><path d="M 453.55 247 L 549.45 247 C 560.7936 247 570 251.48 570 257 C 570 262.52 560.7936 267 549.45 267 L 453.55 267 C 442.2064 267 433 262.52 433 257 C 433 251.48 442.2064 247 453.55 247" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(451.7 250)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="11.529492" y="11" textLength="76.541016">name: &quot;Misko&quot;</tspan></text></g><line x1="432.5031" y1="257.1769" x2="350.49927" y2="257.38715" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="4"/><g id="id101_Graphic"><rect x="248" y="366" width="115" height="17" fill="url(#Obj_Gradient)"/><rect x="248" y="366" width="115" height="17" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(253 366)" fill="black"><tspan font-family="Helvetica" font-size="14" font-weight="500" x="3.0795898" y="14" textLength="98.84082">AngularJS Scopes</tspan></text></g><g id="id105_Graphic"><rect x="459" y="365" width="91" height="18" fill="#fefffc"/><rect x="459" y="365" width="91" height="18" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(464 365.5)" fill="black"><tspan font-family="Helvetica" font-size="14" font-weight="500" x="4.7036133" y="14" textLength="71.592773">Data Model</tspan></text></g><g id="id4_Graphic"><rect x="21" y="57" width="69" height="38" fill="url(#Obj_Gradient_2)"/><rect x="21" y="57" width="69" height="38" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(26 69)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="11.1572266" y="11" textLength="36.685547">&lt;html&gt;</tspan></text></g><g id="id6_Graphic"><ellipse cx="294" cy="76" rx="71.000113" ry="19.00003" fill="url(#Obj_Gradient_3)"/><ellipse cx="294" cy="76" rx="71.000113" ry="19.00003" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(242.2 69)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="2.1007813" y="11" textLength="99.39844">angular root scope</tspan></text></g><line x1="90.5" y1="76" x2="212.59996" y2="76" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><g id="id23_Graphic"><ellipse cx="288.5" cy="239.5" rx="43.50007" ry="19.00003" fill="url(#Obj_Gradient_4)"/><ellipse cx="288.5" cy="239.5" rx="43.50007" ry="19.00003" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(258.7 225.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="9.784375" y="11" textLength="43.365234">angular </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="13.789258" y="25" textLength="32.021484">scope</tspan></text></g><g id="id24_Graphic"><ellipse cx="297.5" cy="248.5" rx="43.50007" ry="19.00003" fill="url(#Obj_Gradient_5)"/><ellipse cx="297.5" cy="248.5" rx="43.50007" ry="19.00003" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(267.7 234.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="9.784375" y="11" textLength="43.365234">angular </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="13.789258" y="25" textLength="32.021484">scope</tspan></text></g><g id="id25_Graphic"><ellipse cx="306.5" cy="257.5" rx="43.50007" ry="19.00003" fill="url(#Obj_Gradient_6)"/><ellipse cx="306.5" cy="257.5" rx="43.50007" ry="19.00003" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(276.7 243.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="9.784375" y="11" textLength="43.365234">angular </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="13.789258" y="25" textLength="32.021484">scope</tspan></text></g><g id="id26_Graphic"><ellipse cx="317.5" cy="266.5" rx="45.500073" ry="19.00003" fill="url(#Obj_Gradient_7)"/><ellipse cx="317.5" cy="266.5" rx="45.500073" ry="19.00003" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(286.1 252.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="9.052344" y="11" textLength="48.029297">repeater </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="15.389258" y="25" textLength="32.021484">scope</tspan></text></g><line x1="293.34407" y1="95.49896" x2="289.15589" y2="220.00231" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><line x1="294.39564" y1="95.49963" x2="297.10436" y2="229.00083" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><line x1="295.34267" y1="95.49562" x2="305.1577" y2="238.00971" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><line x1="296.40378" y1="95.48597" x2="315.09803" y2="247.02876" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><g id="id37_Graphic"><rect x="12" y="407.5" width="284" height="169.5" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/></g><text transform="translate(7 408.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="bold" x="9.495117" y="11" textLength="26.009766">Key:</tspan></text><g id="id42_Graphic"><rect x="39" y="432.5" width="40" height="20" fill="url(#Obj_Gradient_8)"/><rect x="39" y="432.5" width="40" height="20" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(44 435.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="2.991211" y="11" textLength="24.017578">&lt;...&gt;</tspan></text></g><g id="id43_Graphic"><ellipse cx="59" cy="475.5" rx="20.000032" ry="10.000016" fill="url(#Obj_Gradient_9)"/><ellipse cx="59" cy="475.5" rx="20.000032" ry="10.000016" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(48 468.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="4.326172" y="11" textLength="13.347656">ng</tspan></text></g><text transform="translate(99 468.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="78.720703">AngularJS Scope</tspan></text><text transform="translate(99 435.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="60.017578">DOM Node</tspan></text><g id="id55_Graphic"><rect x="30" y="123.001" width="157.376" height="57.999" fill="url(#Obj_Gradient_a)"/><rect x="30" y="123.001" width="157.376" height="57.999" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(35 131.0005)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="19.681641">&lt;ul </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="25" textLength="122.91211">  ng:init=&quot;name=&apos;Hank&apos;;</tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="39" textLength="146.23242">              names=[&apos;Igor&apos;,...]&quot;&gt;</tspan></text></g><g id="id67_Graphic"><path d="M 442.95 87 L 536.05 87 C 547.0624 87 556 91.48 556 97 C 556 102.52 547.0624 107 536.05 107 L 442.95 107 C 431.9376 107 423 102.52 423 97 C 423 91.48 431.9376 87 442.95 87" fill="white"/><path d="M 442.95 87 L 536.05 87 C 547.0624 87 556 91.48 556 97 C 556 102.52 547.0624 107 536.05 107 L 442.95 107 C 431.9376 107 423 102.52 423 97 C 423 91.48 431.9376 87 442.95 87" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(441.3 90)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="11.590625" y="11" textLength="73.21875">name: &quot;Hank&quot;</tspan></text></g><line x1="360.40406" y1="83.132913" x2="427.48322" y2="90.338345" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="4"/><g id="id69_Graphic"><path d="M 456.95 187 L 550.05 187 C 561.0624 187 570 191.48 570 197 C 570 202.52 561.0624 207 550.05 207 L 456.95 207 C 445.9376 207 437 202.52 437 197 C 437 191.48 445.9376 187 456.95 187" fill="white"/><path d="M 456.95 187 L 550.05 187 C 561.0624 187 570 191.48 570 197 C 570 202.52 561.0624 207 550.05 207 L 456.95 207 C 445.9376 207 437 202.52 437 197 C 437 191.48 445.9376 187 456.95 187" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(455.3 190)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="16.925586" y="11" textLength="62.548828">name: &quot;Kai&quot;</tspan></text></g><g id="id70_Graphic"><path d="M 455.55 217 L 551.45 217 C 562.7936 217 572 221.48 572 227 C 572 232.52 562.7936 237 551.45 237 L 455.55 237 C 444.2064 237 435 232.52 435 227 C 435 221.48 444.2064 217 455.55 217" fill="white"/><path d="M 455.55 217 L 551.45 217 C 562.7936 217 572 221.48 572 227 C 572 232.52 562.7936 237 551.45 237 L 455.55 237 C 444.2064 237 435 232.52 435 227 C 435 221.48 444.2064 217 455.55 217" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(453.7 220)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="16.527539" y="11" textLength="66.54492">name: &quot;Gail&quot;</tspan></text></g><g id="id72_Graphic"><path d="M 456.95 277.5 L 550.05 277.5 C 561.0624 277.5 570 281.98 570 287.5 C 570 293.02 561.0624 297.5 550.05 297.5 L 456.95 297.5 C 445.9376 297.5 437 293.02 437 287.5 C 437 281.98 445.9376 277.5 456.95 277.5" fill="white"/><path d="M 456.95 277.5 L 550.05 277.5 C 561.0624 277.5 570 281.98 570 287.5 C 570 293.02 561.0624 297.5 550.05 297.5 L 456.95 297.5 C 445.9376 297.5 437 293.02 437 287.5 C 437 281.98 445.9376 277.5 456.95 277.5" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(455.3 280.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="15.258594" y="11" textLength="65.882812">name: &quot;Igor&quot;</tspan></text></g><line x1="441.99458" y1="280.55584" x2="361.92715" y2="271.51598" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="4"/><line x1="439.64139" y1="233.66487" x2="340.3122" y2="244.03177" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="4"/><line x1="453.12554" y1="206.95774" x2="328.63162" y2="231.56701" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="4"/><g id="id81_Graphic"><path d="M 433.5 118 L 538.5 118 C 550.92 118 561 125.168 561 134 C 561 142.832 550.92 150 538.5 150 L 433.5 150 C 421.08 150 411 142.832 411 134 C 411 125.168 421.08 118 433.5 118" fill="white"/><path d="M 433.5 118 L 538.5 118 C 550.92 118 561 125.168 561 134 C 561 142.832 550.92 150 538.5 150 L 433.5 150 C 421.08 150 411 142.832 411 134 C 411 125.168 421.08 118 433.5 118" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(431 120)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="15.563477" y="11" textLength="82.20703">names: &quot;[&apos;Igor&apos;, </tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="3.7978516" y="25" textLength="102.404297">&apos;Misko&apos;, &apos;Gail&apos;, Kai&apos;]&quot;</tspan></text></g><line x1="341.56009" y1="90.36713" x2="432.56627" y2="117.858626" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="4"/><text transform="translate(99 520.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="82.710938">Scope Property</tspan></text><g id="id85_Graphic"><path d="M 41.8 517.5 L 78.2 517.5 C 82.5056 517.5 86 521.98 86 527.5 C 86 533.02 82.5056 537.5 78.2 537.5 L 41.8 537.5 C 37.4944 537.5 34 533.02 34 527.5 C 34 521.98 37.4944 517.5 41.8 517.5" fill="white"/><path d="M 41.8 517.5 L 78.2 517.5 C 82.5056 517.5 86 521.98 86 527.5 C 86 533.02 82.5056 537.5 78.2 537.5 L 41.8 537.5 C 37.4944 537.5 34 533.02 34 527.5 C 34 521.98 37.4944 517.5 41.8 517.5" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(44.2 520.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="6.463086" y="11" textLength="18.673828">this</tspan></text></g><line x1="178.4996" y1="272.07394" x2="261.81542" y2="268.73293" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><line x1="169.4999" y1="260.27468" x2="252.64851" y2="258.59064" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><line x1="160.4999" y1="251.27468" x2="243.64851" y2="249.59064" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><line x1="151.4999" y1="242.27468" x2="234.64851" y2="240.59064" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><g id="id56_Graphic"><rect x="31" y="224.5" width="120" height="38" fill="url(#Obj_Gradient_b)"/><rect x="31" y="224.5" width="120" height="38" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(36 236.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="16.638672" y="11" textLength="76.722656">&lt;LI&gt; Repeater</tspan></text></g><g id="id88_Graphic"><rect x="40" y="233.5" width="120" height="38" fill="url(#Obj_Gradient_c)"/><rect x="40" y="233.5" width="120" height="38" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(45 245.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="16.638672" y="11" textLength="76.722656">&lt;LI&gt; Repeater</tspan></text></g><g id="id89_Graphic"><rect x="49" y="242.5" width="120" height="38" fill="url(#Obj_Gradient_d)"/><rect x="49" y="242.5" width="120" height="38" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(54 254.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="16.638672" y="11" textLength="76.722656">&lt;LI&gt; Repeater</tspan></text></g><g id="id90_Graphic"><rect x="58" y="251.5" width="120" height="46" fill="url(#Obj_Gradient_e)"/><rect x="58" y="251.5" width="120" height="46" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(63 253.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="73.38867">&lt;li ng:repeat=</tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="25" textLength="104.23828">  &quot;name in names&quot;&gt;</tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="39" textLength="108.4043">  Name = {{ name }}!</tspan></text></g><path d="M 12 391.75 L 561 390.75 L 540 390.75" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"/><g id="id107_Graphic"><rect x="68" y="366" width="76" height="17" fill="url(#Obj_Gradient_f)"/><rect x="68" y="366" width="76" height="17" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(73 366)" fill="black"><tspan font-family="Helvetica" font-size="14" font-weight="500" x="4.5966797" y="14" textLength="8.551758">T</tspan><tspan font-family="Helvetica" font-size="14" font-weight="500" x="11.59668" y="14" textLength="49.80664">emplate</tspan></text></g><g id="id108_Graphic"><text transform="translate(117 64)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="1.9946289" y="8" textLength="66.010742">ng:autobind</tspan></text></g><line x1="38" y1="501" x2="74.0636" y2="501" marker-end="url(#FilledArrow_Marker)" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1" stroke-dasharray="4,4"/><g id="id589_Graphic"><text transform="translate(95.6242 493.62685)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="142.06055"> Implicit Scope Declaration</tspan></text></g><g id="id591_Graphic"><text transform="translate(190 273)" fill="black"><tspan font-family="Courier New" font-size="10" font-weight="bold" x="7.9956055" y="8" textLength="54.00879">ng:repeat</tspan></text></g><g id="id592_Graphic"><rect x="21" y="312.75" width="69" height="38" fill="url(#Obj_Gradient_10)"/><rect x="21" y="312.75" width="69" height="38" stroke="black" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/><text transform="translate(26 324.75)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="9.4902344" y="11" textLength="40.019531">&lt;/html&gt;</tspan></text></g><text transform="translate(99 553.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="172.10742">Binding Point Between Data &amp; V</tspan><tspan font-family="Helvetica" font-size="12" font-weight="500" x="171.89648" y="11" textLength="18.005859">iew</tspan></text><text transform="translate(40 553.5)" fill="black"><tspan font-family="Helvetica" font-size="12" font-weight="500" x="0" y="11" textLength="32.701172">{{ ... }}</tspan></text></g></g></svg>
diff --git a/images/docs/guide/dom_scope.vdx b/images/docs/guide/dom_scope.vdx
index 247b76ef13ee..f6aa31cc8f73 100644
--- a/images/docs/guide/dom_scope.vdx
+++ b/images/docs/guide/dom_scope.vdx
@@ -315,7 +315,7 @@
             <SpBefore>0</SpBefore>
             <HorzAlign>1</HorzAlign>
           </Para>
-          <Text><cp IX="0"/><pp IX="0"/>Angular Scopes</Text>
+          <Text><cp IX="0"/><pp IX="0"/>AngularJS Scopes</Text>
         </Shape>
         <Shape ID="4" Type="Shape" Name="Rectangle Fill:Chalk.4">
           <XForm>
@@ -1805,7 +1805,7 @@
             <SpBefore>0</SpBefore>
             <HorzAlign>0</HorzAlign>
           </Para>
-          <Text><cp IX="0"/><pp IX="0"/>Angular Scope</Text>
+          <Text><cp IX="0"/><pp IX="0"/>AngularJS Scope</Text>
         </Shape>
         <Shape ID="21" Type="Shape" Name="Rectangle No Fill No Fill.21">
           <XForm>
@@ -1981,7 +1981,7 @@
             <SpBefore>0</SpBefore>
             <HorzAlign>0</HorzAlign>
           </Para>
-          <Text><cp IX="0"/><pp IX="0"/>&lt;ul 
+          <Text><cp IX="0"/><pp IX="0"/>&lt;ul
   ng:init=&quot;name=&apos;Hank&apos;;
               names=[&apos;Igor&apos;,...]&quot;&gt;</Text>
         </Shape>
diff --git a/images/docs/guide/simple_scope.graffle/data.plist b/images/docs/guide/simple_scope.graffle/data.plist
index 8282d625ee67..e8769d8b02af 100644
--- a/images/docs/guide/simple_scope.graffle/data.plist
+++ b/images/docs/guide/simple_scope.graffle/data.plist
@@ -88,7 +88,7 @@
 {\colortbl;\red255\green255\blue255;}
 \pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\pardirnatural
 
-\f0\b\fs20 \cf0 angular applies MyCtrlr function to MyCtrlr scope object.}</string>
+\f0\b\fs20 \cf0 AngularJS applies MyCtrlr function to MyCtrlr scope object.}</string>
 			</dict>
 			<key>TextPlacement</key>
 			<integer>0</integer>
diff --git a/lib/grunt/plugins.js b/lib/grunt/plugins.js
index d6a4f089d473..acce4b797ae7 100644
--- a/lib/grunt/plugins.js
+++ b/lib/grunt/plugins.js
@@ -38,7 +38,7 @@ module.exports = function(grunt) {
   });
 
 
-  grunt.registerTask('docs', 'create angular docs', function() {
+  grunt.registerTask('docs', 'create AngularJS docs', function() {
     npmRun.execSync('gulp --gulpfile docs/gulpfile.js', {stdio: 'inherit'});
   });
 
diff --git a/protractor-travis-conf.js b/protractor-travis-conf.js
index f33f56b1349b..a90fff724e43 100644
--- a/protractor-travis-conf.js
+++ b/protractor-travis-conf.js
@@ -59,7 +59,7 @@ function capabilitiesForBrowserStack(capabilities) {
     'browserstack.tunnelIdentifier': process.env.TRAVIS_JOB_NUMBER,
     'tunnelIdentifier': process.env.TRAVIS_JOB_NUMBER,
 
-    'name': 'Angular E2E',
+    'name': 'AngularJS E2E',
     'build': process.env.TRAVIS_BUILD_NUMBER,
 
     'browserName': capabilities.browserName,
@@ -73,7 +73,7 @@ function capabilitiesForSauceLabs(capabilities) {
   return {
     'tunnel-identifier': process.env.TRAVIS_JOB_NUMBER,
 
-    'name': 'Angular E2E',
+    'name': 'AngularJS E2E',
     'build': process.env.TRAVIS_BUILD_NUMBER,
 
     'browserName': capabilities.browserName,
diff --git a/scripts/bower/publish.sh b/scripts/bower/publish.sh
index 873af6ebe8f2..e0077d85afdd 100755
--- a/scripts/bower/publish.sh
+++ b/scripts/bower/publish.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-# Script for updating the Angular bower repos from current local build.
+# Script for updating the AngularJS bower repos from current local build.
 
 echo "#################################"
 echo "#### Update bower ###############"
diff --git a/scripts/bower/unpublish.sh b/scripts/bower/unpublish.sh
index f05a5d1699a2..5538c7bf66f3 100755
--- a/scripts/bower/unpublish.sh
+++ b/scripts/bower/unpublish.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-# Script for removing tags from the Angular bower repos
+# Script for removing tags from the AngularJS bower repos
 
 echo "#################################"
 echo "#### Untag bower ################"
diff --git a/src/Angular.js b/src/Angular.js
index d4088ad35227..217c3fae896f 100644
--- a/src/Angular.js
+++ b/src/Angular.js
@@ -1141,7 +1141,7 @@ var csp = function() {
  * used to force either jqLite by leaving ng-jq blank or setting the name of
  * the jquery variable under window (eg. jQuery).
  *
- * Since angular looks for this directive when it is loaded (doesn't wait for the
+ * Since AngularJS looks for this directive when it is loaded (doesn't wait for the
  * DOMContentLoaded event), it must be placed on an element that comes before the script
  * which loads angular. Also, only the first instance of `ng-jq` will be used and all
  * others ignored.
@@ -1254,7 +1254,7 @@ function toJsonReplacer(key, value) {
  *
  * @description
  * Serializes input into a JSON-formatted string. Properties with leading $$ characters will be
- * stripped since angular uses this notation internally.
+ * stripped since AngularJS uses this notation internally.
  *
  * @param {Object|Array|Date|string|number|boolean} obj Input to be serialized into JSON.
  * @param {boolean|number} [pretty=2] If set to true, the JSON output will contain newlines and whitespace.
@@ -1671,7 +1671,7 @@ function angularInit(element, bootstrap) {
   });
   if (appElement) {
     if (!isAutoBootstrapAllowed) {
-      window.console.error('Angular: disabling automatic bootstrap. <script> protocol indicates ' +
+      window.console.error('AngularJS: disabling automatic bootstrap. <script> protocol indicates ' +
           'an extension, document.location.href does not match.');
       return;
     }
@@ -1685,14 +1685,14 @@ function angularInit(element, bootstrap) {
  * @name angular.bootstrap
  * @module ng
  * @description
- * Use this function to manually start up angular application.
+ * Use this function to manually start up AngularJS application.
  *
  * For more information, see the {@link guide/bootstrap Bootstrap guide}.
  *
- * Angular will detect if it has been loaded into the browser more than once and only allow the
+ * AngularJS will detect if it has been loaded into the browser more than once and only allow the
  * first loaded script to be bootstrapped and will report a warning to the browser console for
  * each of the subsequent scripts. This prevents strange results in applications, where otherwise
- * multiple instances of Angular try to work on the DOM.
+ * multiple instances of AngularJS try to work on the DOM.
  *
  * <div class="alert alert-warning">
  * **Note:** Protractor based end-to-end tests cannot use this function to bootstrap manually.
@@ -1726,7 +1726,7 @@ function angularInit(element, bootstrap) {
  * </html>
  * ```
  *
- * @param {DOMElement} element DOM element which is the root of angular application.
+ * @param {DOMElement} element DOM element which is the root of AngularJS application.
  * @param {Array<String|Function|Array>=} modules an array of modules to load into the application.
  *     Each item in the array should be the name of a predefined module or a (DI annotated)
  *     function that will be invoked by the injector as a `config` block.
@@ -1826,9 +1826,9 @@ function reloadWithDebugInfo() {
  * @name angular.getTestability
  * @module ng
  * @description
- * Get the testability service for the instance of Angular on the given
+ * Get the testability service for the instance of AngularJS on the given
  * element.
- * @param {DOMElement} element DOM element which is the root of angular application.
+ * @param {DOMElement} element DOM element which is the root of AngularJS application.
  */
 function getTestability(rootElement) {
   var injector = angular.element(rootElement).injector();
@@ -1862,8 +1862,8 @@ function bindJQuery() {
                                  window[jqName];   // use jQuery specified by `ngJq`
 
   // Use jQuery if it exists with proper functionality, otherwise default to us.
-  // Angular 1.2+ requires jQuery 1.7+ for on()/off() support.
-  // Angular 1.3+ technically requires at least jQuery 2.1+ but it may work with older
+  // AngularJS 1.2+ requires jQuery 1.7+ for on()/off() support.
+  // AngularJS 1.3+ technically requires at least jQuery 2.1+ but it may work with older
   // versions. It will not work for sure with jQuery <1.7, though.
   if (jQuery && jQuery.fn.on) {
     jqLite = jQuery;
diff --git a/src/angular.bind.js b/src/angular.bind.js
index e23e8915a7e9..29c8f71b2adf 100644
--- a/src/angular.bind.js
+++ b/src/angular.bind.js
@@ -1,7 +1,7 @@
 if (window.angular.bootstrap) {
   // AngularJS is already loaded, so we can return here...
   if (window.console) {
-    console.log('WARNING: Tried to load angular more than once.');
+    console.log('WARNING: Tried to load AngularJS more than once.');
   }
   return;
 }
diff --git a/src/auto/injector.js b/src/auto/injector.js
index 15edc30c7923..cdc71110df45 100644
--- a/src/auto/injector.js
+++ b/src/auto/injector.js
@@ -30,8 +30,8 @@
  *   });
  * ```
  *
- * Sometimes you want to get access to the injector of a currently running Angular app
- * from outside Angular. Perhaps, you want to inject and compile some markup after the
+ * Sometimes you want to get access to the injector of a currently running AngularJS app
+ * from outside AngularJS. Perhaps, you want to inject and compile some markup after the
  * application has been bootstrapped. You can do this using the extra `injector()` added
  * to JQuery/jqLite elements. See {@link angular.element}.
  *
@@ -332,7 +332,7 @@ function annotate(fn, strictDi, name) {
  * with the {@link auto.$injector $injector}. Many of these functions are also exposed on
  * {@link angular.Module}.
  *
- * An Angular **service** is a singleton object created by a **service factory**.  These **service
+ * An AngularJS **service** is a singleton object created by a **service factory**.  These **service
  * factories** are functions which, in turn, are created by a **service provider**.
  * The **service providers** are constructor functions. When instantiated they must contain a
  * property called `$get`, which holds the **service factory** function.
@@ -560,7 +560,7 @@ function annotate(fn, strictDi, name) {
  *
  * Value services are similar to constant services, except that they cannot be injected into a
  * module configuration function (see {@link angular.Module#config}) but they can be overridden by
- * an Angular {@link auto.$provide#decorator decorator}.
+ * an AngularJS {@link auto.$provide#decorator decorator}.
  *
  * @param {string} name The name of the instance.
  * @param {*} value The value.
@@ -591,7 +591,7 @@ function annotate(fn, strictDi, name) {
  *
  * But unlike {@link auto.$provide#value value}, a constant can be
  * injected into a module configuration function (see {@link angular.Module#config}) and it cannot
- * be overridden by an Angular {@link auto.$provide#decorator decorator}.
+ * be overridden by an AngularJS {@link auto.$provide#decorator decorator}.
  *
  * @param {string} name The name of the constant.
  * @param {*} value The constant value.
diff --git a/src/jqLite.js b/src/jqLite.js
index 1f61c80999d0..a3ba66b16cf5 100644
--- a/src/jqLite.js
+++ b/src/jqLite.js
@@ -32,24 +32,24 @@
  *
  * If jQuery is available, `angular.element` is an alias for the
  * [jQuery](http://api.jquery.com/jQuery/) function. If jQuery is not available, `angular.element`
- * delegates to Angular's built-in subset of jQuery, called "jQuery lite" or **jqLite**.
+ * delegates to AngularJS's built-in subset of jQuery, called "jQuery lite" or **jqLite**.
  *
  * jqLite is a tiny, API-compatible subset of jQuery that allows
- * Angular to manipulate the DOM in a cross-browser compatible way. jqLite implements only the most
+ * AngularJS to manipulate the DOM in a cross-browser compatible way. jqLite implements only the most
  * commonly needed functionality with the goal of having a very small footprint.
  *
  * To use `jQuery`, simply ensure it is loaded before the `angular.js` file. You can also use the
  * {@link ngJq `ngJq`} directive to specify that jqlite should be used over jQuery, or to use a
  * specific version of jQuery if multiple versions exist on the page.
  *
- * <div class="alert alert-info">**Note:** All element references in Angular are always wrapped with jQuery or
+ * <div class="alert alert-info">**Note:** All element references in AngularJS are always wrapped with jQuery or
  * jqLite (such as the element argument in a directive's compile / link function). They are never raw DOM references.</div>
  *
  * <div class="alert alert-warning">**Note:** Keep in mind that this function will not find elements
  * by tag name / CSS selector. For lookups by tag name, try instead `angular.element(document).find(...)`
  * or `$document.find()`, or use the standard DOM APIs, e.g. `document.querySelectorAll()`.</div>
  *
- * ## Angular's jqLite
+ * ## AngularJS's jqLite
  * jqLite provides only the following jQuery methods:
  *
  * - [`addClass()`](http://api.jquery.com/addClass/) - Does not support a function as first argument
@@ -90,7 +90,7 @@
  * - [`wrap()`](http://api.jquery.com/wrap/)
  *
  * ## jQuery/jqLite Extras
- * Angular also provides the following additional methods and events to both jQuery and jqLite:
+ * AngularJS also provides the following additional methods and events to both jQuery and jqLite:
  *
  * ### Events
  * - `$destroy` - AngularJS intercepts all jqLite/jQuery's DOM destruction apis and fires this event
diff --git a/src/loader.js b/src/loader.js
index e7395558950c..36da047fe20b 100644
--- a/src/loader.js
+++ b/src/loader.js
@@ -6,7 +6,7 @@
  * @module ng
  * @description
  *
- * Interface for configuring angular {@link angular.module modules}.
+ * Interface for configuring AngularJS {@link angular.module modules}.
  */
 
 function setupModuleLoader(window) {
@@ -33,9 +33,9 @@ function setupModuleLoader(window) {
      * @module ng
      * @description
      *
-     * The `angular.module` is a global place for creating, registering and retrieving Angular
+     * The `angular.module` is a global place for creating, registering and retrieving AngularJS
      * modules.
-     * All modules (angular core or 3rd party) that should be available to an application must be
+     * All modules (AngularJS core or 3rd party) that should be available to an application must be
      * registered using this mechanism.
      *
      * Passing one argument retrieves an existing {@link angular.Module},
@@ -243,13 +243,13 @@ function setupModuleLoader(window) {
            * @ngdoc method
            * @name angular.Module#filter
            * @module ng
-           * @param {string} name Filter name - this must be a valid angular expression identifier
+           * @param {string} name Filter name - this must be a valid AngularJS expression identifier
            * @param {Function} filterFactory Factory function for creating new instance of filter.
            * @description
            * See {@link ng.$filterProvider#register $filterProvider.register()}.
            *
            * <div class="alert alert-warning">
-           * **Note:** Filter names must be valid angular {@link expression} identifiers, such as `uppercase` or `orderBy`.
+           * **Note:** Filter names must be valid AngularJS {@link expression} identifiers, such as `uppercase` or `orderBy`.
            * Names with special characters, such as hyphens and dots, are not allowed. If you wish to namespace
            * your filters, then you can use capitalization (`myappSubsectionFilterx`) or underscores
            * (`myapp_subsection_filterx`).
diff --git a/src/minErr.js b/src/minErr.js
index 876c83003fa7..dce86df168bf 100644
--- a/src/minErr.js
+++ b/src/minErr.js
@@ -4,7 +4,7 @@
  * @description
  *
  * This object provides a utility for producing rich Error messages within
- * Angular. It can be called as follows:
+ * AngularJS. It can be called as follows:
  *
  * var exampleMinErr = minErr('example');
  * throw exampleMinErr('one', 'This {0} is {1}', foo, bar);
diff --git a/src/ng/animate.js b/src/ng/animate.js
index 923126eed045..df25b0319368 100644
--- a/src/ng/animate.js
+++ b/src/ng/animate.js
@@ -363,7 +363,7 @@ var $AnimateProvider = ['$provide', /** @this */ function($provide) {
        * @name $animate#pin
        * @kind function
        * @description Associates the provided element with a host parent element to allow the element to be animated even if it exists
-       *    outside of the DOM structure of the Angular application. By doing so, any animation triggered via `$animate` can be issued on the
+       *    outside of the DOM structure of the AngularJS application. By doing so, any animation triggered via `$animate` can be issued on the
        *    element despite being outside the realm of the application or within another application. Say for example if the application
        *    was bootstrapped on an element that is somewhere inside of the `<body>` tag, but we wanted to allow for an element to be situated
        *    as a direct child of `document.body`, then this can be achieved by pinning the element via `$animate.pin(element)`. Keep in mind
diff --git a/src/ng/browser.js b/src/ng/browser.js
index 55cb01a7af73..d6f8163f2695 100644
--- a/src/ng/browser.js
+++ b/src/ng/browser.js
@@ -237,7 +237,7 @@ function Browser(window, document, $log, $sniffer) {
    * @description
    * Register callback function that will be called, when url changes.
    *
-   * It's only called when the url is changed from outside of angular:
+   * It's only called when the url is changed from outside of AngularJS:
    * - user types different url into address bar
    * - user clicks on history (forward/back) button
    * - user clicks on a link
@@ -247,7 +247,7 @@ function Browser(window, document, $log, $sniffer) {
    * The listener gets called with new url as parameter.
    *
    * NOTE: this api is intended for use only by the $location service. Please use the
-   * {@link ng.$location $location service} to monitor url changes in angular apps.
+   * {@link ng.$location $location service} to monitor url changes in AngularJS apps.
    *
    * @param {function(string)} listener Listener function to be called when url changes.
    * @return {function(string)} Returns the registered listener fn - handy if the fn is anonymous.
@@ -282,7 +282,7 @@ function Browser(window, document, $log, $sniffer) {
   };
 
   /**
-   * Checks whether the url has changed outside of Angular.
+   * Checks whether the url has changed outside of AngularJS.
    * Needs to be exported to be able to check for changes that have been done in sync,
    * as hashchange/popstate events fire in async.
    */
diff --git a/src/ng/compile.js b/src/ng/compile.js
index 5c02a0f0be63..6c1f1790f120 100644
--- a/src/ng/compile.js
+++ b/src/ng/compile.js
@@ -120,7 +120,7 @@
  * ```
  *
  * ### Life-cycle hooks
- * Directive controllers can provide the following methods that are called by Angular at points in the life-cycle of the
+ * Directive controllers can provide the following methods that are called by AngularJS at points in the life-cycle of the
  * directive:
  * * `$onInit()` - Called on each controller after all the controllers on an element have been constructed and
  *   had their bindings initialized (and before the pre &amp; post linking functions for the directives on
@@ -134,7 +134,7 @@
  *   changes. Any actions that you wish to take in response to the changes that you detect must be
  *   invoked from this hook; implementing this has no effect on when `$onChanges` is called. For example, this hook
  *   could be useful if you wish to perform a deep equality check, or to check a Date object, changes to which would not
- *   be detected by Angular's change detector and thus not trigger `$onChanges`. This hook is invoked with no arguments;
+ *   be detected by AngularJS's change detector and thus not trigger `$onChanges`. This hook is invoked with no arguments;
  *   if detecting changes, you must store the previous value(s) for comparison to the current values.
  * * `$onDestroy()` - Called on a controller when its containing scope is destroyed. Use this hook for releasing
  *   external resources, watches and event handlers. Note that components have their `$onDestroy()` hooks called in
@@ -146,18 +146,18 @@
  *   they are waiting for their template to load asynchronously and their own compilation and linking has been
  *   suspended until that occurs.
  *
- * #### Comparison with Angular 2 life-cycle hooks
- * Angular 2 also uses life-cycle hooks for its components. While the Angular 1 life-cycle hooks are similar there are
- * some differences that you should be aware of, especially when it comes to moving your code from Angular 1 to Angular 2:
+ * #### Comparison with life-cycle hooks in the new Angular
+ * The new Angular also uses life-cycle hooks for its components. While the AngularJS life-cycle hooks are similar there are
+ * some differences that you should be aware of, especially when it comes to moving your code from AngularJS to Angular:
  *
- * * Angular 1 hooks are prefixed with `$`, such as `$onInit`. Angular 2 hooks are prefixed with `ng`, such as `ngOnInit`.
- * * Angular 1 hooks can be defined on the controller prototype or added to the controller inside its constructor.
- *   In Angular 2 you can only define hooks on the prototype of the Component class.
- * * Due to the differences in change-detection, you may get many more calls to `$doCheck` in Angular 1 than you would to
- *   `ngDoCheck` in Angular 2
+ * * AngularJS hooks are prefixed with `$`, such as `$onInit`. Angular hooks are prefixed with `ng`, such as `ngOnInit`.
+ * * AngularJS hooks can be defined on the controller prototype or added to the controller inside its constructor.
+ *   In Angular you can only define hooks on the prototype of the Component class.
+ * * Due to the differences in change-detection, you may get many more calls to `$doCheck` in AngularJS than you would to
+ *   `ngDoCheck` in Angular.
  * * Changes to the model inside `$doCheck` will trigger new turns of the digest loop, which will cause the changes to be
  *   propagated throughout the application.
- *   Angular 2 does not allow the `ngDoCheck` hook to trigger a change outside of the component. It will either throw an
+ *   Angular does not allow the `ngDoCheck` hook to trigger a change outside of the component. It will either throw an
  *   error or do nothing depending upon the state of `enableProdMode()`.
  *
  * #### Life-cycle hook examples
@@ -845,7 +845,7 @@
         });
       })
       .controller('GreeterController', ['$scope', function($scope) {
-        $scope.name = 'Angular';
+        $scope.name = 'AngularJS';
         $scope.html = 'Hello {{name}}';
       }]);
     </script>
@@ -859,11 +859,11 @@
      it('should auto compile', function() {
        var textarea = $('textarea');
        var output = $('div[compile]');
-       // The initial state reads 'Hello Angular'.
-       expect(output.getText()).toBe('Hello Angular');
+       // The initial state reads 'Hello AngularJS'.
+       expect(output.getText()).toBe('Hello AngularJS');
        textarea.clear();
        textarea.sendKeys('{{name}}!');
-       expect(output.getText()).toBe('Angular!');
+       expect(output.getText()).toBe('AngularJS!');
      });
    </file>
  </example>
@@ -917,7 +917,7 @@
  * element passed in, or the clone of the element if the `cloneAttachFn` is provided.
  *
  * After linking the view is not updated until after a call to $digest which typically is done by
- * Angular automatically.
+ * AngularJS automatically.
  *
  * If you need access to the bound view, there are two ways to do it:
  *
@@ -943,7 +943,7 @@
  *
  *
  * For information on how the compiler works, see the
- * {@link guide/compiler Angular HTML Compiler} section of the Developer Guide.
+ * {@link guide/compiler AngularJS HTML Compiler} section of the Developer Guide.
  *
  * @knownIssue
  *
@@ -1261,7 +1261,7 @@ function $CompileProvider($provide, $$sanitizeUriProvider) {
 
     // TODO(pete) remove the following `forEach` before we release 1.6.0
     // The component-router@0.2.0 looks for the annotations on the controller constructor
-    // Nothing in Angular looks for annotations on the factory function but we can't remove
+    // Nothing in AngularJS looks for annotations on the factory function but we can't remove
     // it from 1.5.x yet.
 
     // Copy any annotation properties (starting with $) over to the factory and controller constructor functions
@@ -1388,7 +1388,7 @@ function $CompileProvider($provide, $$sanitizeUriProvider) {
    *
    * If disabled (false), the compiler calls the constructor first before assigning bindings.
    *
-   * The default value is true in Angular 1.5.x but will switch to false in Angular 1.6.x.
+   * The default value is true in AngularJS.5.x but will switch to false in AngularJS.6.x.
    */
   var preAssignBindingsEnabled = false;
   this.preAssignBindingsEnabled = function(enabled) {
@@ -3394,7 +3394,7 @@ function $CompileProvider($provide, $$sanitizeUriProvider) {
       }
 
       if (jqLite.hasData(firstElementToRemove)) {
-        // Copy over user data (that includes Angular's $scope etc.). Don't copy private
+        // Copy over user data (that includes AngularJS's $scope etc.). Don't copy private
         // data here because there's no public interface in jQuery to do that and copying over
         // event listeners (which is the main use of private data) wouldn't work anyway.
         jqLite.data(newNode, jqLite.data(firstElementToRemove));
@@ -3462,7 +3462,7 @@ function $CompileProvider($provide, $$sanitizeUriProvider) {
               // the value is there for use in the link fn
               destination[scopeName] = $interpolate(lastValue)(scope);
             } else if (isBoolean(lastValue)) {
-              // If the attributes is one of the BOOLEAN_ATTR then Angular will have converted
+              // If the attributes is one of the BOOLEAN_ATTR then AngularJS will have converted
               // the value to boolean rather than a string, so we special case this situation
               destination[scopeName] = lastValue;
             }
@@ -3624,7 +3624,7 @@ function directiveNormalize(name) {
  * @description
  * A shared object between directive compile / linking functions which contains normalized DOM
  * element attributes. The values reflect current binding state `{{ }}`. The normalization is
- * needed since all of these are treated as equivalent in Angular:
+ * needed since all of these are treated as equivalent in AngularJS:
  *
  * ```
  *    <span ng:bind="a" ng-bind="a" data-ng-bind="a" x-ng-bind="a">
diff --git a/src/ng/controller.js b/src/ng/controller.js
index bc3cb6df09fb..12a883e3b08e 100644
--- a/src/ng/controller.js
+++ b/src/ng/controller.js
@@ -19,7 +19,7 @@ function identifierForController(controller, ident) {
  * @this
  *
  * @description
- * The {@link ng.$controller $controller service} is used by Angular to create new
+ * The {@link ng.$controller $controller service} is used by AngularJS to create new
  * controllers.
  *
  * This provider allows controller registration via the
diff --git a/src/ng/directive/attrs.js b/src/ng/directive/attrs.js
index 56d237da74b6..d956fa1dbb0d 100644
--- a/src/ng/directive/attrs.js
+++ b/src/ng/directive/attrs.js
@@ -7,10 +7,10 @@
  * @priority 99
  *
  * @description
- * Using Angular markup like `{{hash}}` in an href attribute will
+ * Using AngularJS markup like `{{hash}}` in an href attribute will
  * make the link go to the wrong URL if the user clicks it before
- * Angular has a chance to replace the `{{hash}}` markup with its
- * value. Until Angular replaces the markup the link will be broken
+ * AngularJS has a chance to replace the `{{hash}}` markup with its
+ * value. Until AngularJS replaces the markup the link will be broken
  * and will most likely return a 404 error. The `ngHref` directive
  * solves this problem.
  *
@@ -58,7 +58,7 @@
 
           element(by.id('link-3')).click();
 
-          // At this point, we navigate away from an Angular page, so we need
+          // At this point, we navigate away from an AngularJS page, so we need
           // to use browser.driver to get the base webdriver.
 
           browser.wait(function() {
@@ -87,7 +87,7 @@
 
           element(by.id('link-6')).click();
 
-          // At this point, we navigate away from an Angular page, so we need
+          // At this point, we navigate away from an AngularJS page, so we need
           // to use browser.driver to get the base webdriver.
           browser.wait(function() {
             return browser.driver.getCurrentUrl().then(function(url) {
@@ -106,9 +106,9 @@
  * @priority 99
  *
  * @description
- * Using Angular markup like `{{hash}}` in a `src` attribute doesn't
+ * Using AngularJS markup like `{{hash}}` in a `src` attribute doesn't
  * work right: The browser will fetch from the URL with the literal
- * text `{{hash}}` until Angular replaces the expression inside
+ * text `{{hash}}` until AngularJS replaces the expression inside
  * `{{hash}}`. The `ngSrc` directive solves this problem.
  *
  * The buggy way to write it:
@@ -132,9 +132,9 @@
  * @priority 99
  *
  * @description
- * Using Angular markup like `{{hash}}` in a `srcset` attribute doesn't
+ * Using AngularJS markup like `{{hash}}` in a `srcset` attribute doesn't
  * work right: The browser will fetch from the URL with the literal
- * text `{{hash}}` until Angular replaces the expression inside
+ * text `{{hash}}` until AngularJS replaces the expression inside
  * `{{hash}}`. The `ngSrcset` directive solves this problem.
  *
  * The buggy way to write it:
@@ -241,7 +241,7 @@
     <example name="ng-readonly">
       <file name="index.html">
         <label>Check me to make text readonly: <input type="checkbox" ng-model="checked"></label><br/>
-        <input type="text" ng-readonly="checked" value="I'm Angular" aria-label="Readonly field" />
+        <input type="text" ng-readonly="checked" value="I'm AngularJS" aria-label="Readonly field" />
       </file>
       <file name="protractor.js" type="protractor">
         it('should toggle readonly attr', function() {
diff --git a/src/ng/directive/form.js b/src/ng/directive/form.js
index 4790080854a8..28538806fef1 100644
--- a/src/ng/directive/form.js
+++ b/src/ng/directive/form.js
@@ -344,9 +344,9 @@ addSetValidityMethod({
  *
  * # Alias: {@link ng.directive:ngForm `ngForm`}
  *
- * In Angular, forms can be nested. This means that the outer form is valid when all of the child
+ * In AngularJS, forms can be nested. This means that the outer form is valid when all of the child
  * forms are valid as well. However, browsers do not allow nesting of `<form>` elements, so
- * Angular provides the {@link ng.directive:ngForm `ngForm`} directive, which behaves identically to
+ * AngularJS provides the {@link ng.directive:ngForm `ngForm`} directive, which behaves identically to
  * `form` but can be nested. Nested forms can be useful, for example, if the validity of a sub-group
  * of controls needs to be determined.
  *
@@ -363,12 +363,12 @@ addSetValidityMethod({
  *
  * # Submitting a form and preventing the default action
  *
- * Since the role of forms in client-side Angular applications is different than in classical
+ * Since the role of forms in client-side AngularJS applications is different than in classical
  * roundtrip apps, it is desirable for the browser not to translate the form submission into a full
  * page reload that sends the data to the server. Instead some javascript logic should be triggered
  * to handle the form submission in an application-specific way.
  *
- * For this reason, Angular prevents the default action (form submission to the server) unless the
+ * For this reason, AngularJS prevents the default action (form submission to the server) unless the
  * `<form>` element has an `action` attribute specified.
  *
  * You can use one of the following two ways to specify what javascript method should be called when
diff --git a/src/ng/directive/input.js b/src/ng/directive/input.js
index 40a18d66dba2..182690a12310 100644
--- a/src/ng/directive/input.js
+++ b/src/ng/directive/input.js
@@ -45,10 +45,10 @@ var inputType = {
    * @name input[text]
    *
    * @description
-   * Standard HTML text input with angular data binding, inherited by most of the `input` elements.
+   * Standard HTML text input with AngularJS data binding, inherited by most of the `input` elements.
    *
    *
-   * @param {string} ngModel Assignable angular expression to data-bind to.
+   * @param {string} ngModel Assignable AngularJS expression to data-bind to.
    * @param {string=} name Property name of the form under which the control is published.
    * @param {string=} required Adds `required` validation error key if the value is not entered.
    * @param {string=} ngRequired Adds `required` attribute and `required` validation constraint to
@@ -63,7 +63,7 @@ var inputType = {
    *    that contains the regular expression body that will be converted to a regular expression
    *    as in the ngPattern directive.
    * @param {string=} ngPattern Sets `pattern` validation error key if the ngModel {@link ngModel.NgModelController#$viewValue $viewValue}
-   *    does not match a RegExp found by evaluating the Angular expression given in the attribute value.
+   *    does not match a RegExp found by evaluating the AngularJS expression given in the attribute value.
    *    If the expression evaluates to a RegExp object, then this is used directly.
    *    If the expression evaluates to a string, then it will be converted to a RegExp
    *    after wrapping it in `^` and `$` characters. For instance, `"abc"` will be converted to
@@ -71,9 +71,9 @@ var inputType = {
    *    **Note:** Avoid using the `g` flag on the RegExp, as it will cause each successive search to
    *    start at the index of the last search's match, thus not taking the whole input value into
    *    account.
-   * @param {string=} ngChange Angular expression to be executed when input changes due to user
+   * @param {string=} ngChange AngularJS expression to be executed when input changes due to user
    *    interaction with the input element.
-   * @param {boolean=} [ngTrim=true] If set to false Angular will not automatically trim the input.
+   * @param {boolean=} [ngTrim=true] If set to false AngularJS will not automatically trim the input.
    *    This parameter is ignored for input[type=password] controls, which will never trim the
    *    input.
    *
@@ -147,13 +147,13 @@ var inputType = {
      * modern browsers do not yet support this input type, it is important to provide cues to users on the
      * expected input format via a placeholder or label.
      *
-     * The model must always be a Date object, otherwise Angular will throw an error.
+     * The model must always be a Date object, otherwise AngularJS will throw an error.
      * Invalid `Date` objects (dates whose `getTime()` is `NaN`) will be rendered as an empty string.
      *
      * The timezone to be used to read/write the `Date` instance in the model can be defined using
      * {@link ng.directive:ngModelOptions ngModelOptions}. By default, this is the timezone of the browser.
      *
-     * @param {string} ngModel Assignable angular expression to data-bind to.
+     * @param {string} ngModel Assignable AngularJS expression to data-bind to.
      * @param {string=} name Property name of the form under which the control is published.
      * @param {string=} min Sets the `min` validation error key if the value entered is less than `min`. This must be a
      *   valid ISO date string (yyyy-MM-dd). You can also use interpolation inside this attribute
@@ -171,7 +171,7 @@ var inputType = {
      * @param {string=} ngRequired Adds `required` attribute and `required` validation constraint to
      *    the element when the ngRequired expression evaluates to true. Use `ngRequired` instead of
      *    `required` when you want to data-bind to the `required` attribute.
-     * @param {string=} ngChange Angular expression to be executed when input changes due to user
+     * @param {string=} ngChange AngularJS expression to be executed when input changes due to user
      *    interaction with the input element.
      *
      * @example
@@ -249,13 +249,13 @@ var inputType = {
     * the HTML5 date input, a text element will be used. In that case, the text must be entered in a valid ISO-8601
     * local datetime format (yyyy-MM-ddTHH:mm:ss), for example: `2010-12-28T14:57:00`.
     *
-    * The model must always be a Date object, otherwise Angular will throw an error.
+    * The model must always be a Date object, otherwise AngularJS will throw an error.
     * Invalid `Date` objects (dates whose `getTime()` is `NaN`) will be rendered as an empty string.
     *
     * The timezone to be used to read/write the `Date` instance in the model can be defined using
     * {@link ng.directive:ngModelOptions ngModelOptions}. By default, this is the timezone of the browser.
     *
-    * @param {string} ngModel Assignable angular expression to data-bind to.
+    * @param {string} ngModel Assignable AngularJS expression to data-bind to.
     * @param {string=} name Property name of the form under which the control is published.
     * @param {string=} min Sets the `min` validation error key if the value entered is less than `min`.
     *   This must be a valid ISO datetime format (yyyy-MM-ddTHH:mm:ss). You can also use interpolation
@@ -273,7 +273,7 @@ var inputType = {
     * @param {string=} ngRequired Adds `required` attribute and `required` validation constraint to
     *    the element when the ngRequired expression evaluates to true. Use `ngRequired` instead of
     *    `required` when you want to data-bind to the `required` attribute.
-    * @param {string=} ngChange Angular expression to be executed when input changes due to user
+    * @param {string=} ngChange AngularJS expression to be executed when input changes due to user
     *    interaction with the input element.
     *
     * @example
@@ -352,13 +352,13 @@ var inputType = {
    * local time format (HH:mm:ss), for example: `14:57:00`. Model must be a Date object. This binding will always output a
    * Date object to the model of January 1, 1970, or local date `new Date(1970, 0, 1, HH, mm, ss)`.
    *
-   * The model must always be a Date object, otherwise Angular will throw an error.
+   * The model must always be a Date object, otherwise AngularJS will throw an error.
    * Invalid `Date` objects (dates whose `getTime()` is `NaN`) will be rendered as an empty string.
    *
    * The timezone to be used to read/write the `Date` instance in the model can be defined using
    * {@link ng.directive:ngModelOptions ngModelOptions}. By default, this is the timezone of the browser.
    *
-   * @param {string} ngModel Assignable angular expression to data-bind to.
+   * @param {string} ngModel Assignable AngularJS expression to data-bind to.
    * @param {string=} name Property name of the form under which the control is published.
    * @param {string=} min Sets the `min` validation error key if the value entered is less than `min`.
    *   This must be a valid ISO time format (HH:mm:ss). You can also use interpolation inside this
@@ -376,7 +376,7 @@ var inputType = {
    * @param {string=} ngRequired Adds `required` attribute and `required` validation constraint to
    *    the element when the ngRequired expression evaluates to true. Use `ngRequired` instead of
    *    `required` when you want to data-bind to the `required` attribute.
-   * @param {string=} ngChange Angular expression to be executed when input changes due to user
+   * @param {string=} ngChange AngularJS expression to be executed when input changes due to user
    *    interaction with the input element.
    *
    * @example
@@ -454,13 +454,13 @@ var inputType = {
     * the HTML5 week input, a text element will be used. In that case, the text must be entered in a valid ISO-8601
     * week format (yyyy-W##), for example: `2013-W02`.
     *
-    * The model must always be a Date object, otherwise Angular will throw an error.
+    * The model must always be a Date object, otherwise AngularJS will throw an error.
     * Invalid `Date` objects (dates whose `getTime()` is `NaN`) will be rendered as an empty string.
     *
     * The timezone to be used to read/write the `Date` instance in the model can be defined using
     * {@link ng.directive:ngModelOptions ngModelOptions}. By default, this is the timezone of the browser.
     *
-    * @param {string} ngModel Assignable angular expression to data-bind to.
+    * @param {string} ngModel Assignable AngularJS expression to data-bind to.
     * @param {string=} name Property name of the form under which the control is published.
     * @param {string=} min Sets the `min` validation error key if the value entered is less than `min`.
     *   This must be a valid ISO week format (yyyy-W##). You can also use interpolation inside this
@@ -478,7 +478,7 @@ var inputType = {
     * @param {string=} ngRequired Adds `required` attribute and `required` validation constraint to
     *    the element when the ngRequired expression evaluates to true. Use `ngRequired` instead of
     *    `required` when you want to data-bind to the `required` attribute.
-    * @param {string=} ngChange Angular expression to be executed when input changes due to user
+    * @param {string=} ngChange AngularJS expression to be executed when input changes due to user
     *    interaction with the input element.
     *
     * @example
@@ -556,7 +556,7 @@ var inputType = {
    * the HTML5 month input, a text element will be used. In that case, the text must be entered in a valid ISO-8601
    * month format (yyyy-MM), for example: `2009-01`.
    *
-   * The model must always be a Date object, otherwise Angular will throw an error.
+   * The model must always be a Date object, otherwise AngularJS will throw an error.
    * Invalid `Date` objects (dates whose `getTime()` is `NaN`) will be rendered as an empty string.
    * If the model is not set to the first of the month, the next view to model update will set it
    * to the first of the month.
@@ -564,7 +564,7 @@ var inputType = {
    * The timezone to be used to read/write the `Date` instance in the model can be defined using
    * {@link ng.directive:ngModelOptions ngModelOptions}. By default, this is the timezone of the browser.
    *
-   * @param {string} ngModel Assignable angular expression to data-bind to.
+   * @param {string} ngModel Assignable AngularJS expression to data-bind to.
    * @param {string=} name Property name of the form under which the control is published.
    * @param {string=} min Sets the `min` validation error key if the value entered is less than `min`.
    *   This must be a valid ISO month format (yyyy-MM). You can also use interpolation inside this
@@ -583,7 +583,7 @@ var inputType = {
    * @param {string=} ngRequired Adds `required` attribute and `required` validation constraint to
    *    the element when the ngRequired expression evaluates to true. Use `ngRequired` instead of
    *    `required` when you want to data-bind to the `required` attribute.
-   * @param {string=} ngChange Angular expression to be executed when input changes due to user
+   * @param {string=} ngChange AngularJS expression to be executed when input changes due to user
    *    interaction with the input element.
    *
    * @example
@@ -661,7 +661,7 @@ var inputType = {
    * error if not a valid number.
    *
    * <div class="alert alert-warning">
-   * The model must always be of type `number` otherwise Angular will throw an error.
+   * The model must always be of type `number` otherwise AngularJS will throw an error.
    * Be aware that a string containing a number is not enough. See the {@link ngModel:numfmt}
    * error docs for more information and an example of how to convert your model if necessary.
    * </div>
@@ -676,7 +676,7 @@ var inputType = {
    * will also be an empty string.
    *
    *
-   * @param {string} ngModel Assignable angular expression to data-bind to.
+   * @param {string} ngModel Assignable AngularJS expression to data-bind to.
    * @param {string=} name Property name of the form under which the control is published.
    * @param {string=} min Sets the `min` validation error key if the value entered is less than `min`.
    *    Can be interpolated.
@@ -703,7 +703,7 @@ var inputType = {
    *    that contains the regular expression body that will be converted to a regular expression
    *    as in the ngPattern directive.
    * @param {string=} ngPattern Sets `pattern` validation error key if the ngModel {@link ngModel.NgModelController#$viewValue $viewValue}
-   *    does not match a RegExp found by evaluating the Angular expression given in the attribute value.
+   *    does not match a RegExp found by evaluating the AngularJS expression given in the attribute value.
    *    If the expression evaluates to a RegExp object, then this is used directly.
    *    If the expression evaluates to a string, then it will be converted to a RegExp
    *    after wrapping it in `^` and `$` characters. For instance, `"abc"` will be converted to
@@ -711,7 +711,7 @@ var inputType = {
    *    **Note:** Avoid using the `g` flag on the RegExp, as it will cause each successive search to
    *    start at the index of the last search's match, thus not taking the whole input value into
    *    account.
-   * @param {string=} ngChange Angular expression to be executed when input changes due to user
+   * @param {string=} ngChange AngularJS expression to be executed when input changes due to user
    *    interaction with the input element.
    *
    * @example
@@ -786,7 +786,7 @@ var inputType = {
    * the built-in validators (see the {@link guide/forms Forms guide})
    * </div>
    *
-   * @param {string} ngModel Assignable angular expression to data-bind to.
+   * @param {string} ngModel Assignable AngularJS expression to data-bind to.
    * @param {string=} name Property name of the form under which the control is published.
    * @param {string=} required Sets `required` validation error key if the value is not entered.
    * @param {string=} ngRequired Adds `required` attribute and `required` validation constraint to
@@ -801,7 +801,7 @@ var inputType = {
    *    that contains the regular expression body that will be converted to a regular expression
    *    as in the ngPattern directive.
    * @param {string=} ngPattern Sets `pattern` validation error key if the ngModel {@link ngModel.NgModelController#$viewValue $viewValue}
-   *    does not match a RegExp found by evaluating the Angular expression given in the attribute value.
+   *    does not match a RegExp found by evaluating the AngularJS expression given in the attribute value.
    *    If the expression evaluates to a RegExp object, then this is used directly.
    *    If the expression evaluates to a string, then it will be converted to a RegExp
    *    after wrapping it in `^` and `$` characters. For instance, `"abc"` will be converted to
@@ -809,7 +809,7 @@ var inputType = {
    *    **Note:** Avoid using the `g` flag on the RegExp, as it will cause each successive search to
    *    start at the index of the last search's match, thus not taking the whole input value into
    *    account.
-   * @param {string=} ngChange Angular expression to be executed when input changes due to user
+   * @param {string=} ngChange AngularJS expression to be executed when input changes due to user
    *    interaction with the input element.
    *
    * @example
@@ -885,7 +885,7 @@ var inputType = {
    * use `ng-pattern` or modify the built-in validators (see the {@link guide/forms Forms guide})
    * </div>
    *
-   * @param {string} ngModel Assignable angular expression to data-bind to.
+   * @param {string} ngModel Assignable AngularJS expression to data-bind to.
    * @param {string=} name Property name of the form under which the control is published.
    * @param {string=} required Sets `required` validation error key if the value is not entered.
    * @param {string=} ngRequired Adds `required` attribute and `required` validation constraint to
@@ -900,7 +900,7 @@ var inputType = {
    *    that contains the regular expression body that will be converted to a regular expression
    *    as in the ngPattern directive.
    * @param {string=} ngPattern Sets `pattern` validation error key if the ngModel {@link ngModel.NgModelController#$viewValue $viewValue}
-   *    does not match a RegExp found by evaluating the Angular expression given in the attribute value.
+   *    does not match a RegExp found by evaluating the AngularJS expression given in the attribute value.
    *    If the expression evaluates to a RegExp object, then this is used directly.
    *    If the expression evaluates to a string, then it will be converted to a RegExp
    *    after wrapping it in `^` and `$` characters. For instance, `"abc"` will be converted to
@@ -908,7 +908,7 @@ var inputType = {
    *    **Note:** Avoid using the `g` flag on the RegExp, as it will cause each successive search to
    *    start at the index of the last search's match, thus not taking the whole input value into
    *    account.
-   * @param {string=} ngChange Angular expression to be executed when input changes due to user
+   * @param {string=} ngChange AngularJS expression to be executed when input changes due to user
    *    interaction with the input element.
    *
    * @example
@@ -976,14 +976,14 @@ var inputType = {
    * @description
    * HTML radio button.
    *
-   * @param {string} ngModel Assignable angular expression to data-bind to.
+   * @param {string} ngModel Assignable AngularJS expression to data-bind to.
    * @param {string} value The value to which the `ngModel` expression should be set when selected.
    *    Note that `value` only supports `string` values, i.e. the scope model needs to be a string,
    *    too. Use `ngValue` if you need complex models (`number`, `object`, ...).
    * @param {string=} name Property name of the form under which the control is published.
-   * @param {string=} ngChange Angular expression to be executed when input changes due to user
+   * @param {string=} ngChange AngularJS expression to be executed when input changes due to user
    *    interaction with the input element.
-   * @param {string} ngValue Angular expression to which `ngModel` will be be set when the radio
+   * @param {string} ngValue AngularJS expression to which `ngModel` will be be set when the radio
    *    is selected. Should be used instead of the `value` attribute if you need
    *    a non-string `ngModel` (`boolean`, `array`, ...).
    *
@@ -1061,34 +1061,34 @@ var inputType = {
    * See the [HTML Spec on input[type=range]](https://www.w3.org/TR/html5/forms.html#range-state-(type=range))
    * for more info.
    *
-   * This has the following consequences for Angular:
+   * This has the following consequences for AngularJS:
    *
    * Since the element value should always reflect the current model value, a range input
    * will set the bound ngModel expression to the value that the browser has set for the
    * input element. For example, in the following input `<input type="range" ng-model="model.value">`,
    * if the application sets `model.value = null`, the browser will set the input to `'50'`.
-   * Angular will then set the model to `50`, to prevent input and model value being out of sync.
+   * AngularJS will then set the model to `50`, to prevent input and model value being out of sync.
    *
    * That means the model for range will immediately be set to `50` after `ngModel` has been
    * initialized. It also means a range input can never have the required error.
    *
    * This does not only affect changes to the model value, but also to the values of the `min`,
    * `max`, and `step` attributes. When these change in a way that will cause the browser to modify
-   * the input value, Angular will also update the model value.
+   * the input value, AngularJS will also update the model value.
    *
    * Automatic value adjustment also means that a range input element can never have the `required`,
    * `min`, or `max` errors.
    *
    * However, `step` is currently only fully implemented by Firefox. Other browsers have problems
    * when the step value changes dynamically - they do not adjust the element value correctly, but
-   * instead may set the `stepMismatch` error. If that's the case, the Angular will set the `step`
+   * instead may set the `stepMismatch` error. If that's the case, the AngularJS will set the `step`
    * error on the input, and set the model to `undefined`.
    *
    * Note that `input[range]` is not compatible with`ngMax`, `ngMin`, and `ngStep`, because they do
    * not set the `min` and `max` attributes, which means that the browser won't automatically adjust
    * the input value based on their values, and will always assume min = 0, max = 100, and step = 1.
    *
-   * @param {string}  ngModel Assignable angular expression to data-bind to.
+   * @param {string}  ngModel Assignable AngularJS expression to data-bind to.
    * @param {string=} name Property name of the form under which the control is published.
    * @param {string=} min Sets the `min` validation to ensure that the value entered is greater
    *                  than `min`. Can be interpolated.
@@ -1096,7 +1096,7 @@ var inputType = {
    *                  Can be interpolated.
    * @param {string=} step Sets the `step` validation to ensure that the value entered matches the `step`
    *                  Can be interpolated.
-   * @param {string=} ngChange Angular expression to be executed when the ngModel value changes due
+   * @param {string=} ngChange AngularJS expression to be executed when the ngModel value changes due
    *                  to user interaction with the input element.
    * @param {expression=} ngChecked If the expression is truthy, then the `checked` attribute will be set on the
    *                      element. **Note** : `ngChecked` should not be used alongside `ngModel`.
@@ -1163,11 +1163,11 @@ var inputType = {
    * @description
    * HTML checkbox.
    *
-   * @param {string} ngModel Assignable angular expression to data-bind to.
+   * @param {string} ngModel Assignable AngularJS expression to data-bind to.
    * @param {string=} name Property name of the form under which the control is published.
    * @param {expression=} ngTrueValue The value to which the expression should be set when selected.
    * @param {expression=} ngFalseValue The value to which the expression should be set when not selected.
-   * @param {string=} ngChange Angular expression to be executed when input changes due to user
+   * @param {string=} ngChange AngularJS expression to be executed when input changes due to user
    *    interaction with the input element.
    *
    * @example
@@ -1879,11 +1879,11 @@ function checkboxInputType(scope, element, attr, ctrl, $sniffer, $browser, $filt
  * @restrict E
  *
  * @description
- * HTML textarea element control with angular data-binding. The data-binding and validation
+ * HTML textarea element control with AngularJS data-binding. The data-binding and validation
  * properties of this element are exactly the same as those of the
  * {@link ng.directive:input input element}.
  *
- * @param {string} ngModel Assignable angular expression to data-bind to.
+ * @param {string} ngModel Assignable AngularJS expression to data-bind to.
  * @param {string=} name Property name of the form under which the control is published.
  * @param {string=} required Sets `required` validation error key if the value is not entered.
  * @param {string=} ngRequired Adds `required` attribute and `required` validation constraint to
@@ -1895,7 +1895,7 @@ function checkboxInputType(scope, element, attr, ctrl, $sniffer, $browser, $filt
  *    maxlength. Setting the attribute to a negative or non-numeric value, allows view values of any
  *    length.
  * @param {string=} ngPattern Sets `pattern` validation error key if the ngModel {@link ngModel.NgModelController#$viewValue $viewValue}
- *    does not match a RegExp found by evaluating the Angular expression given in the attribute value.
+ *    does not match a RegExp found by evaluating the AngularJS expression given in the attribute value.
  *    If the expression evaluates to a RegExp object, then this is used directly.
  *    If the expression evaluates to a string, then it will be converted to a RegExp
  *    after wrapping it in `^` and `$` characters. For instance, `"abc"` will be converted to
@@ -1903,15 +1903,15 @@ function checkboxInputType(scope, element, attr, ctrl, $sniffer, $browser, $filt
  *    **Note:** Avoid using the `g` flag on the RegExp, as it will cause each successive search to
  *    start at the index of the last search's match, thus not taking the whole input value into
  *    account.
- * @param {string=} ngChange Angular expression to be executed when input changes due to user
+ * @param {string=} ngChange AngularJS expression to be executed when input changes due to user
  *    interaction with the input element.
- * @param {boolean=} [ngTrim=true] If set to false Angular will not automatically trim the input.
+ * @param {boolean=} [ngTrim=true] If set to false AngularJS will not automatically trim the input.
  *
  * @knownIssue
  *
  * When specifying the `placeholder` attribute of `<textarea>`, Internet Explorer will temporarily
  * insert the placeholder value as the textarea's content. If the placeholder value contains
- * interpolation (`{{ ... }}`), an error will be logged in the console when Angular tries to update
+ * interpolation (`{{ ... }}`), an error will be logged in the console when AngularJS tries to update
  * the value of the by-then-removed text node. This doesn't affect the functionality of the
  * textarea, but can be undesirable.
  *
@@ -1938,7 +1938,7 @@ function checkboxInputType(scope, element, attr, ctrl, $sniffer, $browser, $filt
  * Specifically, data binding and event handling via `ng-model` is unsupported for `input[file]`.
  * </div>
  *
- * @param {string} ngModel Assignable angular expression to data-bind to.
+ * @param {string} ngModel Assignable AngularJS expression to data-bind to.
  * @param {string=} name Property name of the form under which the control is published.
  * @param {string=} required Sets `required` validation error key if the value is not entered.
  * @param {boolean=} ngRequired Sets `required` attribute if set to true
@@ -1948,7 +1948,7 @@ function checkboxInputType(scope, element, attr, ctrl, $sniffer, $browser, $filt
  *    maxlength. Setting the attribute to a negative or non-numeric value, allows view values of any
  *    length.
  * @param {string=} ngPattern Sets `pattern` validation error key if the ngModel {@link ngModel.NgModelController#$viewValue $viewValue}
- *    value does not match a RegExp found by evaluating the Angular expression given in the attribute value.
+ *    value does not match a RegExp found by evaluating the AngularJS expression given in the attribute value.
  *    If the expression evaluates to a RegExp object, then this is used directly.
  *    If the expression evaluates to a string, then it will be converted to a RegExp
  *    after wrapping it in `^` and `$` characters. For instance, `"abc"` will be converted to
@@ -1956,9 +1956,9 @@ function checkboxInputType(scope, element, attr, ctrl, $sniffer, $browser, $filt
  *    **Note:** Avoid using the `g` flag on the RegExp, as it will cause each successive search to
  *    start at the index of the last search's match, thus not taking the whole input value into
  *    account.
- * @param {string=} ngChange Angular expression to be executed when input changes due to user
+ * @param {string=} ngChange AngularJS expression to be executed when input changes due to user
  *    interaction with the input element.
- * @param {boolean=} [ngTrim=true] If set to false Angular will not automatically trim the input.
+ * @param {boolean=} [ngTrim=true] If set to false AngularJS will not automatically trim the input.
  *    This parameter is ignored for input[type=password] controls, which will never trim the
  *    input.
  *
@@ -2095,7 +2095,7 @@ var CONSTANT_VALUE_REGEXP = /^(true|false|\d+)$/;
  * such as an `input[text]` or a `textarea`, when that element does not use ngModel.
  *
  * @element input
- * @param {string=} ngValue angular expression, whose value will be bound to the `value` attribute
+ * @param {string=} ngValue AngularJS expression, whose value will be bound to the `value` attribute
  * and `value` property of the element.
  *
  * @example
diff --git a/src/ng/directive/ngBind.js b/src/ng/directive/ngBind.js
index e94b32dbb6ec..d27a3bad2a0a 100644
--- a/src/ng/directive/ngBind.js
+++ b/src/ng/directive/ngBind.js
@@ -6,7 +6,7 @@
  * @restrict AC
  *
  * @description
- * The `ngBind` attribute tells Angular to replace the text content of the specified HTML element
+ * The `ngBind` attribute tells AngularJS to replace the text content of the specified HTML element
  * with the value of a given expression, and to update the text content when the value of that
  * expression changes.
  *
@@ -14,7 +14,7 @@
  * `{{ expression }}` which is similar but less verbose.
  *
  * It is preferable to use `ngBind` instead of `{{ expression }}` if a template is momentarily
- * displayed by the browser in its raw state before Angular compiles it. Since `ngBind` is an
+ * displayed by the browser in its raw state before AngularJS compiles it. Since `ngBind` is an
  * element attribute, it makes the bindings invisible to the user while the page is loading.
  *
  * An alternative solution to this problem would be using the
@@ -144,7 +144,7 @@ var ngBindTemplateDirective = ['$interpolate', '$compile', function($interpolate
  * Evaluates the expression and inserts the resulting HTML into the element in a secure way. By default,
  * the resulting HTML content will be sanitized using the {@link ngSanitize.$sanitize $sanitize} service.
  * To utilize this functionality, ensure that `$sanitize` is available, for example, by including {@link
- * ngSanitize} in your module's dependencies (not in core Angular). In order to use {@link ngSanitize}
+ * ngSanitize} in your module's dependencies (not in core AngularJS). In order to use {@link ngSanitize}
  * in your module's dependencies, you need to include "angular-sanitize.js" in your application.
  *
  * You may also bypass sanitization for values you know are safe. To do so, bind to
diff --git a/src/ng/directive/ngCloak.js b/src/ng/directive/ngCloak.js
index 7615261569b5..4fcc7dd2a6eb 100644
--- a/src/ng/directive/ngCloak.js
+++ b/src/ng/directive/ngCloak.js
@@ -6,7 +6,7 @@
  * @restrict AC
  *
  * @description
- * The `ngCloak` directive is used to prevent the Angular html template from being briefly
+ * The `ngCloak` directive is used to prevent the AngularJS html template from being briefly
  * displayed by the browser in its raw (uncompiled) form while your application is loading. Use this
  * directive to avoid the undesirable flicker effect caused by the html template display.
  *
@@ -25,7 +25,7 @@
  * ```
  *
  * When this css rule is loaded by the browser, all html elements (including their children) that
- * are tagged with the `ngCloak` directive are hidden. When Angular encounters this directive
+ * are tagged with the `ngCloak` directive are hidden. When AngularJS encounters this directive
  * during the compilation of the template it deletes the `ngCloak` element attribute, making
  * the compiled element visible.
  *
diff --git a/src/ng/directive/ngController.js b/src/ng/directive/ngController.js
index d31b2548920d..af339ee4ca5a 100644
--- a/src/ng/directive/ngController.js
+++ b/src/ng/directive/ngController.js
@@ -38,7 +38,7 @@
  * @example
  * Here is a simple form for editing user contact information. Adding, removing, clearing, and
  * greeting are methods declared on the controller (see source tab). These methods can
- * easily be called from the angular markup. Any changes to the data are automatically reflected
+ * easily be called from the AngularJS markup. Any changes to the data are automatically reflected
  * in the View without the need for a manual update.
  *
  * Two different declaration styles are included below:
@@ -48,7 +48,7 @@
  * * one injects `$scope` into the controller:
  * `ng-controller="SettingsController2"`
  *
- * The second option is more common in the Angular community, and is generally used in boilerplates
+ * The second option is more common in the AngularJS community, and is generally used in boilerplates
  * and in this guide. However, there are advantages to binding properties directly to the controller
  * and avoiding scope.
  *
diff --git a/src/ng/directive/ngCsp.js b/src/ng/directive/ngCsp.js
index 295afa701296..efe9215c22ef 100644
--- a/src/ng/directive/ngCsp.js
+++ b/src/ng/directive/ngCsp.js
@@ -8,31 +8,31 @@
  * @element ANY
  * @description
  *
- * Angular has some features that can conflict with certain restrictions that are applied when using
+ * AngularJS has some features that can conflict with certain restrictions that are applied when using
  * [CSP (Content Security Policy)](https://developer.mozilla.org/en/Security/CSP) rules.
  *
- * If you intend to implement CSP with these rules then you must tell Angular not to use these
+ * If you intend to implement CSP with these rules then you must tell AngularJS not to use these
  * features.
  *
  * This is necessary when developing things like Google Chrome Extensions or Universal Windows Apps.
  *
  *
- * The following default rules in CSP affect Angular:
+ * The following default rules in CSP affect AngularJS:
  *
  * * The use of `eval()`, `Function(string)` and similar functions to dynamically create and execute
- * code from strings is forbidden. Angular makes use of this in the {@link $parse} service to
- * provide a 30% increase in the speed of evaluating Angular expressions. (This CSP rule can be
+ * code from strings is forbidden. AngularJS makes use of this in the {@link $parse} service to
+ * provide a 30% increase in the speed of evaluating AngularJS expressions. (This CSP rule can be
  * disabled with the CSP keyword `unsafe-eval`, but it is generally not recommended as it would
  * weaken the protections offered by CSP.)
  *
  * * The use of inline resources, such as inline `<script>` and `<style>` elements, are forbidden.
- * This prevents apps from injecting custom styles directly into the document. Angular makes use of
+ * This prevents apps from injecting custom styles directly into the document. AngularJS makes use of
  * this to include some CSS rules (e.g. {@link ngCloak} and {@link ngHide}). To make these
  * directives work when a CSP rule is blocking inline styles, you must link to the `angular-csp.css`
  * in your HTML manually. (This CSP rule can be disabled with the CSP keyword `unsafe-inline`, but
  * it is generally not recommended as it would weaken the protections offered by CSP.)
  *
- * If you do not provide `ngCsp` then Angular tries to autodetect if CSP is blocking dynamic code
+ * If you do not provide `ngCsp` then AngularJS tries to autodetect if CSP is blocking dynamic code
  * creation from strings (e.g., `unsafe-eval` not specified in CSP header) and automatically
  * deactivates this feature in the {@link $parse} service. This autodetection, however, triggers a
  * CSP error to be logged in the console:
@@ -49,31 +49,31 @@
  *
  * *Note: This directive is only available in the `ng-csp` and `data-ng-csp` attribute form.*
  *
- * You can specify which of the CSP related Angular features should be deactivated by providing
+ * You can specify which of the CSP related AngularJS features should be deactivated by providing
  * a value for the `ng-csp` attribute. The options are as follows:
  *
- * * no-inline-style: this stops Angular from injecting CSS styles into the DOM
+ * * no-inline-style: this stops AngularJS from injecting CSS styles into the DOM
  *
- * * no-unsafe-eval: this stops Angular from optimizing $parse with unsafe eval of strings
+ * * no-unsafe-eval: this stops AngularJS from optimizing $parse with unsafe eval of strings
  *
  * You can use these values in the following combinations:
  *
  *
- * * No declaration means that Angular will assume that you can do inline styles, but it will do
+ * * No declaration means that AngularJS will assume that you can do inline styles, but it will do
  * a runtime check for unsafe-eval. E.g. `<body>`. This is backwardly compatible with previous
- * versions of Angular.
+ * versions of AngularJS.
  *
- * * A simple `ng-csp` (or `data-ng-csp`) attribute will tell Angular to deactivate both inline
+ * * A simple `ng-csp` (or `data-ng-csp`) attribute will tell AngularJS to deactivate both inline
  * styles and unsafe eval. E.g. `<body ng-csp>`. This is backwardly compatible with previous
- * versions of Angular.
+ * versions of AngularJS.
  *
- * * Specifying only `no-unsafe-eval` tells Angular that we must not use eval, but that we can
+ * * Specifying only `no-unsafe-eval` tells AngularJS that we must not use eval, but that we can
  * inject inline styles. E.g. `<body ng-csp="no-unsafe-eval">`.
  *
- * * Specifying only `no-inline-style` tells Angular that we must not inject styles, but that we can
+ * * Specifying only `no-inline-style` tells AngularJS that we must not inject styles, but that we can
  * run eval - no automatic check for unsafe eval will occur. E.g. `<body ng-csp="no-inline-style">`
  *
- * * Specifying both `no-unsafe-eval` and `no-inline-style` tells Angular that we must not inject
+ * * Specifying both `no-unsafe-eval` and `no-inline-style` tells AngularJS that we must not inject
  * styles nor use eval, which is the same as an empty: ng-csp.
  * E.g.`<body ng-csp="no-inline-style;no-unsafe-eval">`
  *
diff --git a/src/ng/directive/ngEventDirs.js b/src/ng/directive/ngEventDirs.js
index 998785754d16..c7ac090c8720 100644
--- a/src/ng/directive/ngEventDirs.js
+++ b/src/ng/directive/ngEventDirs.js
@@ -34,7 +34,7 @@
  */
 /*
  * A collection of directives that allows creation of custom event handlers that are defined as
- * angular expressions and are compiled and executed within the current scope.
+ * AngularJS expressions and are compiled and executed within the current scope.
  */
 var ngEventDirectives = {};
 
@@ -319,7 +319,7 @@ forEach(
  * @name ngSubmit
  *
  * @description
- * Enables binding angular expressions to onsubmit events.
+ * Enables binding AngularJS expressions to onsubmit events.
  *
  * Additionally it prevents the default action (which for form means sending the request to the
  * server and reloading the current page), but only if the form does not contain `action`,
diff --git a/src/ng/directive/ngInclude.js b/src/ng/directive/ngInclude.js
index 496c79050cf8..9f81f1477262 100644
--- a/src/ng/directive/ngInclude.js
+++ b/src/ng/directive/ngInclude.js
@@ -12,7 +12,7 @@
  * application document. This is done by calling {@link $sce#getTrustedResourceUrl
  * $sce.getTrustedResourceUrl} on it. To load templates from other domains or protocols
  * you may either {@link ng.$sceDelegateProvider#resourceUrlWhitelist whitelist them} or
- * {@link $sce#trustAsResourceUrl wrap them} as trusted values. Refer to Angular's {@link
+ * {@link $sce#trustAsResourceUrl wrap them} as trusted values. Refer to AngularJS's {@link
  * ng.$sce Strict Contextual Escaping}.
  *
  * In addition, the browser's
@@ -33,7 +33,7 @@
  * @scope
  * @priority 400
  *
- * @param {string} ngInclude|src angular expression evaluating to URL. If the source is a string constant,
+ * @param {string} ngInclude|src AngularJS expression evaluating to URL. If the source is a string constant,
  *                 make sure you wrap it in **single** quotes, e.g. `src="'myPartialTemplate.html'"`.
  * @param {string=} onload Expression to evaluate when a new partial is loaded.
  *                  <div class="alert alert-warning">
diff --git a/src/ng/directive/ngModel.js b/src/ng/directive/ngModel.js
index b9ea4c4d9210..be190fb27b2d 100644
--- a/src/ng/directive/ngModel.js
+++ b/src/ng/directive/ngModel.js
@@ -126,7 +126,7 @@ is set to `true`. The parse error is stored in `ngModel.$error.parse`.
  * listening to DOM events.
  * Such DOM related logic should be provided by other directives which make use of
  * `NgModelController` for data-binding to control elements.
- * Angular provides this DOM logic for most {@link input `input`} elements.
+ * AngularJS provides this DOM logic for most {@link input `input`} elements.
  * At the end of this page you can find a {@link ngModel.NgModelController#custom-control-example
  * custom control example} that uses `ngModelController` to bind to `contenteditable` elements.
  *
@@ -440,7 +440,7 @@ NgModelController.prototype = {
    * and reset the input to the last committed view value.
    *
    * It is also possible that you run into difficulties if you try to update the ngModel's `$modelValue`
-   * programmatically before these debounced/future events have resolved/occurred, because Angular's
+   * programmatically before these debounced/future events have resolved/occurred, because AngularJS's
    * dirty checking mechanism is not able to tell whether the model has actually changed or not.
    *
    * The `$rollbackViewValue()` method should be called before programmatically changing the model of an
@@ -894,7 +894,7 @@ function setupModelWatcher(ctrl) {
  *        class and can be bound to as  `{{someForm.someControl.$error.myError}}` .
  * @param {boolean} isValid Whether the current state is valid (true), invalid (false), pending (undefined),
  *                          or skipped (null). Pending is used for unfulfilled `$asyncValidators`.
- *                          Skipped is used by Angular when validators do not run because of parse errors and
+ *                          Skipped is used by AngularJS when validators do not run because of parse errors and
  *                          when `$asyncValidators` do not run because any of the `$validators` failed.
  */
 addSetValidityMethod({
@@ -1053,7 +1053,7 @@ addSetValidityMethod({
  * to the view.
  *
  * <div class="alert alert-success">
- * **Best Practice:** It's best to keep getters fast because Angular is likely to call them more
+ * **Best Practice:** It's best to keep getters fast because AngularJS is likely to call them more
  * frequently than other parts of your code.
  * </div>
  *
diff --git a/src/ng/directive/ngModelOptions.js b/src/ng/directive/ngModelOptions.js
index cfb513968bbb..6560cab7ac1e 100644
--- a/src/ng/directive/ngModelOptions.js
+++ b/src/ng/directive/ngModelOptions.js
@@ -99,7 +99,7 @@ defaultModelOptions = new ModelOptions({
  * directives will use the options of their nearest `ngModelOptions` ancestor.
  *
  * The `ngModelOptions` settings are found by evaluating the value of the attribute directive as
- * an Angular expression. This expression should evaluate to an object, whose properties contain
+ * an AngularJS expression. This expression should evaluate to an object, whose properties contain
  * the settings. For example: `<div "ng-model-options"="{ debounce: 100 }"`.
  *
  * ## Inheriting Options
diff --git a/src/ng/directive/ngNonBindable.js b/src/ng/directive/ngNonBindable.js
index 6ac7d1cffc56..63fc2773e6c1 100644
--- a/src/ng/directive/ngNonBindable.js
+++ b/src/ng/directive/ngNonBindable.js
@@ -7,9 +7,9 @@
  * @priority 1000
  *
  * @description
- * The `ngNonBindable` directive tells Angular not to compile or bind the contents of the current
- * DOM element. This is useful if the element contains what appears to be Angular directives and
- * bindings but which should be ignored by Angular. This could be the case if you have a site that
+ * The `ngNonBindable` directive tells AngularJS not to compile or bind the contents of the current
+ * DOM element. This is useful if the element contains what appears to be AngularJS directives and
+ * bindings but which should be ignored by AngularJS. This could be the case if you have a site that
  * displays snippets of code, for instance.
  *
  * @element ANY
diff --git a/src/ng/directive/ngOptions.js b/src/ng/directive/ngOptions.js
index b94f940a28e1..b2c4015c969b 100644
--- a/src/ng/directive/ngOptions.js
+++ b/src/ng/directive/ngOptions.js
@@ -111,7 +111,7 @@ var ngOptionsMinErr = minErr('ngOptions');
  * is not matched against any `<option>` and the `<select>` appears as having no selected value.
  *
  *
- * @param {string} ngModel Assignable angular expression to data-bind to.
+ * @param {string} ngModel Assignable AngularJS expression to data-bind to.
  * @param {string=} name Property name of the form under which the control is published.
  * @param {string=} required The control is considered valid only if value is entered.
  * @param {string=} ngRequired Adds `required` attribute and `required` validation constraint to
diff --git a/src/ng/directive/ngPluralize.js b/src/ng/directive/ngPluralize.js
index f0b7a67500ec..7779553ad6cb 100644
--- a/src/ng/directive/ngPluralize.js
+++ b/src/ng/directive/ngPluralize.js
@@ -8,7 +8,7 @@
  * @description
  * `ngPluralize` is a directive that displays messages according to en-US localization rules.
  * These rules are bundled with angular.js, but can be overridden
- * (see {@link guide/i18n Angular i18n} dev guide). You configure ngPluralize directive
+ * (see {@link guide/i18n AngularJS i18n} dev guide). You configure ngPluralize directive
  * by specifying the mappings between
  * [plural categories](http://unicode.org/repos/cldr-tmp/trunk/diff/supplemental/language_plural_rules.html)
  * and the strings to be displayed.
@@ -16,7 +16,7 @@
  * # Plural categories and explicit number rules
  * There are two
  * [plural categories](http://unicode.org/repos/cldr-tmp/trunk/diff/supplemental/language_plural_rules.html)
- * in Angular's default en-US locale: "one" and "other".
+ * in AngularJS's default en-US locale: "one" and "other".
  *
  * While a plural category may match many numbers (for example, in en-US locale, "other" can match
  * any number that is not 1), an explicit number rule can only match one number. For example, the
@@ -28,7 +28,7 @@
  * You can also provide an optional attribute, `offset`.
  *
  * The value of the `count` attribute can be either a string or an {@link guide/expression
- * Angular expression}; these are evaluated on the current scope for its bound value.
+ * AngularJS expression}; these are evaluated on the current scope for its bound value.
  *
  * The `when` attribute specifies the mappings between plural categories and the actual
  * string to be displayed. The value of the attribute should be a JSON object.
@@ -50,7 +50,7 @@
  * show "a dozen people are viewing".
  *
  * You can use a set of closed braces (`{}`) as a placeholder for the number that you want substituted
- * into pluralized strings. In the previous example, Angular will replace `{}` with
+ * into pluralized strings. In the previous example, AngularJS will replace `{}` with
  * <span ng-non-bindable>`{{personCount}}`</span>. The closed braces `{}` is a placeholder
  * for <span ng-non-bindable>{{numberExpression}}</span>.
  *
@@ -78,7 +78,7 @@
  * three explicit number rules 0, 1 and 2.
  * When one person, perhaps John, views the document, "John is viewing" will be shown.
  * When three people view the document, no explicit number rule is found, so
- * an offset of 2 is taken off 3, and Angular uses 1 to decide the plural category.
+ * an offset of 2 is taken off 3, and AngularJS uses 1 to decide the plural category.
  * In this case, plural category 'one' is matched and "John, Mary and one other person are viewing"
  * is shown.
  *
diff --git a/src/ng/directive/ngRepeat.js b/src/ng/directive/ngRepeat.js
index 9721902975a9..a5e08d734744 100644
--- a/src/ng/directive/ngRepeat.js
+++ b/src/ng/directive/ngRepeat.js
@@ -41,14 +41,14 @@
  * However, there are a few limitations compared to array iteration:
  *
  * - The JavaScript specification does not define the order of keys
- *   returned for an object, so Angular relies on the order returned by the browser
+ *   returned for an object, so AngularJS relies on the order returned by the browser
  *   when running `for key in myObj`. Browsers generally follow the strategy of providing
  *   keys in the order in which they were defined, although there are exceptions when keys are deleted
  *   and reinstated. See the
  *   [MDN page on `delete` for more info](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Operators/delete#Cross-browser_notes).
  *
  * - `ngRepeat` will silently *ignore* object keys starting with `$`, because
- *   it's a prefix used by Angular for public (`$`) and private (`$$`) properties.
+ *   it's a prefix used by AngularJS for public (`$`) and private (`$$`) properties.
  *
  * - The built-in filters {@link ng.orderBy orderBy} and {@link ng.filter filter} do not work with
  *   objects, and will throw an error if used with one.
diff --git a/src/ng/directive/select.js b/src/ng/directive/select.js
index 55381ff72835..ad0afe337915 100644
--- a/src/ng/directive/select.js
+++ b/src/ng/directive/select.js
@@ -305,7 +305,7 @@ var SelectController =
  * @restrict E
  *
  * @description
- * HTML `select` element with angular data-binding.
+ * HTML `select` element with AngularJS data-binding.
  *
  * The `select` directive is used together with {@link ngModel `ngModel`} to provide data-binding
  * between the scope and the `<select>` control (including setting default values).
@@ -354,7 +354,7 @@ var SelectController =
  * Chrome and Internet Explorer / Edge.
  *
  *
- * @param {string} ngModel Assignable angular expression to data-bind to.
+ * @param {string} ngModel Assignable AngularJS expression to data-bind to.
  * @param {string=} name Property name of the form under which the control is published.
  * @param {string=} multiple Allows multiple options to be selected. The selected values will be
  *     bound to the model as an array.
@@ -362,7 +362,7 @@ var SelectController =
  * @param {string=} ngRequired Adds required attribute and required validation constraint to
  * the element when the ngRequired expression evaluates to true. Use ngRequired instead of required
  * when you want to data-bind to the required attribute.
- * @param {string=} ngChange Angular expression to be executed when selected option(s) changes due to user
+ * @param {string=} ngChange AngularJS expression to be executed when selected option(s) changes due to user
  *    interaction with the select element.
  * @param {string=} ngOptions sets the options that the select is populated with and defines what is
  * set on the model on selection. See {@link ngOptions `ngOptions`}.
diff --git a/src/ng/directive/validators.js b/src/ng/directive/validators.js
index 36201f9f287f..35e991e40602 100644
--- a/src/ng/directive/validators.js
+++ b/src/ng/directive/validators.js
@@ -10,7 +10,7 @@
  * It is most often used for {@link input `input`} and {@link select `select`} controls, but can also be
  * applied to custom controls.
  *
- * The directive sets the `required` attribute on the element if the Angular expression inside
+ * The directive sets the `required` attribute on the element if the AngularJS expression inside
  * `ngRequired` evaluates to true. A special directive for setting `required` is necessary because we
  * cannot use interpolation inside `required`. See the {@link guide/interpolation interpolation guide}
  * for more info.
@@ -87,7 +87,7 @@ var requiredDirective = function() {
  * It is most often used for text-based {@link input `input`} controls, but can also be applied to custom text-based controls.
  *
  * The validator sets the `pattern` error key if the {@link ngModel.NgModelController#$viewValue `ngModel.$viewValue`}
- * does not match a RegExp which is obtained by evaluating the Angular expression given in the
+ * does not match a RegExp which is obtained by evaluating the AngularJS expression given in the
  * `ngPattern` attribute value:
  * * If the expression evaluates to a RegExp object, then this is used directly.
  * * If the expression evaluates to a string, then it will be converted to a RegExp after wrapping it
@@ -193,7 +193,7 @@ var patternDirective = function() {
  * It is most often used for text-based {@link input `input`} controls, but can also be applied to custom text-based controls.
  *
  * The validator sets the `maxlength` error key if the {@link ngModel.NgModelController#$viewValue `ngModel.$viewValue`}
- * is longer than the integer obtained by evaluating the Angular expression given in the
+ * is longer than the integer obtained by evaluating the AngularJS expression given in the
  * `ngMaxlength` attribute value.
  *
  * <div class="alert alert-info">
@@ -279,7 +279,7 @@ var maxlengthDirective = function() {
  * It is most often used for text-based {@link input `input`} controls, but can also be applied to custom text-based controls.
  *
  * The validator sets the `minlength` error key if the {@link ngModel.NgModelController#$viewValue `ngModel.$viewValue`}
- * is shorter than the integer obtained by evaluating the Angular expression given in the
+ * is shorter than the integer obtained by evaluating the AngularJS expression given in the
  * `ngMinlength` attribute value.
  *
  * <div class="alert alert-info">
diff --git a/src/ng/exceptionHandler.js b/src/ng/exceptionHandler.js
index a3763c5870ef..c8467b5d4aca 100644
--- a/src/ng/exceptionHandler.js
+++ b/src/ng/exceptionHandler.js
@@ -7,7 +7,7 @@
  * @this
  *
  * @description
- * Any uncaught exception in angular expressions is delegated to this service.
+ * Any uncaught exception in AngularJS expressions is delegated to this service.
  * The default implementation simply delegates to `$log.error` which logs it into
  * the browser console.
  *
diff --git a/src/ng/filter.js b/src/ng/filter.js
index 06b45b029347..05500d365798 100644
--- a/src/ng/filter.js
+++ b/src/ng/filter.js
@@ -21,7 +21,7 @@
  * annotated with dependencies and is responsible for creating a filter function.
  *
  * <div class="alert alert-warning">
- * **Note:** Filter names must be valid angular {@link expression} identifiers, such as `uppercase` or `orderBy`.
+ * **Note:** Filter names must be valid AngularJS {@link expression} identifiers, such as `uppercase` or `orderBy`.
  * Names with special characters, such as hyphens and dots, are not allowed. If you wish to namespace
  * your filters, then you can use capitalization (`myappSubsectionFilterx`) or underscores
  * (`myapp_subsection_filterx`).
@@ -64,8 +64,8 @@
  * ```
  *
  *
- * For more information about how angular filters work, and how to create your own filters, see
- * {@link guide/filter Filters} in the Angular Developer Guide.
+ * For more information about how AngularJS filters work, and how to create your own filters, see
+ * {@link guide/filter Filters} in the AngularJS Developer Guide.
  */
 
 /**
@@ -75,7 +75,7 @@
  * @description
  * Filters are used for formatting data displayed to the user.
  *
- * They can be used in view templates, controllers or services.Angular comes
+ * They can be used in view templates, controllers or services. AngularJS comes
  * with a collection of [built-in filters](api/ng/filter), but it is easy to
  * define your own as well.
  *
@@ -117,7 +117,7 @@ function $FilterProvider($provide) {
    *    the keys are the filter names and the values are the filter factories.
    *
    *    <div class="alert alert-warning">
-   *    **Note:** Filter names must be valid angular {@link expression} identifiers, such as `uppercase` or `orderBy`.
+   *    **Note:** Filter names must be valid AngularJS {@link expression} identifiers, such as `uppercase` or `orderBy`.
    *    Names with special characters, such as hyphens and dots, are not allowed. If you wish to namespace
    *    your filters, then you can use capitalization (`myappSubsectionFilterx`) or underscores
    *    (`myapp_subsection_filterx`).
diff --git a/src/ng/filter/orderBy.js b/src/ng/filter/orderBy.js
index f65821a98e6a..6b353b62d623 100644
--- a/src/ng/filter/orderBy.js
+++ b/src/ng/filter/orderBy.js
@@ -98,7 +98,7 @@
  *
  *    - `Function`: A getter function. This function will be called with each item as argument and
  *      the return value will be used for sorting.
- *    - `string`: An Angular expression. This expression will be evaluated against each item and the
+ *    - `string`: An AngularJS expression. This expression will be evaluated against each item and the
  *      result will be used for sorting. For example, use `'label'` to sort by a property called
  *      `label` or `'label.substring(0, 3)'` to sort by the first 3 characters of the `label`
  *      property.<br />
diff --git a/src/ng/http.js b/src/ng/http.js
index b8d350ea3143..6fb205cb04ee 100644
--- a/src/ng/http.js
+++ b/src/ng/http.js
@@ -390,7 +390,7 @@ function $HttpProvider() {
      * @requires $injector
      *
      * @description
-     * The `$http` service is a core Angular service that facilitates communication with the remote
+     * The `$http` service is a core AngularJS service that facilitates communication with the remote
      * HTTP servers via the browser's [XMLHttpRequest](https://developer.mozilla.org/en/xmlhttprequest)
      * object or via [JSONP](http://en.wikipedia.org/wiki/JSONP).
      *
@@ -528,7 +528,7 @@ function $HttpProvider() {
      * which allows you to `push` or `unshift` a new transformation function into the transformation chain.
      *
      * <div class="alert alert-warning">
-     * **Note:** Angular does not make a copy of the `data` parameter before it is passed into the `transformRequest` pipeline.
+     * **Note:** AngularJS does not make a copy of the `data` parameter before it is passed into the `transformRequest` pipeline.
      * That means changes to the properties of `data` are not local to the transform function (since Javascript passes objects by reference).
      * For example, when calling `$http.get(url, $scope.myObject)`, modifications to the object's properties in a transformRequest
      * function will be reflected on the scope and in any templates where the object is data-bound.
@@ -545,7 +545,7 @@ function $HttpProvider() {
      * You can augment or replace the default transformations by modifying these properties by adding to or
      * replacing the array.
      *
-     * Angular provides the following default transformations:
+     * AngularJS provides the following default transformations:
      *
      * Request transformations (`$httpProvider.defaults.transformRequest` and `$http.defaults.transformRequest`):
      *
@@ -715,7 +715,7 @@ function $HttpProvider() {
      * - [JSON vulnerability](http://haacked.com/archive/2008/11/20/anatomy-of-a-subtle-json-vulnerability.aspx)
      * - [XSRF](http://en.wikipedia.org/wiki/Cross-site_request_forgery)
      *
-     * Both server and the client must cooperate in order to eliminate these threats. Angular comes
+     * Both server and the client must cooperate in order to eliminate these threats. AngularJS comes
      * pre-configured with strategies that address these issues, but for this to work backend server
      * cooperation is required.
      *
@@ -725,7 +725,7 @@ function $HttpProvider() {
      * allows third party website to turn your JSON resource URL into
      * [JSONP](http://en.wikipedia.org/wiki/JSONP) request under some conditions. To
      * counter this your server can prefix all JSON requests with following string `")]}',\n"`.
-     * Angular will automatically strip the prefix before processing it as JSON.
+     * AngularJS will automatically strip the prefix before processing it as JSON.
      *
      * For example if your server needs to return:
      * ```js
@@ -738,14 +738,14 @@ function $HttpProvider() {
      * ['one','two']
      * ```
      *
-     * Angular will strip the prefix, before processing the JSON.
+     * AngularJS will strip the prefix, before processing the JSON.
      *
      *
      * ### Cross Site Request Forgery (XSRF) Protection
      *
      * [XSRF](http://en.wikipedia.org/wiki/Cross-site_request_forgery) is an attack technique by
      * which the attacker can trick an authenticated user into unknowingly executing actions on your
-     * website. Angular provides a mechanism to counter XSRF. When performing XHR requests, the
+     * website. AngularJS provides a mechanism to counter XSRF. When performing XHR requests, the
      * $http service reads a token from a cookie (by default, `XSRF-TOKEN`) and sets it as an HTTP
      * header (`X-XSRF-TOKEN`). Since only JavaScript that runs on your domain could read the
      * cookie, your server can be assured that the XHR came from JavaScript running on your domain.
@@ -764,7 +764,7 @@ function $HttpProvider() {
      * properties of either $httpProvider.defaults at config-time, $http.defaults at run-time,
      * or the per-request config object.
      *
-     * In order to prevent collisions in environments where multiple Angular apps share the
+     * In order to prevent collisions in environments where multiple AngularJS apps share the
      * same domain or subdomain, we recommend that each application uses unique cookie name.
      *
      * @param {object} config Object describing the request to be made and how it should be
diff --git a/src/ng/interpolate.js b/src/ng/interpolate.js
index 2408b4a85027..342202b6e9ec 100644
--- a/src/ng/interpolate.js
+++ b/src/ng/interpolate.js
@@ -22,9 +22,9 @@ $interpolateMinErr.interr = function(text, err) {
  * Used for configuring the interpolation markup. Defaults to `{{` and `}}`.
  *
  * <div class="alert alert-danger">
- * This feature is sometimes used to mix different markup languages, e.g. to wrap an Angular
+ * This feature is sometimes used to mix different markup languages, e.g. to wrap an AngularJS
  * template within a Python Jinja template (or any other template language). Mixing templating
- * languages is **very dangerous**. The embedding template language will not safely escape Angular
+ * languages is **very dangerous**. The embedding template language will not safely escape AngularJS
  * expressions, so any user-controlled values in the template will cause Cross Site Scripting (XSS)
  * security bugs!
  * </div>
@@ -138,7 +138,7 @@ function $InterpolateProvider() {
      * ```js
      *   var $interpolate = ...; // injected
      *   var exp = $interpolate('Hello {{name | uppercase}}!');
-     *   expect(exp({name:'Angular'})).toEqual('Hello ANGULAR!');
+     *   expect(exp({name:'AngularJS'})).toEqual('Hello ANGULAR!');
      * ```
      *
      * `$interpolate` takes an optional fourth argument, `allOrNothing`. If `allOrNothing` is
@@ -156,8 +156,8 @@ function $InterpolateProvider() {
      *   // "allOrNothing" mode
      *   exp = $interpolate('{{greeting}} {{name}}!', false, null, true);
      *   expect(exp(context)).toBeUndefined();
-     *   context.name = 'Angular';
-     *   expect(exp(context)).toEqual('Hello Angular!');
+     *   context.name = 'AngularJS';
+     *   expect(exp(context)).toEqual('Hello AngularJS!');
      * ```
      *
      * `allOrNothing` is useful for interpolating URLs. `ngSrc` and `ngSrcset` use this behavior.
diff --git a/src/ng/interval.js b/src/ng/interval.js
index 42b69b8933b3..f42a87bf972a 100644
--- a/src/ng/interval.js
+++ b/src/ng/interval.js
@@ -12,7 +12,7 @@ function $IntervalProvider() {
       * @name $interval
       *
       * @description
-      * Angular's wrapper for `window.setInterval`. The `fn` function is executed every `delay`
+      * AngularJS's wrapper for `window.setInterval`. The `fn` function is executed every `delay`
       * milliseconds.
       *
       * The return value of registering an interval function is a promise. This promise will be
diff --git a/src/ng/locale.js b/src/ng/locale.js
index ebe175f43132..6449b7a69527 100644
--- a/src/ng/locale.js
+++ b/src/ng/locale.js
@@ -5,7 +5,7 @@
  * @name $locale
  *
  * @description
- * $locale service provides localization rules for various Angular components. As of right now the
+ * $locale service provides localization rules for various AngularJS components. As of right now the
  * only public api is:
  *
  * * `id` – `{string}` – locale id formatted as `languageId-countryId` (e.g. `en-us`)
diff --git a/src/ng/location.js b/src/ng/location.js
index b92ff8ca38c4..de0fabeb5b3e 100644
--- a/src/ng/location.js
+++ b/src/ng/location.js
@@ -235,7 +235,7 @@ function LocationHashbangUrl(appBase, appBaseNoFile, hashPrefix) {
      *  * a.setAttribute('href', '/foo')
      *   * a.pathname === '/C:/foo' //true
      *
-     * Inside of Angular, we're always using pathnames that
+     * Inside of AngularJS, we're always using pathnames that
      * do not include drive names for routing.
      */
     function removeWindowsDriveName(path, url, base) {
@@ -442,7 +442,7 @@ var locationPrototype = {
    *
    * Return host of current URL.
    *
-   * Note: compared to the non-angular version `location.host` which returns `hostname:port`, this returns the `hostname` portion only.
+   * Note: compared to the non-AngularJS version `location.host` which returns `hostname:port`, this returns the `hostname` portion only.
    *
    *
    * ```js
@@ -915,7 +915,7 @@ function $LocationProvider() {
 
       if (absHref && !elm.attr('target') && !event.isDefaultPrevented()) {
         if ($location.$$parseLinkUrl(absHref, relHref)) {
-          // We do a preventDefault for all urls that are part of the angular application,
+          // We do a preventDefault for all urls that are part of the AngularJS application,
           // in html5mode and also without, so that we are able to abort navigation without
           // getting double entries in the location history.
           event.preventDefault();
diff --git a/src/ng/parse.js b/src/ng/parse.js
index ce38d5a54403..6a2f629830ca 100644
--- a/src/ng/parse.js
+++ b/src/ng/parse.js
@@ -15,12 +15,12 @@ var $parseMinErr = minErr('$parse');
 
 var objectValueOf = {}.constructor.prototype.valueOf;
 
-// Sandboxing Angular Expressions
+// Sandboxing AngularJS Expressions
 // ------------------------------
-// Angular expressions are no longer sandboxed. So it is now even easier to access arbitrary JS code by
+// AngularJS expressions are no longer sandboxed. So it is now even easier to access arbitrary JS code by
 // various means such as obtaining a reference to native JS functions like the Function constructor.
 //
-// As an example, consider the following Angular expression:
+// As an example, consider the following AngularJS expression:
 //
 //   {}.toString.constructor('alert("evil JS code")')
 //
@@ -1636,15 +1636,15 @@ function getValueOf(value) {
  *
  * @description
  *
- * Converts Angular {@link guide/expression expression} into a function.
+ * Converts AngularJS {@link guide/expression expression} into a function.
  *
  * ```js
  *   var getter = $parse('user.name');
  *   var setter = getter.assign;
- *   var context = {user:{name:'angular'}};
+ *   var context = {user:{name:'AngularJS'}};
  *   var locals = {user:{name:'local'}};
  *
- *   expect(getter(context)).toEqual('angular');
+ *   expect(getter(context)).toEqual('AngularJS');
  *   setter(context, 'newValue');
  *   expect(context.user.name).toEqual('newValue');
  *   expect(getter(context, locals)).toEqual('local');
@@ -1710,7 +1710,7 @@ function $ParseProvider() {
   *
   * @description
   *
-  * Allows defining the set of characters that are allowed in Angular expressions. The function
+  * Allows defining the set of characters that are allowed in AngularJS expressions. The function
   * `identifierStart` will get called to know if a given character is a valid character to be the
   * first character for an identifier. The function `identifierContinue` will get called to know if
   * a given character is a valid character to be a follow-up identifier character. The functions
diff --git a/src/ng/q.js b/src/ng/q.js
index de396b2d7c02..8aff2e0cfe21 100644
--- a/src/ng/q.js
+++ b/src/ng/q.js
@@ -182,7 +182,7 @@
  *  There are two main differences:
  *
  * - $q is integrated with the {@link ng.$rootScope.Scope} Scope model observation
- *   mechanism in angular, which means faster propagation of resolution or rejection into your
+ *   mechanism in AngularJS, which means faster propagation of resolution or rejection into your
  *   models and avoiding unnecessary browser repaints, which would result in flickering UI.
  * - Q has many more features than $q, but that comes at a cost of bytes. $q is tiny, but contains
  *   all the important functionality needed for common async tasks.
diff --git a/src/ng/rootElement.js b/src/ng/rootElement.js
index 47cc1c9db02c..603e59f01f87 100644
--- a/src/ng/rootElement.js
+++ b/src/ng/rootElement.js
@@ -5,7 +5,7 @@
  * @name $rootElement
  *
  * @description
- * The root element of Angular application. This is either the element where {@link
+ * The root element of AngularJS application. This is either the element where {@link
  * ng.directive:ngApp ngApp} was declared or the element passed into
  * {@link angular.bootstrap}. The element represents the root element of application. It is also the
  * location where the application's {@link auto.$injector $injector} service gets
diff --git a/src/ng/rootScope.js b/src/ng/rootScope.js
index 690d42d430c8..0f3abed88fc2 100644
--- a/src/ng/rootScope.js
+++ b/src/ng/rootScope.js
@@ -959,7 +959,7 @@ function $RootScopeProvider() {
        *
        * @description
        * Executes the `expression` on the current scope and returns the result. Any exceptions in
-       * the expression are propagated (uncaught). This is useful when evaluating Angular
+       * the expression are propagated (uncaught). This is useful when evaluating AngularJS
        * expressions.
        *
        * # Example
@@ -972,7 +972,7 @@ function $RootScopeProvider() {
            expect(scope.$eval(function(scope){ return scope.a + scope.b; })).toEqual(3);
        * ```
        *
-       * @param {(string|function())=} expression An angular expression to be executed.
+       * @param {(string|function())=} expression An AngularJS expression to be executed.
        *
        *    - `string`: execute using the rules as defined in  {@link guide/expression expression}.
        *    - `function(scope)`: execute the function with the current `scope` parameter.
@@ -1007,7 +1007,7 @@ function $RootScopeProvider() {
        * will be scheduled. However, it is encouraged to always call code that changes the model
        * from within an `$apply` call. That includes code evaluated via `$evalAsync`.
        *
-       * @param {(string|function())=} expression An angular expression to be executed.
+       * @param {(string|function())=} expression An AngularJS expression to be executed.
        *
        *    - `string`: execute using the rules as defined in {@link guide/expression expression}.
        *    - `function(scope)`: execute the function with the current `scope` parameter.
@@ -1038,9 +1038,9 @@ function $RootScopeProvider() {
        * @kind function
        *
        * @description
-       * `$apply()` is used to execute an expression in angular from outside of the angular
+       * `$apply()` is used to execute an expression in AngularJS from outside of the AngularJS
        * framework. (For example from browser DOM events, setTimeout, XHR or third party libraries).
-       * Because we are calling into the angular framework we need to perform proper scope life
+       * Because we are calling into the AngularJS framework we need to perform proper scope life
        * cycle of {@link ng.$exceptionHandler exception handling},
        * {@link ng.$rootScope.Scope#$digest executing watches}.
        *
@@ -1070,7 +1070,7 @@ function $RootScopeProvider() {
        *    expression was executed using the {@link ng.$rootScope.Scope#$digest $digest()} method.
        *
        *
-       * @param {(string|function())=} exp An angular expression to be executed.
+       * @param {(string|function())=} exp An AngularJS expression to be executed.
        *
        *    - `string`: execute using the rules as defined in {@link guide/expression expression}.
        *    - `function(scope)`: execute the function with current `scope` parameter.
@@ -1110,7 +1110,7 @@ function $RootScopeProvider() {
        * This can be used to queue up multiple expressions which need to be evaluated in the same
        * digest.
        *
-       * @param {(string|function())=} exp An angular expression to be executed.
+       * @param {(string|function())=} exp An AngularJS expression to be executed.
        *
        *    - `string`: execute using the rules as defined in {@link guide/expression expression}.
        *    - `function(scope)`: execute the function with current `scope` parameter.
diff --git a/src/ng/sce.js b/src/ng/sce.js
index d951d3a4a833..03c382581aab 100644
--- a/src/ng/sce.js
+++ b/src/ng/sce.js
@@ -109,11 +109,11 @@ function adjustMatchers(matchers) {
  *
  * The `$sceDelegateProvider` provider allows developers to configure the {@link ng.$sceDelegate
  * $sceDelegate} service.  This allows one to get/set the whitelists and blacklists used to ensure
- * that the URLs used for sourcing Angular templates are safe.  Refer {@link
+ * that the URLs used for sourcing AngularJS templates are safe.  Refer {@link
  * ng.$sceDelegateProvider#resourceUrlWhitelist $sceDelegateProvider.resourceUrlWhitelist} and
  * {@link ng.$sceDelegateProvider#resourceUrlBlacklist $sceDelegateProvider.resourceUrlBlacklist}
  *
- * For the general details about this service in Angular, read the main page for {@link ng.$sce
+ * For the general details about this service in AngularJS, read the main page for {@link ng.$sce
  * Strict Contextual Escaping (SCE)}.
  *
  * **Example**:  Consider the following case. <a name="example"></a>
@@ -288,7 +288,7 @@ function $SceDelegateProvider() {
      * @name $sceDelegate#trustAs
      *
      * @description
-     * Returns an object that is trusted by angular for use in specified strict
+     * Returns an object that is trusted by AngularJS for use in specified strict
      * contextual escaping contexts (such as ng-bind-html, ng-include, any src
      * attribute interpolation, any dom event binding attribute interpolation
      * such as for onclick,  etc.) that uses the provided value.
@@ -298,7 +298,7 @@ function $SceDelegateProvider() {
      *   resourceUrl, html, js and css.
      * @param {*} value The value that that should be considered trusted/safe.
      * @returns {*} A value that can be used to stand in for the provided `value` in places
-     * where Angular expects a $sce.trustAs() return value.
+     * where AngularJS expects a $sce.trustAs() return value.
      */
     function trustAs(type, trustedValue) {
       var Constructor = (byType.hasOwnProperty(type) ? byType[type] : null);
@@ -428,7 +428,7 @@ function $SceDelegateProvider() {
  * such a context is binding arbitrary html controlled by the user via `ng-bind-html`.  We refer
  * to these contexts as privileged or SCE contexts.
  *
- * As of version 1.2, Angular ships with SCE enabled by default.
+ * As of version 1.2, AngularJS ships with SCE enabled by default.
  *
  * Note:  When enabled (the default), IE<11 in quirks mode is not supported.  In this mode, IE<11 allow
  * one to execute arbitrary javascript by the use of the expression() syntax.  Refer
@@ -499,7 +499,7 @@ function $SceDelegateProvider() {
  * This applies both to the {@link ng.directive:ngInclude `ng-include`} directive as well as
  * `templateUrl`'s specified by {@link guide/directive directives}.
  *
- * By default, Angular only loads templates from the same domain and protocol as the application
+ * By default, AngularJS only loads templates from the same domain and protocol as the application
  * document.  This is done by calling {@link ng.$sce#getTrustedResourceUrl
  * $sce.getTrustedResourceUrl} on the template URL.  To load templates from other domains and/or
  * protocols, you may either {@link ng.$sceDelegateProvider#resourceUrlWhitelist whitelist
@@ -788,7 +788,7 @@ function $SceProvider() {
      * @name $sce#parseAs
      *
      * @description
-     * Converts Angular {@link guide/expression expression} into a function.  This is like {@link
+     * Converts AngularJS {@link guide/expression expression} into a function.  This is like {@link
      * ng.$parse $parse} and is identical when the expression is a literal constant.  Otherwise, it
      * wraps the expression in a call to {@link ng.$sce#getTrusted $sce.getTrusted(*type*,
      * *result*)}
@@ -819,7 +819,7 @@ function $SceProvider() {
      *
      * @description
      * Delegates to {@link ng.$sceDelegate#trustAs `$sceDelegate.trustAs`}.  As such,
-     * returns an object that is trusted by angular for use in specified strict contextual
+     * returns an object that is trusted by AngularJS for use in specified strict contextual
      * escaping contexts (such as ng-bind-html, ng-include, any src attribute
      * interpolation, any dom event binding attribute interpolation such as for onclick,  etc.)
      * that uses the provided value.  See * {@link ng.$sce $sce} for enabling strict contextual
@@ -829,7 +829,7 @@ function $SceProvider() {
      *   resourceUrl, html, js and css.
      * @param {*} value The value that that should be considered trusted/safe.
      * @returns {*} A value that can be used to stand in for the provided `value` in places
-     * where Angular expects a $sce.trustAs() return value.
+     * where AngularJS expects a $sce.trustAs() return value.
      */
 
     /**
diff --git a/src/ng/templateRequest.js b/src/ng/templateRequest.js
index 1046f0223a92..e8470a1787c2 100644
--- a/src/ng/templateRequest.js
+++ b/src/ng/templateRequest.js
@@ -68,7 +68,7 @@ function $TemplateRequestProvider() {
 
         // We consider the template cache holds only trusted templates, so
         // there's no need to go through whitelisting again for keys that already
-        // are included in there. This also makes Angular accept any script
+        // are included in there. This also makes AngularJS accept any script
         // directive, no matter its name. However, we still need to unwrap trusted
         // types.
         if (!isString(tpl) || isUndefined($templateCache.get(tpl))) {
diff --git a/src/ng/timeout.js b/src/ng/timeout.js
index d5e4144a48ea..4f7b26be6c06 100644
--- a/src/ng/timeout.js
+++ b/src/ng/timeout.js
@@ -13,7 +13,7 @@ function $TimeoutProvider() {
       * @name $timeout
       *
       * @description
-      * Angular's wrapper for `window.setTimeout`. The `fn` function is wrapped into a try/catch
+      * AngularJS's wrapper for `window.setTimeout`. The `fn` function is wrapped into a try/catch
       * block and delegates any exceptions to
       * {@link ng.$exceptionHandler $exceptionHandler} service.
       *
diff --git a/src/ng/window.js b/src/ng/window.js
index 563dd7dc6a62..27ddb7d8f73e 100644
--- a/src/ng/window.js
+++ b/src/ng/window.js
@@ -8,7 +8,7 @@
  * @description
  * A reference to the browser's `window` object. While `window`
  * is globally available in JavaScript, it causes testability problems, because
- * it is a global variable. In angular we always refer to it through the
+ * it is a global variable. In AngularJS we always refer to it through the
  * `$window` service, so it may be overridden, removed or mocked for testing.
  *
  * Expressions, like the one defined for the `ngClick` directive in the example
diff --git a/src/ngAnimate/animateCss.js b/src/ngAnimate/animateCss.js
index 27619d67c29b..b61b8aa28ef6 100644
--- a/src/ngAnimate/animateCss.js
+++ b/src/ngAnimate/animateCss.js
@@ -22,7 +22,7 @@ var ANIMATE_TIMER_KEY = '$$animateCss';
  * Once again, `$animateCss` is designed to be used inside of a registered JavaScript animation that
  * is powered by ngAnimate. It is possible to use `$animateCss` directly inside of a directive, however,
  * any automatic control over cancelling animations and/or preventing animations from being run on
- * child elements will not be handled by Angular. For this to work as expected, please use `$animate` to
+ * child elements will not be handled by AngularJS. For this to work as expected, please use `$animate` to
  * trigger the animation and then setup a JavaScript animation that injects `$animateCss` to trigger
  * the CSS animation.
  *
diff --git a/src/ngAnimate/animateQueue.js b/src/ngAnimate/animateQueue.js
index daf947967404..9c2ec0862244 100644
--- a/src/ngAnimate/animateQueue.js
+++ b/src/ngAnimate/animateQueue.js
@@ -635,7 +635,7 @@ var $$AnimateQueueProvider = ['$animateProvider', /** @this */ function($animate
 
       while (parentNode) {
         if (!rootNodeDetected) {
-          // angular doesn't want to attempt to animate elements outside of the application
+          // AngularJS doesn't want to attempt to animate elements outside of the application
           // therefore we need to ensure that the rootElement is an ancestor of the current element
           rootNodeDetected = (parentNode === rootNode);
         }
diff --git a/src/ngAnimate/module.js b/src/ngAnimate/module.js
index 2358465c30d9..ee83e27c9772 100644
--- a/src/ngAnimate/module.js
+++ b/src/ngAnimate/module.js
@@ -6,7 +6,7 @@
  * @description
  *
  * The `ngAnimate` module provides support for CSS-based animations (keyframes and transitions) as well as JavaScript-based animations via
- * callback hooks. Animations are not enabled by default, however, by including `ngAnimate` the animation hooks are enabled for an Angular app.
+ * callback hooks. Animations are not enabled by default, however, by including `ngAnimate` the animation hooks are enabled for an AngularJS app.
  *
  * <div doc-module-components="ngAnimate"></div>
  *
@@ -37,7 +37,7 @@
  * ## CSS-based Animations
  *
  * CSS-based animations with ngAnimate are unique since they require no JavaScript code at all. By using a CSS class that we reference between our HTML
- * and CSS code we can create an animation that will be picked up by Angular when an underlying directive performs an operation.
+ * and CSS code we can create an animation that will be picked up by AngularJS when an underlying directive performs an operation.
  *
  * The example below shows how an `enter` animation can be made possible on an element using `ng-if`:
  *
@@ -292,7 +292,7 @@
  *     enter: function(element, doneFn) {
  *       jQuery(element).fadeIn(1000, doneFn);
  *
- *       // remember to call doneFn so that angular
+ *       // remember to call doneFn so that AngularJS
  *       // knows that the animation has concluded
  *     },
  *
@@ -340,7 +340,7 @@
  *
  * ## CSS + JS Animations Together
  *
- * AngularJS 1.4 and higher has taken steps to make the amalgamation of CSS and JS animations more flexible. However, unlike earlier versions of Angular,
+ * AngularJS 1.4 and higher has taken steps to make the amalgamation of CSS and JS animations more flexible. However, unlike earlier versions of AngularJS,
  * defining CSS and JS animations to work off of the same CSS class will not work anymore. Therefore the example below will only result in **JS animations taking
  * charge of the animation**:
  *
@@ -656,7 +656,7 @@
  *
  * ## Using $animate in your directive code
  *
- * So far we've explored how to feed in animations into an Angular application, but how do we trigger animations within our own directives in our application?
+ * So far we've explored how to feed in animations into an AngularJS application, but how do we trigger animations within our own directives in our application?
  * By injecting the `$animate` service into our directive code, we can trigger structural and class-based hooks which can then be consumed by animations. Let's
  * imagine we have a greeting box that shows and hides itself when the data changes
  *
@@ -699,7 +699,7 @@
  * });
  * ```
  *
- * (Note that earlier versions of Angular prior to v1.4 required the promise code to be wrapped using `$scope.$apply(...)`. This is not the case
+ * (Note that earlier versions of AngularJS prior to v1.4 required the promise code to be wrapped using `$scope.$apply(...)`. This is not the case
  * anymore.)
  *
  * In addition to the animation promise, we can also make use of animation-related callbacks within our directives and controller code by registering
@@ -714,7 +714,7 @@
  * }])
  * ```
  *
- * (Note that you will need to trigger a digest within the callback to get angular to notice any scope-related changes.)
+ * (Note that you will need to trigger a digest within the callback to get AngularJS to notice any scope-related changes.)
  */
 
 var copy;
@@ -741,7 +741,7 @@ var noop;
  * Click here {@link ng.$animate to learn more about animations with `$animate`}.
  */
 angular.module('ngAnimate', [], function initAngularHelpers() {
-  // Access helpers from angular core.
+  // Access helpers from AngularJS core.
   // Do it inside a `config` block to ensure `window.angular` is available.
   noop        = angular.noop;
   copy        = angular.copy;
diff --git a/src/ngComponentRouter/Router.js b/src/ngComponentRouter/Router.js
index 7d7bc274d964..ab96650c767d 100644
--- a/src/ngComponentRouter/Router.js
+++ b/src/ngComponentRouter/Router.js
@@ -2,11 +2,10 @@
  * @ngdoc module
  * @name ngComponentRouter
  * @deprecated
- * In an effort to keep synchronized with router changes in Angular 2, this implementation of the
- * Component Router (ngComponentRouter module) has been deprecated and will not receive further updates.
- *
- * We are investigating backporting the Angular 2 Router to Angular 1, but alternatively, use the
- * {@link ngRoute} module or community developed projects (e.g. [ui-router](https://github.com/angular-ui/ui-router)).
+ * In an effort to keep synchronized with router changes in the new Angular, this implementation of the Component Router (ngComponentRouter module)
+ * has been deprecated and will not receive further updates.
+ * We are investigating backporting the Router for the new Angular to AngularJS, but alternatively, use the {@link ngRoute} module or community developed
+ * projects (e.g. [ui-router](https://github.com/angular-ui/ui-router)).
  *
  * @installation
  *
@@ -54,9 +53,9 @@
  * This may be useful for showing a spinner, for instance.
  *
  * @deprecated
- * In an effort to keep synchronized with router changes in Angular 2, this implementation of the Component Router (ngComponentRouter module)
+ * In an effort to keep synchronized with router changes in the new Angular, this implementation of the Component Router (ngComponentRouter module)
  * has been deprecated and will not receive further updates.
- * We are investigating backporting the Angular 2 Router to Angular 1, but alternatively, use the {@link ngRoute} module or community developed
+ * We are investigating backporting the Router for the new Angular to AngularJS, but alternatively, use the {@link ngRoute} module or community developed
  * projects (e.g. [ui-router](https://github.com/angular-ui/ui-router)).
  */
 
@@ -72,9 +71,9 @@
  * which manages the routing for that **Routing Component**.
  *
  * @deprecated
- * In an effort to keep synchronized with router changes in Angular 2, this implementation of the Component Router (ngComponentRouter module)
+ * In an effort to keep synchronized with router changes in the new Angular, this implementation of the Component Router (ngComponentRouter module)
  * has been deprecated and will not receive further updates.
- * We are investigating backporting the Angular 2 Router to Angular 1, but alternatively, use the {@link ngRoute} module or community developed
+ * We are investigating backporting the Router for the new Angular to AngularJS, but alternatively, use the {@link ngRoute} module or community developed
  * projects (e.g. [ui-router](https://github.com/angular-ui/ui-router)).
  */
 
@@ -90,9 +89,9 @@
  * ({@link $routerRootComponent}). It acts as the connection between the **Routers** and the **Location**.
  *
  * @deprecated
- * In an effort to keep synchronized with router changes in Angular 2, this implementation of the Component Router (ngComponentRouter module)
+ * In an effort to keep synchronized with router changes in the new Angular, this implementation of the Component Router (ngComponentRouter module)
  * has been deprecated and will not receive further updates.
- * We are investigating backporting the Angular 2 Router to Angular 1, but alternatively, use the {@link ngRoute} module or community developed
+ * We are investigating backporting the Router for the new Angular to AngularJS, but alternatively, use the {@link ngRoute} module or community developed
  * projects (e.g. [ui-router](https://github.com/angular-ui/ui-router)).
  */
 
@@ -110,9 +109,9 @@
  * You should not modify this object. It should be treated as immutable.
  *
  * @deprecated
- * In an effort to keep synchronized with router changes in Angular 2, this implementation of the Component Router (ngComponentRouter module)
+ * In an effort to keep synchronized with router changes in the new Angular, this implementation of the Component Router (ngComponentRouter module)
  * has been deprecated and will not receive further updates.
- * We are investigating backporting the Angular 2 Router to Angular 1, but alternatively, use the {@link ngRoute} module or community developed
+ * We are investigating backporting the Router for the new Angular to AngularJS, but alternatively, use the {@link ngRoute} module or community developed
  * projects (e.g. [ui-router](https://github.com/angular-ui/ui-router)).
  */
 
@@ -130,9 +129,9 @@
  * * `data` (optional)
  *
  * @deprecated
- * In an effort to keep synchronized with router changes in Angular 2, this implementation of the Component Router (ngComponentRouter module)
+ * In an effort to keep synchronized with router changes in the new Angular, this implementation of the Component Router (ngComponentRouter module)
  * has been deprecated and will not receive further updates.
- * We are investigating backporting the Angular 2 Router to Angular 1, but alternatively, use the {@link ngRoute} module or community developed
+ * We are investigating backporting the Router for the new Angular to AngularJS, but alternatively, use the {@link ngRoute} module or community developed
  * projects (e.g. [ui-router](https://github.com/angular-ui/ui-router)).
  */
 
@@ -145,9 +144,9 @@
  * the Lifecycle Hooks, such as `$routerOnActivate` and `$routerOnDeactivate`.
  *
  * @deprecated
- * In an effort to keep synchronized with router changes in Angular 2, this implementation of the Component Router (ngComponentRouter module)
+ * In an effort to keep synchronized with router changes in the new Angular, this implementation of the Component Router (ngComponentRouter module)
  * has been deprecated and will not receive further updates.
- * We are investigating backporting the Angular 2 Router to Angular 1, but alternatively, use the {@link ngRoute} module or community developed
+ * We are investigating backporting the Router for the new Angular to AngularJS, but alternatively, use the {@link ngRoute} module or community developed
  * projects (e.g. [ui-router](https://github.com/angular-ui/ui-router)).
  */
 
@@ -161,9 +160,9 @@
  * The directive that identifies where the {@link Router} should render its **Components**.
  *
  * @deprecated
- * In an effort to keep synchronized with router changes in Angular 2, this implementation of the Component Router (ngComponentRouter module)
+ * In an effort to keep synchronized with router changes in the new Angular, this implementation of the Component Router (ngComponentRouter module)
  * has been deprecated and will not receive further updates.
- * We are investigating backporting the Angular 2 Router to Angular 1, but alternatively, use the {@link ngRoute} module or community developed
+ * We are investigating backporting the Router for the new Angular to AngularJS, but alternatively, use the {@link ngRoute} module or community developed
  * projects (e.g. [ui-router](https://github.com/angular-ui/ui-router)).
  */
 
@@ -181,9 +180,9 @@
  * ````
  *
  * @deprecated
- * In an effort to keep synchronized with router changes in Angular 2, this implementation of the Component Router (ngComponentRouter module)
+ * In an effort to keep synchronized with router changes in the new Angular, this implementation of the Component Router (ngComponentRouter module)
  * has been deprecated and will not receive further updates.
- * We are investigating backporting the Angular 2 Router to Angular 1, but alternatively, use the {@link ngRoute} module or community developed
+ * We are investigating backporting the Router for the new Angular to AngularJS, but alternatively, use the {@link ngRoute} module or community developed
  * projects (e.g. [ui-router](https://github.com/angular-ui/ui-router)).
  */
 
@@ -197,9 +196,9 @@
  * with the top level {@link $routerRootComponent}.
  *
  * @deprecated
- * In an effort to keep synchronized with router changes in Angular 2, this implementation of the Component Router (ngComponentRouter module)
+ * In an effort to keep synchronized with router changes in the new Angular, this implementation of the Component Router (ngComponentRouter module)
  * has been deprecated and will not receive further updates.
- * We are investigating backporting the Angular 2 Router to Angular 1, but alternatively, use the {@link ngRoute} module or community developed
+ * We are investigating backporting the Router for the new Angular to AngularJS, but alternatively, use the {@link ngRoute} module or community developed
  * projects (e.g. [ui-router](https://github.com/angular-ui/ui-router)).
  */
 
@@ -212,8 +211,8 @@
  * The top level **Routing Component** associated with the {@link $rootRouter}.
  *
  * @deprecated
- * In an effort to keep synchronized with router changes in Angular 2, this implementation of the Component Router (ngComponentRouter module)
+ * In an effort to keep synchronized with router changes in the new Angular, this implementation of the Component Router (ngComponentRouter module)
  * has been deprecated and will not receive further updates.
- * We are investigating backporting the Angular 2 Router to Angular 1, but alternatively, use the {@link ngRoute} module or community developed
+ * We are investigating backporting the Router for the new Angular to AngularJS, but alternatively, use the {@link ngRoute} module or community developed
  * projects (e.g. [ui-router](https://github.com/angular-ui/ui-router)).
  */
diff --git a/src/ngCookies/cookieStore.js b/src/ngCookies/cookieStore.js
index 65b0b39fb56d..ca7a25e2d0f7 100644
--- a/src/ngCookies/cookieStore.js
+++ b/src/ngCookies/cookieStore.js
@@ -13,7 +13,7 @@ angular.module('ngCookies').
  * @description
  * Provides a key-value (string-object) storage, that is backed by session cookies.
  * Objects put or retrieved from this storage are automatically serialized or
- * deserialized by angular's toJson/fromJson.
+ * deserialized by AngularJS's `toJson`/`fromJson`.
  *
  * Requires the {@link ngCookies `ngCookies`} module to be installed.
  *
diff --git a/src/ngCookies/cookies.js b/src/ngCookies/cookies.js
index 547a781d995e..fb6047d09c23 100644
--- a/src/ngCookies/cookies.js
+++ b/src/ngCookies/cookies.js
@@ -71,7 +71,7 @@ angular.module('ngCookies', ['ng']).
      * Provides read/write access to browser's cookies.
      *
      * <div class="alert alert-info">
-     * Up until Angular 1.3, `$cookies` exposed properties that represented the
+     * Up until AngularJS 1.3, `$cookies` exposed properties that represented the
      * current browser cookie values. In version 1.4, this behavior has changed, and
      * `$cookies` now provides a standard api of getters, setters etc.
      * </div>
diff --git a/src/ngMessageFormat/messageFormatParser.js b/src/ngMessageFormat/messageFormatParser.js
index cabacd2bb90d..5c4782e51264 100644
--- a/src/ngMessageFormat/messageFormatParser.js
+++ b/src/ngMessageFormat/messageFormatParser.js
@@ -406,7 +406,7 @@ MessageFormatParser.prototype.ruleEndMustache = function ruleEndMustache() {
     // day), then the result *has* to be a string and those rules would have already set
     // this.parsedFn.  If there was no MessageFormat extension, then there is no requirement to
     // stringify the result and parsedFn isn't set.  We set it here.  While we could have set it
-    // unconditionally when exiting the Angular expression, I intend for us to not just replace
+    // unconditionally when exiting the AngularJS expression, I intend for us to not just replace
     // $interpolate, but also to replace $parse in a future version (so ng-bind can work), and in
     // such a case we do not want to unnecessarily stringify something if it's not going to be used
     // in a string context.
@@ -450,7 +450,7 @@ MessageFormatParser.prototype.ruleInAngularExpression = function ruleInAngularEx
   var position;
   if (match == null) {
     if (this.angularOperatorStack.length === 0) {
-      // This is the end of the Angular expression so this is actually a
+      // This is the end of the AngularJS expression so this is actually a
       // success.  Note that when inside an interpolation, this means we even
       // consumed the closing interpolation symbols if they were curlies.  This
       // is NOT an error at this point but will become an error further up the
@@ -466,7 +466,7 @@ MessageFormatParser.prototype.ruleInAngularExpression = function ruleInAngularEx
     }
     var innermostOperator = this.angularOperatorStack[0];
     throw $interpolateMinErr('badexpr',
-        'Unexpected end of Angular expression.  Expecting operator “{0}” at the end of the text “{1}”',
+        'Unexpected end of AngularJS expression.  Expecting operator “{0}” at the end of the text “{1}”',
         this.getEndOperator(innermostOperator), this.text);
   }
   var operator = match[0];
diff --git a/src/ngMessageFormat/messageFormatService.js b/src/ngMessageFormat/messageFormatService.js
index 458130f879dc..2e83e6674982 100644
--- a/src/ngMessageFormat/messageFormatService.js
+++ b/src/ngMessageFormat/messageFormatService.js
@@ -20,7 +20,7 @@
  *
  * ## What is  ngMessageFormat?
  *
- * The ngMessageFormat module extends the Angular {@link ng.$interpolate `$interpolate`} service
+ * The ngMessageFormat module extends the AngularJS {@link ng.$interpolate `$interpolate`} service
  * with a syntax for handling pluralization and gender specific messages, which is based on the
  * [ICU MessageFormat syntax][ICU].
  *
diff --git a/src/ngMessages/messages.js b/src/ngMessages/messages.js
index 60fa93d6d24b..b02ccd3db478 100644
--- a/src/ngMessages/messages.js
+++ b/src/ngMessages/messages.js
@@ -195,7 +195,7 @@ var jqLite;
  *
  * Feel free to use other structural directives such as ng-if and ng-switch to further control
  * what messages are active and when. Be careful, if you place ng-message on the same element
- * as these structural directives, Angular may not be able to determine if a message is active
+ * as these structural directives, AngularJS may not be able to determine if a message is active
  * or not. Therefore it is best to place the ng-message on a child element of the structural
  * directive.
  *
@@ -260,7 +260,7 @@ var jqLite;
  * {@link ngAnimate Click here} to learn how to use JavaScript animations or to learn more about ngAnimate.
  */
 angular.module('ngMessages', [], function initAngularHelpers() {
-  // Access helpers from angular core.
+  // Access helpers from AngularJS core.
   // Do it inside a `config` block to ensure `window.angular` is available.
   forEach = angular.forEach;
   isArray = angular.isArray;
@@ -307,7 +307,7 @@ angular.module('ngMessages', [], function initAngularHelpers() {
    * </ng-messages>
    * ```
    *
-   * @param {string} ngMessages an angular expression evaluating to a key/value object
+   * @param {string} ngMessages an AngularJS expression evaluating to a key/value object
    *                 (this is typically the $error object on an ngModel instance).
    * @param {string=} ngMessagesMultiple|multiple when set, all messages will be displayed with true
    *
diff --git a/src/ngMock/angular-mocks.js b/src/ngMock/angular-mocks.js
index 79b8b631ea2f..74ab3f2e2f5d 100644
--- a/src/ngMock/angular-mocks.js
+++ b/src/ngMock/angular-mocks.js
@@ -955,7 +955,7 @@ angular.mock.animate = angular.module('ngAnimateMock', ['ng'])
  *
  * *NOTE*: This is not an injectable instance, just a globally available function.
  *
- * Method for serializing common angular objects (scope, elements, etc..) into strings.
+ * Method for serializing common AngularJS objects (scope, elements, etc..) into strings.
  * It is useful for logging objects to the console when debugging.
  *
  * @param {*} object - any object to turn into string.
@@ -1037,7 +1037,7 @@ angular.mock.dump = function(object) {
  * This mock implementation can be used to respond with static or dynamic responses via the
  * `expect` and `when` apis and their shortcuts (`expectGET`, `whenPOST`, etc).
  *
- * When an Angular application needs some data from a server, it calls the $http service, which
+ * When an AngularJS application needs some data from a server, it calls the $http service, which
  * sends the request to a real server using $httpBackend service. With dependency injection, it is
  * easy to inject $httpBackend mock (which has the same API as $httpBackend) and use it to verify
  * the requests and respond with some testing data without sending a request to a real server.
@@ -2095,7 +2095,7 @@ function MockXhr() {
   this.abort = angular.noop;
 
   // This section simulates the events on a real XHR object (and the upload object)
-  // When we are testing $httpBackend (inside the angular project) we make partial use of this
+  // When we are testing $httpBackend (inside the AngularJS project) we make partial use of this
   // but store the events directly ourselves on `$$events`, instead of going through the `addEventListener`
   this.$$events = {};
   this.addEventListener = function(name, listener) {
@@ -2356,8 +2356,8 @@ angular.mock.$ComponentControllerProvider = ['$compileProvider',
  *
  * # ngMock
  *
- * The `ngMock` module provides support to inject and mock Angular services into unit tests.
- * In addition, ngMock also extends various core ng services such that they can be
+ * The `ngMock` module provides support to inject and mock AngularJS services into unit tests.
+ * In addition, ngMock also extends various core AngularJS services such that they can be
  * inspected and controlled in a synchronous manner within test code.
  *
  *
@@ -2415,7 +2415,7 @@ angular.module('ngMock', ['ng']).provider({
  * @packageName angular-mocks
  * @description
  *
- * The `ngMockE2E` is an angular module which contains mocks suitable for end-to-end testing.
+ * The `ngMockE2E` is an AngularJS module which contains mocks suitable for end-to-end testing.
  * Currently there is only one mock present in this module -
  * the {@link ngMockE2E.$httpBackend e2e $httpBackend} mock.
  */
diff --git a/src/ngParseExt/module.js b/src/ngParseExt/module.js
index 25dc52c37838..eeebf8812e4b 100644
--- a/src/ngParseExt/module.js
+++ b/src/ngParseExt/module.js
@@ -11,13 +11,13 @@
  * # ngParseExt
  *
  * The `ngParseExt` module provides functionality to allow Unicode characters in
- * identifiers inside Angular expressions.
+ * identifiers inside AngularJS expressions.
  *
  *
  * <div doc-module-components="ngParseExt"></div>
  *
  * This module allows the usage of any identifier that follows ES6 identifier naming convention
- * to be used as an identifier in an Angular expression. ES6 delegates some of the identifier
+ * to be used as an identifier in an AngularJS expression. ES6 delegates some of the identifier
  * rules definition to Unicode, this module uses ES6 and Unicode 8.0 identifiers convention.
  *
  */
diff --git a/src/ngResource/resource.js b/src/ngResource/resource.js
index d1d20b04f483..fe4742406088 100644
--- a/src/ngResource/resource.js
+++ b/src/ngResource/resource.js
@@ -278,7 +278,7 @@ function shallowClearAndCopy(src, dst) {
  *
  *   - `toJSON`: It returns a simple object without any of the extra properties added as part of
  *     the Resource API. This object can be serialized through {@link angular.toJson} safely
- *     without attaching Angular-specific fields. Notice that `JSON.stringify` (and
+ *     without attaching AngularJS-specific fields. Notice that `JSON.stringify` (and
  *     `angular.toJson`) automatically use this method when serializing a Resource instance
  *     (see [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/JSON/stringify#toJSON()_behavior)).
  *
diff --git a/src/ngRoute/route.js b/src/ngRoute/route.js
index 5820fd38178f..12e1492a3426 100644
--- a/src/ngRoute/route.js
+++ b/src/ngRoute/route.js
@@ -16,7 +16,7 @@ var noop;
  *
  * # ngRoute
  *
- * The `ngRoute` module provides routing and deeplinking services and directives for angular apps.
+ * The `ngRoute` module provides routing and deeplinking services and directives for AngularJS apps.
  *
  * ## Example
  * See {@link ngRoute.$route#example $route} for an example of configuring and using `ngRoute`.
diff --git a/src/ngScenario/Application.js b/src/ngScenario/Application.js
index 3639a3274506..ec5d1626a6bd 100644
--- a/src/ngScenario/Application.js
+++ b/src/ngScenario/Application.js
@@ -104,7 +104,7 @@ angular.scenario.Application.prototype.navigateTo = function(url, loadFn, errorF
 
 /**
  * Executes a function in the context of the tested application. Will wait
- * for all pending angular xhr requests before executing.
+ * for all pending AngularJS xhr requests before executing.
  *
  * @param {function()} action The callback to execute. function($window, $document)
  *  $document is a jQuery wrapped document.
diff --git a/src/ngScenario/output/Html.js b/src/ngScenario/output/Html.js
index 962d5a32303a..dcd87a3f76b5 100644
--- a/src/ngScenario/output/Html.js
+++ b/src/ngScenario/output/Html.js
@@ -4,7 +4,7 @@
  * User Interface for the Scenario Runner.
  *
  * TODO(esprehn): This should be refactored now that ObjectModel exists
- *  to use angular bindings for the UI.
+ *  to use AngularJS bindings for the UI.
  */
 angular.scenario.output('html', function(context, runner, model) {
   var specUiMap = {},
diff --git a/src/ngTouch/directive/ngClick.js b/src/ngTouch/directive/ngClick.js
index 2cbf4035c6f9..7436343b1273 100644
--- a/src/ngTouch/directive/ngClick.js
+++ b/src/ngTouch/directive/ngClick.js
@@ -92,7 +92,7 @@ var ngTouchClickDirectiveFactory = ['$parse', '$timeout', '$rootElement',
   //
   // This is an ugly, terrible hack!
   // Yeah, tell me about it. The alternatives are using the slow click events, or making our users
-  // deal with the ghost clicks, so I consider this the least of evils. Fortunately Angular
+  // deal with the ghost clicks, so I consider this the least of evils. Fortunately AngularJS
   // encapsulates this ugly logic away from the user.
   //
   // Why not just put click handlers on the element?
diff --git a/test/AngularSpec.js b/test/AngularSpec.js
index 9e9bbfea6a98..4c06639f0511 100644
--- a/test/AngularSpec.js
+++ b/test/AngularSpec.js
@@ -1761,7 +1761,7 @@ describe('angular', function() {
   });
 
 
-  describe('angular service', function() {
+  describe('AngularJS service', function() {
     it('should override services', function() {
       module(function($provide) {
         $provide.value('fake', 'old');
diff --git a/test/e2e/fixtures/angular-already-loaded/index.html b/test/e2e/fixtures/angularjs-already-loaded/index.html
similarity index 100%
rename from test/e2e/fixtures/angular-already-loaded/index.html
rename to test/e2e/fixtures/angularjs-already-loaded/index.html
diff --git a/test/e2e/fixtures/angular-already-loaded/script.js b/test/e2e/fixtures/angularjs-already-loaded/script.js
similarity index 100%
rename from test/e2e/fixtures/angular-already-loaded/script.js
rename to test/e2e/fixtures/angularjs-already-loaded/script.js
diff --git a/test/e2e/tests/angular-already-loaded.spec.js b/test/e2e/tests/angularjs-already-loaded.spec.js
similarity index 61%
rename from test/e2e/tests/angular-already-loaded.spec.js
rename to test/e2e/tests/angularjs-already-loaded.spec.js
index 9084d6ed5c7d..7dcb67e1a302 100644
--- a/test/e2e/tests/angular-already-loaded.spec.js
+++ b/test/e2e/tests/angularjs-already-loaded.spec.js
@@ -1,8 +1,8 @@
 'use strict';
 
-describe('App where angular is loaded more than once', function() {
+describe('App where AngularJS is loaded more than once', function() {
   beforeEach(function() {
-    loadFixture('angular-already-loaded');
+    loadFixture('angularjs-already-loaded');
   });
 
   it('should have the interpolated text', function() {
diff --git a/test/jqLiteSpec.js b/test/jqLiteSpec.js
index 5333b029a142..7f6585b906ea 100644
--- a/test/jqLiteSpec.js
+++ b/test/jqLiteSpec.js
@@ -564,7 +564,7 @@ describe('jqLite', function() {
         var div = jqLite('<div><span>text</span></div>'),
             span = div.find('span');
 
-        span.data('name', 'angular');
+        span.data('name', 'AngularJS');
         span.remove();
         expect(span.data('name')).toBeUndefined();
       });
@@ -2295,7 +2295,7 @@ describe('jqLite', function() {
     });
 
     it('should pass in a dummy event', function() {
-      // we need the event to have at least preventDefault because angular will call it on
+      // we need the event to have at least preventDefault because AngularJS will call it on
       // all anchors with no href automatically
 
       var element = jqLite('<a>poke</a>'),
diff --git a/test/ng/browserSpecs.js b/test/ng/browserSpecs.js
index 704da30c1f0c..eaafea739fee 100644
--- a/test/ng/browserSpecs.js
+++ b/test/ng/browserSpecs.js
@@ -805,7 +805,7 @@ describe('browser', function() {
       });
     }
 
-    describe('update $location when it was changed outside of Angular in sync ' +
+    describe('update $location when it was changed outside of AngularJS in sync ' +
        'before $digest was called', function() {
 
       it('should work with no history support, no html5Mode', function() {
@@ -924,12 +924,12 @@ describe('browser', function() {
 
       inject(function($location, $rootScope) {
 
-        // Change the hash within Angular and check that we don't infinitely digest
+        // Change the hash within AngularJS and check that we don't infinitely digest
         $location.hash('newHash');
         expect(function() { $rootScope.$digest(); }).not.toThrow();
         expect($location.absUrl()).toEqual('http://server/#newHash');
 
-        // Now change the hash from outside Angular and check that $location updates correctly
+        // Now change the hash from outside AngularJS and check that $location updates correctly
         fakeWindow.location.hash = '#otherHash';
 
         // simulate next tick - since this browser doesn't update synchronously
diff --git a/test/ng/compileSpec.js b/test/ng/compileSpec.js
index 2ab6d6f13eb5..6b0b0930ada5 100644
--- a/test/ng/compileSpec.js
+++ b/test/ng/compileSpec.js
@@ -8645,7 +8645,7 @@ describe('$compile', function() {
                 expect(privateData.events.click).toBeDefined();
                 expect(privateData.events.click[0]).toBeDefined();
 
-                //Ensure the angular $destroy event is still sent
+                //Ensure the AngularJS $destroy event is still sent
                 var destroyCount = 0;
                 element.find('div').on('$destroy', function() { destroyCount++; });
 
@@ -8659,7 +8659,7 @@ describe('$compile', function() {
 
               it('should work without external libraries (except jQuery)', testCleanup);
 
-              it('should work with another library patching jQuery.cleanData after Angular', function() {
+              it('should work with another library patching jQuery.cleanData after AngularJS', function() {
                 var cleanedCount = 0;
                 var currentCleanData = jQuery.cleanData;
                 jQuery.cleanData = function(elems) {
diff --git a/test/ng/directive/inputSpec.js b/test/ng/directive/inputSpec.js
index c254e62e4042..7014e00624d2 100644
--- a/test/ng/directive/inputSpec.js
+++ b/test/ng/directive/inputSpec.js
@@ -419,7 +419,7 @@ describe('input', function() {
 
             scope.field = 'fake field';
             scope.$watch('field', function() {
-              // We need to use _originalTrigger since trigger is modified by Angular Scenario.
+              // We need to use _originalTrigger since trigger is modified by AngularJS Scenario.
               inputElm._originalTrigger('change');
             });
             scope.$apply();
diff --git a/test/ngMessageFormat/messageFormatSpec.js b/test/ngMessageFormat/messageFormatSpec.js
index 4e2405fe4423..9ba14c8afa8d 100644
--- a/test/ngMessageFormat/messageFormatSpec.js
+++ b/test/ngMessageFormat/messageFormatSpec.js
@@ -10,7 +10,7 @@
  • parser error messages.
  • caching.
  • watched expressions.
- • test parsing angular expressions
+ • test parsing AngularJS expressions
  • test the different regexes
  • test the different starting rules
 */
diff --git a/test/ngScenario/dslSpec.js b/test/ngScenario/dslSpec.js
index a34d59d20d8d..6eb5da68db0c 100644
--- a/test/ngScenario/dslSpec.js
+++ b/test/ngScenario/dslSpec.js
@@ -128,7 +128,7 @@ describe('angular.scenario.dsl', function() {
         expect($root.futureResult).toEqual('http://futureUrl/');
       });
 
-      it('should complete if angular is missing from app frame', function() {
+      it('should complete if AngularJS is missing from app frame', function() {
         delete $window.angular;
         $root.dsl.browser().navigateTo('http://myurl');
         expect($window.location).toEqual('http://myurl');
